//  ********************
//  ***  Explosions  ***
//  ********************
//  ********************************************************
//  ***  TNT		                                     ***
//  ********************************************************
//  ********** TNT Explosion Base **********
//  Q2TankBoss, TNTExplosion, <Cultists> (TNTExplosion_KULT)
ACTOR SFX_Explosion_m_Base
{
	+NOBLOCKMAP
	-COUNTITEM
	PROJECTILE
	DeathSound "effects/explosion"
	SpawnID 203
	Radius 1 Height 1 Speed 0
	States
	{
		Spawn:
			TNT1 A 1 A_AlertMonsters
			TNT1 A 0 Radius_Quake(3, 28, 1, 4, 0)
			TNT1 A 0 BRIGHT A_Explode(412, 232)	
			goto Death		
		Death:
			TNT1 A 0 A_Scream
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 2, 0, 0, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 2, 0, 15, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 2, 0, 30, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 2, 0, 45, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 2, 0, 60, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 2, 0, 75, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 2, 0, 90, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 2, 0, 105, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 2, 0, 120, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 2, 0, 135, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 2, 0, 150, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 2, 0, 165, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 2, 0, 180, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 2, 0, 195, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 2, 0, 210, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 2, 0, 225, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 2, 0, 240, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 2, 0, 255, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 2, 0, 270, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 2, 0, 285, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 2, 0, 300, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 2, 0, 315, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 2, 0, 330, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 2, 0, 345, 2, 0)			
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 80, 0, 0, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 80, 0, 15, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 80, 0, 30, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 80, 0, 45, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 80, 0, 60, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 80, 0, 75, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 80, 0, 90, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 80, 0, 105, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 80, 0, 120, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 80, 0, 135, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 80, 0, 150, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 80, 0, 165, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 80, 0, 180, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 80, 0, 195, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 80, 0, 210, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 80, 0, 225, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 80, 0, 240, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 80, 0, 255, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 80, 0, 270, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 80, 0, 285, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 80, 0, 300, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 80, 0, 315, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 80, 0, 330, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 80, 0, 345, 2, 0)			
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 160, 0, 0, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 160, 0, 15, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 160, 0, 30, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 160, 0, 45, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 160, 0, 60, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 160, 0, 75, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 160, 0, 90, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 160, 0, 105, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 160, 0, 120, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 160, 0, 135, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 160, 0, 150, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 160, 0, 165, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 160, 0, 180, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 160, 0, 195, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 160, 0, 210, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 160, 0, 225, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 160, 0, 240, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 160, 0, 255, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 160, 0, 270, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 160, 0, 285, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 160, 0, 300, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 160, 0, 315, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 160, 0, 330, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 160, 0, 345, 2, 0)			
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -80, 0, 0, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -80, 0, 15, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -80, 0, 30, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -80, 0, 45, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -80, 0, 60, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -80, 0, 75, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -80, 0, 90, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -80, 0, 105, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -80, 0, 120, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -80, 0, 135, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -80, 0, 150, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -80, 0, 165, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -80, 0, 180, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -80, 0, 195, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -80, 0, 210, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -80, 0, 225, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -80, 0, 240, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -80, 0, 255, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -80, 0, 270, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -80, 0, 285, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -80, 0, 300, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -80, 0, 315, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -80, 0, 330, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -80, 0, 345, 2, 0)			
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -160, 0, 0, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -160, 0, 15, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -160, 0, 30, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -160, 0, 45, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -160, 0, 60, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -160, 0, 75, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -160, 0, 90, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -160, 0, 105, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -160, 0, 120, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -160, 0, 135, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -160, 0, 150, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -160, 0, 165, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -160, 0, 180, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -160, 0, 195, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -160, 0, 210, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -160, 0, 225, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -160, 0, 240, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -160, 0, 255, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -160, 0, 270, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -160, 0, 285, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -160, 0, 300, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -160, 0, 315, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -160, 0, 330, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -160, 0, 345, 2, 0)
			TNT1 A 1 A_SpawnItemEx("SFX_NoLight_ExpFire", 0, 0, 0, 0.1 * Random(-20, 20), 0.1 * Random(-20, 20), 0.1 * Random(-20, 20), 0, 128, 0)
			TNT1 A 0 A_SpawnItemEx("SFX_ExpFire_light", 0, 0, 0, 0, 0, 0, 0, 128, 0)			
			TNT1 AAAA 0 A_SpawnItemEx("SFX_NoLight_ExpFire_xxs", 0, 0, 0, 0.3 * Random(-20, 20), 0.3 * Random(-20, 20), 0.3 * Random(-20, 20), 0, 128, 0)
			TNT1 AAAA 0 A_SpawnItemEx("SFX_NoLight_ExpFire_xs", 0, 0, 0, 0.25 * Random(-20, 20), 0.25 * Random(-20, 20), 0.25 * Random(-20, 20), 0, 128, 0)
			TNT1 AAAA 0 A_SpawnItemEx("SFX_NoLight_ExpFire_s", 0, 0, 0, 0.2 * Random(-20, 20), 0.2 * Random(-20, 20), 0.2 * Random(-20, 20), 0, 128, 0)
			TNT1 AAAA 0 A_SpawnItemEx("SFX_NoLight_ExpFire_s", 0, 0, 0, 0.15 * Random(-20, 20), 0.15 * Random(-20, 20), 0.15 * Random(-20, 20), 0, 128, 0)
			TNT1 AAAA 0 A_SpawnItemEx("SFX_NoLight_ExpFire", 0, 0, 0, 0.1 * Random(-20, 20), 0.1 * Random(-20, 20), 0.1 * Random(-20, 20), 0, 128, 0)					
			TNT1 AAAA 1 A_SpawnItemEx("SFX_NoLight_ExpFire_long", 0, 0, 0, 0.003 * Random(-200, 200), 0.003 * Random(-200, 200), 0.003 * Random(-200, 200), 0, 128, 0)
			TNT1 A 0 A_SpawnItemEx("SFX_ExpFire_light", 0, 0, 0, 0, 0, 0, 0, 128, 0)
			TNT1 A 1 A_SpawnItemEx("SFX_NoLight_ExpFire_long", 0, 0, 0, 0.01 * Random(-200, 200), 0.01 * Random(-200, 200), 0.01 * Random(-200, 200), 0, 128, 0)
			TNT1 A 0 A_SpawnItemEx("SFX_SmokeMedium_Long", 0, 0, 0, 0.01 * Random(-20, 20), 0.01 * Random(-20, 20), 0.01 * Random(-20, 20), 0, 128, 0)
			TNT1 A 0 A_SpawnItemEx("SFX_SmokeMedium_Long", 0, 0, 0, 0.015 * Random(-20, 20), 0.015 * Random(-20, 20), 0.015 * Random(-20, 20), 0, 128, 0)
			TNT1 A 0 A_SpawnItemEx("SFX_SmokeMedium_Long", 0, 0, 0, 0.03 * Random(-20, 20), 0.03 * Random(-20, 20), 0.03 * Random(-20, 20), 0, 128, 0)
			TNT1 AAAA 0 A_SpawnItemEx("SFX_SmokeMedium", 0, 0, 0, 0.1 * Random(-20, 20), 0.1 * Random(-20, 20), 0.1 * Random(-20, 20), 0, 128, 0)
			TNT1 AAAA 0 A_SpawnItemEx("SFX_SmokeSmall", 0, 0, 0, 0.15 * Random(-20, 20), 0.15 * Random(-20, 20), 0.15 * Random(-20, 20), 0, 128, 0)
			TNT1 AAAA 0 A_SpawnItemEx("SFX_SmokeSmall", 0, 0, 0, 0.2 * Random(-20, 20), 0.2 * Random(-20, 20), 0.2 * Random(-20, 20), 0, 128, 0)
			TNT1 AAAA 1 A_SpawnItemEx("SFX_NoLight_ExpFire", 0, 0, 0, 0.01 * Random(-200, 200), 0.01 * Random(-200, 200), 0.01 * Random(-200, 200), 0, 128, 0)
			TNT1 AAAA 0 A_SpawnItemEx("SFX_NoLight_ExpFire", 0, 0, 0, 0.1 * Random(-20, 20), 0.1 * Random(-20, 20), 0.1 * Random(-20, 20), 0, 128, 0)
			TNT1 A 5
			Stop
	}
}
//  ********************************************************
//  ***  Weapon: TNTExplosions large                     ***
//  ********************************************************
//  Tchernobog
ACTOR SFX_Explosion_l_Base
{
	+NOBLOCKMAP
	-COUNTITEM
	PROJECTILE
	DeathSound "effects/explosion"
	Radius 1 Height 1 Speed 0
	States
	{
		Spawn:
			TNT1 A 1 A_AlertMonsters
			TNT1 A 0 Radius_Quake(3, 28, 1, 4, 0)
			TNT1 A 0 BRIGHT A_Explode(412, 232)	
			goto Death		
		Death:
			TNT1 A 0 A_Scream
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 2, 0, 0, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 2, 0, 15, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 2, 0, 30, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 2, 0, 45, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 2, 0, 60, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 2, 0, 75, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 2, 0, 90, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 2, 0, 105, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 2, 0, 120, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 2, 0, 135, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 2, 0, 150, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 2, 0, 165, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 2, 0, 180, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 2, 0, 195, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 2, 0, 210, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 2, 0, 225, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 2, 0, 240, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 2, 0, 255, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 2, 0, 270, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 2, 0, 285, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 2, 0, 300, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 2, 0, 315, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 2, 0, 330, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 2, 0, 345, 2, 0)			
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 80, 0, 0, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 80, 0, 15, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 80, 0, 30, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 80, 0, 45, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 80, 0, 60, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 80, 0, 75, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 80, 0, 90, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 80, 0, 105, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 80, 0, 120, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 80, 0, 135, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 80, 0, 150, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 80, 0, 165, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 80, 0, 180, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 80, 0, 195, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 80, 0, 210, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 80, 0, 225, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 80, 0, 240, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 80, 0, 255, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 80, 0, 270, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 80, 0, 285, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 80, 0, 300, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 80, 0, 315, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 80, 0, 330, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 80, 0, 345, 2, 0)			
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 160, 0, 0, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 160, 0, 15, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 160, 0, 30, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 160, 0, 45, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 160, 0, 60, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 160, 0, 75, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 160, 0, 90, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 160, 0, 105, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 160, 0, 120, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 160, 0, 135, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 160, 0, 150, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 160, 0, 165, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 160, 0, 180, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 160, 0, 195, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 160, 0, 210, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 160, 0, 225, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 160, 0, 240, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 160, 0, 255, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 160, 0, 270, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 160, 0, 285, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 160, 0, 300, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 160, 0, 315, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 160, 0, 330, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 160, 0, 345, 2, 0)			
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -80, 0, 0, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -80, 0, 15, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -80, 0, 30, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -80, 0, 45, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -80, 0, 60, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -80, 0, 75, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -80, 0, 90, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -80, 0, 105, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -80, 0, 120, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -80, 0, 135, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -80, 0, 150, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -80, 0, 165, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -80, 0, 180, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -80, 0, 195, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -80, 0, 210, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -80, 0, 225, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -80, 0, 240, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -80, 0, 255, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -80, 0, 270, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -80, 0, 285, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -80, 0, 300, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -80, 0, 315, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -80, 0, 330, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -80, 0, 345, 2, 0)			
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -160, 0, 0, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -160, 0, 15, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -160, 0, 30, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -160, 0, 45, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -160, 0, 60, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -160, 0, 75, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -160, 0, 90, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -160, 0, 105, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -160, 0, 120, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -160, 0, 135, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -160, 0, 150, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -160, 0, 165, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -160, 0, 180, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -160, 0, 195, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -160, 0, 210, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -160, 0, 225, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -160, 0, 240, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -160, 0, 255, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -160, 0, 270, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -160, 0, 285, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -160, 0, 300, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -160, 0, 315, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -160, 0, 330, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -160, 0, 345, 2, 0)		
			TNT1 A 1 A_SpawnItemEx("SFX_NoLight_ExpFire_l", 0, 0, 0, 0.15 * Random(-20, 20), 0.15 * Random(-20, 20), 0.15 * Random(-20, 20), 0, 128, 0)
			TNT1 A 0 A_SpawnItemEx("SFX_ExpFire_light_l", 0, 0, 0, 0, 0, 0, 0, 128, 0)
			TNT1 AAAA 0 A_SpawnItemEx("SFX_NoLight_ExpFire_xs", 0, 0, 0, 0.45 * Random(-20, 20), 0.45 * Random(-20, 20), 0.45 * Random(-20, 20), 0, 128, 0)
			TNT1 AAAA 0 A_SpawnItemEx("SFX_NoLight_ExpFire_s", 0, 0, 0, 0.375 * Random(-20, 20), 0.375 * Random(-20, 20), 0.375 * Random(-20, 20), 0, 128, 0)
			TNT1 AAAA 0 A_SpawnItemEx("SFX_NoLight_ExpFire", 0, 0, 0, 0.3 * Random(-20, 20), 0.3 * Random(-20, 20), 0.3 * Random(-20, 20), 0, 128, 0)
			TNT1 AAAA 0 A_SpawnItemEx("SFX_NoLight_ExpFire", 0, 0, 0, 0.225 * Random(-20, 20), 0.225 * Random(-20, 20), 0.225 * Random(-20, 20), 0, 128, 0)
			TNT1 AAAA 0 A_SpawnItemEx("SFX_NoLight_ExpFire_l", 0, 0, 0, 0.15 * Random(-20, 20), 0.15 * Random(-20, 20), 0.15 * Random(-20, 20), 0, 128, 0)					
			TNT1 AAAA 1 A_SpawnItemEx("SFX_NoLight_ExpFire_long", 0, 0, 0, 0.0045 * Random(-200, 200), 0.0045 * Random(-200, 200), 0.0045 * Random(-200, 200), 0, 128, 0)
			TNT1 A 0 A_SpawnItemEx("SFX_ExpFire_light_l", 0, 0, 0, 0, 0, 0, 0, 128, 0)
			TNT1 A 1 A_SpawnItemEx("SFX_NoLight_ExpFire_long", 0, 0, 0, 0.015 * Random(-200, 200), 0.015 * Random(-200, 200), 0.015 * Random(-200, 200), 0, 128, 0)
			TNT1 A 0 A_SpawnItemEx("SFX_SmokeMedium_Long", 0, 0, 0, 0.015 * Random(-20, 20), 0.015 * Random(-20, 20), 0.015 * Random(-20, 20), 0, 128, 0)
			TNT1 A 0 A_SpawnItemEx("SFX_SmokeMedium_Long", 0, 0, 0, 0.0225 * Random(-20, 20), 0.0225 * Random(-20, 20), 0.0225 * Random(-20, 20), 0, 128, 0)
			TNT1 A 0 A_SpawnItemEx("SFX_SmokeMedium_Long", 0, 0, 0, 0.045 * Random(-20, 20), 0.045 * Random(-20, 20), 0.045 * Random(-20, 20), 0, 128, 0)
			TNT1 AAAA 0 A_SpawnItemEx("SFX_SmokeMedium", 0, 0, 0, 0.15 * Random(-20, 20), 0.15 * Random(-20, 20), 0.15 * Random(-20, 20), 0, 128, 0)
			TNT1 AAAA 0 A_SpawnItemEx("SFX_SmokeSmall", 0, 0, 0, 0.225 * Random(-20, 20), 0.225 * Random(-20, 20), 0.225 * Random(-20, 20), 0, 128, 0)
			TNT1 AAAA 0 A_SpawnItemEx("SFX_SmokeSmall", 0, 0, 0, 0.3 * Random(-20, 20), 0.3 * Random(-20, 20), 0.3 * Random(-20, 20), 0, 128, 0)
			TNT1 AAAA 1 A_SpawnItemEx("SFX_NoLight_ExpFire_l", 0, 0, 0, 0.015 * Random(-200, 200), 0.015* Random(-200, 200), 0.015 * Random(-200, 200), 0, 128, 0)
			TNT1 AAAA 0 A_SpawnItemEx("SFX_NoLight_ExpFire_l", 0, 0, 0, 0.15 * Random(-20, 20), 0.15 * Random(-20, 20), 0.15 * Random(-20, 20), 0, 128, 0)
			TNT1 A 5
			Stop
	}
}
//  ********************************************************
//  ***  Weapon: TNTExplosions exrta extra large         ***
//  ********************************************************
//  Tchernobog_big
ACTOR SFX_Explosion_xxl_Base
{
	+NOBLOCKMAP
	-COUNTITEM
	PROJECTILE
	DeathSound "effects/explosion"
	Radius 1 Height 1 Speed 0
	States
	{
		Spawn:
			TNT1 A 1 A_AlertMonsters
			TNT1 A 0 Radius_Quake(3, 28, 1, 4, 0)
			TNT1 A 0 BRIGHT A_Explode(512, 264)	
			goto Death		
		Death:
			TNT1 A 0 A_Scream
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 2, 0, 0, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 2, 0, 15, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 2, 0, 30, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 2, 0, 45, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 2, 0, 60, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 2, 0, 75, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 2, 0, 90, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 2, 0, 105, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 2, 0, 120, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 2, 0, 135, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 2, 0, 150, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 2, 0, 165, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 2, 0, 180, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 2, 0, 195, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 2, 0, 210, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 2, 0, 225, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 2, 0, 240, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 2, 0, 255, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 2, 0, 270, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 2, 0, 285, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 2, 0, 300, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 2, 0, 315, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 2, 0, 330, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 2, 0, 345, 2, 0)			
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 80, 0, 0, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 80, 0, 15, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 80, 0, 30, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 80, 0, 45, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 80, 0, 60, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 80, 0, 75, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 80, 0, 90, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 80, 0, 105, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 80, 0, 120, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 80, 0, 135, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 80, 0, 150, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 80, 0, 165, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 80, 0, 180, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 80, 0, 195, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 80, 0, 210, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 80, 0, 225, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 80, 0, 240, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 80, 0, 255, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 80, 0, 270, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 80, 0, 285, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 80, 0, 300, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 80, 0, 315, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 80, 0, 330, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 80, 0, 345, 2, 0)			
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 160, 0, 0, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 160, 0, 15, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 160, 0, 30, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 160, 0, 45, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 160, 0, 60, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 160, 0, 75, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 160, 0, 90, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 160, 0, 105, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 160, 0, 120, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 160, 0, 135, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 160, 0, 150, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 160, 0, 165, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 160, 0, 180, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 160, 0, 195, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 160, 0, 210, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 160, 0, 225, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 160, 0, 240, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 160, 0, 255, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 160, 0, 270, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 160, 0, 285, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 160, 0, 300, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 160, 0, 315, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 160, 0, 330, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 160, 0, 345, 2, 0)			
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -80, 0, 0, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -80, 0, 15, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -80, 0, 30, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -80, 0, 45, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -80, 0, 60, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -80, 0, 75, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -80, 0, 90, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -80, 0, 105, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -80, 0, 120, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -80, 0, 135, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -80, 0, 150, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -80, 0, 165, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -80, 0, 180, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -80, 0, 195, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -80, 0, 210, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -80, 0, 225, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -80, 0, 240, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -80, 0, 255, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -80, 0, 270, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -80, 0, 285, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -80, 0, 300, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -80, 0, 315, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -80, 0, 330, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -80, 0, 345, 2, 0)			
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -160, 0, 0, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -160, 0, 15, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -160, 0, 30, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -160, 0, 45, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -160, 0, 60, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -160, 0, 75, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -160, 0, 90, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -160, 0, 105, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -160, 0, 120, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -160, 0, 135, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -160, 0, 150, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -160, 0, 165, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -160, 0, 180, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -160, 0, 195, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -160, 0, 210, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -160, 0, 225, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -160, 0, 240, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -160, 0, 255, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -160, 0, 270, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -160, 0, 285, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -160, 0, 300, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -160, 0, 315, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -160, 0, 330, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -160, 0, 345, 2, 0)
			TNT1 A 1 A_SpawnItemEx("SFX_NoLight_ExpFire_xl", 0, 0, 0, 0.2 * Random(-20, 20), 0.2 * Random(-20, 20), 0.2 * Random(-20, 20), 0, 128, 0)
			TNT1 A 0 A_SpawnItemEx("SFX_ExpFire_light_xl", 0, 0, 0, 0, 0, 0, 0, 128, 0)
			TNT1 AAAA 0 A_SpawnItemEx("SFX_NoLight_ExpFire_s", 0, 0, 0, 0.6 * Random(-20, 20), 0.6 * Random(-20, 20), 0.6 * Random(-20, 20), 0, 128, 0)
			TNT1 AAAA 0 A_SpawnItemEx("SFX_NoLight_ExpFire", 0, 0, 0, 0.5 * Random(-20, 20), 0.5 * Random(-20, 20), 0.5 * Random(-20, 20), 0, 128, 0)
			TNT1 AAAA 0 A_SpawnItemEx("SFX_NoLight_ExpFire_l", 0, 0, 0, 0.4 * Random(-20, 20), 0.4 * Random(-20, 20), 0.4 * Random(-20, 20), 0, 128, 0)
			TNT1 AAAA 0 A_SpawnItemEx("SFX_NoLight_ExpFire_l", 0, 0, 0, 0.3 * Random(-20, 20), 0.3 * Random(-20, 20), 0.3 * Random(-20, 20), 0, 128, 0)
			TNT1 AAAA 0 A_SpawnItemEx("SFX_NoLight_ExpFire_xl", 0, 0, 0, 0.2 * Random(-20, 20), 0.2 * Random(-20, 20), 0.2 * Random(-20, 20), 0, 128, 0)					
			TNT1 AAAA 1 A_SpawnItemEx("SFX_NoLight_ExpFire_long", 0, 0, 0, 0.007 * Random(-200, 200), 0.007 * Random(-200, 200), 0.007 * Random(-200, 200), 0, 128, 0)
			TNT1 A 0 A_SpawnItemEx("SFX_ExpFire_light_xl", 0, 0, 0, 0, 0, 0, 0, 128, 0)
			TNT1 A 1 A_SpawnItemEx("SFX_NoLight_ExpFire_long", 0, 0, 0, 0.02 * Random(-200, 200), 0.02 * Random(-200, 200), 0.02 * Random(-200, 200), 0, 128, 0)
			TNT1 A 0 A_SpawnItemEx("SFX_SmokeBig_Long", 0, 0, 0, 0.02 * Random(-20, 20), 0.02 * Random(-20, 20), 0.02 * Random(-20, 20), 0, 128, 0)
			TNT1 A 0 A_SpawnItemEx("SFX_SmokeBig_Long", 0, 0, 0, 0.03 * Random(-20, 20), 0.03 * Random(-20, 20), 0.03 * Random(-20, 20), 0, 128, 0)
			TNT1 A 0 A_SpawnItemEx("SFX_SmokeBig_Long", 0, 0, 0, 0.06 * Random(-20, 20), 0.06 * Random(-20, 20), 0.06 * Random(-20, 20), 0, 128, 0)
			TNT1 AAAA 0 A_SpawnItemEx("SFX_SmokeBig", 0, 0, 0, 0.2 * Random(-20, 20), 0.2 * Random(-20, 20), 0.2 * Random(-20, 20), 0, 128, 0)
			TNT1 AAAA 0 A_SpawnItemEx("SFX_SmokeMedium", 0, 0, 0, 0.3 * Random(-20, 20), 0.3 * Random(-20, 20), 0.3 * Random(-20, 20), 0, 128, 0)
			TNT1 AAAA 0 A_SpawnItemEx("SFX_SmokeMedium", 0, 0, 0, 0.4 * Random(-20, 20), 0.4 * Random(-20, 20), 0.4 * Random(-20, 20), 0, 128, 0)
			TNT1 AAAAAA 0 A_SpawnItemEx("SFX_SmokeSmall", 0, 0, 0, 0.45 * Random(-20, 20), 0.45 * Random(-20, 20), 0.45 * Random(-20, 20), 0, 128, 0)
			TNT1 AAAA 1 A_SpawnItemEx("SFX_NoLight_ExpFire_xl", 0, 0, 0, 0.02 * Random(-200, 200), 0.02 * Random(-200, 200), 0.02 * Random(-200, 200), 0, 128, 0)
			TNT1 AAAA 0 A_SpawnItemEx("SFX_NoLight_ExpFire_xl", 0, 0, 0, 0.2 * Random(-20, 20), 0.2 * Random(-20, 20), 0.2 * Random(-20, 20), 0, 128, 0)
			TNT1 A 5
			Stop
	}
}
//  **********************************
//  ***  Misc -> Shockwave    	   ***
//  ***  by: Butcher         	   ***
//	***	 Used by: SFX_TNTExplosion ***
//  **********************************
Actor SFX_Shockwave
{
	Projectile
	+NoBlockmap +RIPPER +BLOODLESSIMPACT +SLIDESONWALLS // +NOCLIP
	damage 0
	Radius 2 Height 1 Speed 100
	States
	{
	Spawn:
		TNT1 A 4
		stop
	}
}
//  *******************************
//  ***  Misc -> Fire           ***
//  ***  by: Keksdose           ***
//  *******************************
//   SFX_Explosion_Base, SFX_Explosion_l_Base, SFX_Explosion_xxl_Base
Actor SFX_ExpFire
{
	+Missile +NoGravity +NoBlockmap +FORCEXYBILLBOARD// +NOINTERACTION
	-Solid
	Radius 0 Height 0
	RenderStyle Add
	Alpha 1.0
	Scale 0.8
//	RenderStyle Add Alpha 1.0
	States
	{
	Spawn:
		BOOM ABCDEFGHIJKLMNOPPPPPPPPPP 1 BRIGHT A_FadeOut(0.04)
		Stop
	}
}
//	 *** Light ***
//   SFX_Explosion_Base
Actor SFX_ExpFire_light : SFX_ExpFire
{	
	Scale 1.2
	States
	{
	Spawn:
		BOOM ABCDEFGHIJKLMNOPP 2 BRIGHT A_FadeOut(0.06)
		Stop
	}
}
//	 *** Light + large ***
//   SFX_Explosion_l_Base
Actor SFX_ExpFire_light_l : SFX_ExpFire_light
{	
	Scale 1.8
}
//	 *** Light + extra large ***
//   SFX_Explosion_xxl_Base
Actor SFX_ExpFire_light_xl : SFX_ExpFire_light
{	
	Scale 2.4
}
//	 *** Long Life ***
//   SFX_Explosion_Base, SFX_Explosion_l_Base, SFX_Explosion_xxl_Base
Actor SFX_ExpFire_long : SFX_ExpFire
{
	States
	{
	Spawn:
		BOOM ABCDEFGHIJKLMNOPPPPPPPPPP 2 BRIGHT A_FadeOut(0.04)
		Stop
	}
}
Actor SFX_NoLight_ExpFire_long : SFX_ExpFire_long
{
}
Actor SFX_NoLight_ExpFire : SFX_ExpFire
{
}
//   ***   extra extra big   ***
//   SFX_Explosion_xxl_Base
Actor SFX_ExpFire_xxl : SFX_ExpFire
{
	Scale 2.0
}
Actor SFX_NoLight_ExpFire_xxl : SFX_ExpFire_xxl
{
}
//   ***   extra big   ***
//   SFX_Explosion_l_Base, SFX_Explosion_xxl_Base
Actor SFX_ExpFire_xl : SFX_ExpFire
{
	Scale 1.6
}
Actor SFX_NoLight_ExpFire_xl : SFX_ExpFire_xl
{
}
//   ***   big   ***
//   SFX_Explosion_l_Base, SFX_Explosion_xxl_Base
Actor SFX_ExpFire_l : SFX_ExpFire
{
	Scale 1.2
}
Actor SFX_NoLight_ExpFire_l : SFX_ExpFire_l
{	
}
//   ***   small   ***
//   SFX_Explosion_Base, SFX_Explosion_l_Base, SFX_Explosion_xxl_Base
Actor SFX_ExpFire_s : SFX_ExpFire
{
	Scale 0.6
}
Actor SFX_NoLight_ExpFire_s : SFX_ExpFire_s
{
}
//   ***   extra small   ***
//   SFX_Explosion_Base, SFX_Explosion_l_Base, SFX_Explosion_Base_xxl
Actor SFX_ExpFire_xs : SFX_ExpFire
{
	Scale 0.4
}
Actor SFX_NoLight_ExpFire_xs : SFX_ExpFire_xs
{
}
//   ***   extra extra small +gravity  ***
Actor SFX_ExpFire_xxs : SFX_ExpFire
{
	Scale 0.02
	-NoGravity
	States
	{
	Spawn:
		BOOM A 0
		BOOM A 0 A_Gravity
		BOOM ABCDEFGHIJKLMNOPPPPPPPPPP 1 BRIGHT A_FadeOut(0.04)
		Stop
	}
}
Actor SFX_NoLight_ExpFire_xxs : SFX_ExpFire_xxs
{
}
//  ********************************************************
//  ***  Weapon: Weapon TNT Explosion	                 ***
//  ********************************************************
//  TNT Weapons
ACTOR TNTExplosion : SFX_Explosion_m_Base
{
	States
	{
		Spawn:
			TNT1 A 0 A_AlertMonsters
			TNT1 A 0 Radius_Quake(3, 28, 1, 4, 0)
			TNT1 A 0 BRIGHT A_Explode(412, 232)			
			goto Death
	}
}
//  <maps>
ACTOR SFXBarrelExplosion : SFX_Explosion_m_Base
{
	States
	{
		Spawn:
			TNT1 A 0 Radius_Quake(3, 28, 1, 4, 0)
			goto Death
	}
}
//  ********************************************************
//  ***  Weapon: RocketExplosions                        ***
//  ********************************************************
//  ********** Rocket normal Base **********
//  Rocketlauncher_ (Rocket_alpha), Rocketlauncher_ (Rocket_alpha_seeker)
//  CyberDemon, Q2TankBoss, Rocketguy, Cerberus
ACTOR SFX_RocketExplosion : SFX_Explosion_m_Base
{
	States
	{
		Spawn:
			TNT1 A 0
			goto Death
	}
}
//  ********************************************************
//  ***  Rocket Base			                         ***
//  ********************************************************
//  Rocketlauncher_ (Rocket_alpha), Rocketlauncher_ (Rocket_alpha_seeker)
//  CyberDemon, Q2TankBoss, Rocketguy
ACTOR RocketBase
{
	Spawnid 127
	Radius 4 Height 4 Speed 20
	PROJECTILE
	+FOILINVUL +RANDOMIZE +ROCKETTRAIL
	Scale 0.6
	Damage 32
	Seesound "effects/rocklfly"
	Deathsound "effects/rocklexplosion"
	obituary "%o rode %k's rocket."
	Renderstyle Normal
	States
	{
		Spawn:
			MISL A 1 bright
			loop
		Death: 
			TNT1 A 0 A_Scream
			TNT1 A 0 Radius_Quake(3, 28, 1, 4, 0)
			TNT1 A 0 A_Explode(230, 192)
			TNT1 A 0 A_SpawnItemEx("SFX_RocketExplosion", 0, 0, 0, 0, 0, 1, 0, 128 | SXF_NOCHECKPOSITION, 0)
			TNT1 A 20
			Stop
	}
}
//  ********************************************************
//  *** Explosion Base extra small 		                 ***
//  ********************************************************
//  PlasmaTurret_1, PlasmaTurret_2, Revenant
ACTOR Explosion_xs_Base
{
	Scale 0.3
	DeathSound "effects/explosion"
	Radius 1 Height 1 Speed 0
	+NOBLOOD +NOGRAVITY
	States
	{
	Spawn:
		TNT1 A 0//A_Explode(24, 64)
		goto Death
	Death:
		TNT1 A 0 A_Scream
		TNT1 A 1 A_SpawnItemEx("SFX_Fire", 0, 0, 0, 0.01 * Random(-20, 20), 0.01 * Random(-20, 20), 0.01 * Random(-20, 20), 0, 128, 0)
		TNT1 AA 0 A_SpawnItemEx("SFX_NoLight_Fire_xxs", 0, 0, 0, 0.04 * Random(-20, 20), 0.04 * Random(-20, 20), 0.04 * Random(-20, 20), 0, 128, 0)
		TNT1 A 0 A_SpawnItemEx("SFX_NoLight_Fire_xs", 0, 0, 0, 0.025 * Random(-20, 20), 0.025 * Random(-20, 20), 0.025 * Random(-20, 20), 0, 128, 0)
		TNT1 AA 0 A_SpawnItemEx("SFX_NoLight_Fire_s", 0, 0, 0, 0.02 * Random(-20, 20), 0.02 * Random(-20, 20), 0.02 * Random(-20, 20), 0, 128, 0)
		TNT1 A 0 A_SpawnItemEx("SFX_NoLight_Fire_s", 0, 0, 0, 0.015 * Random(-20, 20), 0.015 * Random(-20, 20), 0.015 * Random(-20, 20), 0, 128, 0)
		TNT1 AA 0 A_SpawnItemEx("SFX_NoLight_Fire", 0, 0, 0, 0.015 * Random(-20, 20), 0.015 * Random(-20, 20), 0.015 * Random(-20, 20), 0, 128, 0)
		TNT1 AAA 0 A_SpawnItemEx("SFX_NoLight_Fire", 0, 0, 0, 0.01 * Random(-20, 20), 0.01 * Random(-20, 20), 0.01 * Random(-20, 20), 0, 128, 0)
		TNT1 A 1 A_SpawnItemEx("SFX_Fire_long", 0, 0, 0, 0.001 * Random(-200, 200), 0.001 * Random(-200, 200), 0.001 * Random(-200, 200), 0, 128, 0)
		TNT1 AAAAAAA 0 A_SpawnItemEx("SFX_NoLight_Fire_long", 0, 0, 0, 0.001 * Random(-200, 200), 0.001 * Random(-200, 200), 0.001 * Random(-200, 200), 0, 128, 0)
		TNT1 A 3 A_SpawnItemEx("SFX_Fire", 0, 0, 0, 0.001 * Random(-200, 200), 0.001 * Random(-200, 200), 0.001 * Random(-200, 200), 0, 128, 0)
		TNT1 AA 0 A_SpawnItemEx("SFX_SmokeMedium_Long", 0, 0, 0, 0.001 * Random(-20, 20), 0.001 * Random(-20, 20), 0.001 * Random(-20, 20), 0, 128, 0)		
		TNT1 A 0 A_SpawnItemEx("SFX_SmokeMedium_Long", 0, 0, 0, 0.003 * Random(-20, 20), 0.003 * Random(-20, 20), 0.003 * Random(-20, 20), 0, 128, 0)
		TNT1 A 0 A_SpawnItemEx("SFX_SmokeMedium", 0, 0, 0, 0.01 * Random(-20, 20), 0.01 * Random(-20, 20), 0.01 * Random(-20, 20), 0, 128, 0)
		TNT1 AAA 0 A_SpawnItemEx("SFX_SmokeSmall", 0, 0, 0, 0.015 * Random(-20, 20), 0.015 * Random(-20, 20), 0.015 * Random(-20, 20), 0, 128, 0)
		TNT1 AA 0 A_SpawnItemEx("SFX_SmokeSmall", 0, 0, 0, 0.02 * Random(-20, 20), 0.02 * Random(-20, 20), 0.02 * Random(-20, 20), 0, 128, 0)
		TNT1 A 1 A_SpawnItemEx("SFX_Fire", 0, 0, 0, 0.001 * Random(-200, 200), 0.001 * Random(-200, 200), 0.001 * Random(-200, 200), 0, 128, 0)
		TNT1 AAA 0 A_SpawnItemEx("SFX_NoLight_Fire", 0, 0, 0, 0.001 * Random(-20, 20), 0.001 * Random(-20, 20), 0.001 * Random(-20, 20), 0, 128, 0)		
		Stop
	}
}
/* 
ACTOR Explosion_xs_Base
{
	Scale 0.3
	SeeSound "effects/explosion"
	Radius 1 Height 1 Speed 0
	+NOBLOOD +NOGRAVITY
	States
	{
	Spawn:
		TNT1 A 0 A_Explode(24, 64)
		goto Death
	Death:
		CANE ABCDEFGHIJK 2 bright
		Stop
	}
}
*/ 
