//  ********************************************************
//  ***  Monster: BruiserDemon                           ***
//  ***  By: Vader                                       ***
//  ***  Modified By: Cobalt and Butcher                 ***
//  ********************************************************
ACTOR BruiserDemon 3112
{
	Tag "Bruiser Demon"
	Scale 1.05
	BloodColor "ff 96 23"
	Gibhealth 400
	Health 1100
	Radius 28 Height 80 Mass 2000 Speed 8
	PainChance 15
	Monster
	+FLOORCLIP +MISSILEEVENMORE +FIRERESIST
	MissileType BruiserBall
	SeeSound "superbaron/scream"
	PainSound "superbaron/pain"
	DeathSound "superbaron/death"
	ActiveSound "superbaron/act"
	MeleeSound "baron/melee"
	Obituary "%o was slaughtered by a Bruiserdemon."
	HitObituary "%o was cremated by a Bruiserdemon."
	MeleeDamage 20
	States
	{
	Spawn:
		BRUS AB 10 Bright A_Look 
		Loop
	See:
		BRUS AABBCCDD 3 Bright A_Chase
		Loop
	Melee:
		BRUS E 6 Bright A_FaceTarget
		BRUS F 6 Bright A_FaceTarget
		BRUS G 6 Bright A_ComboAttack
		Goto See
	Missile:
		BRUS E 0 Bright A_Jump(144, 8)
		BRUS EF 6 Bright A_FaceTarget
		BRUS G 6 Bright A_MissileAttack
		BRUS G 0 Bright A_Jump(96, 1)
		Goto See
		BRUS HI 6 Bright A_FaceTarget
		BRUS J 6 Bright A_MissileAttack
		Goto See
		BRUS E 0 Bright A_Jump(96, 20)
		BRUS E 6 Bright A_FaceTarget
		BRUS F 4 Bright A_FaceTarget
		BRUS F 2 Bright A_Custommissile("BruiserBall2",34,0,-40,0)
		BRUS G 1 Bright A_Custommissile("BruiserBall2",34,0,-30,0)
		BRUS G 1 Bright A_Custommissile("BruiserBall2",34,0,-20,0)
		BRUS G 1 Bright A_Custommissile("BruiserBall2",34,0,-10,0)
		BRUS G 1 Bright A_Custommissile("BruiserBall2",34,0,0,0)
		BRUS G 1 Bright A_Custommissile("BruiserBall2",34,0,10,0)
		BRUS G 1 Bright A_Custommissile("BruiserBall2",34,0,20,0)
		BRUS G 0 Bright A_Jump(96, 1)
		Goto See
		BRUS H 6 Bright A_FaceTarget
		BRUS I 4 Bright A_FaceTarget
		BRUS I 2 Bright A_Custommissile("BruiserBall2",34,0,40,0)
		BRUS J 1 Bright A_Custommissile("BruiserBall2",34,0,30,0)
		BRUS J 1 Bright A_Custommissile("BruiserBall2",34,0,20,0)
		BRUS J 1 Bright A_Custommissile("BruiserBall2",34,0,10,0)
		BRUS J 1 Bright A_Custommissile("BruiserBall2",34,0,0,0)
		BRUS J 1 Bright A_Custommissile("BruiserBall2",34,0,-10,0)
		BRUS J 1 Bright A_Custommissile("BruiserBall2",34,0,-20,0)
		Goto See
		BRUS KL 6 Bright A_FaceTarget
		BRUS M 2 Bright A_Custommissile("BDFloorFire2",16,0,-8,0)
		BRUS M 2 Bright A_Custommissile("BDFloorFire2",16,0,0,0)
		BRUS M 2 Bright A_Custommissile("BDFloorFire2",16,0,8,0)
		Goto See
	Pain:
		BRUS N 5 Bright A_Pain
 		Goto See
	Death:
		NULL A 0 A_KillMaster
		BRUD A 6 Bright A_Scream
		BRUD BCD 4 Bright 
		BRUD EFG 4 Bright
		BRUD H 4 Bright A_Fall
		BRUD IJKLMNOP 4 Bright
		BRUD QRSTUV 4
		BRUD W -1   
		Stop
	}
}
//  ********** Fireball medium **********
//  BruiserDemon
ACTOR BruiserBall
{
	Radius 16 Height 16 Speed 18
	Damage 16
	Projectile
	+RANDOMIZE +FIREDAMAGE +BLOODLESSIMPACT
	RenderStyle "ADD"
	Alpha 0.9
	SeeSound "imp/attack"
	DeathSound "imp/shotx"
	MissileType BruiserBallTrail
	Missileheight 0
	States
	{
	Spawn: 
		BRBA AABB 2 BRIGHT A_MissileAttack
		Loop
	Death:
		BRBA KLMNOPQRSTUVWX 3 Bright
		Stop
	}
}
actor BruiserBallTrail
{
	Radius 1 Height 1 Speed 0
	PROJECTILE
	RENDERSTYLE ADD
	ALPHA 0.70
	+NOCLIP
	States
	{
	Spawn:
		BRBA CDEFGHIJ 4 Bright
		Stop       
	}
}
//  ********** Fireball small/medium **********
//  BruiserDemon
ACTOR BruiserBall2
{
	Radius 8 Height 8 Speed 10
	Damage 8
	Projectile
	+RANDOMIZE +FIREDAMAGE +BLOODLESSIMPACT
	RenderStyle "ADD"
	Alpha 0.9
	SeeSound "imp/attack"
	DeathSound "imp/shotx"
	States
	{
	Spawn: 
		BRB2 AB 6 BRIGHT 
		Loop
	Death:
		BRB2 CDEFGHI 3 Bright
		Stop
	}
}
//  ********** FloorFire **********
//  ~Eidolon~, BruiserDemon
actor BDFloorFire2//FloorFire2
{
    Radius 8
    Height 6
    Speed 7
    Scale 0.7
    Damage 1
    Obituary "%o was incinerated by Eidolon's fire." 
    PROJECTILE
    +RIPPER +FLOORHUGGER +BLOODLESSIMPACT +FIREDAMAGE
    RENDERSTYLE ADD
    States
    {
    Spawn:
        NULL A 0 Bright A_CustomMissile("BDFloorFireTrail2",0,random(15,-15),0)
        NULL A 2 Bright A_CustomMissile("BDFloorFireTrail2",0,random(15,-15),0)
        NULL G 0 A_Explode(16,72,0)
        NULL A 0 Bright A_CustomMissile("BDFloorFireTrail2",0,random(15,-15),0)
        NULL A 2 Bright A_CustomMissile("BDFloorFireTrail2",0,random(15,-15),0)
        NULL G 0 A_Explode(16,72,0)
        NULL A 0 Bright A_CustomMissile("BDFloorFireTrail2",0,random(15,-15),0)
        NULL A 2 Bright A_CustomMissile("BDFloorFireTrail2",0,random(15,-15),0)
        NULL G 0 A_Explode(16,72,0)
        NULL A 0 Bright A_CustomMissile("BDFloorFireTrail2",0,random(15,-15),0)
        NULL A 2 Bright A_CustomMissile("BDFloorFireTrail2_",0,random(15,-15),0)
        NULL G 0 A_Explode(16,72,0)
        Loop
    Death:
        NULL A 1
        Stop
    }
}
actor BDFloorFireTrail2//FloorFireTrail2
{
    Radius 8
    Height 6
    Speed 0
    DontHurtShooter
    Damage 0
    PROJECTILE
	+FLOORHUGGER
    RENDERSTYLE ADD
    States
    {
    Spawn:
        FRTF ABCDEFGHIJKLMNO 2 Bright
        Stop
    }
}
actor BDFloorFireTrail2_ : BDFloorFireTrail2//3d-light//FloorFireTrail2_
{
}
