//  ********************************************************
//  ***  Monster: Cracko Demon                           ***
//  ***  By: .+:icytux:+.                                ***
//  ***  Modified By: Cobalt and Butcher                 ***
//  ********************************************************
ACTOR CrackoDemon 3118
{
	Tag "Cracko Demon"
//	SpawnID 175
	Health 600
	Radius 32 Height 52 Speed 10 PainChance 128
//	BloodColor "39 59 9F"
	Mass 1000
	Meleedamage 10
	SeeSound "Caco/Sight"
	ActiveSound "Caco/Active"
	PainSound "Caco/Pain"
	DeathSound "Caco/Death"
	Obituary "%o Was Blazed By The Cracko Demon"
	HitObituary "%o Was Crounched By The Cracko Demon"
	MONSTER
	+Missilemore +NOGRAVITY +FLOAT +FASTER +FASTMELEE// +FLOATBOB
	States 
	{ 
	Spawn: 
		HED9 A 10 A_Look 
		Loop 
	See: 
		HED9 A 3 A_Chase 
		Loop
	Melee:
		HED9 B 5 A_FaceTarget
		HED9 C 5 bright A_FaceTarget
		HED9 D 5 bright A_Meleeattack
		HED9 B 5
		Goto See
	Missile: 
		HED9 A 0 A_Jump(56,9)
		HED9 A 0 A_Jump(72,13)
		HED9 B 5 A_FaceTarget
		HED9 C 5 bright A_FaceTarget
		HED9 D 5 A_FaceTarget 
		HED9 B 0 bright A_CustomMissile("CrackodemonBall", 24, 0, 0, 1)
		HED9 B 0 bright A_CustomMissile("CrackodemonBall", 24, 0, -8, 1)
		HED9 B 5 bright A_CustomMissile("CrackodemonBall", 24, 0, 8, 1)
		Goto See 
		HED9 B 5 A_FaceTarget
		HED9 C 5 bright A_CustomMissile("Blusoul", 24, 0, 0, 1)//A_CustomMissile("CrackodemonBall", 24, 0, 0, 1)//A_PainAttack("LostSoul")
		HED9 D 5 bright A_facetarget
		HED9 B 5 bright
		Goto See
		HED9 B 5 A_FaceTarget
		HED9 C 2 bright A_CustomMissile("CrackodemonBall", 24, 0, 16, 1)
		HED9 C 2 bright A_CustomMissile("CrackodemonBall", 24, 0, 12, 1)
		HED9 B 0 A_FaceTarget
		HED9 C 2 bright A_CustomMissile("CrackodemonBall", 24, 0, 8, 1)
		HED9 C 2 bright A_CustomMissile("CrackodemonBall", 24, 0, 4, 1)
		HED9 B 0 A_FaceTarget
		HED9 D 2 bright A_CustomMissile("CrackodemonBall", 24, 0, 0, 1)
		HED9 D 2 bright A_CustomMissile("CrackodemonBall", 24, 0, -4, 1)
		HED9 B 0 A_FaceTarget
		HED9 D 2 bright A_CustomMissile("CrackodemonBall", 24, 0, -8, 1)
		HED9 D 2 bright A_CustomMissile("CrackodemonBall", 24, 0, -12, 1)
		HED9 B 0 A_FaceTarget
		HED9 B 2 bright A_CustomMissile("CrackodemonBall", 24, 0, -16, 1)
		HED9 B 4 bright
		Goto See
	Pain: 
		HED9 E 4 
		HED9 E 4 A_Pain 
		HED9 E 5 
		Goto See 
	Death: 
		NULL A 0 A_KillMaster
		HED9 E 8 A_ChangeFlag(FLOATBOB,0)
		HED9 F 8 A_Scream 
		HED9 GHI 8
		HED9 JK 8 A_NoBlocking 
		HED9 L -1 A_SetFloorClip
		Stop 
	XDeath:
		NULL A 0 A_KillMaster
		TNT1 A 0 A_SpawnItem("rxGibGenerator_s",0,0,0,0)
		TNT1 A 0 A_SpawnItem("rxGibGenerator_s",0,0,0,0)
		TNT1 A 0 A_SpawnItem("rxGibGenerator_s",0,0,0,0)
		TNT1 A 0 A_SpawnItem("rxGibGenerator_s",0,0,0,0)
		TNT1 A 0 A_SpawnItem("rxGibGenerator_m",0,0,0,0)
		Stop
	Raise: 
		HED9 K 8 A_UnsetFloorClip
		HED9 JIHGFE 8 
		Goto See 
	} 
}
//  ********** CacoBall (purple) **********
//  CrackoDemon
Actor CrackodemonBall // :
{
	Decal DoomImpScorch
	Radius 8 Height 6 Speed 15
	Damage 10
	PROJECTILE
	RENDERSTYLE ADD
	ALPHA 0.8
	SeeSound "Imp/attack"
	DeathSound "Imp/shotx"
	States
	{
	Spawn:
		BAL9 AAAABBBB 1 BRIGHT A_CustomMissile("CrackoBallTrail", 0, 0, 0, 0)
		Loop
	Death:
		BAL9 CDE 6 BRIGHT
		Stop
	}
}
Actor CrackoBallTrail
{
	Radius 1 Height 1
	+NOCLIP +NOGRAVITY +FLOAT
	Renderstyle ADD
	Alpha 0.1
	States
	{
	Spawn:
		BAL9 AB 5 Bright
		stop
	}
}
//  ********** Blue Soul Shot **********
//  CrackoDemon
Actor Blusoul : CrackodemonBall
{
	Radius 12
	Height 24
	Speed 20
	Damage 20
	ExplosionDamage 30
	ExplosionRadius 64
	SeeSound "Blusoul/see"
	DeathSound "Blusoul/death"
	States
	{
	Spawn:
		SKUD CCCCDDDD 1 BRIGHT A_CustomMissile("BlusoulTrail", 16, 0, 0, 0)
		Loop
	Death:
		SKUD H 4 BRIGHT A_Mushroom("CrackodemonBall", 8)
		SKUD I 4 BRIGHT A_Explode
		SKUD JK 4 BRIGHT
		stop
	}
}
Actor BlusoulTrail
{
	Radius 1
	Height 1
	+NOCLIP
	+NOGRAVITY
	+FLOAT
	Renderstyle ADD
	Alpha 0.5
	States
	{
	Spawn:
		BAL9 A 0 A_CStaffMissileSlither
		BAL9 AB 4 BRIGHT A_FadeOut (0.1)
		loop
	}
}
