//  ********************************************************
//  ***  Monster: Cultist black                          ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
actor Cultist_black 3304
{
	Tag "Cultist"
//	Translation "192:207=[64,64,64]:[32,32,32]", "240:244=[32,32,32]:[16,16,16]"//black
//	Translation "192:207=[128,128,128]:[64,64,64]", "240:244=[64,64,64]:[32,32,32]"//gray
	Translation "192:207=[96,96,96]:[48,48,48]", "240:244=[48,48,48]:[24,24,24]"//dark gray
	Scale 0.56
	Damage 15
	Health 110 gibhealth 120
	Radius 20
	Height 56
	Speed 4
	PainChance 128
	MONSTER 
	+FLOORCLIP +MISSILEMORE +MISSILEEVENMORE
	SeeSound "kultist/sight"
	PainSound "kultist/pain"
	DeathSound "kultist/death"
	Obituary "%o couldn't run from the Cultists."
	HitObituary "%o was beaten to death by an Cultists TNT."
	DropItem sp_machineguns
	DropItem sp_tnt
	States
	{
		Spawn:
			CUL1 CD 10 A_Look
			Loop
		See:
			CUL1 AABBCCDDEEFF 2 A_Chase
			CUL1 F 0 A_Jump(32,1)
			Loop
			CUL1 F 0
			CUL1 F 0 A_PlayWeaponSound("kultist/spot")
			Loop
		Melee: 
		Missile:
			CUL1 G 0 A_Jumpifcloser(600, 1)
			Goto Missile+5
			CUL1 G 0 A_Jumpifcloser(232, 3)
			CUL1 G 0 A_Jump(20,33)
			CUL1 G 0 A_Jump(48,44)
			CUL1 G 0
			CUL1 G 0
			CUL1 G 0
			CUL1 G 0
//  Grenze
			CUL1 G 6 A_FaceTarget 
			CUL1 G 0 A_PlaySound("weapons/Tommygun")
			CUL1 H 3 A_CustomBulletAttack(6, 6, 1, 6, "BulletPuff", 600)
			CUL1 G 3
			CUL1 G 0 BRIGHT A_CustomMissile("CasingBullet_x_monster",45+random(-8,8),2,270+random(-16,16))
			CUL1 G 0 A_PlaySound("weapons/Tommygun")
			CUL1 H 3 A_CustomBulletAttack(6, 6, 1, 6, "BulletPuff", 600)
			CUL1 G 3
			CUL1 G 0 BRIGHT A_CustomMissile("CasingBullet_x_monster",45+random(-8,8),2,270+random(-16,16))
			CUL1 G 0 A_PlaySound("weapons/Tommygun")
			CUL1 H 3 A_CustomBulletAttack(6, 6, 1, 6, "BulletPuff", 600)
			CUL1 G 3
			CUL1 G 0 BRIGHT A_CustomMissile("CasingBullet_x_monster",45+random(-8,8),2,270+random(-16,16))
			CUL1 G 0 A_PlaySound("weapons/Tommygun")
			CUL1 H 3 A_CustomBulletAttack(6, 6, 1, 6, "BulletPuff", 600)
			CUL1 G 3
			CUL1 G 0 BRIGHT A_CustomMissile("CasingBullet_x_monster",45+random(-8,8),2,270+random(-16,16))
			CUL1 G 0 A_PlaySound("weapons/Tommygun")
			CUL1 H 3 A_CustomBulletAttack(6, 6, 1, 6, "BulletPuff", 600)
			CUL1 G 3
			CUL1 G 0 BRIGHT A_CustomMissile("CasingBullet_x_monster",45+random(-8,8),2,270+random(-16,16))
			CUL1 G 0 A_PlaySound("weapons/Tommygun")
			CUL1 H 3 A_CustomBulletAttack(6, 6, 1, 6, "BulletPuff", 600)
			CUL1 G 3
			CUL1 G 0 BRIGHT A_CustomMissile("CasingBullet_x_monster",45+random(-8,8),2,270+random(-16,16))
			CUL1 G 0
			CUL1 G 12 A_FaceTarget 
			Goto See
			CUL1 I 0
			CUL1 I 6 A_FaceTarget 
			CUL1 I 0 A_PlaySound("weapons/tntwurf")
			CUL1 JKLMN 2
			CUL1 N 0
			CUL1 N 0 A_CustomMissile("TNT_BURN_FL_KULT", 32, 0, 4, 1)
			CUL1 N 0
			CUL1 A 12 A_FaceTarget 
			Goto See
			CUL1 I 0
			CUL1 I 6 A_FaceTarget 
			CUL1 I 0 A_PlaySound("weapons/tntwurf")
			CUL1 JKLMN 2
			CUL1 N 0
			CUL1 N 0 A_CustomMissile("TNT_BURN_FL_ALT_KULT", 32, 0, 4, 1)
			CUL1 N 0
			CUL1 A 12 A_FaceTarget 
			Goto See
		Pain:
			CUL1 O 0
			CUL1 O 8 A_Pain
			Goto See
		Raise:
			CUL1 WVUTSRQP 4
			goto See
		Death:
			NULL A 0 A_KillMaster
			CUL1 P 6 A_Scream
			CUL1 QRSTUVW 6
			CUL1 W 0
			CUL1 W 6 A_Fall
			CUL1 W -1
			Stop
		XDeath:
			NULL A 0 A_KillMaster
			NULL A 0 A_SpawnDebris("rGib1",0) //(Human hand)
			NULL A 0 A_SpawnDebris("rGib2",0) //(Human arm)
			NULL A 0 A_SpawnDebris("rGib3",0) //(eyeball)
			NULL A 0 A_SpawnDebris("rGib3",0) //(eyeball)
			NULL A 0 A_SpawnDebris("rGib19",0) //(brain)
			NULL A 0 A_SpawnItem("rxGibGenerator_s",0,0,0,0)
			NULL A 0 A_SpawnItem("rxGibGenerator_s",0,0,0,0)
			NULL A 0 A_SpawnItem("rxGibGenerator_s",0,0,0,0)
			NULL A 0 A_SpawnItem("rxGibGenerator_s",0,0,0,0)
			Stop
		Burn: 
			NULL A 0 A_KillMaster
			NULL A 0 A_PlaySound("human/burndeath")
			NULL A 0 A_SpawnItemEx("Human_Burn", 0, 0, 0, 0, 0, 0, 0, 32, 0)
			Stop
	}
}
//  ********************************************************
//  ***  Weapon: Cultists TNT Explosion                  ***
//  ********************************************************
//  <Cultists>
//  Shots cultist TNT (part1 in air)
ACTOR TNT_BURN_FL_KULT
{ 
	Health 20
	Radius 12 Height 8 Speed 40
	Damage 0 ExplosionDamage 182 ExplosionRadius 162
	+NOBLOCKMAP +ACTIVATEPCROSS +ACTIVATEIMPACT +NOTELEPORT +MISSILE +NOBLOOD +SHOOTABLE
	Scale 0.4
	Renderstyle Normal
	States
	{
		Spawn:
			KUTT ABCDEFGH 2
			Loop
		Death:
			KUTT H 0 A_CustomMissile("TNTExplosion_KULT", 0, 0, 0)
			Stop
	}
}
//  Shots cultist TNT (part2 on floor)
ACTOR TNT_BURN_FL_ALT_KULT
{ 
	Health 20
	Radius 12 Height 8 Speed 40
	Damage 0 ExplosionDamage 232 ExplosionRadius 192
	+NOBLOCKMAP +ACTIVATEPCROSS +ACTIVATEIMPACT +NOTELEPORT +MISSILE +NOBLOOD +SHOOTABLE
	Scale 0.5 Renderstyle Normal
	States
	{
	Spawn:
		KUTT ABCDEFGH 2
		Loop
	Death:
		KUTT IJKIJKIJKIJKIJK 2
		KUTT IJKIJKIJKIJKIJK 2
		KUTT L 0 A_CustomMissile("TNTExplosion_KULT", 0, 0, 0)
		Stop
	}
}
//  Shots cultist TNT (part3 explosion)
ACTOR TNTExplosion_KULT : SFX_Explosion_m_Base
{
	SpawnID 202
	Scale 0.8
//	SeeSound "weapons/tntexplode"
	Radius 1 Height 1 Speed 0
	States
	{
		Spawn:
			TNT1 A 0 Radius_Quake(3, 28, 1, 4, 0)
			TNT1 A 0 BRIGHT A_Explode(128, 162)
			goto Death
	}
}
