//  ********************************************************
//  ***  Monster: Cultist blue                           ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
actor Cultist_blue 3301
{
	Tag "Cultist"
	Scale 0.56
	Damage 7
	Health 110 gibhealth 120
	Radius 20
	Height 56
	Speed 4
	PainChance 128
	MONSTER 
	+FLOORCLIP +MISSILEEVENMORE
	SeeSound "kultist/sight"
	PainSound "kultist/pain"
	DeathSound "kultist/death"
	Obituary "%o couldn't run from the Cultists."
	HitObituary "%o was beaten to death by an Cultists TNT."
	DropItem sp_plasmaguns
	DropItem sp_tnt
	States
	{
		Spawn:
			CUL1 CD 10 A_Look
			Loop
		See:
			CUL1 AABBCCDDEEFF 2 A_Chase
			CUL1 F 0 A_Jump(32,1)
			Loop
			CUL1 F 0
			CUL1 F 0 A_PlayWeaponSound("kultist/spot")
			Loop
		Melee: 
		Missile:
			CUL1 G 0 A_Jumpifcloser(600, 1)
			Goto Missile+5
			CUL1 G 0 A_Jumpifcloser(232, 3)
			CUL1 G 0 A_Jump(30,14)
			CUL1 G 0 A_Jump(64,25)
			CUL1 G 0
			CUL1 G 0
			CUL1 G 0
			CUL1 G 0
//  Grenze
			CUL1 G 0
			CUL1 G 6 A_FaceTarget 
			CUL1 G 0 A_PlaySound("monsters/wizarattack")
			CUL1 H 8 A_CustomMissile("IceBusterShot", 36, -6, Random(-6, 6), 1)
			CUL1 G 0
			CUL1 G 0
			CUL1 G 0
			CUL1 G 12 A_FaceTarget 
			Goto See
			CUL1 I 0
			CUL1 I 6 A_FaceTarget 
			CUL1 I 0 A_PlaySound("weapons/tntwurf")
			CUL1 JKLMN 2
			CUL1 N 0
			CUL1 N 0 A_CustomMissile("TNT_BURN_FL_KULT", 32, 0, 4, 1)
			CUL1 N 0
			CUL1 A 12 A_FaceTarget 
			Goto See
			CUL1 I 0
			CUL1 I 6 A_FaceTarget 
			CUL1 I 0 A_PlaySound("weapons/tntwurf")
			CUL1 JKLMN 2
			CUL1 N 0
			CUL1 N 0 A_CustomMissile("TNT_BURN_FL_ALT_KULT", 32, 0, 4, 1)
			CUL1 N 0
			CUL1 A 12 A_FaceTarget 
			Goto See
		Pain:
			CUL1 O 0
			CUL1 O 8 A_Pain
			Goto See
		Raise:
			CUL1 WVUTSRQP 4
			goto See
		Death:
			NULL A 0 A_KillMaster
			CUL1 P 6 A_Scream
			CUL1 QRSTUVW 6
			CUL1 W 0
			CUL1 W 6 A_Fall
			CUL1 W -1
			Stop
		XDeath:
			NULL A 0 A_KillMaster
			NULL A 0 A_SpawnDebris("rGib1",0) //(Human hand)
			NULL A 0 A_SpawnDebris("rGib2",0) //(Human arm)
			NULL A 0 A_SpawnDebris("rGib3",0) //(eyeball)
			NULL A 0 A_SpawnDebris("rGib3",0) //(eyeball)
			NULL A 0 A_SpawnDebris("rGib19",0) //(brain)
			NULL A 0 A_SpawnItem("rxGibGenerator_s",0,0,0,0)
			NULL A 0 A_SpawnItem("rxGibGenerator_s",0,0,0,0)
			NULL A 0 A_SpawnItem("rxGibGenerator_s",0,0,0,0)
			NULL A 0 A_SpawnItem("rxGibGenerator_s",0,0,0,0)
			Stop
		Burn: 
			NULL A 0 A_KillMaster
			NULL A 0 A_PlaySound("human/burndeath")
			NULL A 0 A_SpawnItemEx("Human_Burn", 0, 0, 0, 0, 0, 0, 0, 32, 0)
			Stop
	}
}
//  ********** IceBall **********
//  Cultist_blue
ACTOR IceBusterShot
{
	Radius 3 Height 3 Speed 20
	Damage 16
	+MISSILE +ICEDAMAGE +NOGRAVITY
	RENDERSTYLE ADD
	ALPHA 0.67
	DeathSound "weapons/busterboom"//?
	States
	{
		Spawn:
			SAIC AB 4 BRIGHT //A_CustomMissile("BusterTrail2",0,0,0,0)
			Loop
		Death:
			SAIX ABCDE 3 BRIGHT
			Stop
	}
}
