//  ********************************************************
//  ***  Monster: Cultist brown                          ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
actor Cultist_brown 3300
{
	Tag "Cultist"
//	Translation "192:207=[115,90,60]:[60,45,25]", "240:244=[60,45,30]:[40,25,10]" //dark brown
//	Translation "192:207=[140,96,60]:[70,48,30]", "240:244=[70,48,30]:[56,24,4]" //brown
	Translation "192:207=[160,106,64]:[80,53,32]", "240:244=[80,53,32]:[40,26,16]" //orange brown
	Scale 0.56
	Damage 7
	Health 110 gibhealth 120
	Radius 20
	Height 56
	Speed 4
	PainChance 128
	MONSTER 
	+FLOORCLIP +MISSILEEVENMORE
	SeeSound "kultist/sight"
	PainSound "kultist/pain"
	DeathSound "kultist/death"
	Obituary "%o couldn't run from the Cultists."
	HitObituary "%o was beaten to death by an Cultists TNT."
	DropItem sp_shotguns
	DropItem sp_tnt
	States
	{
		Spawn:
			CUL1 CD 10 A_Look
			Loop
		See:
			CUL1 AABBCCDDEEFF 2 A_Chase
			CUL1 F 0 A_Jump(32,1)  //A_Jump(Chance 0-255, Jump)  
			Loop
			CUL1 F 0
			CUL1 F 0 A_PlayWeaponSound("kultist/spot")
			Loop
		Melee: 
		Missile:
			CUL1 G 0 A_Jumpifcloser(600, 1)
			Goto Missile+5
			CUL1 G 0 A_Jumpifcloser(232, 3)
			CUL1 G 0 A_Jump(30,14)
			CUL1 G 0 A_Jump(64,25)
			CUL1 G 0 // A_Jump(128,11) //50% chance
			CUL1 G 0
			CUL1 G 0
			CUL1 G 0
//  Grenze
			CUL1 G 0
			CUL1 G 6 A_FaceTarget 
			CUL1 G 0 A_PlaySound("shotguy/attack")
			CUL1 H 8 A_CustomBulletAttack(4, 4, 10, 4, "BulletPuff", 1400)//A_BulletAttack
			CUL1 G 0 BRIGHT A_CustomMissile("CasingShotgun_monster",45+random(-8,8),2,270+random(-16,16))
			CUL1 G 0
			CUL1 G 0
			CUL1 G 12 A_FaceTarget 
			Goto See
			CUL1 I 0
			CUL1 I 6 A_FaceTarget 
			CUL1 I 0 A_PlaySound("weapons/tntwurf")
			CUL1 JKLMN 2
			CUL1 N 0
			CUL1 N 0 A_CustomMissile("TNT_BURN_FL_KULT", 32, 0, 4, 1)
			CUL1 N 0
			CUL1 A 12 A_FaceTarget 
			Goto See
			CUL1 I 0
			CUL1 I 6 A_FaceTarget 
			CUL1 I 0 A_PlaySound("weapons/tntwurf")
			CUL1 JKLMN 2
			CUL1 N 0
			CUL1 N 0 A_CustomMissile("TNT_BURN_FL_ALT_KULT", 32, 0, 4, 1)
			CUL1 N 0
			CUL1 A 12 A_FaceTarget 
			Goto See
		Pain:
			CUL1 O 0
			CUL1 O 8 A_Pain
			Goto See
		Raise:
			CUL1 WVUTSRQP 4
			goto See
		Death:
			NULL A 0 A_KillMaster
			CUL1 P 6 A_Scream
			CUL1 QRSTUVW 6
			CUL1 W 0
			CUL1 W 6 A_Fall
			CUL1 W -1
			Stop
		XDeath:
			NULL A 0 A_KillMaster
			NULL A 0 A_SpawnDebris("rGib1",0) //(Human hand)
			NULL A 0 A_SpawnDebris("rGib2",0) //(Human arm)
			NULL A 0 A_SpawnDebris("rGib3",0) //(eyeball)
			NULL A 0 A_SpawnDebris("rGib3",0) //(eyeball)
			NULL A 0 A_SpawnDebris("rGib19",0) //(brain)
			NULL A 0 A_SpawnItem("rxGibGenerator_s",0,0,0,0)
			NULL A 0 A_SpawnItem("rxGibGenerator_s",0,0,0,0)
			NULL A 0 A_SpawnItem("rxGibGenerator_s",0,0,0,0)
			NULL A 0 A_SpawnItem("rxGibGenerator_s",0,0,0,0)
//			KUT1 A 6 A_XScream
//			KUT1 BCDEFGH 6
//			KUT1 I 0 A_SpawnItem("Shell2", 1, 0, 0)
//			KUT1 I 6 A_Fall
//			KUT1 I -1
			Stop
		Burn: 
			NULL A 0 A_KillMaster
			NULL A 0 A_PlaySound("human/burndeath")
			NULL A 0 A_SpawnItemEx("Human_Burn", 0, 0, 0, 0, 0, 0, 0, 32, 0)
			Stop
	}
}
