//  ********************************************************
//  ***  Monster: Kultist yellow                         ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
actor Cultist_yellow 3305
{
	Tag "Cultist"
	Translation "192:207=[255,255,30]:[128,128,15]", "240:244=[128,128,15]:[64,64,8]"
	Scale 0.56
	Damage 7
	Health 110 gibhealth 120
	Radius 20
	Height 56
	Speed 4
	PainChance 128
	MONSTER 
	+FLOORCLIP +MISSILEEVENMORE
	SeeSound "kultist/sight"
	PainSound "kultist/pain"
	DeathSound "kultist/death"
	Obituary "%o couldn't run from the Cultists."
	HitObituary "%o was beaten to death by an Cultists TNT."
	DropItem sp_pistols
	DropItem sp_tnt
	States
	{
		Spawn:
			CUL1 CD 10 A_Look
			Loop
		See:
			CUL1 AABBCCDDEEFF 2 A_Chase
			CUL1 F 0 A_Jump(32,1)
			Loop
			CUL1 F 0
			CUL1 F 0 A_PlayWeaponSound("kultist/spot")
			Loop
		Melee: 
		Missile:
			CUL1 G 0 A_Jumpifcloser(600, 1)
			Goto Missile+5
			CUL1 G 0 A_Jumpifcloser(232, 3)
			CUL1 G 0 A_Jump(30,23)
			CUL1 G 0 A_Jump(64,36)
			CUL1 G 0
			CUL1 G 0
			CUL1 G 0
			CUL1 G 0
//  Grenze
			CUL1 G 6 A_FaceTarget 
			CUL1 G 0 A_PlaySound("weapons/Tommygun")
			CUL1 H 3 A_PosAttack
			CUL1 G 3
			CUL1 G 0 BRIGHT A_CustomMissile("CasingBullet_x_monster",45+random(-8,8),2,270+random(-16,16))
			CUL1 G 0 A_PlaySound("weapons/Tommygun")
			CUL1 H 3 A_PosAttack
			CUL1 G 3
			CUL1 G 0 BRIGHT A_CustomMissile("CasingBullet_x_monster",45+random(-8,8),2,270+random(-16,16))
			CUL1 G 0 A_PlaySound("weapons/Tommygun")
			CUL1 H 3 A_PosAttack
			CUL1 G 3
			CUL1 G 0 BRIGHT A_CustomMissile("CasingBullet_x_monster",45+random(-8,8),2,270+random(-16,16))
			CUL1 G 0
			CUL1 G 0
			CUL1 G 0
			CUL1 G 12 A_FaceTarget 
			Goto See
			CUL1 I 0
			CUL1 I 6 A_FaceTarget 
			CUL1 I 0 A_PlaySound("weapons/tntwurf")
			CUL1 JKLMN 2
			CUL1 N 0
			CUL1 N 0 A_CustomMissile("Bottlex_kultist", 32, 0, 4, 1)
			CUL1 N 0
			CUL1 A 12 A_FaceTarget 
			Goto See
			CUL1 I 0
			CUL1 I 6 A_FaceTarget 
			CUL1 I 0 A_PlaySound("weapons/tntwurf")
			CUL1 JKLMN 2
			CUL1 N 0
			CUL1 N 0 A_CustomMissile("Bottlex_kultist", 32, 0, 4, 1)
			CUL1 N 0
			CUL1 A 12 A_FaceTarget 
			Goto See
		Pain:
			CUL1 O 0
			CUL1 O 8 A_Pain
			Goto See
		Raise:
			CUL1 WVUTSRQP 4
			goto See
		Death:
			NULL A 0 A_KillMaster
			CUL1 P 6 A_Scream
			CUL1 QRSTUVW 6
			CUL1 W 0
			CUL1 W 6 A_Fall
			CUL1 W -1
			Stop
		XDeath:
			NULL A 0 A_KillMaster
			NULL A 0 A_SpawnDebris("rGib1",0) //(Human hand)
			NULL A 0 A_SpawnDebris("rGib2",0) //(Human arm)
			NULL A 0 A_SpawnDebris("rGib3",0) //(eyeball)
			NULL A 0 A_SpawnDebris("rGib3",0) //(eyeball)
			NULL A 0 A_SpawnDebris("rGib19",0) //(brain)
			NULL A 0 A_SpawnItem("rxGibGenerator_s",0,0,0,0)
			NULL A 0 A_SpawnItem("rxGibGenerator_s",0,0,0,0)
			NULL A 0 A_SpawnItem("rxGibGenerator_s",0,0,0,0)
			NULL A 0 A_SpawnItem("rxGibGenerator_s",0,0,0,0)
			Stop
		Burn: 
			NULL A 0 A_KillMaster
			NULL A 0 A_PlaySound("human/burndeath")
			NULL A 0 A_SpawnItemEx("Human_Burn", 0, 0, 0, 0, 0, 0, 0, 32, 0)
			Stop
	}
}
//  ********************************************************
//  ***  Weapon: Molotovx                                ***
//  ********************************************************
//  ********** Flying Bottle/Molotov Cocktail **********
//  Cultist_yellow
ACTOR Bottlex_kultist
{
	DeathSound "weapons/bottle"
	Scale 0.4
	Radius 12
	Height 8
	Speed 40
	Damage 5
	+FIREDAMAGE
	+NOBLOCKMAP
	+ACTIVATEPCROSS
	+ACTIVATEIMPACT
	+NOTELEPORT
	+DROPOFF
	+DONTFALL
	+MISSILE
	States
	{
		Spawn:
			MOGT A 1
			MOGT B 1
			MOGT C 1 
			MOGT D 1
			MOGT E 1
			Loop
		Death:
			TNT1 G 1 
			TNT1 A 1 A_Explode(6, 64, 0)
//			TNT1 I 0 A_CustomMissile("FireOnFloor_FireFieldSpawner_Cultist", 0, 0, 0)
			TNT1 A 0 A_CustomMissile("FireOnFloorShot_Cultist", 0, Random(-4, 4), 0)
			TNT1 A 0 A_CustomMissile("FireOnFloorShot_NoLight_Cultist", 0, Random(-4, 4), 32)
			TNT1 A 0 A_CustomMissile("FireOnFloorShot_NoLight_Cultist", 0, Random(-4, 4), 64)
			TNT1 A 0 A_CustomMissile("FireOnFloorShot_NoLight_Cultist", 0, Random(-4, 4), 96)
			TNT1 A 0 A_CustomMissile("FireOnFloorShot_NoLight_Cultist", 0, Random(-4, 4), 128)
			TNT1 A 0 A_CustomMissile("FireOnFloorShot_NoLight_Cultist", 0, Random(-4, 4), 160)
			TNT1 A 0 A_CustomMissile("FireOnFloorShot_NoLight_Cultist", 0, Random(-4, 4), 192)
			TNT1 A 0 A_CustomMissile("FireOnFloorShot_NoLight_Cultist", 0, Random(-4, 4), 224)
			TNT1 A 0 A_CustomMissile("FireOnFloorShot_NoLight_Cultist", 0, Random(-4, 4), 256)
			TNT1 A 0 A_CustomMissile("FireOnFloorShot_NoLight_Cultist", 0, Random(-4, 4), 288)
			TNT1 A 0 A_CustomMissile("FireOnFloorShot_NoLight_Cultist", 0, Random(-4, 4), 320)
			TNT1 A 0 A_CustomMissile("FireOnFloorShot_NoLight_Cultist", 0, Random(-4, 4), 352)
			TNT1 ABC 3
			TNT1 C 0 A_Jump(191,4)
			TNT1 DEFGHIJ 3
			TNT1 KLMNO 3
			Stop
	}
}
//  ********** Fire on Floor **********
//Fire on Floor Start
/* 
ACTOR FireOnFloor_FireFieldSpawner_Cultist//FireOnFloor_FireFieldSpawner
{
	Radius 3
	Height 3
	Speed 12
	Scale 0.5
	PROJECTILE
	+RIPPER +BLOODLESSIMPACT -NOGRAVITY// +FLOORHUGGER +FLOORCLIP
	States
	{
		Spawn:
			TNT1 A 0
			TNT1 A 0 A_CustomMissile("FireOnFloorShot_Cultist", 0, Random(-4, 4), 0)
			TNT1 A 0 A_CustomMissile("FireOnFloorShot_NoLight_Cultist", 0, Random(-4, 4), 32)
			TNT1 A 0 A_CustomMissile("FireOnFloorShot_NoLight_Cultist", 0, Random(-4, 4), 64)
			TNT1 A 0 A_CustomMissile("FireOnFloorShot_NoLight_Cultist", 0, Random(-4, 4), 96)
			TNT1 A 0 A_CustomMissile("FireOnFloorShot_NoLight_Cultist", 0, Random(-4, 4), 128)
			TNT1 A 0 A_CustomMissile("FireOnFloorShot_NoLight_Cultist", 0, Random(-4, 4), 160)
			TNT1 A 0 A_CustomMissile("FireOnFloorShot_NoLight_Cultist", 0, Random(-4, 4), 192)
			TNT1 A 0 A_CustomMissile("FireOnFloorShot_NoLight_Cultist", 0, Random(-4, 4), 224)
			TNT1 A 0 A_CustomMissile("FireOnFloorShot_NoLight_Cultist", 0, Random(-4, 4), 256)
			TNT1 A 0 A_CustomMissile("FireOnFloorShot_NoLight_Cultist", 0, Random(-4, 4), 288)
			TNT1 A 0 A_CustomMissile("FireOnFloorShot_NoLight_Cultist", 0, Random(-4, 4), 320)
			TNT1 A 0 A_CustomMissile("FireOnFloorShot_NoLight_Cultist", 0, Random(-4, 4), 352)
			Goto Death
		Death:
			TNT1 A 0
			Stop
	}
}
*/ 
/* 
ACTOR FireOnFloor_FireFieldSpawner_s
{
	Radius 3
	Height 3
	Speed 12
	Scale 0.5
	PROJECTILE
	+RIPPER +BLOODLESSIMPACT -NOGRAVITY// +FLOORHUGGER +FLOORCLIP
	States
	{
		Spawn:
			TNT1 A 0
			TNT1 A 0 A_CustomMissile("FireOnFloorShot_Cultist", 0, Random(-4, 4), 0)
			TNT1 A 0 A_CustomMissile("FireOnFloorShot_NoLight_Cultist", 0, Random(-4, 4), 32)
			TNT1 A 0 A_CustomMissile("FireOnFloorShot_NoLight_Cultist", 0, Random(-4, 4), 64)
			TNT1 A 0 A_CustomMissile("FireOnFloorShot_NoLight_Cultist", 0, Random(-4, 4), 128)
			TNT1 A 0 A_CustomMissile("FireOnFloorShot_NoLight_Cultist", 0, Random(-4, 4), 192)
			TNT1 A 0 A_CustomMissile("FireOnFloorShot_NoLight_Cultist", 0, Random(-4, 4), 256)
			TNT1 A 0 A_CustomMissile("FireOnFloorShot_NoLight_Cultist", 0, Random(-4, 4), 320)
			Goto Death
		Death:
			TNT1 A 0
			Stop
	}
}
*/ 
ACTOR FireOnFloorShot_Cultist//FireOnFloorShot
{
	Radius 3 Height 3 Speed 12
	Scale 0.5
	PROJECTILE
	+RIPPER +BLOODLESSIMPACT -NOGRAVITY// +FLOORHUGGER +FLOORCLIP
	States
	{
		Spawn:
			TNT1 A 0
			TNT1 A 1 A_Jump(64, 4)
			TNT1 A 1 A_Jump(64, 3)
			TNT1 A 1 A_Jump(64, 2)
			TNT1 A 1
			TNT1 A 0
			Goto Death
		Death:
			TNT1 A 0 A_CustomMissile("FireOnFloor", Random(0, 12) + 24, Random(-4, 4), 48)
			Stop
	}
}
ACTOR FireOnFloorShot_NoLight_Cultist : FireOnFloorShot_Cultist//FireOnFloorShot_NoLight
{
	States
	{
		Death:
			TNT1 A 0 A_CustomMissile("FireOnFloor_NoLight", Random(0, 12) + 24, Random(-4, 4), 48)
			Stop
	}
}
