actor DoomImp_ replaces DoomImp //3001
{
	Tag "Imp"
//	"Scale (Random(10, 100)*0.01)"
	spawnid 5
	obituary "%o was burned by an imp."
	hitobituary "%o was slashed by an imp."
	health 60 gibhealth 120
	radius 20
	height 56
	mass 100
	speed 8
	painchance 200
	seesound "imp/sight"
	painsound "imp/pain"
	deathsound "imp/death"
	activesound "imp/active"
	MONSTER
	+FLOORCLIP +MISSILEMORE
	MeleeDamage 9
	states
	{
	Spawn:
		TROO AB 10 A_Look
		loop
	See:
		TROO AABBCCDD 3 A_Chase
		loop
	Melee:
		TROO EF 8 A_FaceTarget
		TROO G 0 A_PlaySound("imp/clawattack")
		TROO G 6 A_MeleeAttack
		goto See
	Missile:
		TROO EF 8 A_FaceTarget
		TROO G 6 A_CustomMissile("DoomImpBall_", 32, 8, Random(-2, 2), 0)
		goto See
	Pain:
		TROO H 2
		TROO H 2 A_Pain
		goto See
	Death:
		NULL A 0 A_KillMaster
		TROO I 8
		TROO J 8 A_Scream
		TROO K 6
		TROO L 6 A_NoBlocking
		TROO M -1
		stop
	XDeath:
		NULL A 0 A_KillMaster
		NULL A 0 A_SpawnDebris("rGib5",0) //(Imp hand [skin brown])
		NULL A 0 A_SpawnDebris("rGib5",0) //(Imp hand [skin brown])
		NULL A 0 A_SpawnDebris("rGib3",0) //(eyeball)
		NULL A 0 A_SpawnDebris("rGib3",0) //(eyeball)
		NULL A 0 A_SpawnDebris("rGib19",0) //(brain)
		NULL A 0 A_SpawnItem("rxGibGenerator_s",0,0,0,0)
		NULL A 0 A_SpawnItem("rxGibGenerator_s",0,0,0,0)
		NULL A 0 A_SpawnItem("rxGibGenerator_s",0,0,0,0)
		NULL A 0 A_SpawnItem("rxGibGenerator_s",0,0,0,0)
//		TROO N 5
//		TROO O 5 A_XScream
//		TROO P 5
//		TROO Q 5 A_NoBlocking
//		TROO RST 5
//		TROO U -1
		Stop
	Burn: 
		NULL A 0 A_KillMaster
		NULL A 0 A_PlaySound("imp/death")
		NULL A 0 A_SpawnItemEx("Human_Burn", 0, 0, 0, 0, 0, 0, 0, 32, 0)
		Stop
	Raise:
		TROO ML 8
		TROO KJI 6
		goto See
	}
}
actor StealthDoomImp_ : DoomImp_ replaces StealthDoomImp //9057
{
	spawnid 122
	obituary "%o thought %g saw an imp."
	hitobituary "%o thought %g saw an imp."
	renderstyle Translucent
	alpha 0
	+STEALTH
}
//  *****************
//  ***  ImpBall  ***
//  *****************
actor DoomImpBall_ : FireBallYellow_m_Base replaces DoomImpBall
{
	Decal DoomImpScorch
	spawnid 10
	Scale 0.2
	Damage 8
	RenderStyle Add Alpha 0.8
	+STRIFEDAMAGE +RANDOMIZE +FIREDAMAGE +FORCEXYBILLBOARD
	Radius 6 Height 8 Speed 16 FastSpeed 25
	seesound "imp/attack"
	deathsound "imp/shotx"
	PROJECTILE
/* 
	states
	{
	Spawn:
		SBL1 ABCDE 3 bright A_SpawnItemEx("SFX_DoomImpBallTail1", -MomX, -MomY, -MomZ, (MomX*0.96), (MomY*0.96), (MomZ*0.96), -Angle, 128 | SXF_ABSOLUTEPOSITION | SXF_ABSOLUTEMOMENTUM | SXF_SETMASTER)
//		SBL1 ABCDE 1 bright A_SpawnItemEx("SFX_DoomImpBallFX_", 0, random(-3,3), random(-3,3), random(-1,1), random(-1,1), random(-1,1), 0, 128, 0)
		loop
	Death:
		TNT1 AAAAAAAAAA 0 A_SpawnItemEx("SFX_PlasmaSparkYellow", Random(-4, 4), Random(-4, 4), Random(-4, 4), 0.001 * Random(1000, 3000), 0.001 * Random(1000, 3000), 0.001 * Random(0, 3000), Random(0, 359), 128, 0)
		TNT1 A 0 A_SpawnItemEx("SFX_PlasmaRandomFlareYellow", 0, 0, 0, 0, 0, 0, 0, 128, 0)
		TNT1 AAAAAAAAAA 0 A_SpawnItemEx("SFX_PlasmaSparkSmallYellow", 0, 0, 0, 0.001 * Random(300, 1000), 0.001 * Random(300, 1000), 0.001 * Random(0, 1000), Random(0, 359), 128, 0)
		SBL1 HHHGGGFFFFFFGGGHHHIIIJJJKKL 1 bright A_FadeOut(0.05)
		stop
	}
*/ 
}
/* 
actor DoomImpBall_//SFX_DoomImpBall_ replaces DoomImpBall_
{
	Decal DoomImpScorch
	spawnid 10
	Scale 0.3
	Damage 8
	RenderStyle Add Alpha 0.8
	+STRIFEDAMAGE +RANDOMIZE +FIREDAMAGE
	Radius 6 Height 8 Speed 16 FastSpeed 22
	seesound "imp/attack"
	deathsound "imp/shotx"
	PROJECTILE
	states
	{
	Spawn:
//		SBL1 ABC 1 bright A_SpawnItemEx("FlameFireYellow1", Random(-2, 2), Random(-2, 2), Random(-2, 2), 0.001 * Random(10, 200), 0.001 * Random(10, 200), 0.001 * Random(1000, 1600), 0, 128, 0)
//		SBL1 DE 1 bright A_SpawnItemEx("FlameFireYellow2", Random(-2, 2), Random(-2, 2), Random(-2, 2), 0.001 * Random(10, 200), 0.001 * Random(10, 200), 0.001 * Random(1000, 1600), 0, 128, 0)
		SBL1 ABCDE 1 bright A_SpawnItemEx("SFX_DoomImpBallFX_", 0, random(-3,3), random(-3,3), random(-1,1), random(-1,1), random(-1,1), 0, 128, 0)
		loop
	Death:
		TNT1 A 0 A_SpawnItemEx("SFX_PlasmaRandomFlareYellow", 0, 0, 0, 0, 0, 0, 0, 128, 0)
		TNT1 AAAAAAAAAA 0 A_SpawnItemEx("SFX_PlasmaSparkSmallYellow", 0, 0, 0, 0.001 * Random(300, 1000), 0.001 * Random(300, 1000), 0.001 * Random(0, 1000), Random(0, 359), 128, 0)
		SBL1 HHHGGGFFFFFFGGGHHHIIIJJJKKL 1 bright A_FadeOut(0.05)
		stop
	}
}
ACTOR SFX_DoomImpBallFX_
{   
	Radius 2 Height 2
	+NOBLOCKMAP +NOGRAVITY +DONTSPLASH +FORCEXYBILLBOARD
	Scale 0.26
//	VSpeed 1
	RENDERSTYLE ADD ALPHA 0.98
	States
	{
	Spawn:
		NULL A 2 bright
		SBL1 HGFFFGHIJKL 1 bright A_FadeOut(0.08)
//		SBL1 HHHGGGFFFFFFGGGHHHIIIJJJKKL 1 bright A_FadeOut(0.2)
		Stop 
	}
}
*/ 
