//  ********************************************************
//  ***  Monster: Monster-Hades Elemental                ***
//  ***  By: Eriance                                     ***
//  ***  Modified By: Cobalt and Butcher                 ***
//  ********************************************************
actor HadesElemental 3116
{
	Tag "Hades Elemental"
	obituary "%o was electricuted by a Hades-Elemental."
	hitobituary "%o got chomped by a Hades-Elemental."
	Health 1000 Gibhealth 350
	radius 34 height 64 speed 10 mass 800 painchance 32 REACTIONTIME 8
	MeleeDamage 10
	seesound "monster/helsit"
	painsound "monster/helpai"
	deathsound "monster/heldth"
	activesound "monster/helact"
	meleesound "caco/melee"
	MONSTER
	+FLOAT +NOGRAVITY +BOSS +MISSILEMORE +DONTHURTSPECIES// +NORADIUSDMG// +NOTARGET
	DropItem Darkmana
	DropItem Darkmana
	states
	{
	Spawn:
		HELE A 10 A_Look
		loop
	See:
		HELE A 0 A_SetShootable
		HELE AAAAAAAAAAAA 3 A_Chase
		HELE A 0 A_Jump(72,1)
		goto See+1
		HELE A 0 A_UnSetshootable
		HELE A 1 A_PlaySound("monster/heltel")
		HELE A 1 A_SetTranslucent(0.90)
		HELE A 1 A_SetTranslucent(0.80)
		HELE A 1 A_SetTranslucent(0.70)
		HELE A 1 A_SetTranslucent(0.60)
		HELE A 1 A_SetTranslucent(0.50)
		HELE A 1 A_SetTranslucent(0.40)
		HELE A 1 A_SetTranslucent(0.30)
		HELE A 1 A_SetTranslucent(0.20)
		HELE A 1 A_SetTranslucent(0.10)
		NULL A 0 A_Jump(128,25)
		NULL AAAAAAAAAAAAAAAAAAAAAAAA 0 A_Wander
		NULL A 0 A_Jump(128,25)
		NULL AAAAAAAAAAAAAAAAAAAAAAAA 0 A_ExtChase(0,0,1,1)
		HELE A 1 A_PlaySound("monster/heltel")
		HELE A 1 A_SetTranslucent(0.10)
		HELE A 1 A_SetTranslucent(0.20)
		HELE A 1 A_SetTranslucent(0.30)
		HELE A 1 A_SetTranslucent(0.40)
		HELE A 1 A_SetTranslucent(0.50)
		HELE A 1 A_SetTranslucent(0.60)
		HELE A 1 A_SetTranslucent(0.70)
		HELE A 1 A_SetTranslucent(0.80)
		HELE A 1 A_SetTranslucent(0.90)
		HELE A 1 A_SetTranslucent(1.0)
		HELE A 0 A_SetShootable
		goto See
	Missile:
		HELE A 0 A_Jump(80,1)
		goto Missile1
		HELE A 0 A_Jump(128,1)
		goto Missile2
		HELE A 0
		Goto Missile3
	Missile1:
		HELE EF 5 Bright A_Facetarget
		HELE G 0 Bright A_CustomMissile("HadesBall",24,0,-10,0,0)
		HELE G 0 Bright A_CustomMissile("HadesBall",24,0,-5,0,0)
		HELE G 0 Bright A_CustomMissile("HadesBall",24,0,0,0,0)
		HELE G 0 Bright A_CustomMissile("HadesBall",24,0,5,0,0)
		HELE G 5 Bright A_CustomMissile("HadesBall",24,0,10,0,0)
		goto See+1
	Missile2:
		HELE EF 5 Bright A_Facetarget
		HELE G 0 Bright A_CustomMissile("HadesBall",48,0,0,1,0)
		HELE G 0 Bright A_CustomMissile("HadesBall",40,8,1,1,0)
		HELE G 0 Bright A_CustomMissile("HadesBall",32,16,1,1,0)
		HELE G 0 Bright A_CustomMissile("HadesBall",24,8,1,1,0)
		HELE G 0 Bright A_CustomMissile("HadesBall",16,0,0,1,0)
		HELE G 0 Bright A_CustomMissile("HadesBall",24,-8,-1,1,0)
		HELE G 0 Bright A_CustomMissile("HadesBall",32,-16,-1,1,0)
		HELE G 0 Bright A_CustomMissile("HadesBall",40,-8,-1,1,0)
		goto See+1
	Missile3:
		HELE BC 5 Bright A_Facetarget
		HELE D 0 A_CustomMissile("PurpurBallSeeker_",32,0,24,0,0)
		HELE D 5 Bright A_CustomMissile("PurpurBallSeeker_",32,0,-24,0,0)
		goto See+1
	Melee:
		HELE ABD 5 Bright A_Facetarget
		HELE C 5 Bright A_MeleeAttack
		goto See+1
	Pain:
		HELE H 3
		HELE H 3 A_Pain
		HELE H 6
		goto See
	Death:
		NULL A 0 A_KillMaster
		HELE I 5 Bright A_Scream
		HELE JKL 5 Bright
		NULL A 0 A_SpawnItem("rxGibGenerator_s",0,0,0,0)
		HELE M 5 Bright A_NoBlocking
		HELE NOP 5 Bright 
		NULL A 0 A_SpawnItem("rxGibGenerator_s",0,0,0,0)
		HELE QRSTU 5 
		HELE V -1 A_SetFloorClip
		stop
	XDeath:
		NULL A 0 A_KillMaster
		NULL A 0 A_SpawnItem("rxGibGenerator_s",0,0,0,0)
		NULL A 0 A_SpawnItem("rxGibGenerator_s",0,0,0,0)
		NULL A 0 A_SpawnItem("rxGibGenerator_s",0,0,0,0)
		NULL A 0 A_SpawnItem("rxGibGenerator_s",0,0,0,0)
		NULL A 0 A_SpawnItem("rxGibGenerator_m",0,0,0,0)
		Stop
	}
}
//  ********** CacoBall medium (red) **********
//  HadesElemental
ACTOR HadesBall : CacodemonBall
{
	Decal BaronScorch
	Damage 8
	Speed 15
	Alpha 0.80
	+THRUGHOST
	SeeSound "Monster/hadtel"
	DeathSound "Monster/hadsit"
	states
	{
	Spawn:
		HEFX AB 4 bright
		loop
	Death:
		HEFX CDEEFGH 3 bright
		stop
	}
}
//  ********** Ball medium/big (green) **********
//  -
/* 
actor GreenBall_
{
	Decal BaronScorch
	Scale 0.6
	radius 6
	height 16
	speed 20
	damage 8
	renderstyle normal//Add
	seesound "baron/attack"
	deathsound "baron/shotx"
	PROJECTILE
	+RANDOMIZE
	states
	{
	Spawn:
		ARCB ABC 2 bright
		loop
	Death:
		//BAL7 CDE 6 bright
		TNT1 A 0 A_Jump(128, 7)
		ARCB DEFGHI 3 bright
		//BAL7 AB 4 bright
		stop
		ARCB JKLMN 3 bright
		stop
	}
}
*/ 
//  ********** Ball medium/big (green) **********
//  -
actor GreenBallSeeker_ // :
{
	Decal BaronScorch
	Scale 0.6
	radius 6
	height 16
	speed 15
	damage 8
	renderstyle normal//Add
	seesound "baron/attack"
	deathsound "baron/shotx"
	PROJECTILE
	+RANDOMIZE +SEEKERMISSILE
	states
	{
	Spawn:
		ARCB ABCABC 2 bright
		ARCB ABC 2 bright A_SeekerMissile(10,6)
		goto Spawn+6
	Death:
		TNT1 A 0 A_Jump(128, 7)
		ARCB DEFGHI 3 bright
		stop
		ARCB JKLMN 3 bright
		stop
	}
}
//  ********** Ball medium/big (pink) **********
//  HadesElemental
actor PurpurBallSeeker_ : GreenBallSeeker_
{
	Translation "112:127=[255, 110, 90]:[222, 55, 31]"
}
