//  ********************************************************
//  ***  Monster: Heresy Lord                            ***
//  ***  By: Bjrn Ostmann & Bouncy                      ***
//  ***  Modified By: Cobalt and Butcher                 ***
//  ********************************************************
ACTOR LordofHeresy 3121
{ 
	Tag "Lord of Heresy"
	bloodcolor "00 66 00"
	Gibhealth 400
	Health 1250 
	Radius 20 
	Height 56 
	Speed 13 
	PainChance 50
	Mass 1000
	MONSTER 
	+FLOORCLIP
	Obituary "%o was annihilated by the heresy lord." 
	SeeSound "baronnew/see" 
	PainSound "demon/pain" 
	DeathSound "baronnew/death" 
	ActiveSound "demon/active" 
	DropItem Darkmana
	DropItem SmallDarkmana
	States 
	{ 
	Spawn: 
		LOHS AB 10 A_Look 
		Loop 
	See: 
		LOHS AABBCCDD 4 A_ExtChase (0, 1, 1, 0)
		Loop 
	Melee:
	Missile: 
		LOHS E 0 A_Jumpifcloser(224, 23)
		LOHS E 0 A_Jump(85,5) 
		LOHS E 0 A_Jump(128,9)
		LOHS E 8 A_FaceTarget 
		LOHS F 8 A_FaceTarget 
		LOHS G 8 A_BruisAttack 
		Goto See 
		LOHS E 8 A_FaceTarget 
		LOHS F 8 A_FaceTarget 
		LOHS G 0 A_Custommissile ("BaronBall", 32, 0, 8) 
		LOHS G 0 A_Custommissile ("BaronBall", 32, 0, 0) 
		LOHS G 8 A_Custommissile ("BaronBall", 32, 0, -8) 
		Goto See 
		LOHS E 8 A_FaceTarget 
		LOHS F 8 A_FaceTarget 
		LOHS G 0 A_Custommissile ("BaronBall", 32, 0, -20) 
		LOHS G 8 A_Custommissile ("BaronBall", 32, 0, 0) 
		LOHS E 8 A_FaceTarget 
		LOHS F 8 A_FaceTarget 
		LOHS G 0 A_Custommissile ("BaronBall", 32, 0, 20) 
		LOHS G 8 A_Custommissile ("BaronBall", 32, 0, 0) 
		LOHS E 8 A_FaceTarget 
		LOHS F 8 A_FaceTarget 
		LOHS G 0 A_Custommissile ("BaronBall", 32, 0, -12) 
		LOHS G 8 A_Custommissile ("BaronBall", 32, 0, 12) 
		Goto See 
		LOHS H 5 A_FaceTarget
		LOHS H 1 A_CustomMissile("LOHCacoLichFlame", 62, 0, 0)
		LOHS H 1 A_CustomMissile("LOHCacoLichFlame", 62, 0, 1)
		LOHS H 1 A_CustomMissile("LOHCacoLichFlame", 62, 0, 2)
		LOHS H 1 A_CustomMissile("LOHCacoLichFlame", 62, 0, 3)
		LOHS H 1 A_CustomMissile("LOHCacoLichFlame", 62, 0, 4)
		LOHS H 1 A_CustomMissile("LOHCacoLichFlame", 62, 0, 5)
		LOHS H 1 A_CustomMissile("LOHCacoLichFlame", 62, 0, 6)
		LOHS H 1 A_CustomMissile("LOHCacoLichFlame", 62, 0, 7)
		LOHS H 1 A_CustomMissile("LOHCacoLichFlame", 62, 0, 8)
		LOHS H 0 A_FaceTarget
		LOHS H 1 A_CustomMissile("LOHCacoLichFlame", 62, 0, 9)
		LOHS H 1 A_CustomMissile("LOHCacoLichFlame", 62, 0, 10)
		LOHS H 1 A_CustomMissile("LOHCacoLichFlame", 62, 0, 12)
		LOHS H 1 A_CustomMissile("LOHCacoLichFlame", 62, 0, 12)
		LOHS H 1 A_CustomMissile("LOHCacoLichFlame", 62, 0, 13)
		LOHS H 1 A_CustomMissile("LOHCacoLichFlame", 62, 0, 14)
		LOHS H 1 A_CustomMissile("LOHCacoLichFlame", 62, 0, 15)
		LOHS H 1 A_CustomMissile("LOHCacoLichFlame", 62, 0, 16)
		LOHS H 1 A_CustomMissile("LOHCacoLichFlame", 62, 0, 17)
		LOHS H 0 A_FaceTarget
		LOHS H 1 A_CustomMissile("LOHCacoLichFlame", 62, 0, 18)
		LOHS H 1 A_CustomMissile("LOHCacoLichFlame", 62, 0, 19)
		LOHS H 1 A_CustomMissile("LOHCacoLichFlame", 62, 0, 20)
		LOHS H 1 A_CustomMissile("LOHCacoLichFlame", 62, 0, 19)
		LOHS H 1 A_CustomMissile("LOHCacoLichFlame", 62, 0, 18)
		LOHS H 1 A_CustomMissile("LOHCacoLichFlame", 62, 0, 17)
		LOHS H 1 A_CustomMissile("LOHCacoLichFlame", 62, 0, 16)
		LOHS H 1 A_CustomMissile("LOHCacoLichFlame", 62, 0, 15)
		LOHS H 1 A_CustomMissile("LOHCacoLichFlame", 62, 0, 14)
		LOHS H 1 A_CustomMissile("LOHCacoLichFlame", 62, 0, 13)
		LOHS H 0 A_FaceTarget
		LOHS H 1 A_CustomMissile("LOHCacoLichFlame", 62, 0, 12)
		LOHS H 1 A_CustomMissile("LOHCacoLichFlame", 62, 0, 11)
		LOHS H 1 A_CustomMissile("LOHCacoLichFlame", 62, 0, 10)
		LOHS H 1 A_CustomMissile("LOHCacoLichFlame", 62, 0, 9)
		LOHS H 1 A_CustomMissile("LOHCacoLichFlame", 62, 0, 8)
		LOHS H 1 A_CustomMissile("LOHCacoLichFlame", 62, 0, 7)
		LOHS H 1 A_CustomMissile("LOHCacoLichFlame", 62, 0, 6)
		LOHS H 1 A_CustomMissile("LOHCacoLichFlame", 62, 0, 5)
		LOHS H 1 A_CustomMissile("LOHCacoLichFlame", 62, 0, 4)
		LOHS H 1 A_CustomMissile("LOHCacoLichFlame", 62, 0, 3)
		LOHS H 0 A_FaceTarget
		LOHS H 1 A_CustomMissile("LOHCacoLichFlame", 62, 0, 2)
		LOHS H 1 A_CustomMissile("LOHCacoLichFlame", 62, 0, 1)
		LOHS H 1 A_CustomMissile("LOHCacoLichFlame", 62, 0, 0)
		LOHS H 0 A_SpidRefire
		LOHS H 0 A_FaceTarget
		LOHS H 1 A_CustomMissile("LOHCacoLichFlame", 62, 0, 0)
		LOHS H 1 A_CustomMissile("LOHCacoLichFlame", 62, 0, -1)
		LOHS H 1 A_CustomMissile("LOHCacoLichFlame", 62, 0, -2)
		LOHS H 1 A_CustomMissile("LOHCacoLichFlame", 62, 0, -3)
		LOHS H 1 A_CustomMissile("LOHCacoLichFlame", 62, 0, -4)
		LOHS H 1 A_CustomMissile("LOHCacoLichFlame", 62, 0, -5)
		LOHS H 1 A_CustomMissile("LOHCacoLichFlame", 62, 0, -6)
		LOHS H 1 A_CustomMissile("LOHCacoLichFlame", 62, 0, -7)
		LOHS H 1 A_CustomMissile("LOHCacoLichFlame", 62, 0, -8)
		LOHS H 0 A_FaceTarget
		LOHS H 1 A_CustomMissile("LOHCacoLichFlame", 62, 0, -9)
		LOHS H 1 A_CustomMissile("LOHCacoLichFlame", 62, 0, -10)
		LOHS H 1 A_CustomMissile("LOHCacoLichFlame", 62, 0, -12)
		LOHS H 1 A_CustomMissile("LOHCacoLichFlame", 62, 0, -12)
		LOHS H 1 A_CustomMissile("LOHCacoLichFlame", 62, 0, -13)
		LOHS H 1 A_CustomMissile("LOHCacoLichFlame", 62, 0, -14)
		LOHS H 1 A_CustomMissile("LOHCacoLichFlame", 62, 0, -15)
		LOHS H 1 A_CustomMissile("LOHCacoLichFlame", 62, 0, -16)
		LOHS H 1 A_CustomMissile("LOHCacoLichFlame", 62, 0, -17)
		LOHS H 0 A_FaceTarget
		LOHS H 1 A_CustomMissile("LOHCacoLichFlame", 62, 0, -18)
		LOHS H 1 A_CustomMissile("LOHCacoLichFlame", 62, 0, -19)
		LOHS H 1 A_CustomMissile("LOHCacoLichFlame", 62, 0, -20)
		LOHS H 1 A_CustomMissile("LOHCacoLichFlame", 62, 0, -19)
		LOHS H 1 A_CustomMissile("LOHCacoLichFlame", 62, 0, -18)
		LOHS H 1 A_CustomMissile("LOHCacoLichFlame", 62, 0, -17)
		LOHS H 1 A_CustomMissile("LOHCacoLichFlame", 62, 0, -16)
		LOHS H 1 A_CustomMissile("LOHCacoLichFlame", 62, 0, -15)
		LOHS H 1 A_CustomMissile("LOHCacoLichFlame", 62, 0, -14)
		LOHS H 1 A_CustomMissile("LOHCacoLichFlame", 62, 0, -13)
		LOHS H 0 A_FaceTarget
		LOHS H 1 A_CustomMissile("LOHCacoLichFlame", 62, 0, -12)
		LOHS H 1 A_CustomMissile("LOHCacoLichFlame", 62, 0, -11)
		LOHS H 1 A_CustomMissile("LOHCacoLichFlame", 62, 0, -10)
		LOHS H 1 A_CustomMissile("LOHCacoLichFlame", 62, 0, -9)
		LOHS H 1 A_CustomMissile("LOHCacoLichFlame", 62, 0, -8)
		LOHS H 1 A_CustomMissile("LOHCacoLichFlame", 62, 0, -7)
		LOHS H 1 A_CustomMissile("LOHCacoLichFlame", 62, 0, -6)
		LOHS H 1 A_CustomMissile("LOHCacoLichFlame", 62, 0, -5)
		LOHS H 1 A_CustomMissile("LOHCacoLichFlame", 62, 0, -4)
		LOHS H 1 A_CustomMissile("LOHCacoLichFlame", 62, 0, -3)
		LOHS H 0 A_FaceTarget
		LOHS H 1 A_CustomMissile("LOHCacoLichFlame", 62, 0, -2)
		LOHS H 1 A_CustomMissile("LOHCacoLichFlame", 62, 0, -1)
		LOHS H 1 A_CustomMissile("LOHCacoLichFlame", 62, 0, 0)
		Goto See
	Pain: 
		LOHS H 5 
		LOHS H 5 A_Pain 
		Goto See 
	Death: 
		NULL A 0 A_KillMaster
		NULL A 0  A_CustomMissile("LOHTorturedSoulPoison_CULT_ToxicB", 5, 0, 0) 
		NULL A 0  A_CustomMissile("LOHTorturedSoulPoison_CULT_ToxicB", 5, 0, 45) 
		NULL A 0  A_CustomMissile("LOHTorturedSoulPoison_CULT_ToxicB", 5, 0, 90) 
		NULL A 0  A_CustomMissile("LOHTorturedSoulPoison_CULT_ToxicB", 5, 0, 135) 
		NULL A 0  A_CustomMissile("LOHTorturedSoulPoison_CULT_ToxicB", 5, 0, 180) 
		NULL A 0  A_CustomMissile("LOHTorturedSoulPoison_CULT_ToxicB", 5, 0, 225) 
		NULL A 0  A_CustomMissile("LOHTorturedSoulPoison_CULT_ToxicB", 5, 0, 270) 
		NULL A 0  A_CustomMissile("LOHTorturedSoulPoison_CULT_ToxicB", 5, 0, 315) 
		LOHS I 6 
		LOHS J 6 A_Scream 
		LOHS K 6 A_Fall 
		LOHS LMN 6 
		LOHS O -1 
		Stop 
	XDeath:
		NULL A 0 A_KillMaster
		NULL A 0  A_CustomMissile("LOHTorturedSoulPoison_CULT_ToxicB", 5, 0, 0) 
		NULL A 0  A_CustomMissile("LOHTorturedSoulPoison_CULT_ToxicB", 5, 0, 45) 
		NULL A 0  A_CustomMissile("LOHTorturedSoulPoison_CULT_ToxicB", 5, 0, 90) 
		NULL A 0  A_CustomMissile("LOHTorturedSoulPoison_CULT_ToxicB", 5, 0, 135) 
		NULL A 0  A_CustomMissile("LOHTorturedSoulPoison_CULT_ToxicB", 5, 0, 180) 
		NULL A 0  A_CustomMissile("LOHTorturedSoulPoison_CULT_ToxicB", 5, 0, 225) 
		NULL A 0  A_CustomMissile("LOHTorturedSoulPoison_CULT_ToxicB", 5, 0, 270) 
		NULL A 0  A_CustomMissile("LOHTorturedSoulPoison_CULT_ToxicB", 5, 0, 315) 
		NULL A 0 A_SpawnDebris("gGib2",0) //(Hell Knight Hoof [skin orange/brown])
		NULL A 0 A_SpawnDebris("gGib4",0) //(Hell Knight Hoof [skin orange/brown])
		NULL A 0 A_SpawnDebris("gGib3",0) //(eyeball)
		NULL A 0 A_SpawnDebris("gGib3",0) //(eyeball)
		NULL A 0 A_SpawnDebris("gGib19",0) //(brain)
		NULL A 0 A_SpawnItem("gxGibGenerator_s",0,0,0,0)
		NULL A 0 A_SpawnItem("gxGibGenerator_s",0,0,0,0)
		NULL A 0 A_SpawnItem("gxGibGenerator_s",0,0,0,0)
		NULL A 0 A_SpawnItem("gxGibGenerator_m",0,0,0,0)
		NULL A 0 A_SpawnItem("gxGibGenerator_l",0,0,0,0)
		Stop
	Raise: 
		LOHS ONMLKJI 5 
		Goto See 
	} 
} 
//  ********** PoisonFlame (green) **********
//  CacoLich1, LordofHeresy, BaronOfHell_
//  PoisonHeadFlame
ACTOR LOHCacoLichFlame//CacoLichFlame
{
	Radius 4
	Height 6
	Speed 28
	Damage 1
	PROJECTILE
	+STRIFEDAMAGE
	RENDERSTYLE ADD
	ALPHA 0.8
	SeeSound "effects/flame"
	States
	{
	Spawn:
		CFIR ABCDEFGHIJKLMOP 1
		Stop
	Death:
		CFIR HIJKLMOP 1
		Stop
	}
}
//  ********** Poison Cloud **********
//  POISON_HEAD, POISON_HEAD_FLOOR
ACTOR LOHTorturedSoulPoison_CULT//TorturedSoulPoison_CULT
{ 
	Radius 16
	Height 8
	Speed 0.3
	Damage 1 
	+NOBLOCKMAP +DROPOFF +NOTARGET +STRIFEDAMAGE +RIPPER +BLOODLESSIMPACT
	PROJECTILE 
	RENDERSTYLE Add//Translucent 
	ALPHA 0.67 
	States 
	{ 
		Spawn: 
			PSNE A 120
			Stop 
		Death: 
			PSNE DEFGCBA 6 Bright
			Stop 
	} 
} 
//  ********** Poison Cloud **********
//  SnakeImp, LordofHeresy
ACTOR LOHTorturedSoulPoison_CULT_ToxicB : LOHTorturedSoulPoison_CULT//TorturedSoulPoison_CULT_ToxicB
{ 
	Radius 20
	Height 8
	Speed 0.2
	States 
	{ 
		Spawn: 
			PSNE A 240
			Stop 
	} 
} 
