//  ********************************************************
//  ***  Monster: Flamethrower Marine                    ***
//  ***  By: WildWeasel                                  ***
//  ***  Modified By: Cobalt and Butcher                 ***
//  ********************************************************
ACTOR MaineFlamer 3215
{
	Tag "Marine"
	MONSTER
	Health 120 gibhealth 120
	Speed 5 Radius 20 Height 56
	Mass 1000
	PainChance 20
	Translation 0
	+FLOORCLIP +FIREDAMAGE +FIRERESIST +MISSILEMORE
	PainSound "grunt/pain"
	ActiveSound "grunt/active"
	SeeSound "human/marinessee"
	DeathSound "human/marinesdeath"
	Obituary "%o feels the burn."
	DropItem sp_flamers
	States
	{
	Spawn:
		FLZM AB 10 A_Look
		Loop
	See:
		FLZM DDAA 3 A_Chase
		FLZM BBBBCCCC 3 A_Chase
		Loop
	Melee:
	Missile:
		FLZM E 0 A_Jumpifcloser(333, 2)
		Goto See
		FLZM E 0
		FLZM E 0 A_Jump(128, "ShotLonger")
		FLZM E 5 A_FaceTarget
		FLZM F 1 A_CustomMissile("MiniFirePuff", 36, 8, 0)
		FLZM F 1 A_CustomMissile("MiniFirePuffNoLight", 36, 8, 0)
		FLZM F 1 A_CustomMissile("MiniFirePuffNoLight", 36, 8, 0)
		FLZM F 1 A_CustomMissile("MiniFirePuff", 36, 8, 0)
		FLZM F 1 A_CustomMissile("MiniFirePuffNoLight", 36, 8, 0)
		FLZM F 1 A_CustomMissile("MiniFirePuffNoLight", 36, 8, 0)
		FLZM E 0 A_FaceTarget
		FLZM F 1 A_CustomMissile("MiniFirePuff", 36, 8, 0)
		FLZM F 1 A_CustomMissile("MiniFirePuffNoLight", 36, 8, 0)
		FLZM F 1 A_CustomMissile("MiniFirePuffNoLight", 36, 8, 0)
		FLZM F 1 A_CustomMissile("MiniFirePuff", 36, 8, 0)
		FLZM F 1 A_CustomMissile("MiniFirePuffNoLight", 36, 8, 0)
		FLZM F 1 A_CustomMissile("MiniFirePuffNoLight", 36, 8, 0)
		FLZM F 1 A_CustomMissile("MiniFirePuff", 36, 8, 0)
		FLZM F 1 A_FaceTarget
		FLZM F 1 A_CustomMissile("MiniFirePuff", 36, 8, 0)
		FLZM F 1 A_CustomMissile("MiniFirePuffNoLight", 36, 8, 0)
		FLZM F 1 A_CustomMissile("MiniFirePuffNoLight", 36, 8, 0)
		FLZM F 1 A_CustomMissile("MiniFirePuff", 36, 8, 0)
		FLZM F 1 A_CustomMissile("MiniFirePuffNoLight", 36, 8, 0)
		FLZM F 1 A_CustomMissile("MiniFirePuffNoLight", 36, 8, 0)
		FLZM E 0 A_FaceTarget
		FLZM F 1 A_CustomMissile("MiniFirePuff", 36, 8, 0)
		FLZM F 1 A_CustomMissile("MiniFirePuffNoLight", 36, 8, 0)
		FLZM F 1 A_CustomMissile("MiniFirePuffNoLight", 36, 8, 0)
		FLZM F 1 A_CustomMissile("MiniFirePuff", 36, 8, 0)
		FLZM F 1 A_CustomMissile("MiniFirePuffNoLight", 36, 8, 0)
		FLZM F 1 A_CustomMissile("MiniFirePuffNoLight", 36, 8, 0)
		FLZM F 1 A_CustomMissile("MiniFirePuff", 36, 8, 0)
		Goto See
	ShotLonger:
		FLZM E 0
		FLZM E 5 A_FaceTarget
		FLZM F 1 A_CustomMissile("MiniFirePuff", 36, 8, 0)
		FLZM F 1 A_CustomMissile("MiniFirePuffNoLight", 36, 8, 0)
		FLZM F 1 A_CustomMissile("MiniFirePuffNoLight", 36, 8, 0)
		FLZM F 1 A_CustomMissile("MiniFirePuff", 36, 8, 0)
		FLZM F 1 A_CustomMissile("MiniFirePuffNoLight", 36, 8, 0)
		FLZM F 1 A_CustomMissile("MiniFirePuffNoLight", 36, 8, 0)
		FLZM E 0 A_FaceTarget
		FLZM F 1 A_CustomMissile("MiniFirePuff", 36, 8, 0)
		FLZM F 1 A_CustomMissile("MiniFirePuffNoLight", 36, 8, 0)
		FLZM F 1 A_CustomMissile("MiniFirePuffNoLight", 36, 8, 0)
		FLZM F 1 A_CustomMissile("MiniFirePuff", 36, 8, 0)
		FLZM F 1 A_CustomMissile("MiniFirePuffNoLight", 36, 8, 0)
		FLZM F 1 A_CustomMissile("MiniFirePuffNoLight", 36, 8, 0)
		FLZM F 1 A_CustomMissile("MiniFirePuff", 36, 8, 0)
		FLZM F 1 A_FaceTarget
		FLZM F 1 A_CustomMissile("MiniFirePuff", 36, 8, 0)
		FLZM F 1 A_CustomMissile("MiniFirePuffNoLight", 36, 8, 0)
		FLZM F 1 A_CustomMissile("MiniFirePuffNoLight", 36, 8, 0)
		FLZM F 1 A_CustomMissile("MiniFirePuff", 36, 8, 0)
		FLZM F 1 A_CustomMissile("MiniFirePuffNoLight", 36, 8, 0)
		FLZM F 1 A_CustomMissile("MiniFirePuffNoLight", 36, 8, 0)
		FLZM E 0 A_FaceTarget
		FLZM F 1 A_CustomMissile("MiniFirePuff", 36, 8, 0)
		FLZM F 1 A_CustomMissile("MiniFirePuffNoLight", 36, 8, 0)
		FLZM F 1 A_CustomMissile("MiniFirePuffNoLight", 36, 8, 0)
		FLZM F 1 A_CustomMissile("MiniFirePuff", 36, 8, 0)
		FLZM F 1 A_CustomMissile("MiniFirePuffNoLight", 36, 8, 0)
		FLZM F 1 A_CustomMissile("MiniFirePuffNoLight", 36, 8, 0)
		FLZM F 1 A_CustomMissile("MiniFirePuff", 36, 8, 0)
		FLZM F 1 A_FaceTarget
		FLZM F 1 A_CustomMissile("MiniFirePuff", 36, 8, 0)
		FLZM F 1 A_CustomMissile("MiniFirePuffNoLight", 36, 8, 0)
		FLZM F 1 A_CustomMissile("MiniFirePuffNoLight", 36, 8, 0)
		FLZM F 1 A_CustomMissile("MiniFirePuff", 36, 8, 0)
		FLZM F 1 A_CustomMissile("MiniFirePuffNoLight", 36, 8, 0)
		FLZM F 1 A_CustomMissile("MiniFirePuffNoLight", 36, 8, 0)
		FLZM E 0 A_FaceTarget
		FLZM F 1 A_CustomMissile("MiniFirePuff", 36, 8, 0)
		FLZM F 1 A_CustomMissile("MiniFirePuffNoLight", 36, 8, 0)
		FLZM F 1 A_CustomMissile("MiniFirePuffNoLight", 36, 8, 0)
		FLZM F 1 A_CustomMissile("MiniFirePuff", 36, 8, 0)
		FLZM F 1 A_CustomMissile("MiniFirePuffNoLight", 36, 8, 0)
		FLZM F 1 A_CustomMissile("MiniFirePuffNoLight", 36, 8, 0)
		FLZM F 1 A_CustomMissile("MiniFirePuff", 36, 8, 0)
		FLZM F 1 A_FaceTarget
		FLZM F 1 A_CustomMissile("MiniFirePuff", 36, 8, 0)
		FLZM F 1 A_CustomMissile("MiniFirePuffNoLight", 36, 8, 0)
		FLZM F 1 A_CustomMissile("MiniFirePuffNoLight", 36, 8, 0)
		FLZM F 1 A_CustomMissile("MiniFirePuff", 36, 8, 0)
		FLZM F 1 A_CustomMissile("MiniFirePuffNoLight", 36, 8, 0)
		FLZM F 1 A_CustomMissile("MiniFirePuffNoLight", 36, 8, 0)
		FLZM E 0 A_FaceTarget
		FLZM F 1 A_CustomMissile("MiniFirePuff", 36, 8, 0)
		FLZM F 1 A_CustomMissile("MiniFirePuffNoLight", 36, 8, 0)
		FLZM F 1 A_CustomMissile("MiniFirePuffNoLight", 36, 8, 0)
		FLZM F 1 A_CustomMissile("MiniFirePuff", 36, 8, 0)
		FLZM F 1 A_CustomMissile("MiniFirePuffNoLight", 36, 8, 0)
		FLZM F 1 A_CustomMissile("MiniFirePuffNoLight", 36, 8, 0)
		FLZM F 1 A_CustomMissile("MiniFirePuff", 36, 8, 0)
		Goto See
	Pain:
		FLZM F 1
		FLZM F 1 A_Pain
		Goto See
	Death:
		NULL A 0 A_KillMaster
		BURN A 1 A_SpawnItem("sp_flamers", 0, 20, 0)
		Goto Burn
	XDeath:
		NULL A 0 A_KillMaster
		NULL A 0 A_PlayWeaponSound("effects/explosion")
		NULL A 1 A_SpawnItem("TNTExplosion_KULT")
		NULL A 0 A_SpawnDebris("rGib1",0) //(Human hand)
		NULL A 0 A_SpawnDebris("rGib2",0) //(Human arm)
		NULL A 0 A_SpawnDebris("rGib3",0) //(eyeball)
		NULL A 0 A_SpawnDebris("rGib3",0) //(eyeball)
		NULL A 0 A_SpawnDebris("rGib19",0) //(brain)
		NULL A 0 A_SpawnItem("rxGibGenerator_s",0,0,0,0)
		NULL A 0 A_SpawnItem("rxGibGenerator_s",0,0,0,0)
		NULL A 0 A_SpawnItem("rxGibGenerator_s",0,0,0,0)
		NULL A 0 A_SpawnItem("rxGibGenerator_s",0,0,0,0)
		Stop
	Burn: 
		NULL A 0 A_KillMaster
		NULL A 0 A_PlayWeaponSound("effects/explosion")
		NULL A 1 A_SpawnItem("TNTExplosion_KULT")
		NULL A 1 A_PlaySound("human/burndeath")
		NULL A 1 A_SpawnItemEx("Human_Burn", 0, 0, 0, 0, 0, 0, 0, 32, 0)
		NULL A 4
		Stop
	Raise:
		BURN VRNJFB 5
		Goto See 
	}
}
ACTOR MiniFirePuff : FlameBase//SFX_Flame_Zombie : SFX_Flame replaces MiniFirePuff
{
	Speed 15
	Damage 1
}
ACTOR MiniFirePuffNoLight : MiniFirePuff//SFX_NoLight_Flame_Zombie replaces MiniFirePuffNoLight
{
}
