//  ********************************************************
//  ***  Monster: Marine BFG                             ***
//  ***  By: Marine.wad                                  ***
//  ***  Modified By: Cobalt and Butcher                 ***
//  ********************************************************
ACTOR MarineBFG 3208
{ 
	Tag "Marine"
	Health 120 gibhealth 120
	Radius 20
	Height 56
	Speed 9
	PainChance 200
	MONSTER 
	+FLOORCLIP +MISSILEMORE
	Obituary "%o was ripped apart by the enemy's BFG."
	AttackSound "weapons/bfgf"
	PainSound "shotguy/pain" 
	ActiveSound "shotguy/active" 
	SeeSound "human/marinessee"
	DeathSound "human/marinesdeath"
	DropItem sp_bfgs 
	MissileType BFG10k_ACyber
	States
	{
		Spawn:
			BFGM AB 10 A_Look
			Loop
		See:
			BFGM AABBCCDD 4 A_ExtChase (0, 1, 1, 0)
			Loop
		Melee:
		Missile:
			BFGM E 0 A_PlaySound("weapons/bfgf")
			BFGM E 35 A_FaceTarget
			BFGM F 8 A_MissileAttack
			BFGM E 2 A_Cposrefire
			Goto See
		Pain:
			BFGM G 5
			BFGM G 3 A_Pain
			Goto See
		Death:
			NULL A 0 A_KillMaster
			BFGM H 10
			BFGM I 10 A_Scream
			BFGM J 10 A_Fall
			BFGM KLM 10
			BFGM N -1
			Stop
		XDeath:
			NULL A 0 A_KillMaster
			NULL A 0 A_SpawnDebris("rGib1",0) //(Human hand)
			NULL A 0 A_SpawnDebris("rGib2",0) //(Human arm)
			NULL A 0 A_SpawnDebris("rGib3",0) //(eyeball)
			NULL A 0 A_SpawnDebris("rGib3",0) //(eyeball)
			NULL A 0 A_SpawnDebris("rGib19",0) //(brain)
			NULL A 0 A_SpawnItem("rxGibGenerator_s",0,0,0,0)
			NULL A 0 A_SpawnItem("rxGibGenerator_s",0,0,0,0)
			NULL A 0 A_SpawnItem("rxGibGenerator_s",0,0,0,0)
			NULL A 0 A_SpawnItem("rxGibGenerator_s",0,0,0,0)
//			BFGM O 5
//			BFGM P 5 A_XScream
//			BFGM Q 5 A_Fall
//			BFGM RSTU 5
//			BFGM V -1
			Stop
		Burn: 
			NULL A 0 A_KillMaster
			NULL A 0 A_PlaySound("human/burndeath")
			NULL A 0 A_SpawnItemEx("Human_Burn", 0, 0, 0, 0, 0, 0, 0, 32, 0)
			Stop
	}
} 
