//  ********************************************************
//  ***  Monster: Marine Railgunner                      ***
//  ***  By: Marines.wad                                 ***
//  ***  Modified By: Cobalt and Butcher                 ***
//  ********************************************************
ACTOR MarineRailgunner 3206
{
	Tag "Marine"
	Health 120 gibhealth 120
	Radius 20
	Height 50
	Speed 13
	Damage 75
	PainChance 100
	MONSTER 
	+FLOORCLIP +MISSILEMORE
	Obituary "the Railgunner marine railed %o."
	PainSound "grunt/pain" 
	ActiveSound "grunt/active" 
	SeeSound "human/marinessee"
	DeathSound "human/marinesdeath"
	DropItem sp_railguns 
	States
	{
		Spawn:
			VAR2 AB 10 A_Look
			Loop
		See:
			VAR2 AABBCCDD 4 A_ExtChase (0, 1, 1, 0)
			Loop
		Melee:
		Missile:
			VAR2 E 5 A_FaceTarget
			VAR2 E 1 A_Playsound ("Railgunchargeup")
			VAR2 EEEEEEEEEEEEEEEEEEE 4 A_FaceTarget
			VAR2 F 5 BRIGHT A_Monsterrail 
			VAR2 E 5 A_Facetarget
			Goto See
		Pain:
			VAR2 G 5
			VAR2 G 3 A_Pain
			Goto See
		Death:
			NULL A 0 A_KillMaster
			VAR2 H 10
			VAR2 I 10 A_Scream
			VAR2 J 10 A_Fall
			VAR2 KLM 10
			VAR2 N -1
			Stop
		XDeath:
			NULL A 0 A_KillMaster
			NULL A 0 A_SpawnDebris("rGib1",0) //(Human hand)
			NULL A 0 A_SpawnDebris("rGib2",0) //(Human arm)
			NULL A 0 A_SpawnDebris("rGib3",0) //(eyeball)
			NULL A 0 A_SpawnDebris("rGib3",0) //(eyeball)
			NULL A 0 A_SpawnDebris("rGib19",0) //(brain)
			NULL A 0 A_SpawnItem("rxGibGenerator_s",0,0,0,0)
			NULL A 0 A_SpawnItem("rxGibGenerator_s",0,0,0,0)
			NULL A 0 A_SpawnItem("rxGibGenerator_s",0,0,0,0)
			NULL A 0 A_SpawnItem("rxGibGenerator_s",0,0,0,0)
//			VAR2 O 5
//			VAR2 P 5 A_XScream
//			VAR2 Q 5 A_Fall
//			VAR2 RSTUV 5
//			VAR2 W -1
			Stop
		Burn: 
			NULL A 0 A_KillMaster
			NULL A 0 A_PlaySound("human/burndeath")
			NULL A 0 A_SpawnItemEx("Human_Burn", 0, 0, 0, 0, 0, 0, 0, 32, 0)
			Stop
	}
} 
