//  ********************************************************
//  ***  Monster: Marine very Heavy Armored              ***
//  ***  By: Marine.wad                                  ***
//  ***  Modified By: Cobalt and Butcher                 ***
//  ********************************************************
ACTOR MarineVeryHeavyArmored 3214
{
	Tag "Marine"
	Health 300 gibhealth 130
	Radius 20
	Height 56
	Speed 13
	Damage 3
	PainChance 200
	MONSTER 
	+FLOORCLIP +MISSILEMORE +MISSILEEVENMORE
	Obituary "%o was killed by a very heavy chaingunner."
	AttackSound "zombie/rifle"
	PainSound "grunt/pain"
	ActiveSound "grunt/active"
	SeeSound "human/marinessee"
	DeathSound "human/marinesdeath"
	DropItem sp_machineguns
	States
	{
		Spawn:
			MCHG AB 10 A_Look
			Loop
		See:
			MCHG AABBCCDD 4 A_ExtChase (0, 1, 1, 0)
			Loop
		Melee:
		Missile:
			MCHG E 1 A_FaceTarget
			MCHG F 1 BRIGHT A_CustomBulletAttack(3, 3, 1, 3, "BulletPuff", 1600)
			MCHG E 0 A_CustomMissile("CasingBullet_x_monster",45+random(-8,8),2,270+random(-16,16))
			MCHG E 0 A_Jump(5, 2)
			MCHG E 1 A_Cposrefire
			Loop
			MCHG E 0
			goto See
		Pain:
			MCHG G 5
			MCHG G 3 A_Pain
			Goto See
		Death:
			NULL A 0 A_KillMaster
			MCHG H 5
			MCHG I 5 A_Scream
			MCHG J 5 A_Fall
			MCHG KLM 5
			MCHG N -1
			Stop
		XDeath:
			NULL A 0 A_KillMaster
			NULL A 0 A_SpawnDebris("rGib1",0) //(Human hand)
			NULL A 0 A_SpawnDebris("rGib2",0) //(Human arm)
			NULL A 0 A_SpawnDebris("rGib3",0) //(eyeball)
			NULL A 0 A_SpawnDebris("rGib3",0) //(eyeball)
			NULL A 0 A_SpawnDebris("rGib19",0) //(brain)
			NULL A 0 A_SpawnItem("rxGibGenerator_s",0,0,0,0)
			NULL A 0 A_SpawnItem("rxGibGenerator_s",0,0,0,0)
			NULL A 0 A_SpawnItem("rxGibGenerator_s",0,0,0,0)
			NULL A 0 A_SpawnItem("rxGibGenerator_s",0,0,0,0)
//			MCHG O 5
//			MCHG P 5 A_XScream
//			MCHG Q 5 A_Fall
//			MCHG RS 5
//			MCHG T -1
			Stop
		Burn: 
			NULL A 0 A_KillMaster
			NULL A 0 A_PlaySound("human/burndeath")
			NULL A 0 A_SpawnItemEx("Human_Burn", 0, 0, 0, 0, 0, 0, 0, 32, 0)
			Stop
	}
} 
