actor Q2TankBoss 3113 // 7382
{
	Tag "Tank Boss"
	Decal BulletChip
	MONSTER
	Scale 0.45
	Health 1800//7000
	Radius 40 Height 74 Speed 6 Mass 9000
	//Radius 72 Height 95
	PainChance 15
	+FLOORCLIP +MISSILEEVENMORE +NOBLOOD +NOICEDEATH +DONTMORPH// +NORADIUSDMG
	//+BOSS +BOSSDEATH
	SeeSound "q2bosstank/sight"
	PainSound "q2bosstank/pain"
	DeathSound "q2bosstank/death"
	ActiveSound "q2bosstank/search"
	AttackSound "q2weapon/machinegun"
	Obituary "%o was shredded by a tank-boss."
	DropItem ClipBox 196
	DropItem RocketBox 196
	DropItem RocketAmmo
	DropItem RocketAmmo
//	PainChance "Drain", 40
	States
	{
//	Pain.Drain:
//		TNT1 A 0
//		TNT1 A 0 A_SpawnItemEx("DrainGiver",0,0,0,0,0,0,0,32,0)
//		Goto See
	Spawn:
		BS1W A 5 A_Look
		Loop
	See:
		NULL A 0 A_PlaySound("q2bosstank/walk")
		BS1W AABB 4 A_Chase
		BS1W CCDD 4 A_Chase
		Loop
	Missile:
		NULL A 0 A_Jump(64, "MissilePlasma")
		NULL A 0 A_Jump(96,"MissileChaingun")
		NULL A 0 A_StopSound
		BS1A FG 10 A_FaceTarget
		BS1A Z 0 A_FaceTarget
		BS1A H 10 Bright A_CustomMissile("Rocket_Q2TankBoss_m",82,-22,0)//122, -36
		BS1A Z 0 A_FaceTarget
		BS1A I 10 Bright A_CustomMissile("Rocket_Q2TankBoss_m",79,-28,0)//120, -40
		BS1A Z 0 A_FaceTarget
		BS1A J 10 Bright A_CustomMissile("Rocket_Q2TankBoss_m",76,-34,0)//118, -44
		BS1A KLMN 14
		Goto See
	MissileChaingun:
		NULL A 0 A_StopSound
		BS1A ABCD 5 A_FaceTarget
		BS1A ABCD 4 A_FaceTarget
		BS1A A 3 Bright A_CustomBulletAttack(4,4,1,3,"BulletPuff")
		BS1A Z 0 Bright A_CustomMissile("PhotonSmoke",80,34,5+Random(30,-30))//h105, 44
		BS1A Z 0 A_FaceTarget
		BS1A B 3 Bright A_CustomBulletAttack(4,4,1,2,"BulletPuff")
		BS1A Z 0 Bright A_CustomMissile("PhotonSmoke",81,34,5+Random(30,-30))
		BS1A Z 0 A_FaceTarget
		BS1A C 3 Bright A_CustomBulletAttack(4,4,1,3,"BulletPuff")
		BS1A Z 0 Bright A_CustomMissile("PhotonSmoke",82,34,5+Random(30,-30))
		BS1A Z 0 A_FaceTarget
		BS1A D 3 Bright A_CustomBulletAttack(4,4,1,2,"BulletPuff")
		BS1A Z 0 Bright A_CustomMissile("PhotonSmoke",83,34,5+Random(30,-30))
		BS1A Z 0 A_FaceTarget
		BS1A Z 0 A_Jump(12, "See")
		BS1A E 0 A_CPosRefire
		BS1A A 0
		Goto Missile+25
	MissilePlasma:
		BS1W A 4 A_FaceTarget
		BS1W A 2 A_CustomMissile("PhotonBall", 40, 30, Random(-3, 3), 0)
		BS1W A 4 A_FaceTarget
		BS1W A 2 A_CustomMissile("PhotonBall", 40, -30, Random(-3, 3), 0)
		BS1W A 4 A_FaceTarget
		BS1W A 2 A_CustomMissile("PhotonBall", 40, 30, Random(-3, 3), 0)
		BS1W A 4 A_FaceTarget
		BS1W A 2 A_CustomMissile("PhotonBall", 40, -30, Random(-3, 3), 0)
		BS1W A 4 A_FaceTarget
		BS1W A 2 A_CustomMissile("PhotonBall", 40, 30, Random(-3, 3), 0)
		BS1W A 4 A_FaceTarget
		BS1W A 2 A_CustomMissile("PhotonBall", 40, -30, Random(-3, 3), 0)
		BS1W A 4 A_FaceTarget
		BS1W A 2 A_CustomMissile("PhotonBall", 40, 30, Random(-3, 3), 0)
		BS1W A 4 A_FaceTarget
		BS1W A 2 A_CustomMissile("PhotonBall", 40, -30, Random(-3, 3), 0)
		BS1W A 4 A_FaceTarget
		BS1W A 2 A_CustomMissile("PhotonBall", 40, 30, Random(-3, 3), 0)
		BS1W A 4 A_FaceTarget
		BS1W A 2 A_CustomMissile("PhotonBall", 40, -30, Random(-3, 3), 0)
		BS1W A 0 A_Jump(64, "See")
		goto MissilePlasma
	Pain:
		BS1P A 2
		BS1P A 5 A_Pain
		Goto See
	Death:
		NULL A 0 A_StopSound
		BS1D A 6 A_Scream
		BS1D B 6 
		BS1D C 6
		BS1D D 6 A_Fall
		NULL A 0 A_CustomMissile("SFX_Explosion_m_Base",0+Random(5,80),0+Random(35,-35),0+Random(0,370))
		NULL A 0 A_TossGib
		NULL A 0 A_TossGib
		BS1D EFG 6 
		NULL A 0 A_CustomMissile("SFX_Explosion_m_Base",0+Random(5,80),0+Random(35,-35),0+Random(0,370))
		BS1D HIJ 6
		NULL A 0 A_CustomMissile("SFX_Explosion_m_Base",0+Random(5,80),0+Random(35,-35),0+Random(0,370))
		NULL A 0 A_CustomMissile("SFX_Explosion_m_Base",0+Random(5,80),0+Random(35,-35),0+Random(0,370))
		NULL A 0 A_CustomMissile("SFX_Explosion_m_Base",0+Random(5,80),0+Random(35,-35),0+Random(0,370))
		NULL A 0 A_CustomMissile("SFX_Explosion_m_Base",0+Random(5,80),0+Random(35,-35),0+Random(0,370))
		NULL A 0 A_TossGib
		NULL A 0 A_TossGib
		BS1D K 20
		XTRA C 0 A_PlaySound("other/gibdeath")
//		NULL AAAAA 0 A_SpawnItemEx("GibDropper",0,0,random(20,40),0,0,0,0,1)
//		NULL AAAAAAA 0 A_SpawnItemEx("SmallGibDropper",0,0,random(20,40),0,0,0,0,1)
//		NULL A 0 A_SpawnItemEx("QuakeGibDropper",0,0,random(20,40),0,0,0,0,1)
//		NULL AAAAAAAAAAAAAAAAAAAAA 0 A_TossGib
		NULL A 0 A_SpawnItem("rxGibGenerator_s",0,0,0,0)
		NULL A 0 A_SpawnItem("rxGibGenerator_s",0,0,0,0)
		NULL A 0 A_SpawnItem("rxGibGenerator_s",0,0,0,0)
		NULL A 0 A_SpawnItem("rxGibGenerator_s",0,0,0,0)
		NULL A 0 A_SpawnItem("rxGibGenerator_m",0,0,0,0)
		NULL A 0 A_SpawnItem("rxGibGenerator_m",0,0,0,0)
		NULL A 0 A_SpawnItem("rxGibGenerator_m",0,0,0,0)
		NULL A 0 A_SpawnItem("rxGibGenerator_m",0,0,0,0)
		NULL A 0 A_SpawnItem("rxGibGenerator_l",0,0,0,0)
		NULL A 0 A_SpawnItem("rxGibGenerator_l",0,0,0,0)
		NULL A 0 A_SpawnItem("rxGibGenerator_l",0,0,0,0)
		NULL A 0 A_SpawnItem("rxGibGenerator_l",0,0,0,0)
		NULL A 0 A_CustomMissile("SFX_Explosion_m_Base",0+Random(5,80),0+Random(35,-35),0+Random(0,370))
		NULL A 0 A_CustomMissile("SFX_Explosion_m_Base",0+Random(5,80),0+Random(35,-35),0+Random(0,370))
		NULL A 0 A_CustomMissile("SFX_Explosion_m_Base",0+Random(5,80),0+Random(35,-35),0+Random(0,370))
		NULL A 0 A_CustomMissile("SFX_Explosion_m_Base",0+Random(5,80),0+Random(35,-35),0+Random(0,370))
		NULL A 0 A_KillMaster
		Stop
	}
}
//  ********** Rocket **********
ACTOR Rocket_Q2TankBoss_m : RocketBase
{
	Decal RevenantScorch
	States
	{
		Death: 
			TNT1 A 0 A_Explode(230, 192)
			TNT1 A 0 ThrustThingZ (0, random(4, 6), 0, 0)
			TNT1 A 0 Radius_Quake(3, 28, 1, 4, 0)
			TNT1 A 0 A_SpawnItemEx("SFX_RocketExplosion", 0, 0, 0, 0, 0, 1, 0, 128 | SXF_NOCHECKPOSITION, 0)
			TNT1 A 20
			Stop
	}
} 
/* 
actor BossTankRocket
{
	Radius 12
	Height 8
	Speed 20
	Damage 15
	Projectile
	Scale 0.6
	+ROCKETTRAIL
	ExplosionDamage 72
	ExplosionRadius 72
	Translation "4:95=176:191"
	SeeSound "q2weapon/rocketlauncherfire"
	States
	{
	Spawn:
      	MI13 A 1 Bright A_CustomMissile("QRockTrail",0,0,0,0)
		MISS A 0 A_CustomMissile("BarbasRocket1Trail2",random(3,-3),random(3,-3),0)
		TNT1 AA 0 A_CustomMissile("BarbasRocket1Trail1",random(3,-3),random(3,-3),0)
		Loop
	Death:
		TNT1 A 0 A_CustomMissile("ExploSmokeGeneral",0,0,0)
	      EXPL AA 0 A_CustomMissile("ExploSmoke",0+Random(0,25),0+Random(5,-5),0+Random(0,370))
		TNT1 AAAAAAA 0 A_SpawnItemEx("Q2RocketExtra",0,0,0,1,0,random(-1,3),random(1,360))
	      EXPL A 0 A_CustomMissile("RocketExplosion",0,0,0,0)
		EXP3 A 0 Bright A_Explode
		Stop
	}
}
*/ 
/* 
Actor ShotSmoke
{
    Mass 1
    Radius 8
    Speed 2
    Renderstyle Add
    Alpha 0.5
    Scale 0.65
    +NOGRAVITY
    Height 6
    States
    {
    Spawn:
        PUF5 ABCDEFGHIJKLMNOP 1 A_NoGravity
        Stop
    }
}
*/ 
Actor Q2TankBossD : Q2TankBoss 
{
	+AMBUSH
}
