//  ********************************************************
//  ***  Weapon: BFG10k                                  ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
actor BFG_10kPickup : CustomInventory
{
	Scale 1.0
	Inventory.PickupSound "misc/W_pkup"
	Inventory.PickUpMessage "You got the BFG 10k !"
	states
	{
		Spawn:
			PCNW A -1
			Loop
		Pickup:
			TNT1 A 0 A_JumpIfInventory("BFG_10k", 1, 3)
			TNT1 A 0 A_GiveInventory("BFG_10k", 1)
			TNT1 A 0 A_GiveInventory("Cell", 50)
			stop
			TNT1 A 0 A_GiveInventory("Cell", 50)
			TNT1 A 0 A_SpawnItemEx("BFG_10kPickupEmpty", 0, 0, 0, 1, 0, 1, 0, 0, 0)
			stop
	}
}
actor BFG_10kPickupEmpty : BFG_10kPickup
{
	states
	{
		Pickup:
			TNT1 A 0 A_JumpIfInventory("BFG_10k", 1, 1)
			TNT1 A 0 A_GiveInventory("BFG_10k", 1)
			stop
			TNT1 A 0 A_SpawnItemEx("BFG_10kPickupEmpty", 0, 0, 0, 1, 0, 1, 0, 0, 0)
			stop
	}
}
ACTOR BFG_10k : Weapon replaces BFG9000 // 2006
{
	Tag "BFG 10k"
	Scale 1.0
	weapon.selectionorder 2100
	Radius 12
	Height 12
	Weapon.Kickback 30
	Weapon.AmmoType "Cell"
//	Weapon.AmmoGive 50
	Weapon.AmmoUse 10
	Weapon.AmmoType2 "PhotonRifleHeat"
	States
	{
		Spawn:
			PCNW A 0
			PCNW A 1 A_SpawnItem("BFG_10kPickup")
			Stop
		Ready:
			TNT1 A 0 A_JumpIfInventory("DropAmmo",1,"DropAmmo_Start")
			TNT1 A 0 A_JumpIfInventory("DropWeapon",1,"DropWeapon_Start")
			PCNG A 1 A_WeaponReady
			PCNG A 0 A_TakeInventory("PhotonRifleHeat",1) 
			Loop
		Deselect:
			PCNG A 1 A_Lower
			PCNG A 0 A_TakeInventory("PhotonRifleHeat",100) 
			Loop
		Select:
			PCNG A 1 A_Raise
			Loop
		Fire:
			PCNG A 0 A_GiveInventory("PhotonRifleHeat",30)
			PCNG A 0 A_PlayWeaponSound("weapons/gyrocrge")
			PCNG AAAA 2
			PCNF A 3
			PCNF B 4 Bright A_FireCustomMissile("BFG10k_B",0,1,11,-3)
			PCNF A 0 A_PlayWeaponSound("weapons/gyrofire")
			PCNF A 0 A_JumpIfInventory("PhotonRifleHeat",100,2) 
			PCNG B 6
			Goto Ready
			PCNG A 0 A_PlaySound("weapons/photonoverheat")
			PCNG A 0 A_FireCustomMissile("PhotonSmoke",0,0,1,6)	    
			PCNG A 1 A_TakeInventory("PhotonRifleHeat",1)
			PCNG A 0 A_JumpIfInventory("PhotonRifleHeat",1,1)
			Goto Ready
			PCNG A 0 
			Goto Fire+13
		AltFire: 
			PCNG A 0 A_JumpIfInventory("Cell",50,1)
			Goto ready
			PCNG A 0 A_JumpIfInventory("PhotonRifleHeat",100,22) 
			PCNG A 0 BRIGHT A_TakeInventory("Cell",40)
			PCNG A 0 A_PlayWeaponSound("weapons/gyrocrge")
			PCNG AAAAAAAAAAA 2
			PCNF A 3
			PCNF B 4 Bright A_FireCustomMissile("BFG10k_A",0,1,11,-3)
			PCNF A 0 A_PlayWeaponSound("weapons/gyrofire")
			PCNF A 0
			PCNF A 6 A_GiveInventory("PhotonRifleHeat",80)
			PCNF A 0 A_JumpIfInventory("PhotonRifleHeat",100,1) 
			Goto Ready
			PCNG A 0 A_PlaySound("weapons/photonoverheat")
			PCNG A 0 A_FireCustomMissile("PhotonSmoke",0,0,1,6)	    
			PCNG A 1 A_TakeInventory("PhotonRifleHeat",1)
			PCNG A 0 A_JumpIfInventory("PhotonRifleHeat",1,1)
			Goto Ready
			PCNG A 0 
			Goto AltFire+23
/* **********          Drop Ammo          ********** */
		DropAmmo_Start:
			TNT1 A 0 A_TakeInventory("DropAmmo", 1)
			TNT1 A 0 A_JumpIfInventory("Cell", 20, 1) // is ammo in inventory?
			goto Ready
			TNT1 A 0 A_TakeInventory("Cell", 20)
			TNT1 A 0 A_SpawnItemEx("Cell_", 64, 0, 32, 5, 0, 5, 0, 0, 0)
			goto Ready
/* **********          Drop Weapon          ********** */
		DropWeapon_Start:
			TNT1 A 0 A_TakeInventory("DropWeapon", 1)
			TNT1 A 0 A_JumpIfInventory("BFG_10k", 1, 1) // is weapon in inventory?
			goto Ready
			TNT1 A 0 A_TakeInventory("PhotonRifleHeat", 100)
			TNT1 A 0 A_SpawnItemEx("BFG_10kPickupEmpty", 64, 0, 32, 5, 0, 5, 0, 0, 0)
			TNT1 A 1 A_TakeInventory("BFG_10k", 1)
			goto Deselect+1
	}
}
