//  ********************************************************
//  ***  Weapon: ChainSaw                                ***
//  ***  By: ???                                         ***
//  ***  Modified By: Cobalt                             ***
//  ********************************************************
actor ChainsawPickup : CustomInventory
{
	Scale 0.4//1.0
	Inventory.PickupSound "misc/W_pkup"
	Inventory.PickUpMessage "You found a Chainsaw !"
	states
	{
		Spawn:
			CSAW A -1
			Stop
		Pickup:
			TNT1 A 0 A_JumpIfInventory("Chainsaw_", 1, 1)
			TNT1 A 0 A_GiveInventory("Chainsaw_", 1)
			stop
			TNT1 A 0 A_SpawnItemEx("ChainsawPickup", 0, 0, 0, 1, 0, 1, 0, 0, 0)
			stop
	}
}
ACTOR ChainsawOn : Inventory
{
	Inventory.Amount 0
	Inventory.MaxAmount 1
}
ACTOR ChainsawAlertMonsters
{
	Health 1000
	Radius 1 Height 1 Speed 0
	Damage 0
	Mass 1   
	PROJECTILE
	+NOCLIP
	States
	{
		Spawn:
			TNT1 A 0
			TNT1 A 1 A_AlertMonsters
			Stop
	}
}
actor Chainsaw_ : Chainsaw replaces Chainsaw//2005
{
	Tag "Chainsaw"
	spawnid 32
	Weapon.SelectionOrder 100
	Weapon.AmmoUse 0
	Weapon.Upsound 0
	Weapon.Readysound 0
	+MELEEWEAPON
	+NOALERT
	States
	{
		Spawn:
			CSAW A 1
			CSAW A 0 A_SpawnItem("ChainsawPickup")
			stop
		Deselect:
			SAWG C 1 A_Lower
			Loop
		Select: 
			SAWG C 1 A_Raise
			Loop
		Ready:
			TNT1 A 0 A_JumpIfInventory("DropWeapon",1,"DropWeapon_Start")
			TNT1 A 0 A_JumpIfInventory("ChainsawOn", 1, "ChainSawIsOn")
			SAWG C 1 A_WeaponReady
			Loop
		ChainSawIsOn:
			TNT1 A 0 A_PlayWeaponSound ("weapons/sawidle")
			TNT1 A 0 A_FireCustomMissile("ChainsawAlertMonsters",0,0,0,0)
			SAWG D 4 A_WeaponReady
			SAWG C 3 A_WeaponReady
			Goto Ready
		Fire:
			SAWG A 0 A_JumpIfInventory("ChainsawOn", 1, "Hold")
			goto SpinUp
			SAWG A 0 //A_CustomPunch(16, 0, 0, "Puff")
		Hold:
			TNT1 A 0 A_FireCustomMissile("ChainsawAlertMonsters",0,0,0,0)
			SAWG A 4 A_Saw("weapons/sawfull", "weapons/sawhit", 10, "ChainsawPuff_")
			SAWG B 4 A_Saw("weapons/sawfull", "weapons/sawhit", 10, "ChainsawPuff_")
			TNT1 A 0 A_Refire
			goto Ready
		AltFire:
			TNT1 A 0 A_JumpIfInventory("ChainsawOn", 1, "SpinDown")
			goto SpinUp
		SpinUp:
			TNT1 A 0 A_GiveInventory("ChainsawOn", 1)
			TNT1 A 0 A_PlayWeaponSound("weapons/sawidle")
			SAWG FGHGF 3
			goto Ready
		SpinDown:
			TNT1 A 0
			SAWG C 10 A_TakeInventory("ChainsawOn", 1)
			goto Ready
/* **********          Drop Weapon          ********** */
		DropWeapon_Start:
			TNT1 A 0 A_TakeInventory("DropWeapon", 1)
			TNT1 A 0 A_JumpIfInventory("Chainsaw_", 1, 1) // is weapon in inventory?
			goto Ready+8
			TNT1 A 0 A_TakeInventory("ChainsawOn", 1)
			TNT1 A 0 A_SpawnItemEx("ChainsawPickup", 64, 0, 32, 5, 0, 5, 0, 0, 0)
			TNT1 A 1 A_TakeInventory("Chainsaw_", 1)
			goto Deselect+1
	}
}
