//  ********************************************************
//  ***  Weapon: Fist Foot / Punch Kick                  ***
//  ***  By: Weasel                                      ***
//  ***  Modified By: Cobalt and Butcher                 ***
//  ********************************************************
ACTOR KungFu : Weapon
{
	Tag "Fist"
	weapon.selectionorder 100
	Weapon.Kickback 9000
	Radius 12
	Height 46
	+MELEEWEAPON
	+NOALERT
	+NOEXTREMEDEATH
	Inventory.PickupSound "misc/w_pkup"
	Inventory.PickupMessage "You found a very good Pitchfork !"
	AttackSound "weapons/gpunch"
	Weapon.AmmoUse 0
	States
	{
		Ready:
			PUNG A 1 A_WeaponReady
			Loop
		Deselect:
			PUNG A 1 A_Lower
			Loop
		Select:
			PUNG A 1 A_Raise
			Loop
		Fire:
			PUNG A 0 A_JumpIfInventory("PowerStrength", 1, "StrongPunch")
			PUNG A 0 A_Jump(48, 23)//Superpunch
			PUNG A 0 A_Jump(128, 12)
			PUNG M 0
			PUNG M 0 A_PlayWeaponSound("weapons/gswing")
			PUNG MNOP 2
			PUNG Q 2 A_CustomPunch(6, 0, 0, "MeleePuff_")
			PUNG RST 2
			Goto Ready
			PUNG D 0
			PUNG D 0 A_PlayWeaponSound("weapons/gswing")
			PUNG DEFG 2
			PUNG H 2 A_CustomPunch(6, 0, 0, "MeleePuff_")
			PUNG IJKL 2
			Goto Ready
			PUNG X 0
			PUNG X 0 A_PlayWeaponSound("weapons/gswing")
			PUNH ABCD 2
			PUNH E 2 A_CustomPunch(6, 0, 0, "MeleePuff_")
			PUNH DCBA 2
			Goto Ready
		StrongPunch:
			PUNG A 0 A_Jump(48, 23)//Superpunch
			PUNG A 0 A_Jump(128, 12)
			PUNG M 0
			PUNG M 0 A_PlayWeaponSound("weapons/gswing")
			PUNG MNOP 2
			PUNG Q 2 A_CustomPunch(16, 0, 0, "MeleePuff_")
			PUNG RST 2
			Goto Ready
			PUNG D 0
			PUNG D 0 A_PlayWeaponSound("weapons/gswing")
			PUNG DEFG 2
			PUNG H 2 A_CustomPunch(16, 0, 0, "MeleePuff_")
			PUNG IJKL 2
			Goto Ready
			PUNG X 0
			PUNG X 0 A_PlayWeaponSound("weapons/gswing")
			PUNH ABCD 2
			PUNH E 2 A_CustomPunch(16, 0, 0, "MeleePuff_")
			PUNH DCBA 2
			Goto Ready
		AltFire:
			PUNI A 0 A_JumpIfInventory("PowerStrength", 1, "StrongKick")
			PUNI A 0 A_PlayWeaponSound("weapons/gswing")
			PUNI A 0
			PUNI ABCD 2
			PUNI E 8 A_CustomPunch(16, 0, 0, "MeleePuff_", 75)
			PUNI DCBA 2
			Goto Ready
		StrongKick:
			PUNI A 0
			PUNI A 0 A_PlayWeaponSound("weapons/gswing")
			PUNI A 0
			PUNI ABCD 2
			PUNI E 8 A_CustomPunch(40, 0, 0, "MeleePuff_", 75)
			PUNI DCBA 2
			Goto Ready
	}
}
