//  ********************************************************
//  ***  Ammo: Shotgun Ammo                              ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
ACTOR ShotgunBullets : Ammo
{
	Inventory.Amount 0
	Inventory.MaxAmount 8
	Ammo.BackpackAmount 0
	Ammo.BackpackMaxAmount 8
//	Inventory.Icon REVII0
	States
	{
		Spawn:
			REVI I -1
			Stop
	}
}
//  ********************************************************
//  ***  Weapon: Shotgun 2 (SPAS)                        ***
//  ***  BY: ??? from sww WAD                            ***
//  ***  Modified By: Cobalt and Butcher                 ***
//  ********************************************************
actor ShotgunPickup : CustomInventory
{
	Scale 0.3
	Inventory.PickupSound "misc/W_pkup"
	Inventory.PickUpMessage "You got a SPAS (Shotgun)!"
	states
	{
		Spawn:
			SPAS Z -1
			Loop
		Pickup:
			TNT1 A 0 A_JumpIfInventory("Shotgun2", 1, 3)
			TNT1 A 0 A_GiveInventory("Shotgun2", 1)
			TNT1 A 0 A_GiveInventory("ShotgunBullets", 8)
			stop
			TNT1 A 0 A_GiveInventory("Shell", 8)
			TNT1 A 0 A_SpawnItemEx("ShotgunPickupEmpty", 0, 0, 0, 1, 0, 1, 0, 0, 0)
			stop
	}
}
actor ShotgunPickupEmpty : ShotgunPickup
{
	states
	{
		Pickup:
			TNT1 A 0 A_JumpIfInventory("Shotgun2", 1, 1)
			TNT1 A 0 A_GiveInventory("Shotgun2", 1)
			stop
			TNT1 A 0 A_SpawnItemEx("ShotgunPickupEmpty", 0, 0, 0, 1, 0, 1, 0, 0, 0)
			stop
	}
}
ACTOR Shotgun2 : Weapon 25054
{
	Tag "Shotgun"
	Scale 0.3
	weapon.selectionorder 1300
	Weapon.AmmoType "ShotgunBullets" 
	Weapon.AmmoGive 0
	Weapon.AmmoType2 "Shell" 
//	Weapon.AmmoGive2 8
	AttackSound "weapons/shtgn2fr"
	States
	{
		Spawn:
			SPAS Z 1
			SPAS Z 0 A_SpawnItem("ShotgunPickup")
			Stop
		Ready:
			TNT1 A 0 A_JumpIfInventory("Reload",1,"Reload_Start")
			TNT1 A 0 A_JumpIfInventory("Unload",1,"Unload_Start")
			TNT1 A 0 A_JumpIfInventory("DropAmmo",1,"DropAmmo_Start")
			TNT1 A 0 A_JumpIfInventory("DropWeapon",1,"DropWeapon_Start")
			SPAS A 1 A_WeaponReady
			Loop
		Deselect:
			SPAS A 1 A_Lower
			Loop
		Select:
			SPAS A 1 A_Raise
			Loop
		Fire:
			NULL A 0
			NULL A 0 A_JumpIfInventory("ShotgunBullets", 1, 2) // Wenn genug (Ammo Magazin), dann zur Aktion gehen
			SPAS A 6 A_PlaySound("weapons/magnum/noammo") // No (Ammo Magazin) Sound (no Ammo)
			goto Ready
			NULL A 0 // Aktion
			NULL A 0 A_TakeInventory("ShotgunBullets", 1) // Eins von (Ammo Magazin) nehmen
//  	... fire code ... 
			SPAS A 0 A_GunFlash
			SPAS A 0 A_Light2
			SPAS A 2 Bright A_FireBullets(5,2,9,5,"BulletPuff",1)
			SPAS A 0 Bright A_Light0
			SPAS A 0 BRIGHT A_FireCustomMissile("CasingShotgun_x",300+random(-16,16),0,3,6)
			SPAS B 4
			SPAS C 4 A_PlaySound("weapons/reload")
			SPAS BA 4
			Goto Ready
/* **********          Reload          ********** */
		Reload_Start:
			TNT1 A 0 A_TakeInventory("Reload", 1)
			TNT1 A 0 A_JumpIfInventory("Shell", 1, 1) // is ammo in inventory?
			goto Ready
			TNT1 A 0 A_JumpIfInventory("ShotgunBullets", 8, "Ready") // magazine full
			SPAS AODE 4
		Reload_Transfer:// Ammo Transfer [load weapon] (:zu diesem Zeitpunkt ist sichergestellt, dass mindestens 1 Ammo im Inventar vorhanden ist, und dass das Magazin nicht voll ist)
			SPAS FGHI 2
			TNT1 A 0 A_TakeInventory("Shell", 1)
			TNT1 A 0 A_GiveInventory("ShotgunBullets", 1)
			TNT1 A 0 A_PlaySound("weapons/shtgn2rl")
			SPAS JKLMN 2
			TNT1 A 0 A_JumpIfInventory("ShotgunBullets", 8, "Reload_End") //if magazine is full then ready
			TNT1 A 0 A_JumpIfInventory("Shell", 1, "Reload_Transfer") //loop to load the rest | Wenn noch was im Inventar da ist, weiterladen
			goto Reload_End
		Reload_End:
			TNT1 A 0
			SPAS EDOA 4
			SPAS B 4 A_PlaySound("weapons/reload")
			SPAS CBA 4
			goto Ready
/* **********          Unload          ********** */
		Unload_Start:
			TNT1 A 0 A_TakeInventory("Unload", 1)
			TNT1 A 0 A_JumpIfInventory("ShotgunBullets", 1, 1) // is ammo in magazine?
			goto Ready
			SPAS AODE 4
		Unload_Transfer: // Ammo Transfer [Entladen]
			TNT1 A 0 A_JumpIfInventory("ShotgunBullets", 1, 1) // is ammo in magazine? Wenn im Magazin noch mindestens ein Ammo drin ist, dann zum (Ammo Transfer (Entladen)) springen
			goto Unload_End // magazine is empty -> End Unload Sequence
			SPAS NMLKJ 2
			TNT1 A 0 A_PlaySound("weapons/shtgn2rl")
			TNT1 A 0 A_TakeInventory("ShotgunBullets", 1)
			TNT1 A 0 A_GiveInventory("Shell", 1)
			SPAS IHGF 2
			goto Unload_Transfer //loop to unload all
		Unload_End:
			TNT1 A 0
			SPAS EDOA 4
			goto Ready
/* **********          Drop Ammo          ********** */
		DropAmmo_Start:
			TNT1 A 0 A_TakeInventory("DropAmmo", 1)
			TNT1 A 0 A_JumpIfInventory("Shell", 4, 1) // is ammo in inventory?
			goto Ready
			TNT1 A 0 A_TakeInventory("Shell", 4)
			TNT1 A 0 A_SpawnItemEx("Shell_", 64, 0, 32, 5, 0, 5, 0, 0, 0)
			goto Ready
/* **********          Drop Weapon          ********** */
		DropWeapon_Start:
			TNT1 A 0 A_TakeInventory("DropWeapon", 1)
			TNT1 A 0 A_JumpIfInventory("Shotgun2", 1, 1) // is weapon in inventory?
			goto Ready
			//Unload magazine start
			TNT1 A 0 A_JumpIfInventory("ShotgunBullets", 1, 1) // is ammo in magazine?
			goto DropWeapon_Start+5 // magazine is empty -> Drop Weapon
			TNT1 A 0 A_TakeInventory("ShotgunBullets", 1)
			TNT1 A 0 A_GiveInventory("Shell", 1)
			goto DropWeapon_Start+2 //loop to unload all
			//Unload magazine end
			TNT1 A 0 A_SpawnItemEx("ShotgunPickupEmpty", 64, 0, 32, 5, 0, 5, 0, 0, 0)
			TNT1 A 1 A_TakeInventory("Shotgun2", 1)
			goto Deselect+1
		Flash:
			SPAF S 2
			Stop
	}
}
