//  ********************************************************
//  ***  Weapon: TwoHandedSword                          ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
actor TwoHandedSwordPickup : CustomInventory
{
	Scale 0.6
	Inventory.PickupSound "misc/W_pkup"
	Inventory.PickUpMessage "You found a two handed sword !"
	states
	{
		Spawn:
			SWO0 NOPQ 3
			Loop
		Pickup:
			TNT1 A 0 A_JumpIfInventory("TwoHandedSword", 1, 1)
			TNT1 A 0 A_GiveInventory("TwoHandedSword", 1)
			stop
			TNT1 A 0 A_SpawnItemEx("TwoHandedSwordPickup", 0, 0, 0, 1, 0, 1, 0, 0, 0)
			stop
	}
}
ACTOR TwoHandedSword : weapon 25010
{
	Tag "Two handed Sword"
	Scale 0.6
	weapon.selectionorder 101
	Radius 12
	Height 46
	AttackSound "weapons/swordslide"
//	+AMMO_OPTIONAL
//	WEAPON.YADJUST 32
	+WEAPON.MELEEWEAPON
	+WEAPON.BFG
	+WEAPON.NOALERT
//	+WEAPON.DONTBOB
	+NOEXTREMEDEATH
	Weapon.AmmoUse 0
	States
	{
	Spawn:
		SWO0 N 1
		SWO0 N 0 A_SpawnItem("TwoHandedSwordPickup")
		Stop
	Ready:
		SWO0 M 0 A_TakeInventory ("Sequence",1)
		SWO0 M 2 A_WeaponReady
		TNT1 A 0 A_JumpIfInventory("DropWeapon",1,"DropWeapon_Start")
		goto Ready + 1
	Deselect:
		SWO0 A 0 A_PlayWeaponSound ("weapons/sworddown")
		SWO0 M 1 A_Lower
//		SWO0 LKJIHGFEDCBA 3 A_Lower
		goto Deselect + 1
	Select:
		SWO0 A 0 A_PlayWeaponSound ("weapons/swordup")
		SWO0 M 1 A_Raise
//		SWO0 ABCDEFGHIJKL 3 A_Raise
		goto Select + 1
//		goto Ready
	Fire:
		SWO1 A 0 A_JumpIfInventory("PowerStrength", 1, "StrongHit")
		SWO1 A 0 A_JumpIfInventory ("Sequence",1,14)
		SWO1 A 0
		SWO1 ABCD 2
		SWO1 E 2 A_PlayWeaponSound ("weapons/swordwind")
		SWO1 FG 2
		SWO1 H 2 A_CustomPunch(random(10,20)+15, 0, 0, "BladePuff_", 90)//A_CustomPunch(9,1,0,1,90)
		SWO1 IJ 2
		SWO0 M 3 A_GiveInventory ("Sequence",1)
		SWO0 M 0 A_ReFire
		goto ready
//		goto Select+1
		SWO2 AB 2
		SWO2 C 2 A_PlayWeaponSound ("weapons/swordwind")
		SWO2 DE 2
		SWO2 F 2 A_CustomPunch(random(10,20)+15, 0, 0, "BladePuff_", 90)//A_CustomPunch(9,1,0,1,90)
		SWO2 GHIJ 2
		SWO0 M 3 A_TakeInventory ("Sequence",1)
		SWO0 M 0 A_ReFire
		goto Select+1
	StrongHit:
		SWO1 A 0
		SWO1 A 0 A_JumpIfInventory ("Sequence",1,14)
		SWO1 A 0
		SWO1 ABCD 2
		SWO1 E 2 A_PlayWeaponSound ("weapons/swordwind")
		SWO1 FG 2
		SWO1 H 2 A_CustomPunch(random(10,30)+50, 0, 0, "BladePuff_", 90)//A_CustomPunch(9,1,0,1,90)
		SWO1 IJ 2
		SWO0 M 3 A_GiveInventory ("Sequence",1)
		SWO0 M 0 A_ReFire
		goto ready
//		goto Select+1
		SWO2 AB 2
		SWO2 C 2 A_PlayWeaponSound ("weapons/swordwind")
		SWO2 DE 2
		SWO2 F 2 A_CustomPunch(random(10,30)+50, 0, 0, "BladePuff_", 90)//A_CustomPunch(9,1,0,1,90)
		SWO2 GHIJ 2
		SWO0 M 3 A_TakeInventory ("Sequence",1)
		SWO0 M 0 A_ReFire
		goto Select+1
	Hold:
		SWO1 A 0 A_JumpIfInventory("PowerStrength", 1, "StrongHold")
		SWO1 A 0 A_JumpIfInventory ("Sequence",1,1)
		goto fire + 6
		SWO1 A 0
		goto fire + 16
	StrongHold:
		SWO1 A 0 A_JumpIfInventory ("Sequence",1,1)
		goto StrongHit + 6
		SWO1 A 0
		goto StrongHit + 16
    Altfire:
       SWO1 ABCDEF 2
       SWO1 G 6 A_FireCustomMissile("Deflector2HSword",0,0,0,0)
       SWO1 G 0 A_Refire
       SWO1 FEDCBA 2
       Goto Select+1
    AltHold:
       SWO1 G 0
       Goto altfire + 6
/* **********          Drop Weapon          ********** */
		DropWeapon_Start:
			TNT1 A 0 A_TakeInventory("DropWeapon", 1)
			TNT1 A 0 A_JumpIfInventory("TwoHandedSword", 1, 1) // is weapon in inventory?
			goto Ready
			TNT1 A 0 A_SpawnItemEx("TwoHandedSwordPickup", 64, 0, 32, 5, 0, 5, 0, 0, 0)
			TNT1 A 1 A_TakeInventory("TwoHandedSword", 1)
			goto Deselect+1
	}
}
ACTOR Deflector2HSword
{
   Health 15
   Height 70
   Radius 16
   Speed  6
   RENDERSTYLE NONE
   +NOBLOOD
   +SHOOTABLE
   +NOGRAVITY
   +REFLECTIVE
   +NOCLIP
   States
   {
   Spawn: 
      SARG AA 2 
      Stop
   Death: 
      SARG A 0
      Stop
   }
}
ACTOR Sequence : Ammo //4156
{
	Inventory.Amount 0
	Inventory.MaxAmount 1
	States
	{
	Spawn:
		NULL A -1
		Loop
	}
}
