//  *******************************************************
//  ******  Decoration Doom + extra(torches + fire)  ******
//  *******************************************************
//  ****************************************************************************
//  ***  Decorate: Magic                                 ***
//  ********************************************************
//  ********************************************************
//  ***  Decorate: TeleportStar                          ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
actor SpezialRed_  6213
{
	-SOLID
	+NOBLOOD +NOGRAVITY
	radius 1
	height 1
	states
	{
	Spawn:
		TNT1 A 1 A_CheckSight(2)
		TNT1 A 2 A_SpawnItemEx("SFX_RedStar", Random(-32, 32), Random(-32, 32), Random(8, 10), 0, 0, 0, 0)
		loop
		TNT1 A 1
		loop
	}
}
Actor SFX_RedStar
{
	Scale 0.2
	+Missile +NoGravity +NoBlockmap
	-Solid
	Radius 0 Height 0
	RenderStyle Add
	Alpha 1.0
	Speed 2
	States
	{
	Spawn:
		TNT1 A 0
		TNT1 A 0 ThrustThingZ(0, Random(4, 16), 0, 0)
		SFX0 A 20 BRIGHT
		SFX0 AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA 1 Bright A_FadeOut(0.05)
		Stop
	}
}
actor SpezialBlue_  6214
{
	-SOLID
	+NOBLOOD +NOGRAVITY
	radius 1
	height 1
	states
	{
	Spawn:
		TNT1 A 1 A_CheckSight(2)
		TNT1 A 2 A_SpawnItemEx("SFX_BlueStar", Random(-32, 32), Random(-32, 32), Random(8, 10), 0, 0, 0, 0)
		loop
		TNT1 A 1
		loop
	}
}
Actor SFX_BlueStar : SFX_RedStar
{
	States
	{
	Spawn:
		TNT1 A 0
		TNT1 A 0 ThrustThingZ(0, Random(4, 16), 0, 0)
		SFX0 B 20 BRIGHT
		SFX0 BBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBB 1 Bright A_FadeOut(0.05)
		Stop
	}
}
//  ********************************************************
//  ***  Decorate: Gore                                  ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
actor EvilEye_ : RAWDecorateMeatMediumRed1 replaces EvilEye //41
{
	Health 110
	radius 16 height 54
	states
	{
		Spawn:
			CEYE ABCB 6 bright
			loop
	}
}
actor BloodyTwitch_ : RAWDecorateMeatMediumRed1 replaces BloodyTwitch //49
{
	Scale 1.0
	Health 120
	radius 16 height 68
	+SPAWNCEILING +NOGRAVITY
	states
	{
	Spawn:
		GOR1 A 10
		GOR1 B 15
		GOR1 C 8
		GOR1 B 6
		loop
	}
}
//noblocking
actor BloodyTwitch_blocking__ : BloodyTwitch_ replaces NonsolidTwitch //63
{
	-SOLID
}
actor BrainStem_ : RAWDecorateMeatSmallRed1 replaces BrainStem //81
{
	spawnid 150
	radius 20 height 4
	+NOBLOCKMAP
	states
	{
	Spawn:
		BRS1 A -1
		stop
	}
}
actor DeadStick_ : RAWDecorateMeatMediumRed1 replaces DeadStick //25
{
	Health 160
	radius 16 height 64
	states
	{
	Spawn:
		POL1 A -1
		stop
	}
}
actor HangBNoBrain_ : RAWDecorateMeatMediumRed1 replaces HangBNoBrain //74
{
	Health 160
	radius 16 height 88
	+SPAWNCEILING +NOGRAVITY
	states
	{
	Spawn:
		HDB2 A -1
		stop
	}
}
actor HangNoGuts_ : RAWDecorateMeatMediumRed1 replaces HangNoGuts //73
{
	Health 160
	radius 16 height 88
	+SPAWNCEILING +NOGRAVITY
	states
	{
	Spawn:
		HDB1 A -1
		stop
	}
}
actor HangTLookingDown_ : RAWDecorateMeatMediumRed1 replaces HangTLookingDown //75
{
	Health 160
	radius 16 height 64
	+SPAWNCEILING +NOGRAVITY
	states
	{
	Spawn:
		HDB3 A -1
		stop
	}
}
actor HangTLookingUp_ : RAWDecorateMeatMediumRed1 replaces HangTLookingUp //77
{
	Health 160
	radius 16 height 64
	+SPAWNCEILING +NOGRAVITY
	states
	{
	Spawn:
		HDB5 A -1
		stop
	}
}
actor HangTNoBrain_ : RAWDecorateMeatMediumRed1 replaces HangTNoBrain //78
{
	Health 160
	radius 16 height 64
	+SPAWNCEILING +NOGRAVITY
	states
	{
	Spawn:
		HDB6 A -1
		stop
	}
}
actor HangTSkull_ : RAWDecorateMeatMediumRed1 replaces HangTSkull //76
{
	Health 160
	radius 16 height 64
	+SPAWNCEILING +NOGRAVITY
	states
	{
	Spawn:
		HDB4 A -1
		stop
	}
}
actor LiveStick_ : RAWDecorateMeatMediumRed1 replaces LiveStick //26
{
	Health 160
	radius 16 height 64
	states
	{
	Spawn:
		POL6 A 6
		POL6 B 8
		loop
	}
}
actor Meat2_ : RAWDecorateMeatMediumRed1 replaces Meat2 //50
{
	Health 160
	radius 16 height 84
	+SPAWNCEILING +NOGRAVITY
	states
	{
	Spawn:
		GOR2 A -1
		stop
	}
}
actor Meat3_ : RAWDecorateMeatMediumRed1 replaces Meat3 //51
{
	Health 160
	radius 16 height 84
	+SPAWNCEILING +NOGRAVITY
	states
	{
	Spawn:
		GOR3 A -1
		stop
	}
}
actor Meat4_ : RAWDecorateMeatMediumRed1 replaces Meat4 //52
{
	Health 160
	radius 16 height 68
	+SPAWNCEILING +NOGRAVITY
	states
	{
	Spawn:
		GOR4 A -1
		stop
	}
}
actor Meat5_ : RAWDecorateMeatMediumRed1 replaces Meat5 //53
{
	Health 160
	radius 16 height 52
	+SPAWNCEILING +NOGRAVITY
	states
	{
	Spawn:
		GOR5 A -1
		stop
	}
}
//nosolid
actor NonsolidMeat2_ : Meat2_ replaces NonsolidMeat2
{
	radius 6 height 12
	-SOLID
}
//nosolid
actor NonsolidMeat3_ : Meat3_ replaces NonsolidMeat3 //61
{
	radius 16 height 84
	-SOLID
}
//nosolid
actor NonsolidMeat4_ : Meat4_ replaces NonsolidMeat4 //60
{
	radius 20 height 68
	-SOLID
}
//nosolid
actor NonsolidMeat5_ : Meat5_ replaces NonsolidMeat5 //62
{
	radius 20 height 52
	-SOLID
}
//nosolid
actor NonsolidTwitch_ : BloodyTwitch_ replaces NonsolidMeat2 //59
{
	radius 20 height 84
	-SOLID
}
actor HeadCandles_ : RAWDecorateBonesMediumBrown1 replaces HeadCandles //29
{
	Health 160
	radius 16 height 42
	states
	{
		Spawn:
			POL3 AB 6 bright
			loop
	}
}
actor HeadOnAStick_ : RAWDecorateBonesSmallBrown1 replaces HeadOnAStick //27
{
	Health 110
	radius 16 height 56
	states
	{
		Spawn:
			POL4 A -1
			stop
	}
}
actor HeadsOnAStick_ : RAWDecorateBonesSmallBrown1 replaces HeadsOnAStick //28
{
	Health 110
	radius 16 height 64
	states
	{
		Spawn:
			POL2 A -1
			stop
	}
}
//  ********************************************************
//  ***  Decorate: Trees                                 ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
actor BigTree_ : RAWDecorateTreeLargeBrown1 replaces BigTree //54
{
	Scale 1.0
	Health 320
	radius 32 height 108
	states
	{
	Spawn:
		TRE2 A -1
		stop
	}
}
actor TorchTree_ : RAWDecorateTreeLargeBrown1 replaces TorchTree//43
{
	Health 240
	radius 16 height 56
	states
	{
	Spawn:
		TRE1 A -1
		stop
	}
}
//  ********************************************************
//  ***  Decorate: Rocks                                 ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
actor Stalagtite_ : RAWDecorateRockSmallBrown1 replaces Stalagtite //47
{
	Health 320
	radius 16 height 40
	states
	{
	Spawn:
		SMIT A -1
		stop
	}
}
actor FloatingSkull_ : RAWDecorateRockSmallYellow1 replaces FloatingSkull //42
{
	+NOGRAVITY
	Health 220
	Health 220
	radius 16 height 26
	states
	{
	Spawn:
		FSKU ABC 4 bright
		loop
	}
}
//  ********************************************************
//  ***  Decorate: Techlamps                             ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
actor TechLamp_ : RAWDecorateMetalMediumBlack1 replaces TechLamp //85
{
	Health 200
	radius 16 height 80
	states
	{
		Spawn:
			TLMP ABCD 4 bright
			loop
	}
}
actor TechLamp2_ : RAWDecorateMetalMediumBlack1 replaces TechLamp2 //86
{
	Health 200
	radius 16 height 60
	states
	{
		Spawn:
			TLP2 ABCD 4 bright
			loop
	}
}
actor TechPillar_ : RAWDecorateMetalLargeBlack1 replaces TechPillar //48
{
	Health 300
	radius 16 height 128
	states
	{
		Spawn:
			ELEC A -1
			stop
	}
}
//  ********************************************************
//  ***  Decorate: Candles                               ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
actor Candlestick_ : RAWDecorateMetalTorchMediumBrown1 replaces Candlestick //34 //Kerze
{
	Health 60 Mass 9999
	Scale 0.8
	radius 20 height 14
	+PUSHABLE
	states
	{
		Spawn:
			CAND AB 4 bright
			loop
		Death:
			Stop
	}
}
//  ********************************************************
//  ***  Decorate: Torches                               ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
actor Candelabra_ : RAWDecorateMetalTorchMediumBrown1 replaces Candelabra //35
{
	Health 180
	radius 16 height 60
	states
	{
		Spawn:
			CBRA A -1 bright
			stop
	}
}
actor YellowTorch_ : RAWDecorateMetalTorchMediumBrown1 6216
{
	Health 180
	radius 16 height 68
	states
	{
	Spawn:
		TNT1 A 0 A_CheckSight(4)
		TNT1 A 0 A_Jump(128, 2)
		TRCH A 2 A_SpawnItemEx("FlameFireYellow1", Random(-2, 2), Random(-2, 2), Random(56, 60), 0.001 * Random(10, 200), 0.001 * Random(10, 200), 0.001 * Random(1000, 1600), 0, 128, 0)
		Goto Spawn
		TRCH A 2 A_SpawnItemEx("FlameFireYellow2", Random(-2, 2), Random(-2, 2), Random(56, 60), 0.001 * Random(10, 200), 0.001 * Random(10, 200), 0.001 * Random(1000, 1600), 0, 128, 0)
		Goto Spawn
		TRCH A 1
		Goto Spawn
	}
}
actor RedTorch_ : RAWDecorateMetalTorchMediumBrown1 replaces RedTorch //46
{
	Health 180
	radius 16 height 68
	states
	{
	Spawn:
		TNT1 A 0 A_CheckSight(4)
		TNT1 A 0 A_Jump(128, 2)
		TRCH A 2 A_SpawnItemEx("FlameFireRed1", Random(-2, 2), Random(-2, 2), Random(56, 60), 0.001 * Random(10, 200), 0.001 * Random(10, 200), 0.001 * Random(1000, 1600), 0, 128, 0)
		Goto Spawn
		TRCH A 2 A_SpawnItemEx("FlameFireRed2", Random(-2, 2), Random(-2, 2), Random(56, 60), 0.001 * Random(10, 200), 0.001 * Random(10, 200), 0.001 * Random(1000, 1600), 0, 128, 0)
		Goto Spawn
		TRCH A 1
		Goto Spawn
	}
}
actor GreenTorch_ : RAWDecorateMetalTorchMediumBrown1 replaces GreenTorch //45
{
	Health 180
	radius 16 height 68
	states
	{
	Spawn:
		TNT1 A 0 A_CheckSight(4)
		TNT1 A 0 A_Jump(128, 2)
		TRCH A 2 A_SpawnItemEx("FlameFireGreen1", Random(-2, 2), Random(-2, 2), Random(56, 60), 0.001 * Random(10, 200), 0.001 * Random(10, 200), 0.001 * Random(1000, 1600), 0, 128, 0)
		Goto Spawn
		TRCH A 2 A_SpawnItemEx("FlameFireGreen2", Random(-2, 2), Random(-2, 2), Random(56, 60), 0.001 * Random(10, 200), 0.001 * Random(10, 200), 0.001 * Random(1000, 1600), 0, 128, 0)
		Goto Spawn
		TRCH A 1
		Goto Spawn
	}
}
actor BlueTorch_ : RAWDecorateMetalTorchMediumBrown1 replaces BlueTorch //44
{
	Health 180
	radius 16 height 68
	states
	{
	Spawn:
		TNT1 A 0 A_CheckSight(4)
		TNT1 A 0 A_Jump(128, 2)
		TRCH A 2 A_SpawnItemEx("FlameFireBlue1", Random(-2, 2), Random(-2, 2), Random(56, 60), 0.001 * Random(10, 200), 0.001 * Random(10, 200), 0.001 * Random(1000, 1600), 0, 128, 0)
		Goto Spawn
		TRCH A 2 A_SpawnItemEx("FlameFireBlue2", Random(-2, 2), Random(-2, 2), Random(56, 60), 0.001 * Random(10, 200), 0.001 * Random(10, 200), 0.001 * Random(1000, 1600), 0, 128, 0)
		Goto Spawn
		TRCH A 1
		Goto Spawn
	}
}
actor PurpleTorch_ : RAWDecorateMetalTorchMediumBrown1 6206
{
	Health 180
	radius 16 height 68
	states
	{
	Spawn:
		TNT1 A 0 A_CheckSight(4)
		TNT1 A 0 A_Jump(128, 2)
		TRCH A 2 A_SpawnItemEx("FlameFirePurple1", Random(-2, 2), Random(-2, 2), Random(56, 60), 0.001 * Random(10, 200), 0.001 * Random(10, 200), 0.001 * Random(1000, 1600), 0, 128, 0)
		Goto Spawn
		TRCH A 2 A_SpawnItemEx("FlameFirePurple2", Random(-2, 2), Random(-2, 2), Random(56, 60), 0.001 * Random(10, 200), 0.001 * Random(10, 200), 0.001 * Random(1000, 1600), 0, 128, 0)
		Goto Spawn
		TRCH A 1
		Goto Spawn
	}
}
actor ShortRedTorch_ : RAWDecorateMetalTorchMediumBrown1 replaces ShortRedTorch //57
{
	Health 120
	radius 16 height 37
	states
	{
	Spawn:
		TNT1 A 0 A_CheckSight(4)
		TNT1 A 0 A_Jump(128, 2)
		STCB A 2 A_SpawnItemEx("FlameFireRed1", Random(-2, 2), Random(-2, 2), Random(30, 34), 0.001 * Random(10, 200), 0.001 * Random(10, 200), 0.001 * Random(1000, 1600), 0, 128, 0)
		Goto Spawn
		STCB A 2 A_SpawnItemEx("FlameFireRed2", Random(-2, 2), Random(-2, 2), Random(30, 34), 0.001 * Random(10, 200), 0.001 * Random(10, 200), 0.001 * Random(1000, 1600), 0, 128, 0)
		Goto Spawn
		STCB A 1
		Goto Spawn
	}
}
actor ShortGreenTorch_ : RAWDecorateMetalTorchMediumBrown1 replaces ShortGreenTorch //56
{
	Health 120
	radius 16 height 37
	states
	{
	Spawn:
		TNT1 A 0 A_CheckSight(4)
		TNT1 A 0 A_Jump(128, 2)
		STCB A 2 A_SpawnItemEx("FlameFireGreen1", Random(-2, 2), Random(-2, 2), Random(30, 34), 0.001 * Random(10, 200), 0.001 * Random(10, 200), 0.001 * Random(1000, 1600), 0, 128, 0)
		Goto Spawn
		STCB A 2 A_SpawnItemEx("FlameFireGreen2", Random(-2, 2), Random(-2, 2), Random(30, 34), 0.001 * Random(10, 200), 0.001 * Random(10, 200), 0.001 * Random(1000, 1600), 0, 128, 0)
		Goto Spawn
		STCB A 1
		Goto Spawn
	}
}
actor ShortBlueTorch_ : RAWDecorateMetalTorchMediumBrown1 replaces ShortBlueTorch //55
{
	Health 120
	radius 16 height 37
	states
	{
	Spawn:
		TNT1 A 0 A_CheckSight(4)
		TNT1 A 0 A_Jump(128, 2)
		STCB A 2 A_SpawnItemEx("FlameFireBlue1", Random(-2, 2), Random(-2, 2), Random(30, 34), 0.001 * Random(10, 200), 0.001 * Random(10, 200), 0.001 * Random(1000, 1600), 0, 128, 0)
		Goto Spawn
		STCB A 2 A_SpawnItemEx("FlameFireBlue2", Random(-2, 2), Random(-2, 2), Random(30, 34), 0.001 * Random(10, 200), 0.001 * Random(10, 200), 0.001 * Random(1000, 1600), 0, 128, 0)
		Goto Spawn
		STCB A 1
		Goto Spawn
	}
}
actor ShortPurpleTorch_ : RAWDecorateMetalTorchMediumBrown1 6207
{
	Health 120
	radius 16 height 37
	states
	{
	Spawn:
		TNT1 A 0 A_CheckSight(4)
		TNT1 A 0 A_Jump(128, 2)
		STCB A 2 A_SpawnItemEx("FlameFirePurple1", Random(-2, 2), Random(-2, 2), Random(30, 34), 0.001 * Random(10, 200), 0.001 * Random(10, 200), 0.001 * Random(1000, 1600), 0, 128, 0)
		Goto Spawn
		STCB A 2 A_SpawnItemEx("FlameFirePurple2", Random(-2, 2), Random(-2, 2), Random(30, 34), 0.001 * Random(10, 200), 0.001 * Random(10, 200), 0.001 * Random(1000, 1600), 0, 128, 0)
		Goto Spawn
		STCB A 1
		Goto Spawn
	}
}
actor ShortYellowTorch_ : RAWDecorateMetalTorchMediumBrown1 6215
{
	Health 120
	radius 16 height 37
	states
	{
	Spawn:
		TNT1 A 0 A_CheckSight(4)
		TNT1 A 0 A_Jump(128, 2)
		STCB A 2 A_SpawnItemEx("FlameFireYellow1", Random(-2, 2), Random(-2, 2), Random(30, 34), 0.001 * Random(10, 200), 0.001 * Random(10, 200), 0.001 * Random(1000, 1600), 0, 128, 0)
		Goto Spawn
		STCB A 2 A_SpawnItemEx("FlameFireYellow2", Random(-2, 2), Random(-2, 2), Random(30, 34), 0.001 * Random(10, 200), 0.001 * Random(10, 200), 0.001 * Random(1000, 1600), 0, 128, 0)
		Goto Spawn
		STCB A 1
		Goto Spawn
	}
}
//  ********************************************************
//  ***  Decorate: Lights                                ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
actor LightRed_ 6208
{
	-SOLID
	+NOBLOOD +NOGRAVITY
	radius 1 height 1
	states
	{
	Spawn:
		TNT1 A 0 A_CheckSight(4)
		TNT1 A 0 A_Jump(128, 2)
		TNT1 A 2 A_SpawnItemEx("FlameFireRed1", Random(-2, 2), Random(-2, 2), Random(6, 8), 0.001 * Random(10, 200), 0.001 * Random(10, 200), 0.001 * Random(1000, 1600), 0, 128, 0)
		Goto Spawn
		TNT1 A 2 A_SpawnItemEx("FlameFireRed2", Random(-2, 2), Random(-2, 2), Random(6, 8), 0.001 * Random(10, 200), 0.001 * Random(10, 200), 0.001 * Random(1000, 1600), 0, 128, 0)
		Goto Spawn
		TNT1 A 1
		Goto Spawn
	}
}
actor LightGreen_ : LightRed_ 6209
{
	states
	{
	Spawn:
		TNT1 A 0 A_CheckSight(4)
		TNT1 A 0 A_Jump(128, 2)
		TNT1 A 2 A_SpawnItemEx("FlameFireGreen1", Random(-2, 2), Random(-2, 2), Random(6, 8), 0.001 * Random(10, 200), 0.001 * Random(10, 200), 0.001 * Random(1000, 1600), 0, 128, 0)
		Goto Spawn
		TNT1 A 2 A_SpawnItemEx("FlameFireGreen2", Random(-2, 2), Random(-2, 2), Random(6, 8), 0.001 * Random(10, 200), 0.001 * Random(10, 200), 0.001 * Random(1000, 1600), 0, 128, 0)
		Goto Spawn
		TNT1 A 1
		Goto Spawn
	}
}
actor LightBlue_ : LightRed_ 6210
{
	states
	{
	Spawn:
		TNT1 A 0 A_CheckSight(4)
		TNT1 A 0 A_Jump(128, 2)
		TNT1 A 2 A_SpawnItemEx("FlameFireBlue1", Random(-2, 2), Random(-2, 2), Random(6, 8), 0.001 * Random(10, 200), 0.001 * Random(10, 200), 0.001 * Random(1000, 1600), 0, 128, 0)
		Goto Spawn
		TNT1 A 2 A_SpawnItemEx("FlameFireBlue2", Random(-2, 2), Random(-2, 2), Random(6, 8), 0.001 * Random(10, 200), 0.001 * Random(10, 200), 0.001 * Random(1000, 1600), 0, 128, 0)
		Goto Spawn
		TNT1 A 1
		Goto Spawn
	}
}
actor LightPurple_ : LightRed_ 6211
{
	states
	{
	Spawn:
		TNT1 A 0 A_CheckSight(4)
		TNT1 A 0 A_Jump(128, 2)
		TNT1 A 2 A_SpawnItemEx("FlameFirePurple1", Random(-2, 2), Random(-2, 2), Random(6, 8), 0.001 * Random(10, 200), 0.001 * Random(10, 200), 0.001 * Random(1000, 1600), 0, 128, 0)
		Goto Spawn
		TNT1 A 2 A_SpawnItemEx("FlameFirePurple2", Random(-2, 2), Random(-2, 2), Random(6, 8), 0.001 * Random(10, 200), 0.001 * Random(10, 200), 0.001 * Random(1000, 1600), 0, 128, 0)
		Goto Spawn
		TNT1 A 1
		Goto Spawn
	}
}
actor LightYellow_ : LightRed_ 6212
{
	states
	{
	Spawn:
		TNT1 A 0 A_CheckSight(4)
		TNT1 A 0 A_Jump(128, 2)
		TNT1 A 2 A_SpawnItemEx("FlameFireYellow1", Random(-2, 2), Random(-2, 2), Random(6, 8), 0.001 * Random(10, 200), 0.001 * Random(10, 200), 0.001 * Random(1000, 1600), 0, 128, 0)
		Goto Spawn
		TNT1 A 2 A_SpawnItemEx("FlameFireYellow2", Random(-2, 2), Random(-2, 2), Random(6, 8), 0.001 * Random(10, 200), 0.001 * Random(10, 200), 0.001 * Random(1000, 1600), 0, 128, 0)
		Goto Spawn
		TNT1 A 1
		Goto Spawn
	}
}
//  ********************************************************
//  ***  Decorate: Columns                               ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
actor Column_ : RAWDecorateMetalMediumBlack1 replaces Column //2028
{
	Scale 1.0
	Health 200
	radius 16 height 48
	states
	{
		Spawn:
			COLU A -1 bright
			stop
	}
}
actor ShortRedColumn_ : RAWDecorateStoneMediumRed1 replaces ShortRedColumn //33
{
	Health 240
	radius 16 height 40
	states
	{
		Spawn:
			COL4 A -1
			stop
	}
}
actor TallRedColumn_ : RAWDecorateStoneMediumRed1 replaces TallRedColumn //32
{
	Health 240
	radius 16 height 52
	states
	{
		Spawn:
			COL3 A -1
			stop
	}
}
actor SkullColumn_ : RAWDecorateStoneMediumRed1 replaces SkullColumn //37
{
	Health 240
	radius 16 height 40
	states
	{
		Spawn:
			COL6 A -1
			stop
	}
}
actor ShortGreenColumn_ : RAWDecorateStoneMediumGreen1 replaces ShortGreenColumn //31
{
	Health 240
	radius 16 height 40
	states
	{
		Spawn:
			COL2 A -1
			stop
	}
}
actor TallGreenColumn_ : RAWDecorateStoneMediumGreen1 replaces TallGreenColumn //30
{
	Health 240
	radius 16 height 52
	states
	{
		Spawn:
			COL1 A -1
			stop
	}
}
actor HeartColumn_ : RAWDecorateStoneMediumGreen1 replaces HeartColumn //36
{
	Health 240
	radius 16 height 40
	states
	{
		Spawn:
			COL5 AB 14
			loop
	}
}
//  ********************************************************
//  ***  Decorate: Barrels                               ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
actor BurningBarrel_ : RAWDecorateMetalMediumBlack1 replaces BurningBarrel //70
{
	Scale 1.0
	spawnid 149
	Health 200 mass 999999
	radius 16 height 32
	+PUSHABLE
	states
	{
	Spawn:
		TNT1 A 0
		TNT1 A 0 A_CheckSight(7)
		TNT1 A 0 A_Jump(128, 2)
		FCAN D 2 A_SpawnItemEx("BarrelFlameFire1", -3, Random(-4, 4), Random(36, 38), 0.001 * Random(10, 200), 0.001 * Random(10, 200), 0.001 * Random(1000, 1400), 0, 128 | SXF_NOCHECKPOSITION, 0)
		FCAN D 2 A_SpawnItemEx("BarrelFlameFire2", -1, Random(-4, 4), Random(36, 38), 0.001 * Random(10, 200), 0.001 * Random(10, 200), 0.001 * Random(1000, 1400), 0, 128 | SXF_NOCHECKPOSITION, 0)
		FCAN D 2 A_SpawnItemEx("BarrelFlameFire1", 1, Random(-4, 4), Random(36, 38), 0.001 * Random(10, 200), 0.001 * Random(10, 200), 0.001 * Random(1000, 1400), 0, 128 | SXF_NOCHECKPOSITION, 0)
		FCAN D 2 A_SpawnItemEx("BarrelFlameFire2", 3, Random(-4, 4), Random(36, 38), 0.001 * Random(10, 200), 0.001 * Random(10, 200), 0.001 * Random(1000, 1400), 0, 128 | SXF_NOCHECKPOSITION, 0)
		FCAN D 1
		Goto Spawn
		FCAN D 1
		Goto Spawn
	Death:
		TNT1 A 2 A_SpawnItemEx("FireOnFloorShot", 0, 0, 0, 0, 0, 0, 0, 128 | SXF_NOCHECKPOSITION, 0)
		TNT1 A 2 A_SpawnItemEx("FireOnFloorShot", 30, 0, 0, 0, 0, 0, 0, 128 | SXF_NOCHECKPOSITION, 0)
		TNT1 A 2 A_SpawnItemEx("FireOnFloorShot", 30, 30, 0, 0, 0, 0, 0, 128 | SXF_NOCHECKPOSITION, 0)
		TNT1 A 2 A_SpawnItemEx("FireOnFloorShot", -30, 30, 0, 0, 0, 0, 0, 128 | SXF_NOCHECKPOSITION, 0)
		TNT1 A 2 A_SpawnItemEx("FireOnFloorShot", 0, -30, 0, 0, 0, 0, 0, 128 | SXF_NOCHECKPOSITION, 0)
		NULL A 0 A_SpawnItem("metalwChunkGenerator",0,0,0,0) //Metal (white)
		NULL A 0 A_SpawnItem("metalwChunkGenerator",0,0,0,0) //Metal (white)
		NULL A 0 A_SpawnItem("metalwChunkGenerator",0,0,0,0) //Metal (white)
		NULL A 0 A_SpawnItem("metalwChunkGenerator",0,0,0,0) //Metal (white)
		NULL A 0 A_SpawnItem("metalwChunkGenerator",0,0,0,0) //Metal (white)
		NULL A 0 A_SpawnItem("metalwChunkGenerator",0,0,0,0) //Metal (white)
		stop
	}
}
//  **************************
//  ***  Explosive barrel  ***
//  **************************
actor ExplosiveBarrel_ : BurningBarrel_ replaces ExplosiveBarrel//2035
{
	Game Doom
	SpawnID 125
	Scale 0.33
	Health 20 Radius 10 Height 34
	+SOLID +SHOOTABLE +NOBLOOD +ACTIVATEMCROSS +DONTGIB +NOICEDEATH +OLDRADIUSDMG
	DeathSound "world/barrelx"
	Obituary "$OB_BARREL" // "%o went boom."
	States
	{
		Spawn:
			BAR1 LMNOPQPONM 6
			Loop
		Death:
			BAR1 LM 6
			TNT1 A 0 A_SpawnItem("SFXBarrelExplosion")
			TNT1 AAA 0 A_SpawnItemEx("SFX_BarrelSmokeGeneratorToxic", 0, 20, 0, 0, 0, 0, 0, 128, 0)
			TNT1 A 0 A_Scream
			TNT1 A 0 A_Explode(128, 160, 1)
			TNT1 A 0 A_SpawnItem("metalgChunkGenerator",0,0,0,0) //Metal (white)
			TNT1 A 0 A_SpawnItem("metalgChunkGenerator",0,0,0,0) //Metal (white)
			TNT1 A 0 A_SpawnItem("metalgChunkGenerator",0,0,0,0) //Metal (white)
			TNT1 A 0 A_SpawnItem("metalgChunkGenerator",0,0,0,0) //Metal (white)
			TNT1 A 0 A_SpawnItem("metalgChunkGenerator",0,0,0,0) //Metal (white)
			TNT1 A 0 A_SpawnItem("metalgChunkGenerator",0,0,0,0) //Metal (white)
			TNT1 A 1050 BRIGHT A_BarrelDestroy
			TNT1 A 0 A_Respawn
			wait
	}
}
