//  *******************************************************
//  ******  Decoration Decorate from Blood-Game      ******
//  *******************************************************
//  ****************************************************************************
//  ***  Decorate: Gore                                  ***
//  ********************************************************
//  ********************************************************
//  ***  Decorate: Glas with brain [green]               ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
actor Decoration_2 : RAWRAWDecorateNoPushable 6301
{
	Scale 0.7
	Health 30 Mass 4000
	Radius 10 Height 30
	Deathsound "break/bottle"
	+PUSHABLE //+SOLID +NOBLOOD +SHOOTABLE +DONTGIB +NOICEDEATH
	states
	{
		Spawn:
			BRA1 B 4
			Loop
		Death:
			NULL A 0 A_Scream
			NULL A 0 A_SpawnDebris("gGib19",0) //(brain)
			NULL A 0 A_SpawnItem("glassChunkGenerator",0,0,0,0)
			NULL A 0 A_SpawnItem("glassChunkGenerator",0,0,0,0)
			NULL A 0 A_SpawnItem("glassChunkGenerator",0,0,0,0)
			NULL A 0 A_SpawnItem("glassChunkGenerator",0,0,0,0)
			Stop
	}
}
//  ********************************************************
//  ***  Decorate: Glas with brain [red]                 ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
actor Decoration_3 : Decoration_2 6302
{
	states
	{
		Spawn:
			BRA1 C 4
			Loop
		Death:
			NULL A 0 A_Scream
			NULL A 0 A_SpawnDebris("rGib19",0) //(brain)
			NULL A 0 A_SpawnItem("glassChunkGenerator",0,0,0,0)
			NULL A 0 A_SpawnItem("glassChunkGenerator",0,0,0,0)
			NULL A 0 A_SpawnItem("glassChunkGenerator",0,0,0,0)
			NULL A 0 A_SpawnItem("glassChunkGenerator",0,0,0,0)
			Stop
	}
}
//  ********************************************************
//  ***  Decorate: Heads on Pile                         ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
actor Decoration_15 : RAWRAWDecorateNoPushable 6314
{
	Scale 0.7
	Health 60
	Radius 8 Height 40
	//-PUSHABLE
	//+SOLID +NOBLOOD +SHOOTABLE +DONTGIB +NOICEDEATH
	states
	{
		Spawn:
			BRA1 P 4
			Loop
		Death:
			NULL A 0 A_SpawnItem("bonesChunkGenerator",0,0,0,0)
			NULL A 0 A_SpawnItem("bonesChunkGenerator",0,0,0,0)
			NULL A 0 A_SpawnItem("bonesChunkGenerator",0,0,0,0)
			NULL A 0 A_SpawnItem("bonesChunkGenerator",0,0,0,0)
			NULL A 0 A_SpawnItem("bonesChunkGenerator",0,0,0,0)
			NULL A 0 A_SpawnItem("bonesChunkGenerator",0,0,0,0)
			NULL A 0 A_SpawnItem("bonesChunkGenerator",0,0,0,0)
			NULL A 0 A_SpawnItem("bonesChunkGenerator",0,0,0,0)
			Stop
	}
}
//  ********************************************************
//  ***  Decorate: Head with Axe                         ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
actor Decoration_14 : Decoration_15 6313
{
	Scale 0.7
	Health 60
	Radius 8 Height 26
	states
	{
		Spawn:
			BRA1 O 4
			Loop
	}
}
//  ********************************************************
//  ***  Decorate: Head on Stick                         ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
actor Decoration_13 : Decoration_15 6312
{
	Scale 0.7
	Health 60
	Radius 8 Height 26
	states
	{
		Spawn:
			BRA1 N 4
			Loop
	}
}
//  ********************************************************
//  ***  Decorate: Skulls (auf einem Haufen)             ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
actor Decoration_12 : Decoration_15 6311
{
	Scale 0.7
	Health 200
	Radius 25 Height 20
	states
	{
		Spawn:
			BRA1 M 4
			Loop
	}
}
//  ********************************************************
//  ***  Decorate: Skullrag                              ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
actor Decoration_9 : Decoration_15 6308
{
	Scale 0.7
	Health 60
	Radius 26 Height 96
	states
	{
		Spawn:
			BRA1 G 4
			Loop
	}
}
//  ********************************************************
//  ***  Decorate: Skull with Candle                     ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
actor Decoration_light_5 : Decoration_15 6204
{
	Scale 0.4
	Health 120 Mass 999999
	Radius 7 Height 36
	+PUSHABLE
	states
	{
		Spawn:
			BRA2 PQR 4
			Loop
	}
}
//bobo
/* 
actor Decoration_22 : BloodyTwitch_ 6321  //  Skelett
{
	Scale 0.8
	Health 60
	radius 10
	height 102
	+SPAWNCEILING
	+NOGRAVITY
	mass 1000000
	states
	{
		Spawn:
			BRA1 W 4
			Loop
	}
}
actor Decoration_21 : BloodyTwitch_ 6320  //  Skelett
{
	Scale 0.8
	Health 60
	radius 10
	height 102
	+SPAWNCEILING
	+NOGRAVITY
	mass 1000000
	states
	{
		Spawn:
			BRA1 V 4
			Loop
	}
}
actor Decoration_18 : BloodyTwitch_ 6317  //  Skelett
{
	Scale 0.8
	Health 60
	radius 10
	height 102
	+SPAWNCEILING
	+NOGRAVITY
	mass 1000000
	states
	{
		Spawn:
			BRA1 S 4
			Loop
	}
}
actor Decoration_17 : BloodyTwitch_ 6316  //  Skelett
{
	Scale 0.8
	Health 60
	radius 10
	height 102
	+SPAWNCEILING
	+NOGRAVITY
	mass 1000000
	states
	{
		Spawn:
			BRA1 R 4
			Loop
	}
}
actor Decoration_19 : Decoration_12 6318  //  Skelett
{
	Scale 0.8
	Health 60
	radius 10
	height 102
	+SPAWNCEILING
	+NOGRAVITY
	mass 1000000
	states
	{
		Spawn:
			BRA1 T 4
			Loop
	}
}
actor Decoration_20 : Decoration_12 6319  //  Skelett
{
	Scale 0.8
	Health 60
	radius 10
	height 102
	+SPAWNCEILING
	+NOGRAVITY
	mass 1000000
	states
	{
		Spawn:
			BRA1 U 4
			Loop
	}
}
actor Decoration_16 : Decoration_12 6315  //  Skelett
{
	Scale 0.8
	Health 60
	radius 15
	height 102
	+SPAWNCEILING
	+NOGRAVITY
	mass 1000000
	states
	{
		Spawn:
			BRA1 Q 4
			Loop
	}
}
*/ 
//  ****************************************************************************
//  ***  Decorate: stones                                ***
//  ********************************************************
//  ********************************************************
//  ***  Decorate: Stone on floor (brown)                ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
actor Decoration_31 : RAWRAWDecorateNoPushable 6330
{
	Scale 1.0
	Health 120
	Radius 10 Height 50
	//-PUSHABLE
	//+SOLID +NOBLOOD +SHOOTABLE +DONTGIB +NOICEDEATH
	states
	{
		Spawn:
			TREE J 4
			Loop
		Death:
			NULL A 0 // A_Scream
			NULL A 0 A_SpawnItem("bonesChunkGenerator",0,0,0,0)//???should be stone
			NULL A 0 A_SpawnItem("bonesChunkGenerator",0,0,0,0)
			NULL A 0 A_SpawnItem("bonesChunkGenerator",0,0,0,0)
			NULL A 0 A_SpawnItem("bonesChunkGenerator",0,0,0,0)
			NULL A 0 A_SpawnItem("bonesChunkGenerator",0,0,0,0)
			NULL A 0 A_SpawnItem("bonesChunkGenerator",0,0,0,0)
			NULL A 0 A_SpawnItem("bonesChunkGenerator",0,0,0,0)
			NULL A 0 A_SpawnItem("bonesChunkGenerator",0,0,0,0)
			Stop
	}
}
//  ********************************************************
//  ***  Decorate: Stone on ceiling (brown)              ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
actor Decoration_32 : Decoration_31 6331
{
	Radius 13 Height 44
	+SPAWNCEILING +NOGRAVITY
	states
	{
		Spawn:
			TREE K 4
			Loop
	}
}
//  ****************************************************************************
//  ***  Decorate: Candelabras                           ***
//  ********************************************************
//  ********************************************************
//  ***  Decorate: Candelabra Tall                       ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
actor Decoration_light_1: RAWRAWDecorateNoPushable 6200
{
	Scale 0.7
	Health 160 Mass 999999
	Radius 12 Height 72
	+PUSHABLE//+SOLID +NOBLOOD +SHOOTABLE +DONTGIB +NOICEDEATH
	states
	{
		Spawn:
			BRA2 ABCD 4
			Loop
		Death:
			NULL A 0 A_SpawnItem("torchChunkGenerator",0,0,0,0) //Torch
			NULL A 0 A_SpawnItem("torchChunkGenerator",0,0,0,0)
			NULL A 0 A_SpawnItem("torchChunkGenerator",0,0,0,0)
			NULL A 0 A_SpawnItem("torchChunkGenerator",0,0,0,0)
			NULL A 0 A_SpawnItem("torchChunkGenerator",0,0,0,0)
			NULL A 0 A_SpawnItem("torchChunkGenerator",0,0,0,0)
			NULL A 0 A_SpawnItem("torchChunkGenerator",0,0,0,0)
			NULL A 0 A_SpawnItem("torchChunkGenerator",0,0,0,0)
			NULL A 0 A_SpawnItem("torchChunkGenerator",0,0,0,0)
			Stop
	}
}
//  ********************************************************
//  ***  Decorate: Candelabra Small 1 x3                 ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
actor Decoration_light_2 : Decoration_light_1 6201
{
	Scale 0.7
	Health 80 Mass 99999
	Radius 12 Height 36
	states
	{
		Spawn:
			BRA2 EFGH 4
			Loop
		Death:
			COLU A 0 // A_Scream
			NULL A 0 A_SpawnItem("torchChunkGenerator",0,0,0,0) //Torch
			NULL A 0 A_SpawnItem("torchChunkGenerator",0,0,0,0) //Torch
			NULL A 0 A_SpawnItem("torchChunkGenerator",0,0,0,0) //Torch
			NULL A 0 A_SpawnItem("torchChunkGenerator",0,0,0,0) //Torch
			Stop
	}
}
actor Decoration_light_3 : Decoration_light_2 6202
{
	Radius 9 Height 36
	states
	{
		Spawn:
			BRA2 JK 4
			Loop
	}
}
actor Decoration_light_4 : Decoration_light_2 6203
{
	Radius 7 Height 36
	states
	{
		Spawn:
			BRA2 LM 4
			Loop
	}
}
//  ********************************************************
//  ***  Decorate: Ceiling Light 1                       ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
actor Decoration_light_6 : RAWRAWDecorateNoPushable 6205
{
	Scale 1.0
	Health 260
	Radius 23 Height 56//128
	//-PUSHABLE
	+SPAWNCEILING +NOGRAVITY//+SOLID +NOBLOOD +SHOOTABLE +DONTGIB +NOICEDEATH
	states
	{
		Spawn:
			BRA2 NO 4
			Loop
	}
}
//  ********************************************************
//  ***  Decorate: Ceiling Light 2                       ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
actor Decoration_10 : Decoration_light_6 6309
{
	Scale 1.0
	Health 200
	Radius 25 Height 128
	states
	{
		Spawn:
			BRA1 H 4
			Loop
	}
}
//  ********************************************************
//  ***  Decorate: Ceiling Light 3                       ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
actor Decoration_11 : Decoration_10 6310
{
	states
	{
		Spawn:
			BRA2 ST 4
			Loop
	}
}
//  ********************************************************
//  ***  Decorate: Candle                                ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
actor Decoration_8 : RAWRAWDecorateNoPushable 6307
{
	Scale 0.7
	Health 30 Mass 9999
	Radius 8 Height 20
	+PUSHABLE//+SOLID +NOBLOOD +SHOOTABLE +DONTGIB +NOICEDEATH
	states
	{
		Spawn:
			BRA1 F 4
			Loop
	}
}
//  ****************************************************************************
//  ***  Decorate: Barrels                               ***
//  ********************************************************
//  ********************************************************
//  ***  Decorate: Wood Barrel                           ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
ACTOR Barrel_Wood_2 : RAWRAWDecorateNoPushable 6004
{
	Scale 1.0
	Health 80 Mass 999999
	Radius 12 Height 46
	+PUSHABLE//+SOLID +NOBLOOD +SHOOTABLE +DONTGIB +NOICEDEATH
//	painsound "imp/pain"
	States
	{
		Spawn:
			MISC E 1
			Loop
		Death:
			NULL A 0 A_SpawnItem("woodbarrelChunkGenerator",0,0,0,0)
			NULL A 0 A_SpawnItem("woodbarrelChunkGenerator",0,0,0,0)
			NULL A 0 A_SpawnItem("woodbarrelChunkGenerator",0,0,0,0)
			NULL A 0 A_SpawnItem("woodbarrelChunkGenerator",0,0,0,0)
			NULL A 0 A_SpawnItem("woodbarrelChunkGenerator",0,0,0,0)
			NULL A 0 A_SpawnItem("woodbarrelChunkGenerator",0,0,0,0)
			NULL A 0 A_SpawnItem("woodbarrelChunkGenerator",0,0,0,0)
			NULL A 0 A_SpawnItem("woodbarrelChunkGenerator",0,0,0,0)
			NULL A 0 A_SpawnItem("woodbarrelChunkGenerator",0,0,0,0)
			NULL A 0 A_SpawnItem("woodbarrelChunkGenerator",0,0,0,0)
			NULL A 0 A_SpawnItem("woodbarrelChunkGenerator",0,0,0,0)
			NULL A 0 A_SpawnItem("woodbarrelChunkGenerator",0,0,0,0)
			Stop
	}
}
//  ********************************************************
//  ***  Decorate: Wood Barrel with TNT (explosive)      ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
ACTOR Barrel_Wood_1 : RAWRAWDecorateNoPushable 6003
{
	Scale 1.0
	Health 30 Mass 999999
	Radius 12 Height 46
	+PUSHABLE//+SOLID +NOBLOOD +SHOOTABLE +DONTGIB +NOICEDEATH
//	painsound "imp/pain"
	deathsound "world/barrelx"
	States
	{
		Spawn:
			MISC D 1
			Loop
		Death:
			NULL A 0 A_SpawnItem("woodbarrelChunkGenerator",0,0,0,0)
			NULL A 0 A_SpawnItem("woodbarrelChunkGenerator",0,0,0,0)
			NULL A 0 A_SpawnItem("woodbarrelChunkGenerator",0,0,0,0)
			NULL A 0 A_SpawnItem("woodbarrelChunkGenerator",0,0,0,0)
			NULL A 0 A_SpawnItem("woodbarrelChunkGenerator",0,0,0,0)
			NULL A 0 A_SpawnItem("woodbarrelChunkGenerator",0,0,0,0)
			NULL A 0 A_SpawnItem("woodbarrelChunkGenerator",0,0,0,0)
			NULL A 0 A_SpawnItem("woodbarrelChunkGenerator",0,0,0,0)
			NULL A 0 A_SpawnItem("woodbarrelChunkGenerator",0,0,0,0)
			NULL A 0 A_SpawnItem("woodbarrelChunkGenerator",0,0,0,0)
			NULL A 0 A_SpawnItem("woodbarrelChunkGenerator",0,0,0,0)
			NULL A 0 A_SpawnItem("woodbarrelChunkGenerator",0,0,0,0)
			MISC D 0 A_Scream
			MISC D 0 A_Explode(400, 250, 1)
			MISC D 1 A_SpawnItem("TNTExplosion")
			Stop
	}
}
//  ******************************************************************
//  ***  Decorate: Barrels metal                         ***
//  ********************************************************
//  ********************************************************
//  ***  Decorate: Toxic Barrel                          ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
ACTOR Barrel_Toxic_1 : RAWRAWDecorateNoPushable 6000
{
	Scale 0.6
	Health 80 Mass 999999
	Radius 12 Height 46
	+PUSHABLE//+SOLID +NOBLOOD +SHOOTABLE +DONTGIB +NOICEDEATH
//	painsound "imp/pain"
	deathsound "world/barrelx"
	States
	{
		Spawn:
			MISC A 1 //A_PlaySound("NULL")
			MISC A 1
			Loop
		Death:
			TNT1 A 0
			TNT1 A 0 A_CustomMissile("PoisonFieldToxicShot2", 0, Random(-4, 4), 0)
			TNT1 A 0 A_CustomMissile("PoisonFieldToxicShot2", 0, Random(-4, 4), 48)
			TNT1 A 0 A_CustomMissile("PoisonFieldToxicShot2", 0, Random(-4, 4), 96)
			TNT1 A 0 A_CustomMissile("PoisonFieldToxicShot2", 0, Random(-4, 4), 144)
			TNT1 A 0 A_CustomMissile("PoisonFieldToxicShot2", 0, Random(-4, 4), 208)
			TNT1 A 0 A_SpawnItem("metalwChunkGenerator",0,0,0,0) //Metal (white)
			TNT1 A 0 A_SpawnItem("metalwChunkGenerator",0,0,0,0) //Metal (white)
			TNT1 A 0 A_SpawnItem("metalwChunkGenerator",0,0,0,0) //Metal (white)
			TNT1 A 0 A_SpawnItem("metalwChunkGenerator",0,0,0,0) //Metal (white)
			TNT1 A 0 A_SpawnItem("metalwChunkGenerator",0,0,0,0) //Metal (white)
			TNT1 A 0 A_SpawnItem("metalwChunkGenerator",0,0,0,0) //Metal (white)
			TNT1 A 0 A_SpawnItem("metalwChunkGenerator",0,0,0,0) //Metal (white)
			TNT1 A 0 A_SpawnItem("metalwChunkGenerator",0,0,0,0) //Metal (white)
			TNT1 A 0 A_Scream
			TNT1 A 0 A_Explode
			TNT1 A 1 A_CustomMissile("PoisonFieldToxicShot2", 0, Random(-4, 4), 0)
			TNT1 A 1 A_CustomMissile("PoisonFieldToxicShot2", 0, Random(-4, 4), 16)
			TNT1 A 1 A_CustomMissile("PoisonFieldToxicShot2", 0, Random(-4, 4), 32)
			TNT1 A 1 A_CustomMissile("PoisonFieldToxicShot2", 0, Random(-4, 4), 48)
			TNT1 A 1 A_CustomMissile("PoisonFieldToxicShot2", 0, Random(-4, 4), 64)
			TNT1 A 1 A_CustomMissile("PoisonFieldToxicShot2", 0, Random(-4, 4), 80)
			TNT1 A 1 A_CustomMissile("PoisonFieldToxicShot2", 0, Random(-4, 4), 96)
			TNT1 A 1 A_CustomMissile("PoisonFieldToxicShot2", 0, Random(-4, 4), 112)
			TNT1 A 1 A_CustomMissile("PoisonFieldToxicShot2", 0, Random(-4, 4), 128)
			TNT1 A 1 A_CustomMissile("PoisonFieldToxicShot2", 0, Random(-4, 4), 144)
			TNT1 A 1 A_CustomMissile("PoisonFieldToxicShot2", 0, Random(-4, 4), 160)
			TNT1 A 1 A_CustomMissile("PoisonFieldToxicShot2", 0, Random(-4, 4), 176)
			TNT1 A 1 A_CustomMissile("PoisonFieldToxicShot2", 0, Random(-4, 4), 192)
			TNT1 A 1 A_CustomMissile("PoisonFieldToxicShot2", 0, Random(-4, 4), 208)
			TNT1 A 1 A_CustomMissile("PoisonFieldToxicShot2", 0, Random(-4, 4), 224)
			TNT1 A 1 A_CustomMissile("PoisonFieldToxicShot2", 0, Random(-4, 4), 240)
			TNT1 A 1 A_CustomMissile("PoisonFieldToxicShot2", 0, Random(-4, 4), 256)
			TNT1 A 1 A_CustomMissile("PoisonFieldToxicShot2", 0, Random(-4, 4), 272)
			TNT1 A 1 A_CustomMissile("PoisonFieldToxicShot2", 0, Random(-4, 4), 288)
			TNT1 A 1 A_CustomMissile("PoisonFieldToxicShot2", 0, Random(-4, 4), 304)
			TNT1 A 1 A_CustomMissile("PoisonFieldToxicShot2", 0, Random(-4, 4), 320)
			TNT1 A 1 A_CustomMissile("PoisonFieldToxicShot2", 0, Random(-4, 4), 336)
			TNT1 A 1 A_CustomMissile("PoisonFieldToxicShot2", 0, Random(-4, 4), 352)
			Stop
	}
}
ACTOR PoisonFieldToxicShot2
{
	Radius 3 Height 3 Speed 12
	Scale 0.5
	PROJECTILE
	+NOGRAVITY +RIPPER +BLOODLESSIMPACT +FLOORHUGGER +FLOORCLIP
	States
	{
		Spawn:
			TNT1 A 0
			TNT1 A 1 A_Jump(64, 4)
			TNT1 A 1 A_Jump(64, 3)
			TNT1 A 1 A_Jump(64, 2)
			TNT1 A 1
			TNT1 A 0
			Goto Death
		Death:
			TNT1 A 0 A_CustomMissile("PoisonFieldToxic", Random(0, 12) + 24, Random(-4, 4), 48)
			Stop
	}
}
ACTOR PoisonFieldToxic
{
	+NOBLOCKMAP +BLOODLESSIMPACT +NOCLIP +MISSILE +RANDOMIZE +NOGRAVITY +RIPPER +FLOATBOB +STRIFEDAMAGE
	Damage 1
	floatspeed 16
	Scale 0.96
	Speed 0
	RENDERSTYLE ADD
	States
	{
		Spawn:
			PSNE AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA 2 A_Explode(4, 16)//A_Explode(4, 16)
			PSNE AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA 2 A_Explode(4, 16)//A_Explode(4, 16)
			TNT1 A 0 A_Jump(128, 1)
			Stop
			TNT1 A 0
			Goto Spawn
	}
}
//  ********************************************************
//  ***  Decorate: Barrel with blood                     ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
ACTOR Blood_Barrel_1 : RAWRAWDecorateNoPushable 6001
{
	Scale 0.6
	Health 80 Mass 999999
	Radius 12 Height 46
	+PUSHABLE//+SOLID +NOBLOOD +SHOOTABLE +DONTGIB +NOICEDEATH
//	painsound "imp/pain"
	deathsound "world/barrelx"
	States
	{
		Spawn:
			MISC B 1
			Loop
		Death:
			NULL A 0 A_SpawnItem("metalwChunkGenerator",0,0,0,0) //Metal (white)
			NULL A 0 A_SpawnItem("metalwChunkGenerator",0,0,0,0) //Metal (white)
			NULL A 0 A_SpawnItem("metalwChunkGenerator",0,0,0,0) //Metal (white)
			NULL A 0 A_SpawnItem("metalwChunkGenerator",0,0,0,0) //Metal (white)
			NULL A 0 A_SpawnItem("metalwChunkGenerator",0,0,0,0) //Metal (white)
			NULL A 0 A_SpawnItem("metalwChunkGenerator",0,0,0,0) //Metal (white)
			NULL A 0 A_SpawnItem("metalwChunkGenerator",0,0,0,0) //Metal (white)
			NULL A 0 A_SpawnItem("metalwChunkGenerator",0,0,0,0) //Metal (white)
			NULL A 0 A_SpawnDebris("rGib1",0) //(Human hand)
			NULL A 0 A_SpawnDebris("rGib2",0) //(Human arm)
			NULL A 0 A_SpawnDebris("rGib3",0) //(eyeball)
			NULL A 0 A_SpawnDebris("rGib3",0) //(eyeball)
			NULL A 0 A_SpawnDebris("rGib19",0) //(brain)
			NULL A 0 A_SpawnItem("rxGibGenerator_s",0,0,0,0)
			NULL A 0 A_SpawnItem("rxGibGenerator_s",0,0,0,0)
			NULL A 0 A_SpawnItem("rxGibGenerator_s",0,0,0,0)
			NULL A 0 A_SpawnItem("rxGibGenerator_s",0,0,0,0)
			Stop
	}
}
//  ********************************************************
//  ***  Decorate: Barrel with blood                     ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
ACTOR Blood_Barrel_2 : RAWRAWDecorateNoPushable 6002
{
	Scale 0.6
	Health 80 Mass 999999
	Radius 8 Height 38
	+PUSHABLE//+SOLID +NOBLOOD +SHOOTABLE +DONTGIB +NOICEDEATH
//	painsound "imp/pain"
	States
	{
		Spawn:
			MISC C 1
			Loop
		Death:
			NULL A 0 A_SpawnItem("metalwChunkGenerator",0,0,0,0) //Metal (white)
			NULL A 0 A_SpawnItem("metalwChunkGenerator",0,0,0,0) //Metal (white)
			NULL A 0 A_SpawnItem("metalwChunkGenerator",0,0,0,0) //Metal (white)
			NULL A 0 A_SpawnItem("metalwChunkGenerator",0,0,0,0) //Metal (white)
			NULL A 0 A_SpawnItem("metalwChunkGenerator",0,0,0,0) //Metal (white)
			NULL A 0 A_SpawnItem("metalwChunkGenerator",0,0,0,0) //Metal (white)
			NULL A 0 A_SpawnDebris("rGib3",0) //(eyeball)
			NULL A 0 A_SpawnDebris("rGib3",0) //(eyeball)
			NULL A 0 A_SpawnItem("rxGibGenerator_s",0,0,0,0)
			NULL A 0 A_SpawnItem("rxGibGenerator_s",0,0,0,0)
			NULL A 0 A_SpawnItem("rxGibGenerator_s",0,0,0,0)
			NULL A 0 A_SpawnItem("rxGibGenerator_s",0,0,0,0)
			Stop
	}
}
//  ****************************************************************************
//  ***  Decorate: Ceramic                               ***
//  ********************************************************
//  ********************************************************
//  ***  Decorate: vase                                  ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
actor Decoration_4 : RAWRAWDecorateNoPushable 6303
{
	Scale 0.7
	Health 30 Mass 9999
	Radius 10 Height 40
	+PUSHABLE//+SOLID +NOBLOOD +SHOOTABLE +DONTGIB +NOICEDEATH
	deathsound "break/glas2"
	states
	{
		Spawn:
			BRA1 D 4
			Loop
		Death:
			MISC F 0 A_Scream
			NULL A 0 A_SpawnItem("vaseChunkGenerator",0,0,0,0)
			NULL A 0 A_SpawnItem("vaseChunkGenerator",0,0,0,0)
			NULL A 0 A_SpawnItem("vaseChunkGenerator",0,0,0,0)
			NULL A 0 A_SpawnItem("vaseChunkGenerator",0,0,0,0)
			Stop
	}
}
//  ********************************************************
//  ***  Decorate: vase                                  ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
actor Decoration_5 : Decoration_4 6304
{
	Scale 0.4
	Health 30
	Radius 12 Height 46
	states
	{
		Spawn:
			BRA1 J 4
			Loop
	}
}
//  ********************************************************
//  ***  Decorate: vase                                  ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
actor Decoration_6 : Decoration_4 6305
{
	Scale 0.7
	Health 30
	Radius 15 Height 60
	states
	{
		Spawn:
			BRA1 K 4
			Loop
	}
}
//  ********************************************************
//  ***  Decorate: vase                                  ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
actor Decoration_7 : Decoration_4 6306
{
	Scale 0.7
	Health 30
	Radius 10 Height 20
	states
	{
		Spawn:
			BRA1 L 4
			Loop
	}
}
//  ********************************************************
//  ***  Decorate: vase                                  ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
actor Decoration_7b : Decoration_4 6299
{
	Scale 0.7
	Health 30
	Radius 15 Height 20
	states
	{
		Spawn:
			BRA1 X 4
			Loop
	}
}
//  ****************************************************************************
//  ***  Decorate: Glas                                  ***
//  ********************************************************
//  ********************************************************
//  ***  Decorate: glas                                  ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
ACTOR Glas_1 : RAWRAWDecorateNoPushable 6005
{
	Scale 0.6
	Health 5 Mass 999
	Radius 5 Height 14
	+PUSHABLE//+SOLID +NOBLOOD +SHOOTABLE +DONTGIB +NOICEDEATH
	deathsound "break/bottle"
	States
	{
		Spawn:
			MISC F 1
			Loop
		Death:
			MISC F 0 A_Scream
			NULL A 0 A_SpawnItem("glassChunkGenerator",0,0,0,0)
			NULL A 0 A_SpawnItem("glassChunkGenerator",0,0,0,0)
			NULL A 0 A_SpawnItem("glassChunkGenerator",0,0,0,0)
			NULL A 0 A_SpawnItem("glassChunkGenerator",0,0,0,0)
			Stop
	}
}
ACTOR Glas_2 : Glas_1 6006
{
	States
	{
		Spawn:
			MISC H 1
			Loop
	}
}
ACTOR Glas_3 : Glas_1 6007
{
	States
	{
		Spawn:
			MISC G 1
			Loop
	}
}
ACTOR Glas_4 : Glas_1 6008
{
	States
	{
		Spawn:
			MISC M 1
			Loop
	}
}
//  ACTOR Glas_5 6009
//  {
//     Scale 0.6
//     Health 5
//     Radius 5
//     Height 14
//     +PUSHABLE
//     +SOLID
//     +NOBLOOD
//     +SHOOTABLE
//     +DONTGIB
//     +NOICEDEATH
//     Speed 6
//     deathsound "break/bottle"
//     States
//     {
//     Spawn:
//        MISC G 1
//        Loop
//     Death:
//        MISC G 0 A_Scream
//        MISC G 0 A_CustomMissile("Chunk_brown_2",8+random(-8,8),2,random(0,255))
//        MISC G 0 A_CustomMissile("Chunk_brown_2",8+random(-8,8),2,random(0,255))
//        MISC G 0 A_CustomMissile("Chunk_brown_2",8+random(-8,8),2,random(0,255))
//        Stop
//     }
//  }
//  ********************************************************
//  ***  Decorate: bottle                                ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
ACTOR Bottle_1 : Glas_1 6010
{
	Scale 0.6
	Radius 5 Height 18
	States
	{
		Spawn:
			MISC I 1
			Loop
	}
}
ACTOR Bottle_2 : Bottle_1 6011
{
	States
	{
		Spawn:
			MISC J 1
			Loop
	}
}
ACTOR Bottle_3 : Bottle_1 6012
{
	States
	{
		Spawn:
			MISC K 1
			Loop
	}
}
ACTOR Bottle_4 : Bottle_1 6013
{
	Radius 5 Height 18
	States
	{
		Spawn:
			MISC L 1
			Loop
	}
}
//  ****************************************************************************
//  ***  Decorate: Clothes                               ***
//  ********************************************************
//  ********************************************************
//  ***  Decorate: Blood things (Anzug)                  ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
actor Decoration_1 : RAWRAWDecorateNoPushable 6300
{
	Scale 0.7
	Health 60
	Radius 12 Height 44
	//-PUSHABLE
	+SPAWNCEILING +NOGRAVITY//+SOLID +NOBLOOD +SHOOTABLE +DONTGIB +NOICEDEATH
	states
	{
		Spawn:
			BRA1 A 4
			Loop
		Death:
			NULL A 0 A_SpawnItem("bonesChunkGenerator",0,0,0,0) //Bones
			NULL A 0 A_SpawnItem("bonesChunkGenerator",0,0,0,0) //Bones
			NULL A 0 A_SpawnItem("bonesChunkGenerator",0,0,0,0) //Bones
			NULL A 0 A_SpawnItem("bonesChunkGenerator",0,0,0,0) //Bones
			NULL A 0 A_SpawnItem("bonesChunkGenerator",0,0,0,0) //Bones
			NULL A 0 A_SpawnItem("bonesChunkGenerator",0,0,0,0) //Bones
			Stop
	}
}
