/* ********** ********** ********** ********** ********** **********
* Effect
********** ********** ********** ********** ********** ********** */
#include "Actors/Effect/[DooM].gl.c"
#include "Actors/Effect/[EffectBase].gl.c"
#include "Actors/Effect/FireOnFloor.gl.c"
#include "Actors/Effect/Plasma.gl.c"
#include "Actors/Effect/FireBall.gl.c"
#include "Actors/Effect/FirePillar.gl.c"
#include "Actors/Effect/Explosions.gl.c"

/* ********** ********** ********** ********** ********** **********
* Weapons
********** ********** ********** ********** ********** ********** */
#include "Actors/Weapons/BFG2704.gl.c"
#include "Actors/Weapons/MagicHandsFireBall.gl.c"
#include "Actors/Weapons/MagicHandsLighting.gl.c"
#include "Actors/Weapons/MolotovCocktail.gl.c"
#include "Actors/Weapons/RocketLauncher.gl.c"
#include "Actors/Weapons/Skullripper.gl.c"

/* ********** ********** ********** ********** ********** **********
* Pickups
********** ********** ********** ********** ********** ********** */
#include "Actors/Pickups/Powerups.gl.c"

/* ********** ********** ********** ********** ********** **********
* Misc
********** ********** ********** ********** ********** ********** */
#include "Actors/Misc/DeathBurning.gl.c"

/* ********** ********** ********** ********** ********** **********
* World
********** ********** ********** ********** ********** ********** */
//Decoration
#include "Actors/World/Decoration1.gl.c"
#include "Actors/World/Decoration2.gl.c"
#include "Actors/World/Decoration3.gl.c"

//SkyBoxes
#include "Actors/World/SkyBoxes.gl.c"

/* ********** ********** ********** ********** ********** **********
* Monster
********** ********** ********** ********** ********** ********** */
#include "Actors/Monster/Afrit.gl.c"
//#include "Actors/Monster/Avatar.gl.c"
#include "Actors/Monster/Bormereth.gl.c"
#include "Actors/Monster/BruiserDemon.gl.c"
//#include "Actors/Monster/CacoLich1.gl.c"
#include "Actors/Monster/Cerberus.gl.c"
#include "Actors/Monster/Crackodemon.gl.c"
#include "Actors/Monster/CultistBlue.gl.c"
#include "Actors/Monster/CultistYellow.gl.c"
#include "Actors/Monster/CyBruiser.gl.c"
#include "Actors/Monster/DeathKnight.gl.c"
#include "Actors/Monster/Demolisher.gl.c"
//#include "Actors/Monster/Demono.gl.c"
#include "Actors/Monster/Devil.gl.c"
#include "Actors/Monster/Diabloist.gl.c"
#include "Actors/Monster/Doom2ArchVile.gl.c"
#include "Actors/Monster/Doom2Cyberdemon.gl.c"
#include "Actors/Monster/Doom2BaronOfHell.gl.c"
#include "Actors/Monster/Doom2Imp.gl.c"
#include "Actors/Monster/Doom2LostSoul.gl.c"
#include "Actors/Monster/Doom2Mancubus.gl.c"
#include "Actors/Monster/Doom2Revenant.gl.c"
#include "Actors/Monster/Eidolon.gl.c"
#include "Actors/Monster/Fallen.gl.c"
//#include "Actors/Monster/FireGarg.gl.c"
//#include "Actors/Monster/FireWyvern.gl.c"
#include "Actors/Monster/HadesElemental.gl.c"
//#include "Actors/Monster/HellGuard.gl.c"
#include "Actors/Monster/HellHound.gl.c"
//#include "Actors/Monster/HellsFury.gl.c"
//#include "Actors/Monster/IceGolem.gl.c"
#include "Actors/Monster/ImpFlyingImp.gl.c"
#include "Actors/Monster/ImpNamiDarkImp.gl.c"
#include "Actors/Monster/ImpSoulHarvester.gl.c"
#include "Actors/Monster/ImpSTDarkImp.gl.c"
#include "Actors/Monster/ImpVoidDarkImp.gl.c"
#include "Actors/Monster/ImpWarlord.gl.c"
#include "Actors/Monster/Priest.gl.c"
#include "Actors/Monster/PyroDemon.gl.c"
#include "Actors/Monster/Q2TankBoss.gl.c"
//#include "Actors/Monster/ScorpionMastermind.gl.c"
#include "Actors/Monster/Sentinel.gl.c"
#include "Actors/Monster/SlimeWorm.gl.c"
#include "Actors/Monster/Tchernobog.gl.c"
#include "Actors/Monster/Watcher.gl.c"
#include "Actors/Monster/Wicked.gl.c"
//#include "Actors/Monster/Wizard_A.gl.c"
//#include "Actors/Monster/Wizard_B.gl.c"
#include "Actors/Monster/ZombieRocketGuy.gl.c"

#include "Actors/Monster/[PlaceHolder].gl.c"
