//  ********************************
//  ***  PhotonRifle Plasmaball  ***
//  ********************************
//  *********************
//  ***  blue medium  ***
//  *********************
pointlight BluePlasma_p1
{
    color 0.0 0.0 1.0
    size 56
}
flickerlight BluePlasma_f1
{
    color 0.0 0.0 0.9
    size 72
    secondarySize 80
    chance 0.3
}
flickerlight BluePlasma_f2
{
    color 0.0 0.0 0.8
    size 88
    secondarySize 96
    chance 0.3
}
flickerlight BluePlasma_f3
{
    color 0.0 0.0 0.6
    size 48
    secondarySize 32
    chance 0.3
}
flickerlight BluePlasma_f4
{
    color 0.0 0.0 0.3
    size 24
    secondarySize 16
    chance 0.3
}
object PhotonBall //blue
{
	frame SBL3 { light BluePlasma_p1 }
	
	frame SBL3F { light BluePlasma_f1 }
	frame SBL3G { light BluePlasma_f1 }
	frame SBL3H { light BluePlasma_f2 }
	frame SBL3I { light BluePlasma_f2 }
	frame SBL3J { light BluePlasma_f3 }
	frame SBL3K { light BluePlasma_f4 }
	frame SBL3L { light BluePlasma_f4 }
}
object PhotonBall_big //blue
{
	frame SBL3 { light BluePlasma_p1 }
	
	frame SBL3F { light BluePlasma_f1 }
	frame SBL3G { light BluePlasma_f1 }
	frame SBL3H { light BluePlasma_f2 }
	frame SBL3I { light BluePlasma_f2 }
	frame SBL3J { light BluePlasma_f3 }
	frame SBL3K { light BluePlasma_f4 }
	frame SBL3L { light BluePlasma_f4 }
/* 
	frame SFXY { light YellowPlasma_p1 }
	
	frame SFXYA { light YellowPlasma_f1 }
	frame SFXYB { light YellowPlasma_f2 }
	frame SFXYC { light YellowPlasma_f3 }
	frame SFXYD { light YellowPlasma_f4 }
//	frame SFXYE { light YellowPlasma_f4 }
*/ 
}
object PlasmaBall_Turret //blue
{
	frame SBL3 { light BluePlasma_p1 }
	
	frame SBL3F { light BluePlasma_f1 }
	frame SBL3G { light BluePlasma_f1 }
	frame SBL3H { light BluePlasma_f2 }
	frame SBL3I { light BluePlasma_f2 }
	frame SBL3J { light BluePlasma_f3 }
	frame SBL3K { light BluePlasma_f4 }
	frame SBL3L { light BluePlasma_f4 }
}
//  ********************************
//  ***  Arachnotron Plasmaball  ***
//  ********************************
//  **********************
//  ***  green medium  ***
//  **********************
pointlight ArachnotronPlasma_p1
{
    color 0.0 1.0 0.0
    size 56
}
flickerlight ArachnotronPlasma_f1
{
    color 0.0 0.8 0.0
    size 72
    secondarySize 80
    chance 0.3
}
flickerlight ArachnotronPlasma_f2
{
    color 0.0 0.6 0.0
    size 88
    secondarySize 96
    chance 0.3
}
flickerlight ArachnotronPlasma_f3
{
    color 0.0 0.4 0.0
    size 48
    secondarySize 32
    chance 0.3
}
flickerlight ArachnotronPlasma_f4
{
    color 0.0 0.2 0.0
    size 24
    secondarySize 16
    chance 0.3
}
object ArachnotronPlasma_
{
	frame SBL2 { light ArachnotronPlasma_p1 }
	
	frame SBL2F { light ArachnotronPlasma_f1 }
	frame SBL2G { light ArachnotronPlasma_f1 }
	frame SBL2H { light ArachnotronPlasma_f2 }
	frame SBL2I { light ArachnotronPlasma_f2 }
	frame SBL2J { light ArachnotronPlasma_f3 }
	frame SBL2K { light ArachnotronPlasma_f4 }
	frame SBL2L { light ArachnotronPlasma_f4 }
}
//  *********************
//  ***  BlasterBall  ***
//  *********************
//  ********************
//  ***  red medium  ***
//  ********************
pointlight RedPlasma_p1
{
    color 1.0 0.0 0.0
    size 56
}
flickerlight RedPlasma_f1
{
    color 0.9 0.0 0.0
    size 72
    secondarySize 80
    chance 0.3
}
flickerlight RedPlasma_f2
{
    color 0.8 0.0 0.0
    size 88
    secondarySize 96
    chance 0.3
}
flickerlight RedPlasma_f3
{
    color 0.6 0.0 0.0
    size 48
    secondarySize 32
    chance 0.3
}
flickerlight RedPlasma_f4
{
    color 0.3 0.0 0.0
    size 24
    secondarySize 16
    chance 0.3
}
object SpreadFireBall //red
{
	frame SBL6 { light RedPlasma_p1 }
	
	frame SBL6F { light RedPlasma_f1 }
	frame SBL6G { light RedPlasma_f1 }
	frame SBL6H { light RedPlasma_f2 }
	frame SBL6I { light RedPlasma_f2 }
	frame SBL6J { light RedPlasma_f3 }
	frame SBL6K { light RedPlasma_f4 }
	frame SBL6L { light RedPlasma_f4 }
/* 
	frame SFXB { light BluePlasma_p1 }
	
	frame SFXBA { light BluePlasma_f1 }
	frame SFXBB { light BluePlasma_f2 }
	frame SFXBC { light BluePlasma_f3 }
	frame SFXBD { light BluePlasma_f4 }
*/ 
}
//  *************
//  ***  BFG  ***
//  *************
pointlight SFX_BFGBALL_A
{
    color 0.0 1.0 0.0
    size 128
}
flickerlight SFX_BFGBALL_A_X1
{
    color 0.2 1.0 0.2
    size 80
    secondarySize 88
    chance 0.3
}
flickerlight SFX_BFGBALL_A_X2
{
    color 0.3 1.0 0.3
    size 104
    secondarySize 112
    chance 0.3
}
flickerlight SFX_BFGBALL_A_X3
{
    color 0.5 1.0 0.5
    size 120
    secondarySize 128
    chance 0.3
}
flickerlight SFX_BFGBALL_A_X4
{
    color 0.2 0.7 0.2
    size 56
    secondarySize 64
    chance 0.3
}
flickerlight SFX_BFGBALL_A_X5
{
    color 0.1 0.1 0.3
    size 48
    secondarySize 56
    chance 0.3
}
object BFG10k_A
{
    frame SBL2 { light SFX_BFGBALL_A }

    frame SBL2H { light SFX_BFGBALL_A_X1 }
    frame SBL2G { light SFX_BFGBALL_A_X2 }
    frame SBL2F { light SFX_BFGBALL_A_X3 }
    frame SBL2I { light SFX_BFGBALL_A_X1 }
    frame SBL2J { light SFX_BFGBALL_A_X4 }
    frame SBL2K { light SFX_BFGBALL_A_X5 }
    frame SBL2L { light SFX_BFGBALL_A_X5 }
}
object BFG10k_B
{
    frame SBL2 { light SFX_BFGBALL_A }

    frame SBL2H { light SFX_BFGBALL_A_X1 }
    frame SBL2G { light SFX_BFGBALL_A_X2 }
    frame SBL2F { light SFX_BFGBALL_A_X3 }
    frame SBL2I { light SFX_BFGBALL_A_X1 }
    frame SBL2J { light SFX_BFGBALL_A_X4 }
    frame SBL2K { light SFX_BFGBALL_A_X5 }
    frame SBL2L { light SFX_BFGBALL_A_X5 }
}
object BFG10k_ACyber
{
    frame SBL2 { light SFX_BFGBALL_A }

    frame SBL2H { light SFX_BFGBALL_A_X1 }
    frame SBL2G { light SFX_BFGBALL_A_X2 }
    frame SBL2F { light SFX_BFGBALL_A_X3 }
    frame SBL2I { light SFX_BFGBALL_A_X1 }
    frame SBL2J { light SFX_BFGBALL_A_X4 }
    frame SBL2K { light SFX_BFGBALL_A_X5 }
    frame SBL2L { light SFX_BFGBALL_A_X5 }
}
//  ****************************
//  ***  Cacodemon fireball  ***
//  ****************************
flickerlight SFX_CACOBALL
{
    color 1.0 0.2 0.6
    size 56
    secondarySize 64
    chance 0.5
}
flickerlight SFX_CACOBALL_X1
{
    color 0.9 0.1 0.4
    size 72
    secondarySize 80
    chance 0.25
}
flickerlight SFX_CACOBALL_X2
{
    color 0.6 0.0 0.1
    size 88
    secondarySize 96
    chance 0.25
}
flickerlight SFX_CACOBALL_X3
{
    color 0.3 0.0 0.0
    size 104
    secondarySize 112
    chance 0.25
}
object CacodemonBall_//Purple
{
    frame SBL5 { light SFX_CACOBALL }

	frame SBL5F { light SFX_CACOBALL_X1 }
	frame SBL5G { light SFX_CACOBALL_X1 }
	frame SBL5H { light SFX_CACOBALL_X1 }
	frame SBL5I { light SFX_CACOBALL_X2 }
	frame SBL5J { light SFX_CACOBALL_X2 }
	frame SBL5K { light SFX_CACOBALL_X3 }
	frame SBL5L { light SFX_CACOBALL_X3 }
}
