//  ********************************************************
//  ***  Monster: BloodGhost                             ***
//  ***  By: Cobalt and Butcher                          ***
//  ***  Modified By: Cobalt and Butcher                 ***
//  ********************************************************
ACTOR BloodGhost 3124 // 3133
{
	Tag "Blood Ghost"
	bloodcolor "99 99 99"
	+LONGMELEERANGE +FASTER
	Scale 0.5
	Health 640
	Radius 24
	Height 48
	Mass 500000000
	Speed 18
	MeleeDamage 46
	PainChance 32
	Monster
	+FLOAT +NOGRAVITY +NOICEDEATH -PUSHABLE
	AttackSound "skull/melee"
	PainSound "demon/pain"
	DeathSound "monsters/ghostdeath1"
//	ActiveSound "monsters/ghostsee1"
	Obituary "%o smashed by THE GHOST"
	RenderStyle SoulTrans
	States
	{
	Spawn:
		GHOS ABCDE 3 A_Look
		Loop
	See:
		GHOS A 0 A_PlayWeaponSound("monsters/ghostsee1")
		GHOS ABCDEABCDEABCDEABCDEABCDE 2 A_Chase
		GHOS A 0 A_Jump(228,1)
		Goto See+1
		GHOS A 0
		GHOS A 0 A_PlayWeaponSound("monsters/ghostsee1")
		Goto See+1
	Melee:
		GHOS F 3 A_FaceTarget //A_SetShootable
		GHOS FGHI 2
		GHOS J 2 A_MeleeAttack
		GHOS F 0 //A_UnsetShootable
		Goto Spawn
//	Missile:
//		GHOS A 3 A_FaceTarget
//		GHOS B 0 A_SkullAttack
//		GHOS BCD 4
//		Goto Missile+2
	Pain:
		GHOS K 6 A_Pain
		Goto Spawn
	Death:
		NULL A 0 A_KillMaster
		GHOS A 0 A_NoBlocking
		GHOS L 1 A_Scream
		GHOS LMNOPQRS 3
		Stop
	}
}
