//  ********************************************************
//  ***  Monster: Cerberus                               ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
actor Cerberus 3308
{
	Tag "Cerberus"
	Gibhealth 700
	Scale 1.0
	Damage 32
	MeleeDamage 20
	Health 6800
	Radius 40
	Height 88
	Speed 10
	PainChance 32
	MONSTER 
	mass 500
	MeleeRange 80
	maxstepheight 48 maxdropoffheight 48
	+BOSS +LONGMELEERANGE +FLOORCLIP +MISSILEMORE +FASTMELEE +DONTHURTSPECIES
	SeeSound "cerberus/sight"
	PainSound "cerberus/pain"
	DeathSound "cerberus/death"
	Obituary "%o couldn't run from Cerberus."
	HitObituary "%o was eaten to death by small Cerberus."
	States
	{
		Spawn:
			CER1 F 0 A_JumpIfHealthLower(3400, 2)
			CER1 F 4 A_Look
			Loop
			CER2 G 0
			CER2 G 0
			CER2 G 4 A_Look
			Goto Spawn+3
		See:
			CER1 A 0 A_JumpIfHealthLower(3400, 14)
			CER1 AABBCCDDEE 2 A_Chase
			CER1 A 0 A_Jump(32,1)
			Loop
			CER1 A 0
			CER1 A 0 A_PlayWeaponSound("cerberus/spot")
			Loop
			CER2 A 0
			CER2 AABBCCDDEE 2 A_Chase
			CER2 A 0 A_Jump(32,1)
			Goto See+15
			CER2 A 0
			CER2 A 0 A_PlayWeaponSound("cerberus/spot")
			Goto See+15
		Melee:
			CER1 F 0 A_JumpIfHealthLower(3400, 9)
			CER1 F 2 A_FaceTarget
			CER1 F 0
			CER1 I 4
			CER1 J 6
			CER1 J 0 A_PlaySound("cerberus/melleattak")
			CER1 I 0 A_MeleeAttack
			CER1 F 4 A_FaceTarget
			CER1 F 0
			Goto See
			CER2 G 0
			CER2 G 2 A_FaceTarget
			CER2 G 0
			CER2 H 4
			CER2 I 6
			CER2 I 0 A_PlaySound("cerberus/melleattak")
			CER2 H 0 A_MeleeAttack
			CER2 G 4 A_FaceTarget
			CER2 G 0
			Goto See
		Missile:
			CER1 A 0 A_JumpIfHealthLower(3400, 52)
			CER1 A 0 A_Jump(30,15)//30
			CER1 A 0 A_Jump(12,29)//12
			CER1 A 0
			CER1 A 0
			CER1 A 0
			CER1 A 0
//  Grenze
			CER1 A 0 A_FaceTarget
			CER1 I 3
			CER1 J 6
			CER1 I 3
			CER1 A 0// A_PlaySound("cerberus/attak")
			CER1 A 0 A_CustomMissile("Cerberus_shot", 48, -24, Random(-3, 3), 0)
			CER1 A 0 A_CustomMissile("Cerberus_shot", 48, 24, Random(-3, 3), 0)
			CER1 A 0
			CER1 A 12 A_FaceTarget 
			Goto See
			CER1 A 0 A_FaceTarget
			CER1 I 3
			CER1 J 6
			CER1 I 3
			CER1 A 0 A_FaceTarget 
			CER1 A 0 A_CustomMissile("Cerberus_shot", 48, -24, Random(-3, 3), 0)
			CER1 A 0 A_CustomMissile("Cerberus_shot", 48, 24, Random(-3, 3), 0)
			CER1 I 3
			CER1 J 6
			CER1 I 3
			CER1 A 0
			CER1 A 0 A_CustomMissile("Cerberus_shot", 48, -24, Random(-3, 3), 0)
			CER1 A 0 A_CustomMissile("Cerberus_shot", 48, 24, Random(-3, 3), 0)
			CER1 A 0
			CER1 A 12 A_FaceTarget 
			Goto See
			CER1 A 0 A_FaceTarget
			CER1 I 3
			CER1 J 6
			CER1 I 3
			CER1 A 0 A_FaceTarget 
			CER1 A 0 A_CustomMissile("Cerberus_shot", 48, -24, Random(-3, 3), 0)
			CER1 A 0 A_CustomMissile("Cerberus_shot", 48, 24, Random(-3, 3), 0)
			CER1 I 3
			CER1 J 6
			CER1 I 3
			CER1 A 0 A_FaceTarget 
			CER1 A 0 A_CustomMissile("Cerberus_shot", 48, -24, Random(-3, 3), 0)
			CER1 A 0 A_CustomMissile("Cerberus_shot", 48, 24, Random(-3, 3), 0)
			CER1 I 3
			CER1 J 6
			CER1 I 3
			CER1 A 0
			CER1 A 0 A_CustomMissile("Cerberus_shot", 48, -24, Random(-3, 3), 0)
			CER1 A 0 A_CustomMissile("Cerberus_shot", 48, 24, Random(-3, 3), 0)
			CER1 A 0
			CER1 A 12 A_FaceTarget 
			Goto See
// Grenze 2 Blood
			CER2 A 0
			CER2 A 0 A_Jump(30,15)//30
			CER2 A 0 A_Jump(12,29)//12
			CER2 A 0
			CER2 A 0
			CER2 A 0
			CER2 A 0
//  Grenze
			CER2 A 0 A_FaceTarget
			CER2 H 3
			CER2 I 6
			CER2 H 3
			CER2 A 0
			CER2 A 0 A_FaceTarget 
			CER2 A 0 A_CustomMissile("Cerberus_shot", 48, -24, Random(-3, 3), 0)
			CER2 A 0
			CER2 A 12 A_FaceTarget 
			Goto See
			CER2 A 0 A_FaceTarget
			CER2 H 3
			CER2 I 6
			CER2 H 3
			CER2 A 0
			CER2 A 0 A_FaceTarget 
			CER2 A 0 A_CustomMissile("Cerberus_shot", 48, -24, Random(-3, 3), 0)
			CER2 H 3
			CER2 I 6
			CER2 H 3
			CER2 A 0
			CER2 A 0
			CER2 A 0 A_CustomMissile("Cerberus_shot", 48, -24, Random(-3, 3), 0)
			CER2 A 0
			CER2 A 12 A_FaceTarget 
			Goto See
			CER2 A 0 A_FaceTarget
			CER2 H 3
			CER2 I 6
			CER2 H 3
			CER2 A 0
			CER2 A 0 A_FaceTarget 
			CER2 A 0 A_CustomMissile("Cerberus_shot", 48, -24, Random(-3, 3), 0)
			CER2 H 3
			CER2 I 6
			CER2 H 3
			CER2 A 0
			CER2 A 0 A_FaceTarget 
			CER2 A 0 A_CustomMissile("Cerberus_shot", 48, -24, Random(-3, 3), 0)
			CER2 H 3
			CER2 I 6
			CER2 H 3
			CER2 A 0
			CER2 A 0
			CER2 A 0 A_CustomMissile("Cerberus_shot", 48, -24, Random(-3, 3), 0)
			CER2 A 0
			CER2 A 12 A_FaceTarget 
			Goto See
		Pain:
			CER2 K 0 A_JumpIfHealthLower(3400, 2)
			CER2 K 8 A_Pain
			Goto See
			CER2 F 0
			CER2 F 8 A_Pain
			Goto See
		Death:
			NULL A 0 A_KillMaster
			CER3 A 0 A_Fall
			CER3 A 0
			CER3 A 6 A_Scream
			CER3 BCDE 6
			CER3 FGHIJ 12
			CER3 J 0
			CER3 J -1
			Stop
		XDeath:
			NULL A 0 A_KillMaster
			NULL A 0 A_SpawnDebris("rGib19",0) //(brain)
			NULL A 0 A_SpawnDebris("rGib19",0) //(brain)
			NULL A 0 A_SpawnDebris("rGib3",0) //(eyeball)
			NULL A 0 A_SpawnDebris("rGib3",0) //(eyeball)
			NULL A 0 A_SpawnDebris("rGib3",0) //(eyeball)
			NULL A 0 A_SpawnDebris("rGib3",0) //(eyeball)
			NULL A 0 A_SpawnItem("rxGibGenerator_s",0,0,0,0)
			NULL A 0 A_SpawnItem("rxGibGenerator_s",0,0,0,0)
			NULL A 0 A_SpawnItem("rxGibGenerator_s",0,0,0,0)
			NULL A 0 A_SpawnItem("rxGibGenerator_s",0,0,0,0)
			NULL A 0 A_SpawnItem("rxGibGenerator_s",0,0,0,0)
			NULL A 0 A_SpawnItem("rxGibGenerator_m",0,0,0,0)
			NULL A 0 A_SpawnItem("rxGibGenerator_m",0,0,0,0)
			NULL A 0 A_SpawnItem("rxGibGenerator_m",0,0,0,0)
			NULL A 0 A_SpawnItem("rxGibGenerator_m",0,0,0,0)
			NULL A 0 A_SpawnItem("rxGibGenerator_m",0,0,0,0)
			NULL A 0 A_SpawnItem("rxGibGenerator_l",0,0,0,0)
			NULL A 0 A_SpawnItem("rxGibGenerator_l",0,0,0,0)
			NULL A 0 A_SpawnItem("rxGibGenerator_l",0,0,0,0)
			NULL A 0 A_SpawnItem("rxGibGenerator_l",0,0,0,0)
			NULL A 0 A_SpawnItem("rxGibGenerator_l",0,0,0,0)
			Stop
	}
}
//  ********** Cerberus_shot **********
//  Cerberus
ACTOR Cerberus_shot
{
	+DONTHURTSPECIES
	Scale 0.8
	Radius 3
	Height 3
	Speed 40
	Damage 30
	PROJECTILE
	+NOGRAVITY
//	DeathSound "weapons/tntexplode"
	States
	{
		Spawn:
			CER4 ABCDEF 1 BRIGHT
			Loop
		Death:
			TNT1 A 2 BRIGHT Radius_Quake(3, 28, 1, 4, 0)
			TNT1 A 2 BRIGHT A_Explode(90, 80)
			TNT1 A 0 A_SpawnItemEx("SFX_RocketExplosion", 0, 0, 0, 0, 0, 1, 0, 128 | SXF_NOCHECKPOSITION, 0)
//			CER4 A 0 A_SpawnItem("Cerberus_Explosion")
			CER4 A 1
			Stop
	}
}
/* 
ACTOR Cerberus_Explosion
{
	+DONTHURTSPECIES
	+NOGRAVITY
	SeeSound "weapons/tntexplode"
	Radius 1 Height 1 Speed 0
	States
	{
		Spawn:
			NKXP B 0
			NKXP B 2 BRIGHT Radius_Quake(3, 28, 1, 4, 0)
			NKXP C 2 BRIGHT A_Explode(90, 80)
			NKXP D 2 BRIGHT
			NKXP EFGHIJKLMNOPQRSTUV 2 BRIGHT
			Stop
	}
}
*/ 
