//  ********************************************************
//  ***  Monster: Cultist red                            ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
actor Cultist_red 3303
{
	Tag "Cultist"
	Translation "192:207=[192,0,0]:[96,0,0]", "240:244=[96,0,0]:[64,0,0]"
	Scale 0.56
	Damage 20
	Health 110 gibhealth 120
	Radius 20
	Height 56
	Speed 4
	PainChance 128
	MONSTER 
	+FLOORCLIP +MISSILEEVENMORE
	SeeSound "kultist/sight"
	PainSound "kultist/pain"
	DeathSound "kultist/death"
	Obituary "%o couldn't run from the Cultists."
	HitObituary "%o was beaten to death by an Cultists TNT."
	DropItem sp_pistols
	States
	{
		Spawn:
			CUL1 CD 10 A_Look
			Loop
		See:
			CUL1 AABBCCDDEEFF 2 A_Chase
			CUL1 F 0 A_Jump(32,1)
			Loop
			CUL1 F 0
			CUL1 F 0 A_PlayWeaponSound("kultist/spot")
			Loop
		Melee: 
		Missile:
			CUL1 G 0 A_Jump(128,"FlameThrowerAttack")
			CUL1 G 0 A_Jump(64,"ThrowTNT")
			CUL1 G 0 A_Jump(64,"ThrowHead")
			CUL1 G 0
			CUL1 G 0 A_FaceTarget 
			CUL1 H 6 A_CustomMissile ("CultistBullet", 32, Random(-2, 2), 0)
			CUL1 G 6 BRIGHT A_CustomMissile("CasingBullet_x_monster",45+random(-8,8),2,270+random(-16,16))
			CUL1 H 6 A_CustomMissile ("CultistBullet", 32, Random(-2, 2), 0)
			CUL1 G 6 BRIGHT A_CustomMissile("CasingBullet_x_monster",45+random(-8,8),2,270+random(-16,16))
			CUL1 H 6 A_CustomMissile ("CultistBullet", 32, Random(-2, 2), 0)
			CUL1 G 6 BRIGHT A_CustomMissile("CasingBullet_x_monster",45+random(-8,8),2,270+random(-16,16))
			CUL1 G 12 A_FaceTarget 
			Goto See
		FlameThrowerAttack:
			CUL1 G 0
			CUL1 G 0 A_JumpIfCloser(600, 1)
			goto Missile+1
			CUL1 G 5 A_FaceTarget
			CUL1 H 1 A_CustomMissile("MiniFirePuff_CultistRed", 36, -6, 0)
			CUL1 H 1 A_CustomMissile("MiniFirePuffNoLight_CultistRed", 36, -6, 0)
			CUL1 H 1 A_CustomMissile("MiniFirePuffNoLight_CultistRed", 36, -6, 0)
			CUL1 H 1 A_CustomMissile("MiniFirePuff_CultistRed", 36, -6, 0)
			CUL1 H 1 A_CustomMissile("MiniFirePuffNoLight_CultistRed", 36, -6, 0)
			CUL1 H 1 A_CustomMissile("MiniFirePuffNoLight_CultistRed", 36, -6, 0)
			CUL1 H 1 A_CustomMissile("MiniFirePuff_CultistRed", 36, -6, 0)
			CUL1 H 1 A_CustomMissile("MiniFirePuffNoLight_CultistRed", 36, -6, 0)
			CUL1 H 1 A_CustomMissile("MiniFirePuffNoLight_CultistRed", 36, -6, 0)
			CUL1 H 1 A_CustomMissile("MiniFirePuff_CultistRed", 36, -6, 0)
			CUL1 H 1 A_CustomMissile("MiniFirePuffNoLight_CultistRed", 36, -6, 0)
			CUL1 H 1 A_CustomMissile("MiniFirePuffNoLight_CultistRed", 36, -6, 0)
			CUL1 H 1 A_CustomMissile("MiniFirePuff_CultistRed", 36, -6, 0)
			CUL1 H 0 A_FaceTarget
			CUL1 H 1 A_CustomMissile("MiniFirePuffNoLight_CultistRed", 36, -6, 0)
			CUL1 H 1 A_CustomMissile("MiniFirePuffNoLight_CultistRed", 36, -6, 0)
			CUL1 H 1 A_CustomMissile("MiniFirePuff_CultistRed", 36, -6, 0)
			CUL1 H 1 A_CustomMissile("MiniFirePuffNoLight_CultistRed", 36, -6, 0)
			CUL1 H 1 A_CustomMissile("MiniFirePuffNoLight_CultistRed", 36, -6, 0)
			CUL1 H 1 A_CustomMissile("MiniFirePuff_CultistRed", 36, -6, 0)
			CUL1 H 1 A_CustomMissile("MiniFirePuffNoLight_CultistRed", 36, -6, 0)
			CUL1 H 1 A_CustomMissile("MiniFirePuffNoLight_CultistRed", 36, -6, 0)
			CUL1 H 1 A_CustomMissile("MiniFirePuff_CultistRed", 36, -6, 0)
			CUL1 H 1 A_CustomMissile("MiniFirePuffNoLight_CultistRed", 36, -6, 0)
			CUL1 H 1 A_CustomMissile("MiniFirePuffNoLight_CultistRed", 36, -6, 0)
			CUL1 H 1 A_CustomMissile("MiniFirePuff_CultistRed", 36, -6, 0)
			CUL1 H 0 A_FaceTarget
			CUL1 H 1 A_CustomMissile("MiniFirePuffNoLight_CultistRed", 36, -6, 0)
			CUL1 H 1 A_CustomMissile("MiniFirePuffNoLight_CultistRed", 36, -6, 0)
			CUL1 H 1 A_CustomMissile("MiniFirePuff_CultistRed", 36, -6, 0)
			CUL1 H 1 A_CustomMissile("MiniFirePuffNoLight_CultistRed", 36, -6, 0)
			CUL1 H 1 A_CustomMissile("MiniFirePuffNoLight_CultistRed", 36, -6, 0)
			CUL1 H 1 A_CustomMissile("MiniFirePuff_CultistRed", 36, -6, 0)
			CUL1 H 1 A_CustomMissile("MiniFirePuffNoLight_CultistRed", 36, -6, 0)
			CUL1 H 1 A_CustomMissile("MiniFirePuffNoLight_CultistRed", 36, -6, 0)
			CUL1 H 1 A_CustomMissile("MiniFirePuff_CultistRed", 36, -6, 0)
			CUL1 H 1 A_CustomMissile("MiniFirePuffNoLight_CultistRed", 36, -6, 0)
			CUL1 H 1 A_CustomMissile("MiniFirePuffNoLight_CultistRed", 36, -6, 0)
			CUL1 H 1 A_CustomMissile("MiniFirePuff_CultistRed", 36, -6, 0)
			CUL1 H 0 A_FaceTarget
			CUL1 H 1 A_CustomMissile("MiniFirePuff_CultistRed", 36, -6, 0)
			CUL1 H 1 A_CustomMissile("MiniFirePuffNoLight_CultistRed", 36, -6, 0)
			CUL1 H 1 A_CustomMissile("MiniFirePuffNoLight_CultistRed", 36, -6, 0)
			CUL1 H 1 A_CustomMissile("MiniFirePuff_CultistRed", 36, -6, 0)
			CUL1 H 1 A_CustomMissile("MiniFirePuffNoLight_CultistRed", 36, -6, 0)
			CUL1 H 1 A_CustomMissile("MiniFirePuffNoLight_CultistRed", 36, -6, 0)
			CUL1 H 0 A_FaceTarget
			CUL1 H 1 A_CustomMissile("MiniFirePuff_CultistRed", 36, -6, 0)
			Goto See
		ThrowTNT:
			TNT1 A 0
			CUL1 I 0 A_Jumpifcloser(600, 1)
			goto Missile+3
			CUL1 I 6 A_FaceTarget 
			CUL1 I 0 A_PlaySound("weapons/tntwurf")
			CUL1 JKLMN 2
			CUL1 N 0
			CUL1 N 0 A_CustomMissile("TNT_BURN_FL_KULT", 32, 0, 4, 1)
			CUL1 N 0
			CUL1 A 12 A_FaceTarget 
			Goto See
			CUL1 I 0
			CUL1 I 6 A_FaceTarget 
			CUL1 I 0 A_PlaySound("weapons/tntwurf")
			CUL1 JKLMN 2
			CUL1 N 0
			CUL1 N 0 A_CustomMissile("TNT_BURN_FL_ALT_KULT", 32, 0, 4, 1)
			CUL1 N 0
			CUL1 A 12 A_FaceTarget 
			Goto See
		ThrowHead:
			CUL1 I 0
			CUL1 I 6 A_FaceTarget 
			CUL1 I 0 A_PlaySound("weapons/tntwurf")
			CUL1 JKLMN 2
			CUL1 N 0
			CUL1 N 0 A_CustomMissile("POISON_HEAD", 32, 0, 4, 1)
			CUL1 N 0
			CUL1 A 12 A_FaceTarget 
			Goto See
			CUL1 I 0
			CUL1 I 6 A_FaceTarget 
			CUL1 I 0 A_PlaySound("weapons/tntwurf")
			CUL1 JKLMN 2
			CUL1 N 0
			CUL1 N 0 A_CustomMissile("POISON_HEAD_FLOOR", 32, 0, 4, 1)
			CUL1 N 0
			CUL1 A 12 A_FaceTarget 
			Goto See
		Pain:
			CUL1 O 0
			CUL1 O 8 A_Pain
			Goto See
		Raise:
			CUL1 WVUTSRQP 4
			goto See
		Death:
			NULL A 0 A_KillMaster
			CUL1 P 6 A_Scream
			CUL1 QRSTUVW 6
			CUL1 W 0
			CUL1 W 6 A_Fall
			CUL1 W -1
			Stop
		XDeath:
			NULL A 0 A_KillMaster
			NULL A 0 A_SpawnDebris("rGib1",0) //(Human hand)
			NULL A 0 A_SpawnDebris("rGib2",0) //(Human arm)
			NULL A 0 A_SpawnDebris("rGib3",0) //(eyeball)
			NULL A 0 A_SpawnDebris("rGib3",0) //(eyeball)
			NULL A 0 A_SpawnDebris("rGib19",0) //(brain)
			NULL A 0 A_SpawnItem("rxGibGenerator_s",0,0,0,0)
			NULL A 0 A_SpawnItem("rxGibGenerator_s",0,0,0,0)
			NULL A 0 A_SpawnItem("rxGibGenerator_s",0,0,0,0)
			NULL A 0 A_SpawnItem("rxGibGenerator_s",0,0,0,0)
			Stop
		Burn: 
			NULL A 0 A_KillMaster
			NULL A 0 A_PlaySound("human/burndeath")
			NULL A 0 A_SpawnItemEx("Human_Burn", 0, 0, 0, 0, 0, 0, 0, 32, 0)
			Stop
	}
}
//  ********** Heavy Bullet Shot **********
//  Cultist_red
ACTOR CultistBullet
{
	Speed 85
	Damage 8
	Radius 6
	Height 8
	PROJECTILE
	+STRIFEDAMAGE
	SeeSound "RifleZombie/Fire"
	States
	{
		Spawn:
			BULL A 1
			Loop
		Death:
			PUFF ABCD 4
			Stop
	}
}
//  ********** Poisoned Head **********
//  Cultist_red
ACTOR POISON_HEAD
{ 
	Health 20
	Renderstyle Normal
	Scale 0.4
	Radius 12
	Height 8
	Speed 30
//	Damage 0
	+NOBLOCKMAP +ACTIVATEPCROSS +ACTIVATEIMPACT +NOTELEPORT +MISSILE +NOBLOOD +SHOOTABLE
	States
	{
		Spawn:
			ZOMK ABCDEFGHIJKLMNOPQ 2
			Loop
		Death:
			ZOMK A 0  A_CustomMissile("TorturedSoulPoison_CULT", 5, 0, 0) 
			ZOMK A 0  A_CustomMissile("TorturedSoulPoison_CULT", 5, 0, 45) 
			ZOMK A 0  A_CustomMissile("TorturedSoulPoison_CULT", 5, 0, 90) 
			ZOMK A 0  A_CustomMissile("TorturedSoulPoison_CULT", 5, 0, 135) 
			ZOMK A 0  A_CustomMissile("TorturedSoulPoison_CULT", 5, 0, 180) 
			ZOMK A 0  A_CustomMissile("TorturedSoulPoison_CULT", 5, 0, 225) 
			ZOMK A 0  A_CustomMissile("TorturedSoulPoison_CULT", 5, 0, 270) 
			ZOMK A 0  A_CustomMissile("TorturedSoulPoison_CULT", 5, 0, 315) 
			Stop
	}
}
//  ********** Poisoned Head **********
//  Cultist_red
ACTOR POISON_HEAD_FLOOR
{ 
	Health 20
	+NOBLOOD
	+SHOOTABLE
//	+HEXENBOUNCE
	+DOOMBOUNCE
	Renderstyle Normal
	Scale 0.5
	Radius 12
	Height 8
	Speed 30
	Damage 0
	+NOBLOCKMAP
	+ACTIVATEPCROSS
	+ACTIVATEIMPACT
	+NOTELEPORT
//	+DROPOFF
//	+DONTFALL
	+MISSILE
	States
	{
		Spawn:
			ZOMK ABCDEFGHIJKLMNOPQ 2
			Loop
		Death:
			ZOMK A 90
			ZOMK A 0  A_CustomMissile("TorturedSoulPoison_CULT", 5, 0, 0) 
			ZOMK A 0  A_CustomMissile("TorturedSoulPoison_CULT", 5, 0, 45) 
			ZOMK A 0  A_CustomMissile("TorturedSoulPoison_CULT", 5, 0, 90) 
			ZOMK A 0  A_CustomMissile("TorturedSoulPoison_CULT", 5, 0, 135) 
			ZOMK A 0  A_CustomMissile("TorturedSoulPoison_CULT", 5, 0, 180) 
			ZOMK A 0  A_CustomMissile("TorturedSoulPoison_CULT", 5, 0, 225) 
			ZOMK A 0  A_CustomMissile("TorturedSoulPoison_CULT", 5, 0, 270) 
			ZOMK A 0  A_CustomMissile("TorturedSoulPoison_CULT", 5, 0, 315) 
			Stop
	}
}
//  ********** Poison Cloud **********
//  POISON_HEAD, POISON_HEAD_FLOOR
ACTOR TorturedSoulPoison_CULT
{ 
	Radius 16
	Height 8
	Speed 0.3
	Damage 1 
	+NOBLOCKMAP +DROPOFF +NOTARGET +STRIFEDAMAGE +RIPPER +BLOODLESSIMPACT
	PROJECTILE 
	RENDERSTYLE Add//Translucent 
	ALPHA 0.67 
	States 
	{ 
		Spawn: 
			PSNE A 120
			Stop 
		Death: 
			PSNE DEFGCBA 6 Bright
			Stop 
	} 
} 
//  ********** Poison Cloud **********
//  ~SnakeImp~, ~LordofHeresy~
ACTOR TorturedSoulPoison_CULT_ToxicB : TorturedSoulPoison_CULT
{ 
	Radius 20
	Height 8
	Speed 0.2
	States 
	{ 
		Spawn: 
			PSNE A 240
			Stop 
	} 
} 
ACTOR MiniFirePuff_CultistRed : FlameBase//MiniFirePuff_PainElemental//SFX_Flame_Cultist : SFX_Flame replaces MiniFirePuff_PainElemental
{
	Speed 15
	Damage 1
}
ACTOR MiniFirePuffNoLight_CultistRed : MiniFirePuff_CultistRed//MiniFirePuffNoLight_PainElemental//SFX_NoLight_Flame_Cultist replaces MiniFirePuffNoLight_PainElemental
{
}
