//  ********************************************************
//  ***  Monster: Cybruiser                              ***
//  ***  By: Eriance                                     ***
//  ***  Modified By: Cobalt and Butcher                 ***
//  ********************************************************
ACTOR Cybruiser 3119
{ 
	Tag "Cybruiser"
	Health 1200
	Radius 24
	Height 64
	Mass 1000
	Speed 8
	PainChance 20
	MONSTER
	MeleeDamage 10
	Obituary "%o was blown away by a Cybruiser."
	HitObituary "%o was smashed by a Cybruiser."
	+FLOORCLIP
	+MISSILEMORE
	+DONTHURTSPECIES
	SeeSound "monster/brusit"
	PainSound "baron/pain"
	DeathSound "monster/brudth"
	MeleeSound "baron/melee"
	States
	{
	Spawn:
		RRUS AB 10 A_Look
		Loop
	See:
		RRUS A 1 A_Playsound("monster/bruwlk")
		RRUS A 2 A_Chase
		RRUS A 3 A_Chase
		RRUS BB 3 A_Chase
		RRUS C 1 A_Playsound("monster/bruwlk")
		RRUS C 2 A_Chase
		RRUS C 3 A_Chase 
		RRUS DD 3 A_Chase
		Loop 
	Missile:
		RRUS E 8 A_FaceTarget 
		RRUS F 12 Bright A_CustomMissile("BruiserMissile",38,15,0,0)
		RRUS E 12 A_FaceTarget
		RRUS F 12 Bright A_CustomMissile("BruiserMissile",38,15,0,0)
		RRUS E 12 A_FaceTarget
		RRUS F 12 Bright A_CustomMissile("BruiserMissile",38,15,0,0)
		Goto See
	Melee:
		RRUS GH 8 A_FaceTarget
		RRUS I 8 A_MeleeAttack
		Goto See
	Pain: 
		RRUS J 2 
		RRUS J 2 A_Pain 
		Goto See 
	Death:
	XDeath:
		NULL A 0 A_KillMaster
		RRUS K 6 Bright A_Scream
		NULL A 0 A_SpawnItem("rxGibGenerator_s",0,0,0,0)
		NULL A 0 A_SpawnItem("rxGibGenerator_m",0,0,0,0)
		RRUS LMN 6 Bright
		NULL A 0 A_SpawnItem("rxGibGenerator_s",0,0,0,0)
		NULL A 0 A_SpawnItem("rxGibGenerator_m",0,0,0,0)
		RRUS O 6 Bright A_NoBlocking
		RRUS QRS 6 Bright
		NULL A 0 A_SpawnItem("rxGibGenerator_s",0,0,0,0)
		NULL A 0 A_SpawnItem("rxGibGenerator_s",0,0,0,0)
		NULL A 0 A_SpawnItem("rxGibGenerator_m",0,0,0,0)
		RRUS T -1 A_BossDeath
		Stop
	} 
}
//  ********** Rocket small/medium **********
//  Cybruiser
ACTOR BruiserMissile
{
	Radius 8
	Height 12
	Speed 20
	Damage 10
	Scale 0.4
	PROJECTILE
	RENDERSTYLE Normal
	SeeSound "monster/brufir"
	DeathSound "weapons/hellex"
	DONTHURTSHOOTER
	+FIREDAMAGE +THRUGHOST //+Rockettrail
	States
	{
	Spawn: 
		FBRS A 1 Bright A_SpawnItem("BruiserTrail",0,0)
		loop
	Death:
		FBRS A 1 Bright Radius_Quake(3, 28, 1, 4, 0)
		FBRS A 0 Bright A_Explode(64,64,0)
		NKXP EFGHIJKLMNOPQRSTUV 2 BRIGHT
		stop
	}
}
ACTOR BruiserTrail
{   
	Scale 0.4
	Radius 3
	Height 3
	RENDERSTYLE Translucent
	Alpha 0.67
	PROJECTILE
	States
	{
	Spawn:
		NULL A 3 Bright
		PUFF ABCD 4 BRIGHT
		Stop 
	}
}
