ACTOR Revenant_ replaces Revenant //66
{ 
	Tag "Revenant"
	spawnid 20
	obituary "%o couldn't evade a revenant's fireball."
	hitobituary "%o was punched by a revenant."
	health 300
	radius 20
	height 56
	mass 500
	speed 10
	painchance 100
	seesound "skeleton/sight"
	painsound "skeleton/pain"
	deathsound "skeleton/death"
	activesound "skeleton/active"
	MONSTER
	+FLOORCLIP +LONGMELEERANGE +MISSILEMORE +DONTHURTSPECIES 
	states
	{
	Spawn:
		SKEL AB 10 A_Look
		loop
	See:
		SKEL AABBCCDDEEFF 2 A_Chase
		loop
	Melee:
		SKEL G 0 A_FaceTarget
		SKEL G 6 A_SkelWhoosh
		SKEL H 6 A_FaceTarget
		SKEL I 6 A_SkelFist
		goto See
	Missile:
		SKEL J 0
		SKEL J 0 A_Jump(64, 1)
		goto Missile1
		SKEL J 0
		goto Missile2
	Missile1:
		SKEL J 0 bright A_FaceTarget
		SKEL J 10 bright A_FaceTarget
		SKEL K 0 A_CustomMissile ("RevenantNoTracer_",65,-15,random(-1,1))
		SKEL K 10 A_CustomMissile ("RevenantNoTracer_",65,15,random(-1,1))//A_SkelMissile         // See RevenantTracer
		SKEL K 0 A_Jump(128, 2)
		SKEL K 10 A_FaceTarget
		goto Missile1
		SKEL K 0
		goto See
	Missile2:
		SKEL J 0 bright A_FaceTarget
		SKEL J 10 bright A_FaceTarget
		SKEL K 0 A_CustomMissile ("RevenantTracer_x",65,-15,random(-1,1))
		SKEL K 10 A_CustomMissile ("RevenantTracer_x",65,15,random(-1,1))//A_SkelMissile         // See RevenantTracer
		SKEL K 10 A_FaceTarget
		goto See
	Pain:
		SKEL L 5
		SKEL L 5 A_Pain
		goto See
	Death:
		NULL A 0 A_KillMaster
		SKEL LM 7
		SKEL N 7 A_Scream
		SKEL O 7 A_NoBlocking
		SKEL P 7
		SKEL Q -1
		stop
	XDeath:
		NULL A 0 A_KillMaster
		NULL A 0 A_SpawnDebris("rGib16",0) //(Revenant head)
		NULL A 0 A_SpawnDebris("rGib17",0) //(Revenant arm)
		NULL A 0 A_SpawnDebris("rGib18",0) //(Revenant leg)
		NULL A 0 A_SpawnItem("rxGibGenerator_s",0,0,0,0)
		NULL A 0 A_SpawnItem("rxGibGenerator_s",0,0,0,0)
		Stop
	Raise:
		SKEL QPONML 5
		goto See
	}
} 
actor StealthRevenant_ : Revenant_ replaces StealthRevenant //9059
{
	spawnid 124
	obituary "%o thought %g saw a revenant."
	hitobituary "%o thought %g saw a revenant."
	renderstyle Translucent
	alpha 0
	+STEALTH
}
//  ********** Small Rocket **********
actor RevenantNoTracer_//SFX_RevenantNoTracer_ replaces RevenantNoTracer_
{
	Scale 0.33//0.56
	radius 11
	height 8
	speed 20
	damage 10
	renderstyle Normal//Add
	seesound "skeleton/attack"
	deathsound "skeleton/tracex"
	PROJECTILE
	states
	{
	Spawn:
		FBRS A 1 bright
//		FATB AB 2 bright //A_Tracer   // See RevenantTracerSmoke
		loop
	Death:
		TNT1 A 0 A_SpawnItemEx("Explosion_xs_Base", 0, 0, 0, 0, 0, 0, 0, 128 | SXF_NOCHECKPOSITION, 0)
		stop
	}
}
//  ********** Small Rocket Seeker **********
actor RevenantTracer_x//SFX_RevenantTracer_x replaces RevenantTracer_x
{
	Scale 0.33//0.56
	radius 11
	height 8
	speed 15
	damage 10
	renderstyle Normal//Add
	seesound "skeleton/attack"
	deathsound "skeleton/tracex"
	PROJECTILE
	+SEEKERMISSILE
	states
	{
	Spawn:
		FBRS A 1 bright A_SeekerMissile(10,20)
//		FATB AB 2 bright A_SeekerMissile(10,20)//A_Tracer   // See RevenantTracerSmoke
		loop
	Death:
		TNT1 A 0 A_SpawnItemEx("Explosion_xs_Base", 0, 0, 0, 0, 0, 0, 0, 128 | SXF_NOCHECKPOSITION, 0)
		stop
	}
}
