//  ********************************************************
//  ***  Monster: Dragon Familiar - used by Imp Warlord  ***
//  ***  By: Eriance                                     ***
//  ***  Modified By: Cobalt and Butcher                 ***
//  ********************************************************
ACTOR Fallen 3106 // 30113 
{
	Tag "Fallen"
	Scale 0.5
	Health 96
	Radius 24 Height 48 Mass 200 Speed 12 PainChance 128 
	MONSTER
	+NOBLOOD +NOGRAVITY +FLOAT +FASTER +FASTMELEE
	Obituary "%o got burned by a Fallen."
	SeeSound "monster/falsit" 
	PainSound "monster/falpai" 
	DeathSound "monster/faldth" 
	ActiveSound "monster/falact" 
	States 
	{ 
	Spawn: 
		FALN ABCDB 4 Bright A_Look 
		Loop 
	See:
		FALN A 0 Bright A_Jump (96,10)
		FALN A 1 Bright A_Playsound ("monster/falwng")
		FALN AABBCCDDBB 2 Bright A_ExtChase (0, 1, 1, 0)
		Goto See
		FALN B 2 Bright A_FastChase
		FALN B 0 Bright A_CustomMissile("FallenFX",20,0,0)
		FALN B 2 Bright A_FastChase
		FALN B 0 Bright A_CustomMissile("FallenFX",20,0,0)
		FALN B 2 Bright A_FastChase
		FALN B 0 Bright A_CustomMissile("FallenFX",20,0,0)
		FALN B 2 Bright A_FastChase
		FALN B 0 Bright A_CustomMissile("FallenFX",20,0,0)
		FALN B 0 Bright A_Jump (64,1)
		Goto See
		FALN B 2 Bright A_FastChase
		FALN B 0 Bright A_CustomMissile("FallenFX",20,0,0)
		FALN B 2 Bright A_FastChase
		FALN B 0 Bright A_CustomMissile("FallenFX",20,0,0)
		FALN B 2 Bright A_FastChase
		FALN B 0 Bright A_CustomMissile("FallenFX",20,0,0)
		FALN B 2 Bright A_FastChase
		FALN B 0 Bright A_CustomMissile("FallenFX",20,0,0)
		Goto See
	Melee:
	Missile:
		FALN C 0 BRIGHT A_Jump (128,13)
		FALN CE 2 BRIGHT A_FaceTarget 
		FALN F 3 BRIGHT A_CustomMissile ("FallenFireBall",20,0,0)
		FALN E 2 BRIGHT A_FaceTarget 
		FALN F 3 BRIGHT A_CustomMissile ("FallenFireBall",20,0,0)
		FALN E 2 BRIGHT A_FaceTarget 
		FALN F 3 BRIGHT A_CustomMissile ("FallenFireBall",20,0,0)
		FALN E 2 BRIGHT A_FaceTarget 
		FALN F 3 BRIGHT A_CustomMissile ("FallenFireBall",20,0,0)
		FALN E 2 BRIGHT A_FaceTarget 
		FALN F 3 BRIGHT A_CustomMissile ("FallenFireBall",20,0,0)
		FALN E 5 BRIGHT
		Goto See
		FALN C 0 BRIGHT A_FastChase
		FALN C 2 BRIGHT A_FaceTarget
		FALN E 0 BRIGHT A_FastChase 
		FALN E 2 BRIGHT A_FaceTarget
		FALN F 0 BRIGHT A_FastChase
		FALN F 3 BRIGHT A_CustomMissile ("FallenFireBall",20,0,0)
		FALN F 0 Bright A_CustomMissile ("FallenFX",20,0,0)
		FALN C 0 BRIGHT A_FastChase
		FALN C 2 BRIGHT A_FaceTarget
		FALN E 0 BRIGHT A_FastChase 
		FALN E 2 BRIGHT A_FaceTarget
		FALN F 0 BRIGHT A_FastChase
		FALN F 3 BRIGHT A_CustomMissile ("FallenFireBall",20,0,0)
		FALN F 0 Bright A_CustomMissile ("FallenFX",20,0,0)
		FALN C 0 BRIGHT A_FastChase
		FALN C 5 BRIGHT A_FaceTarget
		FALN E 0 BRIGHT A_FastChase 
		FALN E 2 BRIGHT A_FaceTarget
		FALN F 0 BRIGHT A_FastChase
		FALN F 3 BRIGHT A_CustomMissile ("FallenFireBall",20,0,0)
		FALN F 0 Bright A_CustomMissile ("FallenFX",20,0,0)
		FALN C 0 BRIGHT A_FastChase
		FALN C 2 BRIGHT A_FaceTarget
		FALN E 0 BRIGHT A_FastChase 
		FALN E 2 BRIGHT A_FaceTarget
		FALN F 0 BRIGHT A_FastChase
		FALN F 3 BRIGHT A_CustomMissile ("FallenFireBall",20,0,0)
		FALN F 0 Bright A_CustomMissile ("FallenFX",20,0,0)
		FALN C 0 BRIGHT A_FastChase
		FALN C 2 BRIGHT A_FaceTarget
		FALN E 0 BRIGHT A_FastChase 
		FALN E 3 BRIGHT A_FaceTarget
		FALN F 0 BRIGHT A_FastChase
		FALN F 2 BRIGHT A_CustomMissile ("FallenFireBall",20,0,0)
		FALN F 0 Bright A_CustomMissile ("FallenFX",20,0,0)
		FALN E 5 BRIGHT
		Goto See 
	Pain: 
		FALN E 3 Bright
		FALN E 3 Bright A_Pain 
		FALN E 3 Bright
		Goto See 
	Death: 
		NULL A 0 A_KillMaster
		FALN G 5 Bright
		FALN H 5 Bright A_Scream 
		FALN IJK 5 Bright
		FALN L 5 Bright A_NoBlocking 
		FALN M -1 A_SetFloorClip 
		Stop 
	Raise: 
		FALN M 5 A_UnSetFloorClip 
		FALN LKJIHG 5 Bright
		Goto See 
	} 
}
//  ********** FireBall small **********
actor FallenFireBall : FireBallYellow_s_Base
{
	Decal DoomImpScorch
	Damage 6
	Speed 15 FastSpeed 23
}
//  ********** FireBall small **********
ACTOR FallenFX
{   
	Radius 2 Height 2 Speed 0
	Scale 1.0
	PROJECTILE
	RENDERSTYLE ADD
	ALPHA 0.67
	States
	{
	Spawn:
		NULL A 3 Bright
		FBFX ABCDE 3 BRIGHT
		Stop 
	}
}
/* 
ACTOR FallenShot
{
	Decal DoomImpScorch
	Scale 0.5
	Radius 8 Height 8 Speed 16
	Damage 3
	RENDERSTYLE ADD
	DamageType fire
	ALPHA 0.67
	PROJECTILE
	+THRUGHOST +FIREDAMAGE
	Seesound "weapons/firmfi"
	DeathSound "weapons/firex5"
	States
	{
	Spawn:
		BALF AB 2 Bright A_CustomMissile("FallenFX",0,0,0,0)
		loop
	Death:
		BALF CDEF 4 Bright
		stop
	}
}
*/ 
/* 
ACTOR FallenSP
{   
	Radius 2 Height 2 Speed 0
	ReactionTime 60
	PROJECTILE
	RENDERSTYLE Normal
	-NOGRAVITY
	States
	{
	Spawn:
		FBSP AB 3 BRIGHT A_Countdown
		loop
	Death:
		FBSP CDE 3 BRIGHT
		Stop 
	}
}
*/ 
