//  ********************************************************
//  ***  Monster: HellHound                              ***
//  ***  By: Cobalt and Butcher                          ***
//  ***  Script: Eriance                                 ***
//  ********************************************************
ACTOR Hellhound 3309
{
	Tag "Hellhound"
	Scale 0.93
	Health 600 
	Radius 30 Height 50 Speed 10 PainChance 128 Mass 500
	MeleeDamage 7
	MONSTER
	+FLOORCLIP +FIRERESIST +DONTHURTSPECIES +FASTMELEE
	Obituary "%o burned by a Hellhound."
	HitObituary "A hellhound had %o for dinner."
	SeeSound "monster/dogsit"
	AttackSound "monster/dogatk"
	MeleeSound "monster/dogbit" 
	PainSound "monster/dogpai" 
	DeathSound "monster/dogdth" 
	ActiveSound "monster/dogact"
	States 
	{ 
	Spawn: 
		HDOG AA 10 A_Look 
		Loop 
	See: 
		HDOG AAAABBBBCCCCDDDDEEEEFFFF 1 A_Chase 
		Loop 
	Melee: 
		HDOG GH 6 A_FaceTarget
		HDOG I 6 A_MeleeAttack
	Goto See
	Missile:
		HDOG G 0 A_JumpIfCloser(256,2)
		HDOG G 0
	Goto See
		HDOG G 10 A_FaceTarget 
		HDOG H 1 A_CustomMissile ("DogFire",36,0,0,0,0)
		HDOG H 1 A_CustomMissile ("DogFire_NoLight",36,0,0,0,0)
		HDOG H 1 A_CustomMissile ("DogFire_NoLight",36,0,0,0,0)
		HDOG H 0 A_FaceTarget 
		HDOG H 1 A_CustomMissile ("DogFire_NoLight",36,0,0,0,0)
		HDOG H 1 A_CustomMissile ("DogFire_NoLight",36,0,0,0,0)
		HDOG H 1 A_CustomMissile ("DogFire_NoLight",36,0,0,0,0)
		HDOG H 0 A_FaceTarget 
		HDOG H 1 A_CustomMissile ("DogFire",36,0,0,0,0)
		HDOG H 1 A_CustomMissile ("DogFire_NoLight",36,0,0,0,0)
		HDOG H 1 A_CustomMissile ("DogFire_NoLight",36,0,0,0,0)
		HDOG H 0 A_FaceTarget 
		HDOG H 1 A_CustomMissile ("DogFire_NoLight",36,0,0,0,0)
		HDOG H 1 A_CustomMissile ("DogFire_NoLight",36,0,0,0,0)
		HDOG H 0 A_FaceTarget 
		HDOG H 1 A_CustomMissile ("DogFire",36,0,0,0,0)
		HDOG I 6 
		Goto See
	Pain: 
		HDOG J 2 
		HDOG J 2 A_Pain 
		Goto See 
	Death: 
		NULL A 0 A_KillMaster
		HDOG K 8 
		HDOG L 8 A_Scream 
		HDOG M 4 
		HDOG N 4 A_NoBlocking 
		HDOG OP 4 
		HDOG Q -1 
		Stop 
	XDeath:
		NULL A 0 A_KillMaster
		NULL A 0 A_SpawnDebris("rGib19",0) //(brain)
		NULL A 0 A_SpawnDebris("rGib19",0) //(brain)
		NULL A 0 A_SpawnDebris("rGib3",0) //(eyeball)
		NULL A 0 A_SpawnDebris("rGib3",0) //(eyeball)
		NULL A 0 A_SpawnDebris("rGib3",0) //(eyeball)
		NULL A 0 A_SpawnDebris("rGib3",0) //(eyeball)
		NULL A 0 A_SpawnItem("rxGibGenerator_s",0,0,0,0)
		NULL A 0 A_SpawnItem("rxGibGenerator_s",0,0,0,0)
		NULL A 0 A_SpawnItem("rxGibGenerator_s",0,0,0,0)
		NULL A 0 A_SpawnItem("rxGibGenerator_s",0,0,0,0)
		NULL A 0 A_SpawnItem("rxGibGenerator_m",0,0,0,0)
		NULL A 0 A_SpawnItem("rxGibGenerator_m",0,0,0,0)
		NULL A 0 A_SpawnItem("rxGibGenerator_m",0,0,0,0)
		NULL A 0 A_SpawnItem("rxGibGenerator_l",0,0,0,0)
		NULL A 0 A_SpawnItem("rxGibGenerator_l",0,0,0,0)
		Stop
	Raise: 
		HDOG QPONMLK 5 
		Goto See 
	} 
}
//  ********** FireFlame **********
//  Hellhound
ACTOR DogFire
{
	Radius 2
	Height 4
	Speed 16
	Damage 1
	PROJECTILE
	RENDERSTYLE ADD
	DamageType Fire
	ALPHA 0.67
	Scale 0.67
	SeeSound "weapons/bigbrn"
	DeathSound "weapons/bigbrn"
	DONTHURTSHOOTER
	+THRUGHOST +BLOODLESSIMPACT
	States
	{
	Spawn:
		NULL A 2 Bright
		FRFX ABCD 2 Bright A_Explode(1,8)
		FRFX D 0 Bright A_Lowgravity
		FRFX EFG 2 Bright A_Explode(1,16)
		FRFX HIJ 2 Bright A_Explode(1,32)
		FRFX KLM 2 Bright A_Explode(1,64)
		FRFX NO 2 Bright
		stop
	Death:
		FRFX HIJ 2 Bright A_Explode(1,32)
		FRFX KLM 2 Bright A_Explode(1,64)
		FRFX NO 2 Bright
		stop
	}
}
ACTOR DogFire_NoLight : DogFire
{
}
