//  ********************************************************
//  ***  Monster: Flying Imp                             ***
//  ***  By: Maelstrom                                   ***
//  ***  Modified By: Cobalt and Butcher                 ***
//  ********************************************************
actor FlyingImp 3126
{
	Tag "Flying Imp"
	OBITUARY "%o was blasted by an flying imp."
	HITOBITUARY "%o was slashed by an flying imp."
	Health 60 gibhealth 120 PainChance 200 minmissilechance 254
	Radius 20 Height 56 Mass 100 Speed 10
	MissileType "FlyingImpBall"
	SEESOUND "imp/sight"
	PAINSOUND "imp/pain"
	DEATHSOUND "imp/death"
	ACTIVESOUND "imp/active"
	MONSTER
	+NoGravity +DONTHURTSPECIES +Float
	states
	{
	Spawn:
		AEIM ABCDCB 3 A_Look
		Loop
	See:
		AEIM ABCDCB 3 A_Chase
		Loop
	Missile:
		AEIM E 4 A_FaceTarget
		AEIM F 6 A_MissileAttack
		TNT1 A 0 A_Jump(128, 1)
		goto See
		AEIM E 4 A_FaceTarget
		AEIM F 6 A_MissileAttack
		TNT1 A 0 A_Jump(128, 1)
		goto See
		AEIM E 4 A_FaceTarget
		AEIM F 6 A_MissileAttack
		goto See
	Pain:
		AEIM G 2
		AEIM G 2 A_Pain
		Goto See
	Death:
		NULL A 0 A_KillMaster
		AEIM H 8
		AEIM I 8 A_Scream
		AEIM J 6
		AEIM K 6 A_NoBlocking
		AEIM L 6
		AEIM M 6
		AEIM N -1
		Stop
	XDeath:
		NULL A 0 A_KillMaster
		TNT1 A 0 A_SpawnDebris("rGib5",0) //(Imp hand [skin brown])
		TNT1 A 0 A_SpawnDebris("rGib5",0) //(Imp hand [skin brown])
		TNT1 A 0 A_SpawnDebris("rGib3",0) //(eyeball)
		TNT1 A 0 A_SpawnDebris("rGib3",0) //(eyeball)
		TNT1 A 0 A_SpawnDebris("rGib19",0) //(brain)
		TNT1 A 0 A_SpawnItem("rxGibGenerator_s",0,0,0,0)
		TNT1 A 0 A_SpawnItem("rxGibGenerator_s",0,0,0,0)
		TNT1 A 0 A_SpawnItem("rxGibGenerator_s",0,0,0,0)
		TNT1 A 0 A_SpawnItem("rxGibGenerator_s",0,0,0,0)
		Stop
	}
}
//  ********** FireBall medium **********
actor FlyingImpBall : FireBallYellow_m_Base
{
	Decal DoomImpScorch
	Damage 8
	Speed 16 FastSpeed 25
}
//  ********** FireBall medium **********
/* 
actor FlyingImpBall
{
	Decal DoomImpScorch
	radius 6 height 8 speed 10
	damage 4
	renderstyle Add
	seesound "imp/attack"
	deathsound "imp/shotx"
	PROJECTILE
	+RANDOMIZE +FIREDAMAGE
	states
	{
	Spawn:
		DRFX ABCDEF 4 bright
		loop
	Death:
		DRFX GHIJKL 6 bright
		stop
	}
}
*/ 