//  ********************************************************
//  ***  Monster: Pistol Marine                          ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
ACTOR Marine_Pistol 3012
{
	Tag "Marine"
	obituary "%o was shot by a Marine."
	health 120 gibhealth 120
	radius 20
	height 56
	mass 100
	speed 8
	painchance 170
	painsound "shotguy/pain"
	activesound "shotguy/active"
	SeeSound "human/marinessee"
	DeathSound "human/marinesdeath"
	MONSTER
	+FLOORCLIP +MISSILEEVENMORE
	DropItem sp_pistols
	states
	{
		Spawn:
			PLA2 AB 10 A_Look
			loop
		See:
			PLA2 AABBCCDD 4 A_Chase
			loop
		Melee:
		Missile:
			PLA2 E 0 A_Jump(48, 7)
			PLA2 E 10 A_FaceTarget
			PLA2 F 10 BRIGHT A_CustomBulletAttack(2, 2, 1, 14, "BulletPuff", 1000)
			PLA2 E 0 A_PlaySound("weapons/magnum")
			PLA2 E 0 BRIGHT A_CustomMissile("CasingBullet_x_monster",45+random(-8,8),2,270+random(-16,16))
			PLA2 E 10
			goto See
			PLA2 E 0
			PLA2 E 0
			PLA2 E 10 A_FaceTarget
			PLA2 E 0 A_PlaySound("weapons/magnum")
			PLA2 E 0 BRIGHT A_CustomMissile("CasingBullet_x_monster",45+random(-8,8),2,270+random(-16,16))
			PLA2 F 10 BRIGHT A_CustomBulletAttack(3, 3, 1, 14, "BulletPuff", 1000)
			PLA2 E 10
			PLA2 E 10 A_FaceTarget
			PLA2 E 0 A_PlaySound("weapons/magnum")
			PLA2 E 0 BRIGHT A_CustomMissile("CasingBullet_x_monster",45+random(-8,8),2,270+random(-16,16))
			PLA2 F 10 BRIGHT A_CustomBulletAttack(4, 4, 1, 14, "BulletPuff", 1000)
			PLA2 E 10
			goto See
		Pain:
			PLA2 G 3
			PLA2 G 3 A_Pain
			goto See
		Death:
			NULL A 0 A_KillMaster
			PLA2 H 5
			PLA2 I 5 A_Scream
			PLA2 J 5 A_NoBlocking
			PLA2 KLM 5
			PLA2 N -1
			stop
		XDeath:
			NULL A 0 A_KillMaster
			NULL A 0 A_SpawnDebris("rGib1",0) //(Human hand)
			NULL A 0 A_SpawnDebris("rGib2",0) //(Human arm)
			NULL A 0 A_SpawnDebris("rGib3",0) //(eyeball)
			NULL A 0 A_SpawnDebris("rGib3",0) //(eyeball)
			NULL A 0 A_SpawnDebris("rGib19",0) //(brain)
			NULL A 0 A_SpawnItem("rxGibGenerator_s",0,0,0,0)
			NULL A 0 A_SpawnItem("rxGibGenerator_s",0,0,0,0)
			NULL A 0 A_SpawnItem("rxGibGenerator_s",0,0,0,0)
			NULL A 0 A_SpawnItem("rxGibGenerator_s",0,0,0,0)
//			PLA2 O 0
//			PLA2 O 0 A_XScream
//			PLA2 O 5 A_NoBlocking
//			PLA2 PQRSTUVW 5
//			PLA2 W -1
			stop
		Burn: 
			NULL A 0 A_KillMaster
			NULL A 0 A_PlaySound("human/burndeath")
			NULL A 0 A_SpawnItemEx("Human_Burn", 0, 0, 0, 0, 0, 0, 0, 32, 0)
			Stop
		Raise:
			PLA2 LKJIH 5
			goto See
	}
}
