//  ********************************************************
//  ***  Monster: Sentinel                               ***
//  ***  By: Eriance                                     ***
//  ********************************************************
actor DESentinel 3021
{
	Tag "Sentinel"
	obituary "%o was blasted away by a seninel."
	health 900 radius 31 height 88 mass 1000 speed 8 painchance 64
	DropItem BasicAmmo
	seesound "monster/sensit"
	painsound "monster/senpai"
	deathsound "monster/sendth"
	activesound "monster/senact"
	MONSTER
	+DONTHURTSPECIES +FASTER +FASTMELEE +FLOAT +NOGRAVITY +NOBLOOD
	-DONTFALL
	states
	{
	Spawn:
		SENT A 10 A_Look
		loop
	See:
		SENT A 3 A_ExtChase (0, 1, 1, 0)
		loop
	Melee:
	Missile:
		SENT A 0 A_Jump(96,2)
		SENT A 0 A_Jump(96,11)
		SENT A 0 A_Jump(96,16)
		SENT A 8 A_FaceTarget
		SENT C 0 Bright A_CustomMissile("SentGMissile",52,12,0,1,0)
		SENT C 8 Bright A_CustomMissile("SentGMissile",52,-12,0,1,0)
		SENT A 6 A_FaceTarget
		SENT C 0 Bright A_CustomMissile("SentGMissile",52,12,0,1,0)
		SENT C 8 Bright A_CustomMissile("SentGMissile",52,-12,0,1,0)
		SENT A 8 A_FaceTarget
		SENT C 0 Bright A_CustomMissile("SentGMissile",52,12,0,1,0)
		SENT C 8 Bright A_CustomMissile("SentGMissile",52,-12,0,1,0)
		goto See
		SENT D 4 A_FaceTarget
		SENT E 0 Bright A_CustomMissile("CubeShot",52,12,0,1,0)
		SENT E 4 Bright A_CustomMissile("CubeShot",52,-12,0,1,0)
		SENT A 0 A_Jump(24,5)
		SENT D 1 A_SpidRefire
		goto Missile+13
		SENT D 4 A_FaceTarget 
		SENT E 5 Bright A_FaceTarget
		SENT F 8 Bright A_CustomMissile("SentRMissile",24,0,0,0)
		SENT F 0
		goto See
	Pain:
		SENT B 3
		SENT B 3 A_Pain
		SENT B 4
		SENT B 2 // A_Jump(128,4)
		SENT B 0 A_FaceTarget
		SENT B 1
		goto See
	Death:
		NULL A 0 A_KillMaster
		SENT G 8 Bright
		SENT H 7 Bright A_Scream
		SENT IJ 7 Bright
		SENT K 7 A_NoBlocking
		SENT K -1 A_SetFloorClip
		stop
	}
}
//  ********** GreenBall **********
//  DESentinel
ACTOR SentGmissile
{
	Radius 5
	Height 5
	Speed 16
	Damage 6
	RenderStyle ADD
	Alpha 0.75
	PROJECTILE
	+THRUGHOST
	Seesound "weapons/boltfi"
	DeathSound "monster/disht1"   
	States
	{
	Spawn:
		CFX6 A 1 Bright A_SpawnItem("Barbtrail",0,0)
		loop
	Death:
		CFX6 BCDE 4 Bright
		Stop
	}
}
ACTOR Barbtrail
{   
	Radius 0
	Height 1
	PROJECTILE
	RENDERSTYLE ADD
	ALPHA 0.75
	States
	{
	Spawn:
		NULL A 1 Bright
		SSFX ABCDEFGH 2 Bright
		Stop 
	}
}
//  ********** RedBall small **********
//  DESentinel
ACTOR CubeShot
{
	Radius 5
	Height 5
	Speed 15
	Damage 1
	DamageType fire
	RENDERSTYLE ADD
	ALPHA 0.85
	PROJECTILE
	+THRUGHOST
	Seesound "weapons/firsfi"
	DeathSound "weapons/maceex"
	Obituary "%o got fried by a Guardian Cube."
	States
	{
	Spawn:
		CBAL AB 3 Bright A_SpawnItem("CubePuff",0,0)
		loop
	Death:
		CBAL CDEFG 3 Bright
		stop
	}
}
ACTOR CubePuff
{   
	Radius 2
	Height 2
	Speed 0
	Scale 1.0
	PROJECTILE
	RENDERSTYLE ADD
	ALPHA 0.67
	States
	{
	Spawn:
		CBAL HIJ 3 BRIGHT
		Stop 
	}
}
//  ********** FireBall m **********
//  DESentinel
ACTOR SentRmissile
{
	Radius 5
	Height 5
	Speed 20
	Damage 15
	DamageType fire
	ExplosionDamage 32
	ExplosionRadius 64
	RenderStyle ADD
	Alpha 0.85
	PROJECTILE
	+THRUGHOST
	Seesound "weapons/bigbrn"
	DeathSound "weapons/firex3"   
	States
	{
	Spawn:
		SEF1 AABBCC 1 Bright A_SpawnItem("RedPuff",0,0)
		loop
	Death:
		SEF1 DEFG 5 Bright A_Explode
		SEF1 H 5 Bright
		Stop
	}
}
ACTOR RedPuff
{   
	Radius 0
	Height 1
	Speed 0
	PROJECTILE
	RENDERSTYLE ADD
	ALPHA 0.85
	States
	{
	Spawn:
		NULL A 3 Bright
		RPUF ABCDE 3 Bright
		Stop 
	}
}
