// SlimeWorm, a new monster by Captain toenail//
actor SlimeWorm 3108
{
	Tag "Slime Worm"
	obituary "%o was dissolved by a slimeworm."
	hitobituary "%o was digested by a slimeworm."
	health 250
	painchance 90
	speed 8
	radius 30
	height 56
	mass 400
	seesound "slimeworm/sight"
	attacksound "slimeworm/melee"
	painsound "slimeworm/pain"
	deathsound "slimeworm/death"
	activesound "slimeworm/active"
	bloodcolor green
	MONSTER
	+FLOORCLIP
	+MISSILEMORE
	+SHORTMISSILERANGE
	states
	{
	Spawn:
		WORM AB 10 A_Look
		loop
	See:
		WORM AABBCCDD 3 A_Chase
		loop
	Missile:
		WORM E 8 A_FaceTarget
		WORM F 8 A_PlaySound ("SlimeBall/Shoot")
		WORM F 0 A_CustomMissile ("SlimeBall1", 40, 0, random(-10,10), 2, random(10,20))
		WORM F 0 A_CustomMissile ("SlimeBall2", 40, 0, random(-10,10), 2, random(10,20))
		WORM F 0 A_CustomMissile ("SlimeBall3", 40, 0, random(-10,10), 2, random(10,20))
		WORM F 0 A_CustomMissile ("SlimeBall4", 40, 0, random(-10,10), 2, random(10,20))
		WORM F 0 A_CustomMissile ("SlimeBall5", 40, 0, random(-10,10), 2, random(10,20))
		WORM G 8
		goto See
	Melee:
		WORM EF 8 A_FaceTarget
		WORM G 8 A_SargAttack
		goto See
	Pain:
		WORM H 2
		WORM H 2 A_Pain
		goto See
	Death:
		NULL A 0 A_KillMaster
		WORM I 8
		WORM J 8 A_Scream
		WORM K 4
		WORM L 4 A_NoBlocking
		WORM M 4
		WORM N -1
		stop
	XDeath:
		NULL A 0 A_KillMaster
//		NULL A 0 A_SpawnDebris("rGib6",0) //(Imp Hand [skin green])
//		NULL A 0 A_SpawnDebris("rGib6",0) //(Imp Hand [skin green])
		NULL A 0 A_SpawnDebris("gGib3",0) //(eyeball)
		NULL A 0 A_SpawnDebris("gGib3",0) //(eyeball)
		NULL A 0 A_SpawnDebris("gGib19",0) //(brain)
		NULL A 0 A_SpawnItem("gxGibGenerator_s",0,0,0,0)
		NULL A 0 A_SpawnItem("gxGibGenerator_s",0,0,0,0)
		NULL A 0 A_SpawnItem("gxGibGenerator_s",0,0,0,0)
		NULL A 0 A_SpawnItem("gxGibGenerator_s",0,0,0,0)
		NULL A 0 A_SpawnItem("gxGibGenerator_m",0,0,0,0)
		NULL A 0 A_SpawnItem("gxGibGenerator_m",0,0,0,0)
		Stop
	Raise:
		WORM NMLKJI 5
		goto See
	}
}
actor SlimeBall1 : DoomImpBall
{
	radius 4
	height 4
	speed 14
	damage 4
	poisondamage 15
	seesound none
	deathsound "slimeball/splat"
	scale 0.5
	-NOGRAVITY
	Decal PlasmaScorchLower
	states
	{
	Spawn:
		BOGY ABC 2 bright
		loop
	Death:
		BOGY D 0 bright A_NoGravity
		BOGY DEF 4 bright
		stop
	}
}
actor SlimeBall2 : SlimeBall1
{
	speed 16
}
actor SlimeBall3 : SlimeBall1
{
	speed 18
}
actor SlimeBall4 : SlimeBall1
{
	speed 20
}
actor SlimeBall5 : SlimeBall1
{
	speed 22
}
