//  ********************************************************
//  ***  Weapon: Tschernobog_Fire                        ***
//  ********************************************************
//  Tchernobog
ACTOR T_HFirex : FireOnFloor//SFX_T_HFirex : SFX_FireOnFloor replaces T_HFirex
{
	Gravity 1000
}
ACTOR T_CometFire//SFX_T_CometFire replaces T_CometFire // :
{
	+NOBLOCKMAP +FLOORHUGGER +NOCLIP +MISSILE +DROPOFF +RANDOMIZE +FIREDAMAGE
	Speed 0
	Damage 5
	States
	{
		Spawn:
			TNT1 A 0 A_CustomMissile("T_HFirex", 0, Random(-32, 32), 0)
			TNT1 A 0 A_CustomMissile("T_HFirex", 0, Random(-64, 64), 0)
			TNT1 A 0 A_CustomMissile("T_HFirex", 0, Random(-96, 96), 0)
			TNT1 A 0 A_CustomMissile("T_HFirex", 0, Random(-64, 64), 0)
			Stop
	}
}
//  Tchernobog_big
ACTOR T_HFirex_big : T_HFirex//SFX_T_HFirex_big : SFX_T_HFirex replaces T_HFirex_big
{
}
ACTOR T_CometFire_big : T_CometFire//SFX_T_CometFire_big : SFX_T_CometFire replaces T_CometFire_big
{
	Damage 15
}
//  Tchernobog
/* 
ACTOR Tschernobo_Explosion//SFX_Tschernobo_Explosion replaces Tschernobo_Explosion // :
{
	+NOGRAVITY
//	SeeSound "effects/explosion"
	Radius 1 Height 1 Speed 0
	States
	{
	Spawn:
		TNT1 A 0 BRIGHT A_Explode(100, 192)
		TNT1 A 0 Radius_Quake(3, 28, 1, 4, 0)
		TNT1 A 0 A_SpawnItemEx("SFX_RocketExplosion", 0, 0, 0, 0, 0, 1, 0, 128 | SXF_NOCHECKPOSITION, 0)
		TNT1 A 20
		Stop
	}
}
*/ 
//  ********** Tschernobog_Comet **********
//  Tchernobog
actor T_Comet//SFX_T_Comet replaces T_Comet // :
{
	+NOBLOOD
	+SHOOTABLE
	+NOBLOCKMAP
	+ACTIVATEPCROSS
	+ACTIVATEIMPACT
	+NOTELEPORT
	+MISSILE

	-NOGRAVITY
	+LOWGRAVITY
	+FIREDAMAGE
	Radius 6
	Height 8
	Speed 48
	Damage 5
	ExplosionDamage 140
	ExplosionRadius 360
	Scale .56
	SeeSound "comet/launch"
	DeathSound "comet/explosion"
	MissileType CometTail
	MissileHeight 0
	States
	{
		Spawn:
			COMT AAAABBBBCCCC 1 Bright A_MissileAttack
			Loop
		Death:
			TNT1 A 0 BRIGHT A_Explode(80, 192)
			TNT1 A 0 Radius_Quake(3, 28, 1, 4, 0)
			TNT1 A 0 A_SpawnItemEx("SFX_RocketExplosion", 0, 0, 0, 0, 0, 1, 0, 128 | SXF_NOCHECKPOSITION, 0)
			TNT1 A 0 A_CustomMissile("T_FireShot_1", 16, 0, Random(-4, 4) + 96, 0)
			TNT1 A 0 A_CustomMissile("T_FireShot_1", 16, 0, Random(-4, 4), 0)
			TNT1 A 0 A_CustomMissile("T_FireShot_1", 16, 0, Random(-4, 4) - 96, 0)

			TNT1 A 0 A_CustomMissile("T_CometFire", 0, Random(-4, 4), 0)
//			TNT1 A 0 A_CustomMissile("T_CometFire", 0, Random(-4, 4) + 24, 0)
//			TNT1 A 0 A_CustomMissile("T_CometFire", 0, Random(-4, 4) + -24, 0)
//			TNT1 A 0 A_CustomMissile("T_CometFire", 0, Random(-4, 4) + 48, 0)
//			TNT1 A 0 A_CustomMissile("T_CometFire", 0, Random(-4, 4) + -48, 0)
			TNT1 A 0 A_CustomMissile("T_CometFire", 0, Random(-4, 4) + 64, 0)
			TNT1 A 0 A_CustomMissile("T_CometFire", 0, Random(-4, 4) + -64, 0)
			TNT1 A 0 A_CustomMissile("T_CometFire", 0, Random(-4, 4) + 80, 0)
			TNT1 A 0 A_CustomMissile("T_CometFire", 0, Random(-4, 4) + -80, 0)
			TNT1 A 0 A_CustomMissile("T_CometFire", 0, Random(-4, 4) + 96, 0)
			TNT1 A 0 A_CustomMissile("T_CometFire", 0, Random(-4, 4) + -96, 0)
			TNT1 A 0 A_CustomMissile("FireOnFloor", 0, Random(-4, 4) + 24, 0)
			TNT1 A 0 A_CustomMissile("FireOnFloor_NoLight", 0, Random(-4, 4) + 64, 0)
			TNT1 A 0 A_CustomMissile("FireOnFloor_NoLight", 0, Random(-4, 4) + 96, 0)
			TNT1 A 3 Bright
			Stop
	}
}
//  ********************************************************
//  ***  Monster: Tchernobog                             ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
actor Tchernobog 3306
{
	Tag "Tchernobog"
	+DONTHURTSPECIES +BOSS +FLOORCLIP
	mass 1000
	Scale 1.0
	Damage 7
	Health 30000
	Radius 44
	Height 164
	Speed 16
	PainChance 6
	maxstepheight 48 maxdropoffheight 48
	MONSTER
	SeeSound "tchernobog/sight"
	PainSound "tchernobog/pain"
	DeathSound "tchernobog/spot"
	Obituary "%o couldn't run from the big Tchernobog."
	HitObituary "%o was smashed to death by Tchernobog."
	States
	{
	Spawn:
		TBO1 X 4 A_Look
		Loop
	See:
		TBO1 AABBCCDDEEFF 2 A_ExtChase (0, 1, 1, 0)
		TBO1 F 0 A_Jump(32,1)
		Loop
		TBO1 F 0// A_PlayWeaponSound("tchernobog/spot")
		TBO1 F 0 A_Scream  //   A_ActiveSound
		Loop
	Melee:
	Missile:
		TBO1 X 0
		TBO1 X 0 A_Jump(235, 5) // 235
		TBO1 H 6 A_FaceTarget
		TBO1 I 6 A_FaceTarget
		TBO1 J 6 A_FaceTarget
		TBO1 X 0 A_CustomMissile("T_Comet", 128, 0, Random(-8, 8), 1)
		Goto See
		TBO1 X 0
		TBO1 X 0 A_Jump(200, 7)
		TBO1 H 6 A_FaceTarget
		TBO1 I 6 A_FaceTarget
		TBO1 J 6 A_FaceTarget
		TBO1 X 0 A_CustomMissile("T_FireShot_1_Start", 16, 0, -8, 0)
		TBO1 X 0 A_CustomMissile("T_FireShot_1_Start", 16, 0, 0, 0)
		TBO1 X 0 A_CustomMissile("T_FireShot_1_Start", 16, 0, 8, 0)
		Goto See
		TBO1 X 0
		TBO1 X 0 A_Jump(30,14)
		TBO1 X 0 A_Jump(64,26)
		TBO1 X 0
		TBO1 X 0
		TBO1 X 0
		TBO1 X 0
//  Grenze
		TBO1 X 0
		TBO1 H 6 A_FaceTarget
		TBO1 I 6 A_FaceTarget
		TBO1 J 6 A_FaceTarget
		TBO1 X 0
		TBO1 X 0 A_CustomMissile("Tschernobo_shot", 128, 0, Random(-4, 4), 0)
		TBO1 X 0
		TBO1 X 12
		Goto See
		TBO1 H 6 A_FaceTarget
		TBO1 I 6 A_FaceTarget
		TBO1 J 6 A_FaceTarget
		TBO1 X 0
		TBO1 X 0 A_CustomMissile("Tschernobo_shot", 128, 0, Random(-4, 4), 0)
		TBO1 H 4 A_FaceTarget
		TBO1 I 4 A_FaceTarget
		TBO1 J 4 A_FaceTarget
		TBO1 X 0
		TBO1 X 0 A_CustomMissile("Tschernobo_shot", 128, 0, Random(-4, 4), 0)
		TBO1 X 0
		TBO1 X 12
		Goto See
		TBO1 H 6 A_FaceTarget
		TBO1 I 6 A_FaceTarget
		TBO1 J 6 A_FaceTarget
		TBO1 X 0
		TBO1 X 0 A_CustomMissile("Tschernobo_shot", 128, 0, Random(-4, 4), 0)
		TBO1 H 4 A_FaceTarget
		TBO1 I 4 A_FaceTarget
		TBO1 J 4 A_FaceTarget
		TBO1 X 0
		TBO1 X 0 A_CustomMissile("Tschernobo_shot", 128, 0, Random(-4, 4), 0)
		TBO1 H 4 A_FaceTarget
		TBO1 I 4 A_FaceTarget
		TBO1 J 4 A_FaceTarget
		TBO1 X 0
		TBO1 X 0 A_CustomMissile("Tschernobo_shot", 128, 0, Random(-4, 4), 0)
		TBO1 X 0
		TBO1 X 12
		Goto See
	Pain:
		TBO1 G 0
		TBO1 G 8 A_Pain
		Goto See
	Death:
		NULL A 0 A_KillMaster
		TBO1 K 0 A_Fall
		TBO1 K 0
		TBO1 K 6 A_PlayWeaponSound("tchernobog/death")
		TBO1 LMNO 6
		TBO1 PQRSTSRQP 3
		TBO1 O 160
		Goto Death+7
	}
}
//  ********************************************************
//  ***  Monster: Tchernobog big                         ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
actor Tchernobog_big : Tchernobog 3350
{
	Tag "The real Tchernobog"
	mass 25000
	Scale 4.0
	Health 60000
	Radius 176
	Height 656
	Speed 64
	PainChance 3
	States
	{
		Missile:
			TBO1 X 0
			TBO1 X 0 A_Jump(235, 5) // 235
			TBO1 H 6 A_FaceTarget
			TBO1 I 6 A_FaceTarget
			TBO1 J 6 A_FaceTarget
			TBO1 X 0 A_CustomMissile("T_Comet_big", 512, 0, Random(-8, 8), 1)
			Goto See
			TBO1 X 0
			TBO1 X 0 A_Jump(200, 7)
			TBO1 H 6 A_FaceTarget
			TBO1 I 6 A_FaceTarget
			TBO1 J 6 A_FaceTarget
			TBO1 X 0 A_CustomMissile("T_FireShot_1_Start_big", 16, 0, -8, 0)
			TBO1 X 0 A_CustomMissile("T_FireShot_1_Start_big", 16, 0, 0, 0)
			TBO1 X 0 A_CustomMissile("T_FireShot_1_Start_big", 16, 0, 8, 0)
			Goto See
			TBO1 X 0
			TBO1 X 0 A_Jump(30,14)
			TBO1 X 0 A_Jump(64,26)
			TBO1 X 0
			TBO1 X 0
			TBO1 X 0
			TBO1 X 0
//  Grenze
			TBO1 X 0
			TBO1 H 6 A_FaceTarget
			TBO1 I 6 A_FaceTarget
			TBO1 J 6 A_FaceTarget
			TBO1 X 0
			TBO1 X 0 A_CustomMissile("Tschernobo_shot_big", 512, 0, Random(-4, 4), 0)
			TBO1 X 0
			TBO1 X 12
			Goto See
			TBO1 H 6 A_FaceTarget
			TBO1 I 6 A_FaceTarget
			TBO1 J 6 A_FaceTarget
			TBO1 X 0
			TBO1 X 0 A_CustomMissile("Tschernobo_shot_big", 512, 0, Random(-4, 4), 0)
			TBO1 H 4 A_FaceTarget
			TBO1 I 4 A_FaceTarget
			TBO1 J 4 A_FaceTarget
			TBO1 X 0
			TBO1 X 0 A_CustomMissile("Tschernobo_shot_big", 512, 0, Random(-4, 4), 0)
			TBO1 X 0
			TBO1 X 12
			Goto See
			TBO1 H 6 A_FaceTarget
			TBO1 I 6 A_FaceTarget
			TBO1 J 6 A_FaceTarget
			TBO1 X 0
			TBO1 X 0 A_CustomMissile("Tschernobo_shot_big", 512, 0, Random(-4, 4), 0)
			TBO1 H 4 A_FaceTarget
			TBO1 I 4 A_FaceTarget
			TBO1 J 4 A_FaceTarget
			TBO1 X 0
			TBO1 X 0 A_CustomMissile("Tschernobo_shot_big", 512, 0, Random(-4, 4), 0)
			TBO1 H 4 A_FaceTarget
			TBO1 I 4 A_FaceTarget
			TBO1 J 4 A_FaceTarget
			TBO1 X 0
			TBO1 X 0 A_CustomMissile("Tschernobo_shot_big", 512, 0, Random(-4, 4), 0)
			TBO1 X 0
			TBO1 X 12
			Goto See
	}
}
//  ********** Tschernobo_shot **********
//  Tchernobog
ACTOR Tschernobo_shot // :
{
	Scale 0.8
	Radius 3
	Height 3
	Speed 40
	Damage 90
	PROJECTILE
	+NOGRAVITY
	DeathSound "effects/explosion"
	States
	{
	Spawn:
		TBO3 A 0
		TBO3 AA 1 bright A_CustomMissile("Tschernobo_Trail",0,0,0,0)
		TBO3 BB 1 bright A_CustomMissile("Tschernobo_Trail",0,0,0,0)
		TBO3 CC 1 bright A_CustomMissile("Tschernobo_Trail",0,0,0,0)
		TBO3 DD 1 bright A_CustomMissile("Tschernobo_Trail",0,0,0,0)
		Loop
	Death:
		TBO3 E 0 A_SpawnItem("Tschernobo_Explosion")
		TBO3 EFGHI 4 bright
		Stop
	}
}
ACTOR Tschernobo_Trail // :
{
	Scale 0.8
	+NOCLIP
	+NOGRAVITY
	Speed 0
	Scale 0.4
	RENDERSTYLE ADD
	Alpha 0.5
	States
	{
	Spawn:
		TBO3 EFGHI 2 bright
		Stop
	}
}
ACTOR Tschernobo_Explosion : SFX_Explosion_l_Base
{
	States
	{
	Spawn:
		TNT1 A 0
		TNT1 A 0 Radius_Quake(5, 32, 1, 7, 0)
		TNT1 A 0 BRIGHT A_Explode(100, 192)
		goto Death
	}
}
//  ********** Tschernobog_Fire **********
//  Tchernobog
ACTOR T_FireShot_1_Start // :
{
	+RANDOMIZE
	Radius 3
	Height 3
	Speed 160
	Scale 0.5
	PROJECTILE
	RENDERSTYLE ADD
	ALPHA 0.67
	States
	{
	Spawn:
		NULL A 4
		NULL A 0 A_CustomMissile("T_FireShot_1", 16, 0, Random(-4, 4), 0)
		Goto Death
	Death:
		NULL A 0
		Stop
	}
}
ACTOR T_FireShot_1 // :
{
	+FLOORHUGGER
//	+CEILINGHUGGER

	Radius 3
	Height 3
	Speed 8
	Scale 0.5
	PROJECTILE
	RENDERSTYLE ADD
	ALPHA 0.67
	States
	{
	Spawn:
		NULL A 4
		NULL A 0 A_Jump(2, 6) // Lifetime (lower is longer)
		NULL A 0 A_Jump(127, 4)
		NULL A 0 A_CustomMissile("T_FireShot_1", 16, 0, (Random(0, 32) + 96), 0)
		NULL A 1 A_SpawnItem("T_HFirex")
		Stop
		NULL A 0
		NULL A 0 A_CustomMissile("T_FireShot_1", 16, 0, (Random(-32, 0) - 96), 0)
		NULL A 0
		NULL A 1 A_SpawnItem("T_HFirex")
		Stop
		NULL A 0
		Goto Death
	Death:
		NULL A 0
//		NULL A 0 A_Jump(235, 6) // chance to spawn a second fire (lower is greater)
		NULL A 0 A_Jump(96, 6) // chance to spawn a second fire (lower is greater)
		NULL A 0 A_Jump(127, 4)
		NULL A 0 A_CustomMissile("T_FireShot_1", 16, 0, (Random(0, 1) + 127), 0)
		NULL A 1 A_SpawnItem("T_HFirex")
		Stop
		NULL A 0
		NULL A 0 A_CustomMissile("T_FireShot_1", 16, 0, (Random(-1, 0) - 127), 0)
		NULL A 0
		NULL A 1 A_SpawnItem("T_HFirex")
		Stop
		NULL A 0
		Stop
	}
}
actor T_CometTail // :
{
	PROJECTILE
	RENDERSTYLE ADD
	+NOCLIP
	ALPHA 0.4
	States
	{
		Spawn:
			FRTB ABCDEFGHI 1 Bright
			Stop
	}
}
actor T_CometDeath // :
{
	PROJECTILE
	RENDERSTYLE ADD
	+NOCLIP
	ALPHA 0.7
	States
	{
		Spawn:
			COMT FGHI 3 Bright
			Stop
	}
}
actor T_CometDeathGlow : T_CometTail // :
{
	Scale 2.0
	Alpha 0.6
	States
	{
		Spawn:
			FRTB ABCDEFGHI 3 Bright
			Stop
	}
}
//  ********** Tschernobo_shot_big **********
//  Tchernobog_big
ACTOR Tschernobo_shot_big : Tschernobo_shot
{
	Scale 3.2
	Radius 3
	Height 3
	Speed 60
	Damage 120
	States
	{
		Spawn:
			TBO3 A 0 BRIGHT
			TBO3 AA 1 A_CustomMissile("Tschernobo_Trail_big",0,0,0,0)
			TBO3 BB 1 A_CustomMissile("Tschernobo_Trail_big",0,0,0,0)
			TBO3 CC 1 A_CustomMissile("Tschernobo_Trail_big",0,0,0,0)
			TBO3 DD 1 A_CustomMissile("Tschernobo_Trail_big",0,0,0,0)
			Loop
		Death:
			TBO3 E 0 A_SpawnItem("Tschernobo_Explosion_big")
			TBO3 EFGHI 4
			Stop
	}
}
ACTOR Tschernobo_Trail_big : Tschernobo_Trail
{
	Scale 1.0
}
ACTOR Tschernobo_Explosion_big : SFX_Explosion_xxl_Base
{
	States
	{
	Spawn:
		TNT1 A 0 
		TNT1 A 0 Radius_Quake(12, 40, 3, 20, 0)
		TNT1 A 0 BRIGHT A_Explode(600, 600)		
		goto Death
	}
}
/*
ACTOR Tschernobo_Explosion_big : Tschernobo_Explosion
{
	Scale 4.0
	States
	{
		Spawn:
			NULL A 0 A_CustomMissile("FireOnFloor", 0, 0, 0)
			NULL A 0 A_CustomMissile("T_HFirex_big", 24, 24, 0)
			NULL A 0 A_CustomMissile("T_HFirex_big", 0, 0, 0)
			NULL A 0 A_CustomMissile("T_HFirex_big", 24, -24, 0)
			NKXP B 2 BRIGHT
			NKXP C 2 BRIGHT A_Explode(600, 600)
			NKXP D 2 BRIGHT
			NKXP EFGHIJKLMNOPQRSTUV 2 BRIGHT
			Stop
	}
}
*/
//  ********** Tschernobog_Fire **********
//  Tchernobog_big
ACTOR T_FireShot_1_Start_big : T_FireShot_1_Start
{
	Radius 3
	Height 3
	Speed 600
	Scale 2.0
	States
	{
		Spawn:
			NULL A 4
			NULL A 0 A_CustomMissile("T_FireShot_1_big", 16, 0, Random(-4, 4), 0)
			Goto Death
		Death:
			NULL A 0
			Stop
	}
}
ACTOR T_FireShot_1_big : T_FireShot_1
{
	Radius 3
	Height 3
	Speed 32
	Scale 4.0
	States
	{
		Spawn:
			NULL A 4
			NULL A 0 A_Jump(2, 6) // Lifetime (lower is longer)
			NULL A 0 A_Jump(127, 4)
			NULL A 0 A_CustomMissile("T_FireShot_1_big", 16, 0, (Random(0, 32) + 96), 0)
			NULL A 1 A_SpawnItem("T_HFirex_big")
			Stop
			NULL A 0
			NULL A 0 A_CustomMissile("T_FireShot_1_big", 16, 0, (Random(-32, 0) - 96), 0)
			NULL A 0
			NULL A 1 A_SpawnItem("T_HFirex_big")
			Stop
			NULL A 0
			Goto Death
		Death:
			NULL A 0
//			NULL A 0 A_Jump(235, 6) // chance to spawn a second fire (lower is greater)
			NULL A 0 A_Jump(96, 6) // chance to spawn a second fire (lower is greater)
			NULL A 0 A_Jump(127, 4)
			NULL A 0 A_CustomMissile("T_FireShot_1_big", 16, 0, (Random(0, 1) + 127), 0)
			NULL A 1 A_SpawnItem("T_HFirex_big")
			Stop
			NULL A 0
			NULL A 0 A_CustomMissile("T_FireShot_1_big", 16, 0, (Random(-1, 0) - 127), 0)
			NULL A 0
			NULL A 1 A_SpawnItem("T_HFirex_big")
			Stop
			NULL A 0
			Stop
	}
}
//  ********** Tschernobog_Comet **********
//  Tchernobog_big
actor T_Comet_big : T_Comet
{
	Radius 18
	Height 24
	Speed 96
	Damage 20
	ExplosionDamage 380
	ExplosionRadius 960
	Scale 4.0
	MissileType CometTail_big
	States
	{
		Spawn:
			COMT AAAABBBBCCCC 1 Bright A_MissileAttack
			Loop
		Death:
			NULL A 0 A_CustomMissile("T_FireShot_1_big", 16, 0, Random(-4, 4) + 96, 0)
			NULL A 0 A_CustomMissile("T_FireShot_1_big", 16, 0, Random(-4, 4), 0)
			NULL A 0 A_CustomMissile("T_FireShot_1_big", 16, 0, Random(-4, 4) - 96, 0)

			COMT E 0 A_CustomMissile("T_CometFire_big", 0, Random(-4, 4), 0)
//			COMT E 0 A_CustomMissile("T_CometFire_big", 0, Random(-4, 4) + 24, 0)
//			COMT E 0 A_CustomMissile("T_CometFire_big", 0, Random(-4, 4) + -24, 0)
//			COMT E 0 A_CustomMissile("T_CometFire_big", 0, Random(-4, 4) + 48, 0)
//			COMT E 0 A_CustomMissile("T_CometFire_big", 0, Random(-4, 4) + -48, 0)
			COMT E 0 A_CustomMissile("T_CometFire_big", 0, Random(-4, 4) + 64, 0)
			COMT E 0 A_CustomMissile("T_CometFire_big", 0, Random(-4, 4) + -64, 0)
			COMT E 0 A_CustomMissile("T_CometFire_big", 0, Random(-4, 4) + 80, 0)
			COMT E 0 A_CustomMissile("T_CometFire_big", 0, Random(-4, 4) + -80, 0)
			COMT E 0 A_CustomMissile("T_CometFire_big", 0, Random(-4, 4) + 96, 0)
			COMT E 0 A_CustomMissile("T_CometFire_big", 0, Random(-4, 4) + -96, 0)
			COMT E 0 A_CustomMissile("FireOnFloor", 0, Random(-4, 4) + 24, 0)
			COMT E 0 A_CustomMissile("FireOnFloor_NoLight", 0, Random(-4, 4) + 64, 0)
			COMT E 0 A_CustomMissile("FireOnFloor_NoLight", 0, Random(-4, 4) + 96, 0)

			COMT D 3 Bright A_CustomMissile("T_CometDeathGlow_big", 0, 0, 0)
			COMT E 3 Bright 
			COMT E 0 A_CustomMissile("T_CometDeath_big", 0, 0, 0)
			Stop
	}
}
actor T_CometTail_big : T_CometTail
{
	Scale 4.0
}
actor T_CometDeath_big : T_CometDeath
{
	Scale 4.0
}
actor T_CometDeathGlow_big : T_CometTail_big
{
	Scale 4.0
}
