//  ********************************************************
//  ***  Monster: Plasma Turret                          ***
//  ***  Modified By: Cobalt and Butcher                 ***
//  ********************************************************
ACTOR PlasmaTurret_1 3500 // on ceiling
{
	Tag "Plasma Turret"
	Scale 0.5
	-FLOORCLIP +SPAWNCEILING +DONTFALL
	+NOBLOOD +NOGRAVITY +MISSILEMORE +MISSILEEVENMORE +QUICKTORETALIATE
//	+SHORTMISSILERANGE // Attak range is 1000
	+LOOKALLAROUND // Look in all directions
	+STANDSTILL // It is used to prevent inactive monsters from walking around without having something to attack.
	mass 99999999
	Health 160
	Radius 5 Height 9 Speed 0
	MONSTER 
	PainChance 1
	Obituary "%o got burned by a plasma turret."
	States
	{
		Spawn:
			TUR1 A 4 A_Look
			Loop
		See:
			TUR1 A 4 A_Chase
			Loop
		Missile:
			TUR1 A 0 A_JumpIfCloser(1024, 2)
			TUR1 A 4
			Goto See
			TUR1 A 0
			TUR1 A 10 A_FaceTarget
			TUR1 B 4 A_CustomMissile("PlasmaBall_Turret", 0, 2, random(-2,2))
			TUR1 A 4 A_FaceTarget
			TUR1 C 4 A_CustomMissile("PlasmaBall_Turret", 0, 2, random(-2,2))
			TUR1 A 4 A_FaceTarget
			TUR1 B 4 A_CustomMissile("PlasmaBall_Turret", 0, 2, random(-2,2))
			TUR1 A 4 A_FaceTarget
			TUR1 C 4 A_CustomMissile("PlasmaBall_Turret", 0, 2, random(-2,2))
			TUR1 A 4 A_FaceTarget
			TUR1 B 4 A_CustomMissile("PlasmaBall_Turret", 0, 2, random(-2,2))
			TUR1 A 4 A_FaceTarget
			TUR1 C 4 A_CustomMissile("PlasmaBall_Turret", 0, 2, random(-2,2))
			Goto See
		Death:
			TUR1 A 1 // A_Scream
			NULL A 0 A_SpawnItemEx("Explosion_PlasmaTurret_xs", 0, 0, 0, 0, 0, 0, -1, SXF_NOCHECKPOSITION)
			NULL A 0 A_BossDeath
			TUR1 D -1
			Stop
	}
}
ACTOR PlasmaTurret_2 : PlasmaTurret_1 3501 // on floor
{
	+FLOORCLIP -SPAWNCEILING -DONTFALL
	-NOGRAVITY
	States
	{
		Spawn:
			TUR2 A 4 A_Look
			Loop
		See:
			TUR2 A 4 A_Chase
			Loop
		Missile:
			TUR2 A 0 A_JumpIfCloser(1024, 2)
			TUR2 A 4
			Goto See
			TUR2 A 0
			TUR2 A 10 A_FaceTarget
			TUR2 B 4 A_CustomMissile("PlasmaBall_Turret", 6, 2, random(-2,2))
			TUR2 A 4 A_FaceTarget
			TUR2 C 4 A_CustomMissile("PlasmaBall_Turret", 6, 2, random(-2,2))
			TUR2 A 4 A_FaceTarget
			TUR2 B 4 A_CustomMissile("PlasmaBall_Turret", 6, 2, random(-2,2))
			TUR2 A 4 A_FaceTarget
			TUR2 C 4 A_CustomMissile("PlasmaBall_Turret", 6, 2, random(-2,2))
			TUR2 A 4 A_FaceTarget
			TUR2 B 4 A_CustomMissile("PlasmaBall_Turret", 6, 2, random(-2,2))
			TUR2 A 4 A_FaceTarget
			TUR2 C 4 A_CustomMissile("PlasmaBall_Turret", 6, 2, random(-2,2))
			Goto See
		Death:
			TUR2 A 1 // A_Scream
			NULL A 0 A_SpawnItemEx("Explosion_PlasmaTurret_xs", 0, 0, 0, 0, 0, 0, -1, SXF_NOCHECKPOSITION)
			NULL A 0 A_BossDeath
			TUR2 D -1
			Stop
	}
}
ACTOR Explosion_PlasmaTurret_xs : Explosion_xs_Base//Explosion_xs
{
	States
	{
	Spawn:
		TNT1 A 0 A_Explode(24, 64)
		goto Death
	}
}
