//  ********************************************************
//  ***  Monster: Plasma Zombie                          ***
//  ***  By: Bouncy                                      ***
//  ***  Modified By: Cobalt and Butcher                 ***
//  ********************************************************
ACTOR PlasmaZombie 3205
{
	Tag "Zombie"
	Health 50 gibhealth 120
	Radius 20
	Height 56
	Speed 8
	PainChance 100
	MONSTER 
	+FLOORCLIP +MISSILEMORE
	AttackSound "grunt/attack"
	PainSound "grunt/pain"
	ActiveSound "grunt/active"
	seesound "grunt/sight"
	deathsound "grunt/death"
	Obituary "%o got burned by a plasma zombie."
	DropItem sp_plasmaguns 
	States
	{
		Spawn:
			ZMAY AB 10 A_Look
			Loop
		See:
			ZMAY AABBCCDD 4 A_ExtChase (0, 1, 1, 0)
			Loop
		Melee:
		Missile:
			ZMAY E 10 A_FaceTarget
			ZMAY F 3 A_CustomMissile("PhotonBall",32,7, Random(-1, 1),0)
			ZMAY E 3 A_FaceTarget
			ZMAY F 3 A_CustomMissile("PhotonBall",32,7, Random(-1, 1),0)
			ZMAY E 3 A_FaceTarget
			ZMAY F 3 A_CustomMissile("PhotonBall",32,7, Random(-1, 1),0)
			ZMAY E 3 A_FaceTarget
			ZMAY F 3 A_CustomMissile("PhotonBall",32,7, Random(-1, 1),0)
			ZMAY E 3 A_FaceTarget
			ZMAY F 3 A_CustomMissile("PhotonBall",32,7, Random(-1, 1),0)
			Goto See
		Pain:
			ZMAY G 3
			ZMAY G 3 A_Pain
			Goto See
		Death:
			NULL A 0 A_KillMaster
			ZMAY H 5
			ZMAY I 5 A_Scream
			ZMAY J 5 A_Fall
			ZMAY K 5
			ZMAY L -1
			Stop
		XDeath:
			NULL A 0 A_KillMaster
			NULL A 0 A_SpawnDebris("rGib1",0) //(Human hand)
			NULL A 0 A_SpawnDebris("rGib2",0) //(Human arm)
			NULL A 0 A_SpawnDebris("rGib3",0) //(eyeball)
			NULL A 0 A_SpawnDebris("rGib3",0) //(eyeball)
			NULL A 0 A_SpawnDebris("rGib19",0) //(brain)
			NULL A 0 A_SpawnItem("rxGibGenerator_s",0,0,0,0)
			NULL A 0 A_SpawnItem("rxGibGenerator_s",0,0,0,0)
			NULL A 0 A_SpawnItem("rxGibGenerator_s",0,0,0,0)
			NULL A 0 A_SpawnItem("rxGibGenerator_s",0,0,0,0)
//			ZMAY O 5
//			ZMAY P 5 A_XScream
//			ZMAY Q 5 A_Fall
//			ZMAY RSTU 5
//			ZMAY V -1
			Stop
		Burn: 
			NULL A 0 A_KillMaster
			NULL A 0 A_PlaySound("human/burndeath")
			NULL A 0 A_SpawnItemEx("Human_Burn", 0, 0, 0, 0, 0, 0, 0, 32, 0)
			Stop
		Raise:
			ZMAY KJIH 5
			Goto See
	}
}
