//  ********************************************************
//  ***  Monster: Zombie Sarge                           ***
//  ***  By: Cobalt and Butcher                          ***
//  ***  Graphic by: NMN, Tormentor667, Graf Zahl        ***
//  ********************************************************
ACTOR ZombieSarge 3014
{
	Tag "Zombie Sarge"
	Health 360 gibhealth 140
	Radius 20
	Height 56
	Speed 8
	PainChance 100
	MONSTER 
	+FLOORCLIP +MISSILEEVENMORE
	PainSound "monsters/fat_pain"
	ActiveSound "grunt/active"
	seesound "grunt/sight"
	deathsound "monsters/fat_die"
	Obituary "%o was shot by a Sarge Zombie"
	DropItem sp_machineguns
	States
	{
		Spawn:
			FAT_ AB 10 A_Look
			Loop
		See:
			FAT_ AABBCCDD 4 A_ExtChase (0, 1, 1, 0)
			Loop
		Melee:
		Missile:
			FAT_ E 2 A_FaceTarget 
			FAT_ E 0 A_PlaySound("weapons/Tommygun")
			FAT_ F 4 A_CustomBulletAttack(8, 8, 1, 6, "BulletPuff", 600)
			FATL E 0 BRIGHT A_CustomMissile("CasingBullet_x_monster",45+random(-8,8),2,270+random(-16,16))
			FAT_ E 2
			FAT_ E 2 A_FaceTarget 
			FAT_ E 0 A_PlaySound("weapons/Tommygun")
			FAT_ F 4 A_CustomBulletAttack(8, 8, 1, 6, "BulletPuff", 600)
			FATL E 0 BRIGHT A_CustomMissile("CasingBullet_x_monster",45+random(-8,8),2,270+random(-16,16))
			FAT_ E 2
			FAT_ E 2 A_FaceTarget 
			FAT_ E 0 A_PlaySound("weapons/Tommygun")
			FAT_ F 4 A_CustomBulletAttack(8, 8, 1, 6, "BulletPuff", 600)
			FATL E 0 BRIGHT A_CustomMissile("CasingBullet_x_monster",45+random(-8,8),2,270+random(-16,16))
			FAT_ E 2
			FAT_ E 2 A_FaceTarget 
			FAT_ E 0 A_PlaySound("weapons/Tommygun")
			FAT_ F 4 A_CustomBulletAttack(8, 8, 1, 6, "BulletPuff", 600)
			FATL E 0 BRIGHT A_CustomMissile("CasingBullet_x_monster",45+random(-8,8),2,270+random(-16,16))
			FAT_ E 2
			FAT_ E 2 A_FaceTarget 
			FAT_ E 0 A_PlaySound("weapons/Tommygun")
			FAT_ F 4 A_CustomBulletAttack(8, 8, 1, 6, "BulletPuff", 600)
			FATL E 0 BRIGHT A_CustomMissile("CasingBullet_x_monster",45+random(-8,8),2,270+random(-16,16))
			FAT_ E 2
			FAT_ E 2 A_FaceTarget 
			FAT_ E 0 A_PlaySound("weapons/Tommygun")
			FAT_ F 4 A_CustomBulletAttack(8, 8, 1, 6, "BulletPuff", 600)
			FATL E 0 BRIGHT A_CustomMissile("CasingBullet_x_monster",45+random(-8,8),2,270+random(-16,16))
			FAT_ E 2
			FAT_ E 2 A_FaceTarget 
			FAT_ E 0 A_PlaySound("weapons/Tommygun")
			FAT_ F 4 A_CustomBulletAttack(8, 8, 1, 6, "BulletPuff", 600)
			FATL E 0 BRIGHT A_CustomMissile("CasingBullet_x_monster",45+random(-8,8),2,270+random(-16,16))
			FAT_ E 2
			FAT_ E 2 A_FaceTarget 
			FAT_ E 0 A_PlaySound("weapons/Tommygun")
			FAT_ F 4 A_CustomBulletAttack(8, 8, 1, 6, "BulletPuff", 600)
			FATL E 0 BRIGHT A_CustomMissile("CasingBullet_x_monster",45+random(-8,8),2,270+random(-16,16))
			FAT_ E 2
			FAT_ E 2 A_FaceTarget 
			FAT_ E 0 A_PlaySound("weapons/Tommygun")
			FAT_ F 4 A_CustomBulletAttack(8, 8, 1, 6, "BulletPuff", 600)
			FATL E 0 BRIGHT A_CustomMissile("CasingBullet_x_monster",45+random(-8,8),2,270+random(-16,16))
			FAT_ E 2
			Goto See
		Pain:
			FAT_ G 3
			FAT_ G 3 A_Pain
			Goto See
		Death:
			NULL A 0 A_KillMaster
			FAT_ H 5
			FAT_ I 5 A_Scream
			FAT_ J 5 A_Fall
			FAT_ K 5
			FAT_ L -1
			Stop
		XDeath:
			NULL A 0 A_KillMaster
			NULL A 0 A_SpawnDebris("rGib1",0) //(Human hand)
			NULL A 0 A_SpawnDebris("rGib2",0) //(Human arm)
			NULL A 0 A_SpawnDebris("rGib3",0) //(eyeball)
			NULL A 0 A_SpawnDebris("rGib3",0) //(eyeball)
			NULL A 0 A_SpawnDebris("rGib19",0) //(brain)
			NULL A 0 A_SpawnItem("rxGibGenerator_s",0,0,0,0)
			NULL A 0 A_SpawnItem("rxGibGenerator_s",0,0,0,0)
			NULL A 0 A_SpawnItem("rxGibGenerator_s",0,0,0,0)
			NULL A 0 A_SpawnItem("rxGibGenerator_s",0,0,0,0)
//			FAT_ MNO 5 A_PlaySound("monsters/fat_diex")
//			FAT_ P 5// A_XScream
//			FAT_ Q 5 A_Fall
//			FAT_ RST 5
//			FAT_ U -1
			Stop
		Burn: 
			NULL A 0 A_KillMaster
			NULL A 0 A_PlaySound("human/burndeath")
			NULL A 0 A_SpawnItemEx("Human_Burn", 0, 0, 0, 0, 0, 0, 0, 32, 0)
			Stop
		Raise:
			FAT_ KJIH 5
			Goto See
	}
}
