//  *********************************
//  ******  Other Doom things  ******
//  *********************************
/* 
ACTOR Darkmana : Ammo 			25022
ACTOR SmallDarkmana : Darkmana 	25098
ACTOR Fuel : Ammo 				25051
ACTOR TNT : Ammo 				25052
ACTOR TNT_Box : TNT 			25053
ACTOR Shell2 : Shell 			3310
actor Clip_ : Clip 				2007
actor ClipBox_ : Clip_ 			2048
actor RocketAmmo_ : RocketAmmo 	2010
actor RocketBox_ : RocketAmmo_ 	2046
actor Shell_ : Shell 			2008
actor ShellBox_ : Shell 		2049
actor Cell_ : Cell 				2047
actor CellPack_ : Cell_ 		17
*/ 
//  ********************************************************
//  ***  Ammo: Dark Mana                                 ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
ACTOR Darkmana : Ammo 25022
{
	Tag "Darkmana"
	Scale 0.7
	+FLOATBOB
	Inventory.PickupMessage "Picked up a lot of Darkmana."
	Inventory.Amount 20
	Inventory.MaxAmount 300
	Ammo.BackpackAmount 20
	Ammo.BackpackMaxAmount 600
	Inventory.Icon HUDAG0
	States
	{
		Spawn:
			MAN1 ABCDEFGHI 2
			loop
	}
}

ACTOR SmallDarkmana : Darkmana 25098
{
	Tag "Small Darkmana"
	Scale 0.4
	+FLOATBOB
	Inventory.Amount 6
	Inventory.PickupMessage "Picked up some Darkmana."
	States
	{
		Spawn:
			MAN2 ABCDEFGHI 2
			loop
	}
}

//  ********************************************************
//  ***  Ammo: Fuel                                      ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
ACTOR Fuel : Ammo 25051
{
	Tag "Fuel"
	Scale 0.66
	Inventory.PickupMessage "Picked up Fuel."
	Inventory.Amount 75
	Inventory.MaxAmount 400
	Ammo.BackpackAmount 75
	Ammo.BackpackMaxAmount 800
	Inventory.Icon GASTA0
	States
	{
		Spawn:
			GAST A -1
			Stop
	}
}

//  ********************************************************
//  ***  Ammo: TNT                                       ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
ACTOR TNT : Ammo 25052
{
	Tag "TNT"
	Scale 0.6
	Inventory.PickupSound "misc/ammo_pkup"//Inventory.Pickupsound "weapons/pbthrow"
	Inventory.PickupMessage "Picked up TNT."
	Inventory.Amount 1
	Inventory.MaxAmount 20
	Ammo.BackpackAmount 1
	Ammo.BackpackMaxAmount 40
	Inventory.Icon TNTAA0
	States
	{
		Spawn:
			TNTA A -1
			Stop
	}
}

ACTOR TNT_Box : TNT 25053
{
	Tag "TNT Box"
	Scale 0.7
	Inventory.PickupMessage "Picked up a Box of TNT."
	Inventory.Amount 5
	States
	{
		Spawn:
			TNTB A -1
			Stop
	}
}

//  ********************************************************
//  ***  Ammo: Shell 2                                   ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
ACTOR Shell2 : Shell 3310
{
	Tag "Shells"
	Scale 0.2
	inventory.pickupmessage "Picked up shotgun shells."
	Inventory.Amount 2
	States
	{
		Spawn:
			SHEL B -1
			Stop
	}
}

actor Clip_ : Clip replaces Clip//2007
{
	Tag "Ammo Clip"
	Scale 0.15
	spawnid 11
	radius 20
	height 16
	inventory.pickupmessage "Picked up a clip."
	inventory.icon "CLIPA0"
	inventory.amount 12
	inventory.maxamount 400
	ammo.backpackamount 12
	ammo.backpackmaxamount 800
	states
	{
	Spawn:
		CLIP A -1
		stop
	}
}

actor ClipBox_ : Clip_ replaces ClipBox//2048
{
	Tag "Clip Box"
	Scale 0.4
	spawnid 139
	radius 20
	height 16
	inventory.pickupmessage "Picked up a box of bullets."
	inventory.amount 100
	states
	{
	Spawn:
		AMMO A -1
		stop
	}
}

actor RocketAmmo_ : RocketAmmo replaces RocketAmmo//2010
{
	Tag "Rocket"
	Scale 0.14//0.6
	spawnid 140
	radius 20
	height 26
	inventory.pickupmessage "Picked up a rocket."
	inventory.icon "ROCKA0"
	inventory.amount 1
	inventory.maxamount 50
	ammo.backpackamount 1
	ammo.backpackmaxamount 100
	states
	{
	Spawn:
		ROCK A -1
		stop
	}
}

actor RocketBox_ : RocketAmmo_ replaces RocketBox//2046
{
	Tag "Rocket Box"
	Scale 0.2//0.8
	spawnid 141
	radius 20
	height 16
	inventory.pickupmessage "Picked up a box of rockets."
	inventory.amount 5
	states
	{
	Spawn:
		BROK A -1
		stop
	}
}

actor Shell_ : Shell replaces Shell//2008
{
	Tag "Shells"
	Scale 0.2
	spawnid 12
	radius 20
	height 8
	inventory.pickupmessage "Picked up 4 shotgun shells."
	inventory.icon "SHELA0"
	inventory.amount 4
	inventory.maxamount 50
	ammo.backpackamount 4
	ammo.backpackmaxamount 100
	states
	{
		Spawn:
		SHEL A -1
		stop
	}
}

actor ShellBox_ : Shell replaces ShellBox//2049
{
	Tag "Shell Box"
	Scale 0.25
	spawnid 143
	radius 20
	height 10
	inventory.pickupmessage "Picked up a box of shotgun shells."
	inventory.amount 20
	states
	{
	Spawn:
		SBOX A -1
		stop
	}
}

//  ********************************************************
//  ***  Powerup: Energy Cell small                      ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
actor Cell_ : Cell replaces Cell//2047
{
	Tag "Cell"
	Scale 0.7
	spawnid 75
	radius 20
	height 10
	inventory.pickupmessage "Picked up an energy cell."
	inventory.icon "CELLA0"
	inventory.amount 20
	inventory.maxamount 300
	ammo.backpackamount 20
	ammo.backpackmaxamount 600
	states
	{
	Spawn:
		CELA ABCDE 4
		loop
	}
}

//  ********************************************************
//  ***  Powerup: Energy Cell big                        ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
actor CellPack_ : Cell_ replaces CellPack//17
{
	Tag "Cellpack"
	Scale 0.7
	spawnid 142
	radius 20
	height 18
	inventory.pickupmessage "Picked up an energy cell pack."
	inventory.amount 100
	states
	{
	Spawn:
		CELB ABCD 4
		loop
	}
}
