//  ********************************************************
//  ***  Powerup: Stim Pack                              ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
actor Stimpack_ : Health replaces Stimpack //2011
{
	Tag "Stimpack"
	Scale 0.35
	spawnid 23
	radius 20
	height 16
	inventory.pickupmessage "Picked up a Stimpack."
	inventory.amount 10
 	states
	{
	Spawn:
		STIM A -1
		stop
	}
}
//  ********************************************************
//  ***  Powerup: Health Bonus Food                      ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
actor HealthBonus_ replaces HealthBonus // 2014
{
	Tag "Food"
	spawnid 152
	radius 20
	height 16
	-COUNTITEM
//	inventory.pickupmessage "Picked up some food."
//	inventory.amount 1
//	inventory.maxamount 150
//	+COUNTITEM
//	+INVENTORY.ALWAYSPICKUP
	states
	{
	Spawn:
		TNT1 A 0
		TNT1 A 0 A_Jump(88, 4)
		TNT1 A 0 A_Jump(112, 5)
		TNT1 A 0 A_Jump(136, 7)
		TNT1 A 0 A_SpawnItem("HealthBonus1",1,8)
		Stop
		TNT1 A 0
		TNT1 A 0 A_SpawnItem("HealthBonus2",1,8)
		Stop
		TNT1 A 0
		TNT1 A 0 A_SpawnItem("HealthBonus3",1,8)
		Stop
		TNT1 A 0
		TNT1 A 0 A_SpawnItem("HealthBonus4",1,8)
		Stop
//		BON1 ABCDCB 6
//		loop
	}
}
actor HealthBonus1 : Health
{
	Tag "Food"
	Scale 0.36
	spawnid 152
	radius 20
	height 16
	inventory.pickupmessage "Picked up some food."
	inventory.amount 4
//	inventory.maxamount 200
	+COUNTITEM
//	+INVENTORY.ALWAYSPICKUP
	states
	{
	Spawn:
		BON3 A 6
		loop
	}
}
actor HealthBonus2 : HealthBonus1
{
	Scale 0.25
	inventory.amount 4//1
	states
	{
	Spawn:
		BON3 C 6
		loop
	}
}
actor HealthBonus3 : HealthBonus1
{
	Scale 0.25
	inventory.amount 4//2
	states
	{
	Spawn:
		BON3 B 6
		loop
	}
}
actor HealthBonus4 : HealthBonus1
{
	inventory.amount 4//3
	Scale 0.16
	states
	{
	Spawn:
		BON3 D 6
		loop
	}
}
//  ********************************************************
//  ***  Powerup: Health Bonus Drugs/Medicine            ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
actor HealthBonus2_ 2021
{
	Tag "Medicine"
	radius 20 height 16
	-COUNTITEM
	states
	{
	Spawn:
		TNT1 A 0
		TNT1 A 0 A_Jump(88, 4)
		TNT1 A 0 A_Jump(112, 5)
		TNT1 A 0 A_Jump(136, 7)
		TNT1 A 0 A_SpawnItem("HealthBonus5",1,8)
		Stop
		TNT1 A 0
		TNT1 A 0 A_SpawnItem("HealthBonus5",1,8)
		Stop
		TNT1 A 0
		TNT1 A 0 A_SpawnItem("HealthBonus6",1,8)
		Stop
		TNT1 A 0
		TNT1 A 0 A_SpawnItem("HealthBonus6",1,8)
		Stop
	}
}
actor HealthBonus5 : HealthBonus1 //injection
{
	Tag "Medicine"
	inventory.pickupmessage "Picked up some medicine."
	inventory.amount 10
	Scale 0.16
	states
	{
	Spawn:
		BON4 A 6
		loop
	}
}
actor HealthBonus6 : HealthBonus5 //pills
{
	Tag "Medicine"
	inventory.amount 8
	Scale 0.1
	states
	{
	Spawn:
		BON4 B 6
		loop
	}
}
//  ********************************************************
//  ***  Powerup: Armor Bonus                            ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
actor ArmorBonus_ replaces ArmorBonus // 2015
{
	Tag "Armor Bonus"
	spawnid 22
	radius 2 height 16
	-COUNTITEM
	states
	{
	Spawn:
		NULL A 0
		NULL A 0 A_Jump(96, 3)//172
		NULL A 0 A_Jump(212, 4)//128
		NULL A 0 A_SpawnItem("ArmorBonus1",1,8)
		Stop
		NULL A 0
		NULL A 0 A_SpawnItem("ArmorBonus2",1,8)
		Stop
		NULL A 0
		NULL A 0 A_SpawnItem("ArmorBonus3",1,8)
		Stop
	}
}
actor ArmorBonus1 : BasicArmorBonus
{
	Tag "Armor Bonus"
	Scale 0.26
	radius 20
	height 16
	inventory.pickupmessage "Picked up an armor bonus."
	inventory.icon "ARM1A0"
	armor.savepercent 60//50
	armor.saveamount 20//8
	armor.maxsaveamount 500//200
	+COUNTITEM
	+INVENTORY.ALWAYSPICKUP
	states
	{
	Spawn:
		ARMO A 6
		loop
	}
}
actor ArmorBonus2 : BasicArmorBonus
{
	Tag "Armor Bonus"
	Scale 0.5
	radius 20
	height 16
	inventory.pickupmessage "Picked up an armor bonus."
	inventory.icon "ARM1A0"
	armor.savepercent 60//50
	armor.saveamount 15//5
	armor.maxsaveamount 500//200
	+COUNTITEM
	+INVENTORY.ALWAYSPICKUP
	states
	{
	Spawn:
		ARMO B 6
		loop
	}
}
actor ArmorBonus3 : BasicArmorBonus
{
	Tag "Armor Bonus"
	Scale 0.5
	radius 20
	height 16
	inventory.pickupmessage "Picked up an armor bonus."
	inventory.icon "ARM1A0"
	armor.savepercent 60//50
	armor.saveamount 15//5
	armor.maxsaveamount 500//200
	+COUNTITEM
	+INVENTORY.ALWAYSPICKUP
	states
	{
	Spawn:
		ARMO C 6
		loop
	}
}
//  ********************************************************
//  ***  Powerup: (Armored Robe) Armor 25                ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
actor SmallArmor : BasicArmorPickup 2020
{
	Tag "Small Armor"
	Scale 0.4
	radius 20
	height 16
	inventory.pickupmessage "Picked up a armored robe!"
	inventory.icon "ARM3A0"
	armor.savepercent 50//33.33333
	armor.saveamount 150//50
	states
	{
	Spawn:
		ARM3 A 6
		loop
	}
}
Actor MediumArmor : BasicArmorPickup replaces GreenArmor//2018
{
	Game Doom
	SpawnID 68
	Radius 20
	Height 16
	Inventory.Pickupmessage "$GOTARMOR"
	Inventory.Icon "ARM1A0"
	Armor.SavePercent 75//33.335
	Armor.SaveAmount 300//100
	States
	{
	Spawn:
		ARM1 A 6
//		ARM1 B 7 bright
		loop
	}
}
Actor HeavyArmor : BasicArmorPickup replaces BlueArmor//2019
{
	Game Doom
	SpawnID 69
	Radius 20
	Height 16
	Inventory.Pickupmessage "$GOTMEGA"
	Inventory.Icon "ARM2A0"
	Armor.Savepercent 90//50
	Armor.Saveamount 500//200
	States
	{
	Spawn:
		ARM2 A 6
//		ARM2 B 6 bright
		loop
	}
}
//  ********************************************************
//  ***  Powerup: Soulsphere                             ***
//  ********************************************************
ACTOR SoulsphereAdv : Soulsphere replaces Soulsphere//2013
{
	Game Doom
	SpawnID 25
	+COUNTITEM
	+INVENTORY.AUTOACTIVATE
	+INVENTORY.ALWAYSPICKUP
	+INVENTORY.FANCYPICKUPSOUND
	Inventory.Amount 200//100
	Inventory.MaxAmount 300//200
	Inventory.PickupMessage "$GOTSUPER"
	Inventory.PickupSound "misc/p_pkup"
	States
	{
	Spawn:
		SOUL ABCDCB 6 Bright
		Loop
	}
}
//  ********************************************************
//  ***  Powerup: Megasphere                             ***
//  ********************************************************
ACTOR MegasphereHealthAdv : Health replaces MegasphereHealth
{
	Inventory.Amount 300
	Inventory.MaxAmount 300
	+INVENTORY.ALWAYSPICKUP
	-COUNTITEM
}
actor BlueArmorForMegasphereAdv : HeavyArmor replaces BlueArmorForMegasphere
{
	Armor.SavePercent 90//50
	Armor.SaveAmount 500//200
	-COUNTITEM
}
ACTOR MegasphereAdv : Megasphere replaces Megasphere//83
{
	Game Doom
	SpawnID 132
	+COUNTITEM +ForceXYBillboard
	+INVENTORY.ALWAYSPICKUP
	Inventory.PickupMessage "$GOTMSPHERE" // "MegaSphere!"
	Inventory.PickupSound "misc/p_pkup"
	RenderStyle Translucent Alpha 0.6
	States
	{
	Spawn:
		MEGA ABCD 6 BRIGHT
		Loop
	Pickup:
		TNT1 A 0 A_GiveInventory("BlueArmorForMegasphereAdv", 1)//A_GiveInventory("BlueArmorForMegasphere", 1)
		TNT1 A 0 A_GiveInventory("MegasphereHealthAdv", 1)//A_GiveInventory("MegasphereHealth", 1)
		Stop
	}
}
//  ********************************************************
//  ***  Powerup: Berserk                                ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
actor Berserk_ : CustomInventory replaces Berserk//2023//PowerupGiver
{
	Tag "Berserk"
	spawnid 134
	Game Doom
	Inventory.PickupMessage "$GOTBERSERK" // "Berserk!"
	Inventory.PickupSound "misc/p_pkup"
//	inventory.maxamount 0
//	powerup.type "Strength"
	+COUNTITEM
//	+INVENTORY.AUTOACTIVATE
	+INVENTORY.ALWAYSPICKUP
	States
	{
	Spawn:
		PSTR A -1
		Stop
	Pickup:
		TNT1 A 0 A_GiveInventory("PowerStrength")
		TNT1 A 0 HealThing(300, 0)
//		TNT1 A 0 A_SelectWeapon("Fist")
		Stop
	}
}
/* 
actor Berserk_ : Health replaces Berserk // 2023
{
	spawnid 134
	inventory.pickupmessage "Picked up some military drugs!"
	inventory.amount 125
	inventory.maxamount 300
	+COUNTITEM
	+INVENTORY.ALWAYSPICKUP
	states
	{
	Spawn:
		PSTR A -1 bright
		stop
	}
}
*/ 
//  ********************************************************
//  ***  Powerup: Ifrared goggles                        ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
actor Infrared_ : PowerupGiver replaces Infrared // 2045
{
	Tag "Infrared"
	Scale 0.26
	spawnid 138
	inventory.pickupmessage "Light Amplification Visor"
	inventory.maxamount 0
	powerup.type "LightAmp"
	+COUNTITEM
	+INVENTORY.AUTOACTIVATE
	+INVENTORY.ALWAYSPICKUP
	states
	{
		Spawn:
			PVIS A 20
			PVIS B 12 bright
			loop
	}
}
//  ********************************************************
//  ***  Powerup: Allmap                                 ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
actor Allmap_ : MapRevealer replaces Allmap // 2026
{
	Tag "MapComputer"
	Scale 0.21
	spawnid 137
	inventory.pickupmessage "Computer Area Map"
	inventory.pickupsound "misc/p_pkup"
	inventory.maxamount 0
	+COUNTITEM
	+INVENTORY.ALWAYSPICKUP
	+INVENTORY.FANCYPICKUPSOUND
	states
	{
	Spawn:
		PMAP ABCD 4 bright
		loop
	}
}

//PowerupGiver
//actor Flask_ : CustomInventory 30000
//{
// inventory.icon EYESA0
//// INVENTORY.INVBAR
//  inventory.pickupmessage "You picked up a Flask of Blood"
//  inventory.maxamount 10
////  powerup.type "LightAmp"
//  +COUNTITEM
//    states
//  {
//  Spawn:
//    EYES ABC 6
//    EYES D 6
//    loop
//  Pickup:
//    EYES A 0 A_GiveInventory ("Soulsphere", 1)
//    stop
//  }
//}

actor Flask_ : PowerupGiver 30000
{
	Tag "TestObject"
//	-INVENTORY.INVBAR
//	inventory.icon EYESA0
	inventory.pickupmessage "You picked up a Flask of Blood"
	inventory.maxamount 10
	inventory.respawntics 4230
//	inventory.defmaxamount
	powerup.duration 3000
//	powerup.type "LightAmp"
	powerup.type "Torch"
	+COUNTITEM
	states
	{
	Spawn:
		PVIS A 6
		PVIS B 6
		loop
	}
}
