ACTOR DoomPlayerOriginal : PlayerPawn
{
	Tag "Doom Marine"
	Speed 1
	Health 125
	Player.MaxHealth 125
	player.runhealth 19
	Radius 16
	Height 56
	Mass 100
	PainChance 255
	player.viewheight 47
	player.attackzoffset 18
	Player.ColorRange 112, 127
	Player.DisplayName 		"Doom"
	Player.CrouchSprite 	"PLYC"
	Player.ScoreIcon		"IC_DOOM"
	Player.StartItem "KungFu"
//	Player.StartItem "TNT_BURN"
//	Player.StartItem "TNT_TV"
//	Player.StartItem "TNT_DI"
//	Player.StartItem "Molotovx"
	Player.StartItem "Magnum"
	Player.StartItem "MagnumBullets" 12
	Player.StartItem ReloadActive 1
	Player.StartItem ReloadCancel 1
	Player.StartItem UnloadActive 1
	Player.StartItem UnloadCancel 1
	Player.StartItem DropAmmoActive 1
	Player.StartItem DropAmmoCancel 1
	Player.StartItem DropWeaponActive 1
	Player.StartItem DropWeaponCancel 1
	Player.StartItem ThrowGrenadeActive 1
	Player.StartItem ThrowGrenadeCancel 1
	Player.StartItem NextGrenadeActive 1
	Player.StartItem NextGrenadeCancel 1
	Player.StartItem GrenadeDetonatorActive 1
	Player.StartItem GrenadeDetonatorGrenadeCancel 1
	States
	{
	Spawn:
		PLAY A 10
		TNT1 A 0 A_JumpIfHealthLower(20, 1)
		Loop
		TNT1 A 0 A_GiveInventory("HealthTimer", 10)
		TNT1 A 0 A_JumpIfInventory("HealthTimer", 100, 1)
		Loop
		TNT1 A 0 A_TakeInventory("HealthTimer", 100)
		TNT1 A 0 HealThing(1)
		Loop
	See:
		PLAY ABCD 4 
		Loop
	Melee:
		PLAY F 6
		Goto Spawn
	Missile:
		PLAY F 6 bright
		Goto Spawn
//		PLAY E 12 bright
//		Goto Spawn
	Pain:
		PLAY G 4 
		PLAY G 4 A_Pain
		Goto Spawn
	Death:
		PLAY H 10// A_PlayerSkinCheck("AltSkinDeath")
		PLAY I 10 A_PlayerScream
		PLAY J 10 A_NoBlocking
		PLAY KLM 10
		PLAY N -1
		Stop
	XDeath:
		TNT1 A 0 A_NoBlocking
		TNT1 A 0 A_SpawnDebris("rGib1",0) //(Human hand)
		TNT1 A 0 A_SpawnDebris("rGib2",0) //(Human arm)
		TNT1 A 0 A_SpawnDebris("rGib3",0) //(eyeball)
		TNT1 A 0 A_SpawnDebris("rGib3",0) //(eyeball)
		TNT1 A 0 A_SpawnDebris("rGib19",0) //(brain)
		TNT1 A 0 A_SpawnItem("rxGibGenerator_s",0,0,0,0)
		TNT1 A 0 A_SpawnItem("rxGibGenerator_s",0,0,0,0)
		TNT1 A 0 A_SpawnItem("rxGibGenerator_s",0,0,0,0)
		TNT1 A 0 A_SpawnItem("rxGibGenerator_s",0,0,0,0)
		TNT1 A -1
		NULL A -1
		Stop
//	XDeath:
//		PLAY O 5 A_PlayerSkinCheck(AltSkinXDeath)
//		PLAY P 5 A_XScream
//		PLAY Q 5 A_NoBlocking
//		PLAY RSTUV 5
//		PLAY W -1
//		Stop
//	AltSkinDeath:
//		PLAY H 6
//		PLAY I 6 A_PlayerScream
//		PLAY JK 6
//		PLAY L 6 A_NoBlocking
//		PLAY MNO 6
//		PLAY P -1
//		Stop
//	AltSkinXDeath:
//		PLAY Q 5 A_PlayerScream
//		PLAY R 0 A_NoBlocking
//		PLAY R 5 A_SkullPop
//		PLAY STUVWX 5
//		PLAY Y -1
//		Stop
	Burn: 
		TNT1 A 0 A_NoBlocking
		TNT1 A 0 A_PlaySound("human/burndeath")
		TNT1 A 0 A_SpawnItem("Human_Burn", 0, 0, 0)
		TNT1 A -1
		NULL A -1
		Stop
	}
}
