//  **************************************
//  ******  Random Monster Spawner  ******
//  **************************************

//  ********************************************************
//  ***  Spawner: Marines                                ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
ACTOR RandomSpawnerHumans1 3600
{
	-COUNTITEM
	States
	{
	Spawn:
		NULL A 0
		NULL A 0 A_Jump(213, 2)
		NULL A 1 A_SpawnItem("Marine_Pistols",1,8)
		Goto Death
		NULL A 0 A_Jump(204, 2)
		NULL A 1 A_SpawnItem("Marine_Pistol",1,8)
		Goto Death
		NULL A 0 A_Jump(192, 2)
		NULL A 1 A_SpawnItem("Marine_Shotgun",1,8)
		Goto Death
		NULL A 0 A_Jump(170, 2)
		NULL A 1 A_SpawnItem("Marine_HandtoHand",1,8)
		Goto Death
		NULL A 0 A_Jump(128, 2)
		NULL A 1 A_SpawnItem("Marine_Chaingun",1,8)
		Goto Death
		NULL A 0
		NULL A 1 A_SpawnItem("MaineFlamer",1,8)
		Goto Death
	Death: 
		NULL A 0
		Stop
	}
}

//  ********************************************************
//  ***  Spawner: Armymen (Zombies)                      ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
ACTOR RandomSpawnerHumans2 3601
{
	-COUNTITEM
	States
	{
	Spawn:
		NULL A 0
		NULL A 0 A_Jump(235, 2)
		NULL A 1 A_SpawnItem("HeadHunterBlaster",1,8)
		Goto Death
		NULL A 0 A_Jump(232, 2)
		NULL A 1 A_SpawnItem("ChaingunGuy_",1,8)
		Goto Death
		NULL A 0 A_Jump(230, 2)
		NULL A 1 A_SpawnItem("ShotgunGuy_",1,8)
		Goto Death
		NULL A 0 A_Jump(227, 2)
		NULL A 1 A_SpawnItem("ZombieMan_",1,8)
		Goto Death
		NULL A 0 A_Jump(224, 2)
		NULL A 1 A_SpawnItem("ZombieMarine",1,8)
		Goto Death
		NULL A 0 A_Jump(219, 2)
		NULL A 1 A_SpawnItem("ZombieRapidFire",1,8)
		Goto Death
		NULL A 0 A_Jump(213, 2)
		NULL A 1 A_SpawnItem("ChainsawZombie",1,8)
		Goto Death
		NULL A 0 A_Jump(204, 2)
		NULL A 1 A_SpawnItem("PlasmaZombie",1,8)
		Goto Death
		NULL A 0 A_Jump(192, 2)
		NULL A 1 A_SpawnItem("MarineRailgunner",1,8)
		Goto Death
		NULL A 0 A_Jump(170, 2)
		NULL A 1 A_SpawnItem("ShotgunSoldier",1,8)
		Goto Death
		NULL A 0 A_Jump(128, 2)
		NULL A 1 A_SpawnItem("RifleZombie",1,8)
		Goto Death
		NULL A 0
		NULL A 1 A_SpawnItem("FlyingZombie",1,8)
		Goto Death
	Death: 
		NULL A 0
		Stop
	}
}

//  ********************************************************
//  ***  Spawner: Rocket Team                            ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
ACTOR RandomSpawnerHumans3 3602
{
	-COUNTITEM
	States
	{
	Spawn:
		NULL A 0
		NULL A 0 //A_Jump(128, 2)
		NULL A 1 A_SpawnItem("RocketGuy",1,8)
		Goto Death
//		NULL A 0
//		NULL A 1 A_SpawnItem("RocketGuy2",1,8)
//		Goto Death
	Death: 
		NULL A 0
		Stop
	}
}

//  ********************************************************
//  ***  Spawner: Demons                                 ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
ACTOR RandomSpawnerHumans4 3603
{
	-COUNTITEM
	States
	{
	Spawn:
		NULL A 0
		NULL A 0 A_Jump(192, 2)
		NULL A 1 A_SpawnItem("Demon_",1,8)
		Goto Death
		NULL A 0 A_Jump(170, 2)
		NULL A 1 A_SpawnItem("Spectre_",1,8)
		Goto Death
		NULL A 0 A_Jump(128, 2)
		NULL A 1 A_SpawnItem("MaulerDemon",1,8)
		Goto Death
		NULL A 0
		NULL A 1 A_SpawnItem("BloodDemonClone",1,8)
		Goto Death
	Death: 
		NULL A 0
		Stop
	}
}

//  ********************************************************
//  ***  Spawner: Imps                                   ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
ACTOR RandomSpawnerHumans5 3604
{
	-COUNTITEM
	States
	{
	Spawn:
		NULL A 0
		NULL A 0 A_Jump(227, 2)
		NULL A 1 A_SpawnItem("DoomImp_",1,8)
		Goto Death
		NULL A 0 A_Jump(224, 2)
		NULL A 1 A_SpawnItem("NamiDarkImp",1,8)
		Goto Death
		NULL A 0 A_Jump(219, 2)
		NULL A 1 A_SpawnItem("VoidDarkImp",1,8)
		Goto Death
		NULL A 0 A_Jump(213, 2)
		NULL A 1 A_SpawnItem("Devil",1,8)
		Goto Death
		NULL A 0 A_Jump(204, 2)
		NULL A 1 A_SpawnItem("FlyingImp",1,8)
		Goto Death
		NULL A 0 A_Jump(192, 2)
		NULL A 1 A_SpawnItem("STDarkImp",1,8)
		Goto Death
		NULL A 0 A_Jump(170, 2)
		NULL A 1 A_SpawnItem("SoulHarvester",1,8)
		Goto Death
		NULL A 0 A_Jump(128, 2)
		NULL A 1 A_SpawnItem("StoneImp",1,8)
		Goto Death
		NULL A 0
		NULL A 1 A_SpawnItem("SlimeWorm",1,8)
		Goto Death
	Death: 
		NULL A 0
		Stop
	}
}

//  ********************************************************
//  ***  Spawner: Sorcerer                               ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
ACTOR RandomSpawnerHumans6 3605
{
	-COUNTITEM
	States
	{
	Spawn:
		NULL A 0
		NULL A 0 A_Jump(204, 2)
		NULL A 1 A_SpawnItem("HellGuard",1,8)
		Goto Death
		NULL A 0 A_Jump(192, 2)
		NULL A 1 A_SpawnItem("Avatar",1,8)
		Goto Death
		NULL A 0 A_Jump(170, 2)
		NULL A 1 A_SpawnItem("Wizard_A",1,8)
		Goto Death
		NULL A 0 A_Jump(128, 2)
		NULL A 1 A_SpawnItem("Demono",1,8)
		Goto Death
		NULL A 0
		NULL A 1 A_SpawnItem("Wizard_B",1,8)
		Goto Death
	Death: 
		NULL A 0
		Stop
	}
}

//  ********************************************************
//  ***  Spawner: Gargoyles                              ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
ACTOR RandomSpawnerHumans7 3606
{
	-COUNTITEM
	States
	{
	Spawn:
		NULL A 0
		NULL A 0 A_Jump(170, 2)
		NULL A 1 A_SpawnItem("Fallen",1,8)
		Goto Death
		NULL A 0 A_Jump(128, 2)
		NULL A 1 A_SpawnItem("Fire_Garg",1,8)
		Goto Death
		NULL A 0
		NULL A 1 A_SpawnItem("FireWyvern",1,8)
		Goto Death
	Death: 
		NULL A 0
		Stop
	}
}

//  ********************************************************
//  ***  Spawner: Hell Barons                            ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
ACTOR RandomSpawnerHumans8 3607
{
	-COUNTITEM
	States
	{
	Spawn:
		NULL A 0
		NULL A 0 A_Jump(224, 2)
		NULL A 1 A_SpawnItem("Teufel",1,8)
		Goto Death
		NULL A 0 A_Jump(219, 2)
		NULL A 1 A_SpawnItem("Afrit",1,8)
		Goto Death
		NULL A 0 A_Jump(213, 2)
		NULL A 1 A_SpawnItem("HellKnight_",1,8)
		Goto Death
		NULL A 0 A_Jump(204, 2)
		NULL A 1 A_SpawnItem("BaronOfHell_",1,8)
		Goto Death
		NULL A 0 A_Jump(192, 2)
		NULL A 1 A_SpawnItem("Cybruiser",1,8)
		Goto Death
		NULL A 0 A_Jump(170, 2)
		NULL A 1 A_SpawnItem("HellsFury",1,8)
		Goto Death
		NULL A 0 A_Jump(128, 2)
		NULL A 1 A_SpawnItem("BruiserDemon",1,8)
		Goto Death
		NULL A 0
		NULL A 1 A_SpawnItem("LordofHeresy",1,8)
		Goto Death
	Death: 
		NULL A 0
		Stop
	}
}

//  ********************************************************
//  ***  Spawner: Cacodemons                             ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
ACTOR RandomSpawnerHumans9 3608
{
	-COUNTITEM
	States
	{
	Spawn:
		NULL A 0
		NULL A 0 A_Jump(192, 2)
		NULL A 1 A_SpawnItem("Cacodemon_",1,8)
		Goto Death
		NULL A 0 A_Jump(170, 2)
		NULL A 1 A_SpawnItem("Watcher",1,8)
		Goto Death
		NULL A 0 A_Jump(128, 2)
		NULL A 1 A_SpawnItem("CrackoDemon",1,8)
		Goto Death
		NULL A 0
		NULL A 1 A_SpawnItem("HadesElemental",1,8)
		Goto Death
	Death: 
		NULL A 0
		Stop
	}
}

//  ********************************************************
//  ***  Spawner: CacoLichs                              ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
ACTOR RandomSpawnerHumans10 3609
{
	-COUNTITEM
	States
	{
	Spawn:
		NULL A 0
		NULL A 0 A_Jump(192, 2)
		NULL A 1 A_SpawnItem("CacoLich1",1,8)
		Goto Death
		NULL A 0 A_Jump(170, 2)
		NULL A 1 A_SpawnItem("CacoLich",1,8)
		Goto Death
		NULL A 0 A_Jump(128, 2)
		NULL A 1 A_SpawnItem("TorturedSoul",1,8)
		Goto Death
		NULL A 0
		NULL A 1 A_SpawnItem("Wicked",1,8)
		Goto Death
	Death: 
		NULL A 0
		Stop
	}
}

//  ********************************************************
//  ***  Spawner: Archons/Spider                         ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
ACTOR RandomSpawnerHumans11 3610
{
	-COUNTITEM
	States
	{
	Spawn:
		NULL A 0
		NULL A 0 A_Jump(170, 2)
		NULL A 1 A_SpawnItem("Arachnotron_",1,8)
		Goto Death
		NULL A 0 A_Jump(128, 2)
		NULL A 1 A_SpawnItem("CGunSpider",1,8)
		Goto Death
		NULL A 0
		NULL A 1 A_SpawnItem("Q2TankBoss",1,8)
		Goto Death
	Death: 
		NULL A 0
		Stop
	}
}

//  ********************************************************
//  ***  Spawner: Mancubus/Revenent/Baron/Knight         ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
ACTOR RandomSpawnerHumans12 3611
{
	-COUNTITEM
	States
	{
	Spawn:
		NULL A 0
		NULL A 0 A_Jump(192, 2)
		NULL A 1 A_SpawnItem("Fatso_",1,8)
		Goto Death
		NULL A 0 A_Jump(170, 2)
		NULL A 1 A_SpawnItem("Revenant_",1,8)
		Goto Death
		NULL A 0 A_Jump(128, 2)
		NULL A 1 A_SpawnItem("BaronOfHell_",1,8)
		Goto Death
		NULL A 0
		NULL A 1 A_SpawnItem("HellKnight_",1,8)
		Goto Death
	Death: 
		NULL A 0
		Stop
	}
}

//  ************************************************************************************************
//  ******  Random Drops Spawner  ******
//  ************************************

//  ********************************************************
//  ***  Spawner: Pistols                                ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
ACTOR sp_pistols
{
	-COUNTITEM
	States
	{
	Spawn:
		NULL A 0
		NULL A 0 A_Jump(64, 1)
		Goto Death
		NULL A 0 A_Jump(242, 2)
		NULL A 1 A_SpawnItem("Magnum",1,8)
		Goto Death
		NULL A 0 A_Jump(223, 2)
		NULL A 1 A_SpawnItem("Magnum",1,8)
		Goto Death
		NULL A 0 A_Jump(246, 2)
		NULL A 1 A_SpawnItem("Clip_",1,8)
		Goto Death
		NULL A 0
		NULL A 1 A_SpawnItem("Clip_",1,8)
		Goto Death
	Death: 
		NULL A 0
		Stop
	}
}

//  ********************************************************
//  ***  Spawner: Shotguns                               ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
ACTOR sp_shotguns
{
	-COUNTITEM
	States
	{
	Spawn:
		NULL A 0
		NULL A 0 A_Jump(96, 1)
		Goto Death
		NULL A 0
		NULL A 0 A_Jump(250, 2)//242
		NULL A 1 A_SpawnItem("DoubleShotgun",1,8)
		Goto Death
		NULL A 0 A_Jump(246, 2)//223
		NULL A 1 A_SpawnItem("Shotgun2",1,8)
		Goto Death
		NULL A 0
		NULL A 1 A_SpawnItem("Shell2",1,8)
		Goto Death
	Death: 
		NULL A 0
		Stop
	}
}

//  ********************************************************
//  ***  Spawner: Machineguns                            ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
ACTOR sp_machineguns
{
	-COUNTITEM
	States
	{
	Spawn:
		NULL A 0
		NULL A 0 A_Jump(80, 1)
		Goto Death
		NULL A 0 A_Jump(248, 2)
		NULL A 1 A_SpawnItem("MachineGun",1,8)
		Goto Death
//		NULL A 0 A_Jump(228, 2)
//		NULL A 1 A_SpawnItem("MachineGun",1,8)
//		Goto Death
		NULL A 0 A_Jump(223, 2)
		NULL A 1 A_SpawnItem("Clip_",1,8)
		Goto Death
		NULL A 0
		NULL A 1 A_SpawnItem("Clip_",1,8)
		NULL A 1 A_SpawnItem("Clip_",1,16)
		NULL A 1 A_SpawnItem("Clip_",1,24)
		Goto Death
	Death: 
		NULL A 0
		Stop
	}
}

//  ********************************************************
//  ***  Spawner: Rocketlaunchers                        ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
ACTOR sp_rocketlaunchers
{
	-COUNTITEM
	States
	{
	Spawn:
		NULL A 0
		NULL A 0 A_Jump(64, 1)
		Goto Death
		NULL A 0 A_Jump(233, 2)
		NULL A 1 A_SpawnItem("Rocketlauncher_",1,8)
		Goto Death
		NULL A 0 A_Jump(213, 2)
		NULL A 1 A_SpawnItem("TNT",1,8)
		Goto Death
		NULL A 0
		NULL A 1 A_SpawnItem("RocketAmmo_",1,8)
		Goto Death
	Death: 
		NULL A 0
		Stop
	}
}

//  ********************************************************
//  ***  Spawner: Magic Weapons                          ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
ACTOR sp_magicweapons
{
	-COUNTITEM
	States
	{
	Spawn:
		NULL A 0
		NULL A 0 A_Jump(64, 1)
		Goto Death
		NULL A 0 A_Jump(254, 2)
		NULL A 1 A_SpawnItem("Skullripper",1,8)
		Goto Death
		NULL A 0 A_Jump(232, 2)
		NULL A 1 A_SpawnItem("MagicHandsGreenball",1,8)
		Goto Death
		NULL A 0 A_Jump(223, 2)
		NULL A 1 A_SpawnItem("MagicHandsFireWall",1,8)
		Goto Death
		NULL A 0 A_Jump(219, 2)
		NULL A 1 A_SpawnItem("MagicHandsFireball",1,8)
		Goto Death
		NULL A 0
		NULL A 1 A_SpawnItem("Darkmana",1,8)
		NULL A 1 A_SpawnItem("Darkmana",1,8)
		Goto Death
	Death: 
		NULL A 0
		Stop
	}
}

//  ********************************************************
//  ***  Spawner: Flamers                                ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
ACTOR sp_flamers
{
	-COUNTITEM
	States
	{
	Spawn:
		NULL A 0
		NULL A 0 A_Jump(32, 1)
		Goto Death
		NULL A 0 A_Jump(240, 2)
		NULL A 1 A_SpawnItem("TheFlameThrower",1,8)
		Goto Death
		NULL A 0
		NULL A 1 A_SpawnItem("Fuel",1,8)
		Goto Death
	Death: 
		NULL A 0
		Stop
	}
}

//  ********************************************************
//  ***  Spawner: BFGs                                   ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
ACTOR sp_bfgs
{
	-COUNTITEM
	States
	{
	Spawn:
		NULL A 0
		NULL A 0 A_Jump(255, 1)
		Goto Death
		NULL A 0 A_Jump(238, 2)
		NULL A 1 A_SpawnItem("CellPack_",1,16)//A_SpawnItem("BFG2704",1,8)
		Goto Death
		NULL A 0 A_Jump(194, 3)
		NULL A 1 A_SpawnItem("CellPack_",1,16)//A_SpawnItem("BFG_10k",1,8)
		NULL A 1 A_SpawnItem("Cell_",1,16)
		Goto Death
		NULL A 0
		NULL A 1 A_SpawnItem("Cell_",1,8)
		Goto Death
	Death: 
		NULL A 0
		Stop
	}
}

//  ********************************************************
//  ***  Spawner: Plasmaguns                             ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
ACTOR sp_plasmaguns
{
	-COUNTITEM
	States
	{
	Spawn:
		NULL A 0
		NULL A 0 A_Jump(64, 1)
		Goto Death
		NULL A 0 A_Jump(233, 2)
		NULL A 1 A_SpawnItem("PhotonRifle",1,8)
		Goto Death
		NULL A 0
		NULL A 1 A_SpawnItem("Cell_",1,8)
		Goto Death
	Death: 
		NULL A 0
		Stop
	}
}

//  ********************************************************
//  ***  Spawner: Railguns                               ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
ACTOR sp_railguns
{
	-COUNTITEM
	States
	{
	Spawn:
		NULL A 0
		NULL A 0 A_Jump(64, 1)
		Goto Death
		NULL A 0 A_Jump(250, 2)
		NULL A 1 A_SpawnItem("RailGunX",1,8)
		Goto Death
		NULL A 0
		NULL A 1 A_SpawnItem("Cell_",1,8)
		Goto Death
	Death: 
		NULL A 0
		Stop
	}
}

//  ********************************************************
//  ***  Spawner: TNT                                    ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
ACTOR sp_tnt
{
	-COUNTITEM
	States
	{
	Spawn:
		NULL A 0
		NULL A 0 A_Jump(64, 1)
		Goto Death
		NULL A 0
		NULL A 1 A_SpawnItem("TNT",1,8)
		Goto Death
	Death: 
		NULL A 0
		Stop
	}
}

//  **************************************
//  ******  Random Nature Spawner  ******
//  **************************************

actor TreeGreenSpawner 6500  //  Tree green random spawner
{
	-COUNTITEM
	radius 15
	height 15
	states
	{
		Spawn:
		TNT1 A 0
		TNT1 A 0 A_Jump(235, 2)
		TNT1 A 1 A_SpawnItem("TreeGreen1",1,8)
		Goto Death
		TNT1 A 0 A_Jump(232, 2)
		TNT1 A 1 A_SpawnItem("TreeGreen2",1,8)
		Goto Death
		TNT1 A 0 A_Jump(230, 2)
		TNT1 A 1 A_SpawnItem("TreeGreen3",1,8)
		Goto Death
		TNT1 A 0 A_Jump(227, 2)
		TNT1 A 1 A_SpawnItem("TreeGreen4",1,8)
		Goto Death
		TNT1 A 0 A_Jump(224, 2)
		TNT1 A 1 A_SpawnItem("TreeGreen5",1,8)
		Goto Death
		TNT1 A 0 A_Jump(219, 2)
		TNT1 A 1 A_SpawnItem("TreeGreen6",1,8)
		Goto Death
		TNT1 A 0 A_Jump(213, 2)
		TNT1 A 1 A_SpawnItem("TreeGreen7",1,8)
		Goto Death
		TNT1 A 0 A_Jump(204, 2)
		TNT1 A 1 A_SpawnItem("TreeGreen8",1,8)
		Goto Death
		TNT1 A 0 A_Jump(192, 2)
		TNT1 A 1 A_SpawnItem("TreeGreen9",1,8)
		Goto Death
		TNT1 A 0 A_Jump(170, 2)
		TNT1 A 1 A_SpawnItem("TreeGreen10",1,8)
		Goto Death
		TNT1 A 0 A_Jump(156, 2)
		TNT1 A 1 A_SpawnItem("TreeGreen11",1,8)
		Goto Death
		TNT1 A 0 A_Jump(128, 2)
		TNT1 A 1 A_SpawnItem("TreeGreen12",1,8)
		Goto Death
		TNT1 A 0
		TNT1 A 1 A_SpawnItem("TreeGreen13",1,8)
		Goto Death
	Death: 
		TNT1 A 0
		Stop
	}
}
actor TreeBrownSpawner 6501  //  Tree brown random spawner
{
	-COUNTITEM
	radius 15
	height 15
	states
	{
		Spawn:
		TNT1 A 0
		TNT1 A 0 A_Jump(235, 2)
		TNT1 A 1 A_SpawnItem("TreeBrown1",1,8)
		Goto Death
		TNT1 A 0 A_Jump(232, 2)
		TNT1 A 1 A_SpawnItem("TreeBrown2",1,8)
		Goto Death
		TNT1 A 0 A_Jump(230, 2)
		TNT1 A 1 A_SpawnItem("TreeBrown3",1,8)
		Goto Death
		TNT1 A 0 A_Jump(227, 2)
		TNT1 A 1 A_SpawnItem("TreeBrown4",1,8)
		Goto Death
		TNT1 A 0 A_Jump(224, 2)
		TNT1 A 1 A_SpawnItem("TreeBrown5",1,8)
		Goto Death
		TNT1 A 0 A_Jump(219, 2)
		TNT1 A 1 A_SpawnItem("TreeBrown6",1,8)
		Goto Death
		TNT1 A 0 A_Jump(213, 2)
		TNT1 A 1 A_SpawnItem("TreeBrown7",1,8)
		Goto Death
		TNT1 A 0 A_Jump(204, 2)
		TNT1 A 1 A_SpawnItem("TreeBrown8",1,8)
		Goto Death
		TNT1 A 0 A_Jump(192, 2)
		TNT1 A 1 A_SpawnItem("TreeBrown9",1,8)
		Goto Death
		TNT1 A 0 A_Jump(170, 2)
		TNT1 A 1 A_SpawnItem("TreeBrown10",1,8)
		Goto Death
		TNT1 A 0 A_Jump(156, 2)
		TNT1 A 1 A_SpawnItem("TreeBrown11",1,8)
		Goto Death
		TNT1 A 0 A_Jump(128, 2)
		TNT1 A 1 A_SpawnItem("TreeBrown12",1,8)
		Goto Death
		TNT1 A 0
		TNT1 A 1 A_SpawnItem("TreeBrown13",1,8)
		Goto Death
	Death: 
		TNT1 A 0
		Stop
	}
}
actor TreeBrownEmptySpawner 6502  //  Tree brown empty random spawner
{
	-COUNTITEM
	radius 15
	height 15
	states
	{
		Spawn:
		TNT1 A 0
		TNT1 A 0 A_Jump(232, 2)
		TNT1 A 1 A_SpawnItem("TreeBrownEmpty12",1,8)
		Goto Death
		TNT1 A 0 A_Jump(230, 2)
		TNT1 A 1 A_SpawnItem("TreeBrownEmpty11",1,8)
		Goto Death
		TNT1 A 0 A_Jump(227, 2)
		TNT1 A 1 A_SpawnItem("TreeBrownEmpty10",1,8)
		Goto Death
		TNT1 A 0 A_Jump(224, 2)
		TNT1 A 1 A_SpawnItem("TreeBrownEmpty9",1,8)
		Goto Death
		TNT1 A 0 A_Jump(219, 2)
		TNT1 A 1 A_SpawnItem("TreeBrownEmpty8",1,8)
		Goto Death
		TNT1 A 0 A_Jump(213, 2)
		TNT1 A 1 A_SpawnItem("TreeBrownEmpty7",1,8)
		Goto Death
		TNT1 A 0 A_Jump(204, 2)
		TNT1 A 1 A_SpawnItem("TreeBrownEmpty6",1,8)
		Goto Death
		TNT1 A 0 A_Jump(192, 2)
		TNT1 A 1 A_SpawnItem("TreeBrownEmpty5",1,8)
		Goto Death
		TNT1 A 0 A_Jump(170, 2)
		TNT1 A 1 A_SpawnItem("TreeBrownEmpty4",1,8)
		Goto Death
		TNT1 A 0 A_Jump(156, 2)
		TNT1 A 1 A_SpawnItem("TreeBrownEmpty3",1,8)
		Goto Death
		TNT1 A 0 A_Jump(128, 2)
		TNT1 A 1 A_SpawnItem("TreeBrownEmpty2",1,8)
		Goto Death
		TNT1 A 0
		TNT1 A 1 A_SpawnItem("TreeBrownEmpty1",1,8)
		Goto Death
	Death: 
		TNT1 A 0
		Stop
	}
}
actor TreeAshSpawner 6503  //  Tree ash random spawner
{
	-COUNTITEM
	radius 15
	height 15
	states
	{
		Spawn:
		TNT1 A 0
		TNT1 A 1 A_SpawnItem("TreeAsh1",1,8)
		Goto Death
	Death: 
		TNT1 A 0
		Stop
	}
}
actor GrasWaterSpawner 6504  //  Gras Water random spawner
{
	-COUNTITEM
	radius 15
	height 15
	states
	{
		Spawn:
		TNT1 A 0
		TNT1 A 0 A_Jump(160, 2)//A_Jump(204, 2)
		TNT1 A 1 A_SpawnItem("GrasWater1",1,8)
		Goto Death
		TNT1 A 0 A_Jump(128, 2)//A_Jump(192, 2)
		TNT1 A 1 A_SpawnItem("GrasWater2",1,8)
		Goto Death
		TNT1 A 0 A_Jump(128, 2)//A_Jump(170, 2)
		TNT1 A 1 A_SpawnItem("GrasWater3",1,8)
		Goto Death
		TNT1 A 0 //A_Jump(128, 2)
		TNT1 A 1 A_SpawnItem("GrasWater4",1,8)
		Goto Death
	Death: 
		TNT1 A 0
		Stop
	}
}
actor PlantSpawner 6505  //  Plant random spawner
{
	-COUNTITEM
	radius 15
	height 15
	states
	{
		Spawn:
		TNT1 A 0
		TNT1 A 0 A_Jump(204, 2)
		TNT1 A 1 A_SpawnItem("Plant1",1,8)
		Goto Death
		TNT1 A 0 A_Jump(192, 2)
		TNT1 A 1 A_SpawnItem("Plant2",1,8)
		Goto Death
		TNT1 A 0 A_Jump(170, 2)
		TNT1 A 1 A_SpawnItem("Plant3",1,8)
		Goto Death
		TNT1 A 0 //A_Jump(128, 2)
		TNT1 A 1 A_SpawnItem("Plant4",1,8)
		Goto Death
	Death: 
		TNT1 A 0
		Stop
	}
}
actor CactusSpawner 6506  //  Cactus random spawner
{
	-COUNTITEM
	radius 15
	height 15
	states
	{
		Spawn:
		TNT1 A 0
		TNT1 A 0 A_Jump(224, 2)
		TNT1 A 1 A_SpawnItem("Caktus1",1,8)
		Goto Death
		TNT1 A 0 A_Jump(219, 2)
		TNT1 A 1 A_SpawnItem("Caktus2",1,8)
		Goto Death
		TNT1 A 0 A_Jump(213, 2)
		TNT1 A 1 A_SpawnItem("Caktus3",1,8)
		Goto Death
		TNT1 A 0 A_Jump(204, 2)
		TNT1 A 1 A_SpawnItem("Caktus4",1,8)
		Goto Death
		TNT1 A 0 A_Jump(192, 2)
		TNT1 A 1 A_SpawnItem("Caktus5",1,8)
		Goto Death
		TNT1 A 0 A_Jump(170, 2)
		TNT1 A 1 A_SpawnItem("Caktus6",1,8)
		Goto Death
		TNT1 A 0 //A_Jump(128, 2)
		TNT1 A 1 A_SpawnItem("Caktus7",1,8)
		Goto Death
	Death: 
		TNT1 A 0
		Stop
	}
}
