//  ********************************************************
//  ***  Weapon: BFG2704                                 ***
//  ***  By: Inuyasha_989                                ***
//  ***  Modified By: Cobalt and Butcher                 ***
//  ********************************************************
actor BFG2704Pickup : CustomInventory
{
	Scale 1.0
	Inventory.PickupSound "misc/W_pkup"
	Inventory.PickUpMessage "You got the legendary BFG 2704!"
	states
	{
		Spawn:
			BFUG A -1
			Loop
		Pickup:
			TNT1 A 0 A_JumpIfInventory("BFG2704", 1, 3)
			TNT1 A 0 A_GiveInventory("BFG2704", 1)
			TNT1 A 0 A_GiveInventory("Cell", 60)
			stop
			TNT1 A 0 A_GiveInventory("Cell", 60)
			TNT1 A 0 A_SpawnItemEx("BFG2704PickupEmpty", 0, 0, 0, 1, 0, 1, 0, 0, 0)
			stop
	}
}
actor BFG2704PickupEmpty : BFG2704Pickup
{
	states
	{
		Pickup:
			TNT1 A 0 A_JumpIfInventory("BFG2704", 1, 1)
			TNT1 A 0 A_GiveInventory("BFG2704", 1)
			stop
			TNT1 A 0 A_SpawnItemEx("BFG2704PickupEmpty", 0, 0, 0, 1, 0, 1, 0, 0, 0)
			stop
	}
}
ACTOR BFG2704 : Weapon 25027
{
	Tag "BFG 2704"
	weapon.selectionorder 2200
	Weapon.AmmoType "Cell"
//	Weapon.Ammogive 60
	Weapon.Ammouse 1
	States
	{
		Spawn:
			BFUG A 0
			BFUG A 1 A_SpawnItem("BFG2704Pickup")
			Stop
		Ready:
			TNT1 A 0 A_JumpIfInventory("DropAmmo",1,"DropAmmo_Start")
			TNT1 A 0 A_JumpIfInventory("DropWeapon",1,"DropWeapon_Start")
			BFJG A 1 A_WeaponReady
			LOOP
		Deselect:
			BFJG A 1 A_Lower
			LOOP
		Select:
			BFJG A 0
			BFJG A 1 A_Raise
			Goto Select+1
		Fire:
			BFJG A 4 A_Playsound ("weapons/bfg")
			BFJI ABCDEFGHI 8
			BFJG B 10 A_GunFlash
			BFJG B 0 A_PlaySound ("weapons/bfgshot1")
			BFJG B 1 A_FireCustomMissile("BFGMini",6,1,3,0)
			BFJG B 1 A_FireCustomMissile("BFGMini",12,1,3,0)
			BFJG B 1 A_FireCustomMissile("BFGMini",0,1,5,13)
			BFJG B 1 A_FireCustomMissile("BFGPlasma",0,1,3,0)
			BFJG B 1 A_FireCustomMissile("BFGMini",3,1,3,0)
			BFJG B 1 A_FireCustomMissile("BFGPlasma",9,1,3,0)
			BFJG B 1 A_FireCustomMissile("BFGMini",9,1,1,-13)
			BFJG B 1 A_FireCustomMissile("BFGMini",-6,1,3,0)
			BFJG B 1 A_FireCustomMissile("BFGMini",-12,1,3,0)
			BFJG B 1 A_FireCustomMissile("BFGPlasma",-9,1,3,0)
			BFJG B 1 A_FireCustomMissile("BFGMini",6,1,3,0)
			BFJG B 1 A_FireCustomMissile("BFGMini",12,1,3,0)
			BFJG B 1 A_FireCustomMissile("BFGMini",0,1,5,13)
			BFJG B 1 A_FireCustomMissile("BFGPlasma",0,1,3,0)
			BFJG B 1 A_FireCustomMissile("BFGMini",3,1,3,0)
			BFJG B 1 A_FireCustomMissile("BFGPlasma",9,1,3,0)
			BFJG B 1 A_FireCustomMissile("BFGMini",9,1,1,-13)
			BFJG B 1 A_FireCustomMissile("BFGMini",-6,1,3,0)
			BFJG B 1 A_FireCustomMissile("BFGMini",-12,1,3,0)
			BFJG B 1 A_FireCustomMissile("BFGPlasma",-9,1,3,0)
			BFJG B 1 A_FireCustomMissile("BFGMini",6,1,3,0)
			BFJG B 1 A_FireCustomMissile("BFGMini",12,1,3,0)
			BFJG B 1 A_FireCustomMissile("BFGMini",0,1,5,13)
			BFJG B 1 A_FireCustomMissile("BFGPlasma",0,1,3,0)
			BFJG B 1 A_FireCustomMissile("BFGMini",3,1,3,0)
			BFJG B 1 A_FireCustomMissile("BFGPlasma",9,1,3,0)
			BFJG B 1 A_FireCustomMissile("BFGMini",9,1,1,-13)
			BFJG B 1 A_FireCustomMissile("BFGMini",-6,1,3,0)
			BFJG B 1 A_FireCustomMissile("BFGMini",-12,1,3,0)
			BFJG B 1 A_FireCustomMissile("BFGPlasma",-9,1,3,0)
			BFJG B 1 A_FireCustomMissile("BFGMini",6,1,3,0)
			BFJG B 1 A_FireCustomMissile("BFGMini",12,1,3,0)
			BFJG B 1 A_FireCustomMissile("BFGMini",0,1,5,13)
			BFJG B 1 A_FireCustomMissile("BFGPlasma",0,1,3,0)
			BFJG B 1 A_FireCustomMissile("BFGMini",3,1,3,0)
			BFJG B 1 A_FireCustomMissile("BFGPlasma",9,1,3,0)
			BFJG B 1 A_FireCustomMissile("BFGMini",9,1,1,-13)
			BFJG B 1 A_FireCustomMissile("BFGMini",-6,1,3,0)
			BFJG B 1 A_FireCustomMissile("BFGMini",-12,1,3,0)
			BFJG B 1 A_FireCustomMissile("BFGPlasma",-9,1,3,0)
			BFJG B 1 A_FireCustomMissile("BFGMini",6,1,3,0)
			BFJG B 1 A_FireCustomMissile("BFGMini",12,1,3,0)
			BFJG B 1 A_FireCustomMissile("BFGMini",0,1,5,13)
			BFJG B 1 A_FireCustomMissile("BFGPlasma",0,1,3,0)
			BFJG B 1 A_FireCustomMissile("BFGMini",3,1,3,0)
			BFJG B 1 A_FireCustomMissile("BFGPlasma",9,1,3,0)
			BFJG B 1 A_FireCustomMissile("BFGMini",9,1,1,-13)
			BFJG B 1 A_FireCustomMissile("BFGMini",-6,1,3,0)
			BFJG B 1 A_FireCustomMissile("BFGMini",-12,1,3,0)
			BFJG B 1 A_FireCustomMissile("BFGPlasma",-9,1,3,0)
			BFJG B 1 A_FireCustomMissile("BFGMini",6,1,3,0)
			BFJG B 1 A_FireCustomMissile("BFGMini",12,1,3,0)
			BFJG B 1 A_FireCustomMissile("BFGMini",0,1,5,13)
			BFJG B 1 A_FireCustomMissile("BFGPlasma",0,1,3,0)
			BFJG B 1 A_FireCustomMissile("BFGMini",3,1,3,0)
			BFJG B 1 A_FireCustomMissile("BFGPlasma",9,1,3,0)
			BFJG B 1 A_FireCustomMissile("BFGMini",9,1,1,-13)
			BFJG B 1 A_FireCustomMissile("BFGMini",-6,1,3,0)
			BFJG B 1 A_FireCustomMissile("BFGMini",-12,1,3,0)
			BFJG B 1 A_FireCustomMissile("BFGPlasma",-9,1,3,0)
			Goto Ready
		Flash:
			BFJF A 5 bright
			BFJF B 5 bright
			BFJF C 5 bright
			STOP
/* **********          Drop Ammo          ********** */
		DropAmmo_Start:
			TNT1 A 0 A_TakeInventory("DropAmmo", 1)
			TNT1 A 0 A_JumpIfInventory("Cell", 20, 1) // is ammo in inventory?
			goto Ready
			TNT1 A 0 A_TakeInventory("Cell", 20)
			TNT1 A 0 A_SpawnItemEx("Cell_", 64, 0, 32, 5, 0, 5, 0, 0, 0)
			goto Ready
/* **********          Drop Weapon          ********** */
		DropWeapon_Start:
			TNT1 A 0 A_TakeInventory("DropWeapon", 1)
			TNT1 A 0 A_JumpIfInventory("BFG2704", 1, 1) // is weapon in inventory?
			goto Ready
			TNT1 A 0 A_TakeInventory("PhotonRifleHeat", 100)
			TNT1 A 0 A_SpawnItemEx("BFG2704PickupEmpty", 64, 0, 32, 5, 0, 5, 0, 0, 0)
			TNT1 A 1 A_TakeInventory("BFG2704", 1)
			goto Deselect+1
	}
}
//  ********************************************************
//  ***  Weapon: BFG2704                                 ***
//  ********************************************************
//  ********** PlasmaBall s **********
//  BFG2704
ACTOR BFGMini
{
	Radius 8
	Height 6
	Speed 25
	Damage 20
	Scale 1.5
	PROJECTILE
	DeathSound "imp/shotx"
	States
	{
		Spawn:
			RDHP AB 5 bright
			Loop
		Death:
			RDHP CD 6 bright
			Stop
	}
}
//  ********************************************************
//  ***  Weapon: BFG2704                                 ***
//  ********************************************************
//  ********** PlasmaBall l **********
//  BFG2704
ACTOR BFGPlasma
{
	Radius 3
	Height 4
	Speed 25
	Damage 18
	PROJECTILE
	+STRIFEDAMAGE
	DeathSound "weapons/plasmax"
	States
	{
		Spawn:
			IPLS AB 8 bright
			LOOP
		Death:
			IPLE ABCDE 4 bright
			Stop
	}
}
