//  ********************************************************
//  ***  Weapon: DoubleShotgun V. 2                      ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
ACTOR DoubleShotgun_AMMO : Ammo
{
	Inventory.Amount 0
	Inventory.MaxAmount 2
	Ammo.BackpackAmount 0
	Ammo.BackpackMaxAmount 2
	Inventory.Icon SHELA0
	Scale 1.00
	States
	{
		Spawn:
			SHEL A -1
			Stop
	}
}
//--------------------------------------------------------------------------------
actor DoubleShotgunPickup : CustomInventory
{
	Scale 1.0
	Inventory.PickupSound "misc/W_pkup"
	Inventory.PickUpMessage "You got the DoubleShotgun!"
	states
	{
		Spawn:
			SGN6 A -1
			Loop
		Pickup:
			TNT1 A 0 A_JumpIfInventory("DoubleShotgun", 1, 3)
			TNT1 A 0 A_GiveInventory("DoubleShotgun", 1)
			TNT1 A 0 A_GiveInventory("DoubleShotgun_AMMO", 2)
			stop
			TNT1 A 0 A_GiveInventory("Shell", 2)
			TNT1 A 0 A_SpawnItemEx("DoubleShotgunPickupEmpty", 0, 0, 0, 1, 0, 1, 0, 0, 0)
			stop
	}
}
actor DoubleShotgunPickupEmpty : DoubleShotgunPickup
{
	states
	{
		Pickup:
			TNT1 A 0 A_JumpIfInventory("DoubleShotgun", 1, 1)
			TNT1 A 0 A_GiveInventory("DoubleShotgun", 1)
			stop
			TNT1 A 0 A_SpawnItemEx("DoubleShotgunPickupEmpty", 0, 0, 0, 1, 0, 1, 0, 0, 0)
			stop
	}
}
//--------------------------------------------------------------------------------
ACTOR DoubleShotgun : Weapon replaces Supershotgun // 82
{
	Tag "DoubleShotgun"
	weapon.selectionorder 5200
	Weapon.AmmoType1 "Shell"
//	Weapon.AmmoGive 8
	Weapon.AmmoUse1 0
	States
	{
		Spawn:
			SGN6 A 1
			SGN6 A 0 A_SpawnItem("DoubleShotgunPickup")
			Stop
		Ready:
			SHT6 A 0 A_JumpIfInventory("DoubleShotgun_AMMO", 1, 20)
			SHT6 A 0 A_JumpIfInventory("Shell", 1, 1)
			Goto ready+19
			SHT6 A 0
			SHR6 BCD 6
			SHT6 D 0 A_PlayWeaponSound("weapons/doubleshotgun2")
			SHR6 E 6
			SHT6 E 0 A_PlayWeaponSound("weapons/doubleshotgun3")
			SHR6 F 6
			SHR6 G 6 A_FireCustomMissile("CasingShotgun_x",300+random(-16,16),0,3,6)
			SHT6 G 0 A_FireCustomMissile("CasingShotgun_x",300+random(-16,16),0,3,6)
			SHR6 H 4
			SHT6 A 0 A_PlayWeaponSound("weapons/doubleshotgun3")
			SHT6 A 0 A_TakeInventory("Shell", 1)
			SHT6 A 0 A_GiveInventory("DoubleShotgun_AMMO", 1)
			SHT6 A 0 A_JumpIfInventory("Shell", 1 , 1)
			Goto Ready+19
			SHT6 A 0 A_TakeInventory("Shell", 1)
			SHT6 A 0 A_GiveInventory("DoubleShotgun_AMMO", 1)
			Goto Ready+19
			SHT6 A 0
			TNT1 A 0 //A_JumpIfInventory("Reload",1,"Reload_Start")
			TNT1 A 0 //A_JumpIfInventory("Unload",1,"Unload_Start")
			TNT1 A 0 A_JumpIfInventory("DropAmmo",1,"DropAmmo_Start")
			TNT1 A 0 A_JumpIfInventory("DropWeapon",1,"DropWeapon_Start")
			SHT6 A 1 A_WeaponReady
			Goto Ready+19
		Deselect:
			SHT6 A 0
			SHT6 A 0 A_JumpIfInventory("DoubleShotgun_AMMO", 2, 14)
			SHT6 A 0 A_JumpIfInventory("DoubleShotgun_AMMO", 1, 6)
			SHT6 A 0 A_JumpIfInventory("Shell", 1, 1)
			SHT6 A 0 A_Jump(255, 11)
			SHT6 A 0
			SHT6 A 0 A_TakeInventory("Shell", 1)
			SHT6 A 0 A_GiveInventory("DoubleShotgun_AMMO", 1)
			SHT6 A 0
			SHT6 A 0 A_JumpIfInventory("Shell", 1, 2)
			SHT6 A 0
			SHT6 A 0 A_Jump(255, 4)
			SHT6 A 0
			SHT6 A 0 A_TakeInventory("Shell", 1)
			SHT6 A 0 A_GiveInventory("DoubleShotgun_AMMO", 1)
			SHT6 A 0
			SHT6 A 0
			SHT6 A 1 A_Lower
			Goto Deselect+15
		Select:
			SHT6 A 1 A_Raise
			Loop
		Fire:
			SHT6 A 0
			SHT6 A 0 A_JumpIfInventory("DoubleShotgun_AMMO", 2, 11)
			SHT6 A 0 A_JumpIfInventory("DoubleShotgun_AMMO", 1, 1)
			Goto Ready
			SHT6 C 0
			SHT6 C 0
			SHT6 C 0 A_TakeInventory("DoubleShotgun_AMMO", 1)
			SHT6 C 0 A_Light2
			SHT6 C 0 A_PlayWeaponSound("weapons/doubleshotgun1")
			SHF6 A 4 Bright A_FireBullets(9,9,9,5,"BulletPuff",0)
			SHF6 B 4
			SHT6 D 0 Bright A_Light0
			SHT6 A 6
			Goto Ready
			SHT6 A 0
			SHT6 A 0 A_TakeInventory("DoubleShotgun_AMMO", 1)
			SHT6 A 0 A_Light2
			SHT6 A 0 A_PlayWeaponSound("weapons/doubleshotgun1")
			SHF6 E 4 Bright A_FireBullets(9,9,9,5,"BulletPuff",0)
			SHF6 F 4
			SHT6 B 0 Bright A_Light0
			SHT6 A 6
			Goto Ready
		AltFire:
			SHT6 A 0
			SHT6 A 0 A_JumpIfInventory("DoubleShotgun_AMMO", 2, 4)
			SHT6 A 0 A_JumpIfInventory("DoubleShotgun_AMMO", 1, 1)
			Goto Ready
			SHT6 A 0
			Goto Fire+4
			SHT6 A 0
			SHT6 A 0 A_TakeInventory("DoubleShotgun_AMMO", 2)
			SHT6 A 0
			SHT6 I 0 A_PlayWeaponSound("weapons/doubleshotgun1")
			SHT6 I 0 A_Light2
			SHT6 I 0
			SHF6 I 4 Bright A_FireBullets(12,12,18,5,"BulletPuff",1)
			SHF6 J 4
			SHT6 J 0 A_Light0
			SHT6 A 6
			Goto Ready
/* **********          Drop Ammo          ********** */
		DropAmmo_Start:
			TNT1 A 0 A_TakeInventory("DropAmmo", 1)
			TNT1 A 0 A_JumpIfInventory("Shell", 4, 1) // is ammo in inventory?
			goto Ready
			TNT1 A 0 A_TakeInventory("Shell", 4)
			TNT1 A 0 A_SpawnItemEx("Shell_", 64, 0, 32, 5, 0, 5, 0, 0, 0)
			goto Ready
/* **********          Drop Weapon          ********** */
		DropWeapon_Start:
			TNT1 A 0 A_TakeInventory("DropWeapon", 1)
			TNT1 A 0 A_JumpIfInventory("DoubleShotgun", 1, 1) // is weapon in inventory?
			goto Ready
			//Unload magazine start
			TNT1 A 0 A_JumpIfInventory("DoubleShotgun_AMMO", 1, 1) // is ammo in magazine?
			goto DropWeapon_Start+5 // magazine is empty -> Drop Weapon
			TNT1 A 0 A_TakeInventory("DoubleShotgun_AMMO", 1)
			TNT1 A 0 A_GiveInventory("Shell", 1)
			goto DropWeapon_Start+2 //loop to unload all
			//Unload magazine end
			TNT1 A 0 A_SpawnItemEx("DoubleShotgunPickupEmpty", 64, 0, 32, 5, 0, 5, 0, 0, 0)
			TNT1 A 1 A_TakeInventory("DoubleShotgun", 1)
			goto Deselect+1
	}
}
