//  ********************************************************
//  ***  Weapon: Flame Thrower                           ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
actor FlameThrowerPickup : CustomInventory
{
	Scale 0.7
	Inventory.PickupSound "misc/W_pkup"
	Inventory.PickUpMessage "You got the Flamethrower!"
	states
	{
		Spawn:
			FLMM Z -1
			Loop
		Pickup:
			TNT1 A 0 A_JumpIfInventory("TheFlameThrower", 1, 3)
			TNT1 A 0 A_GiveInventory("TheFlameThrower", 1)
			TNT1 A 0 A_GiveInventory("Fuel", 100)
			stop
			TNT1 A 0 A_GiveInventory("Fuel", 100)
			TNT1 A 0 A_SpawnItemEx("FlameThrowerPickupEmpty", 0, 0, 0, 1, 0, 1, 0, 0, 0)
			stop
	}
}
actor FlameThrowerPickupEmpty : FlameThrowerPickup
{
	states
	{
		Pickup:
			TNT1 A 0 A_JumpIfInventory("TheFlameThrower", 1, 1)
			TNT1 A 0 A_GiveInventory("TheFlameThrower", 1)
			stop
			TNT1 A 0 A_SpawnItemEx("FlameThrowerPickupEmpty", 0, 0, 0, 1, 0, 1, 0, 0, 0)
			stop
	}
}
ACTOR TheFlameThrower : Weapon 25081
{
	Tag "FlameThrower"
	Scale 0.7
	weapon.selectionorder 2400
	Obituary "%o was burninated by %k's flamethrower!"
	Weapon.AmmoType "Fuel"
//	Weapon.AmmoGive 100
	States
	{
		Spawn:
			FLMM Z 0
			FLMM Z 1 A_SpawnItem("FlameThrowerPickup")
			Stop
		Ready: 
			TNT1 A 0 A_JumpIfInventory("DropAmmo",1,"DropAmmo_Start")
			TNT1 A 0 A_JumpIfInventory("DropWeapon",1,"DropWeapon_Start")
			FLMM ABC 1 A_WeaponReady
			Loop
		Deselect: 
			FLMM A 1 A_Lower
			Loop
		Select: 
			FLMM A 1 A_Raise
			Loop
		Fire: 
			FLMM C 0 A_JumpIfInventory("Fuel", 1, 1)
			goto Ready
			FLMM B 0 A_TakeInventory("Fuel", 1)
			FLMM B 0 A_Playsound ("weapons/flamesht")
			FLMM AB 1 A_FireCustomMissile("Flame", Random(-3, 3), 1, 8, Random(-2, 2))
			FLMM B 0 A_TakeInventory("Fuel", 1)
			FLMM B 0 A_Playsound ("weapons/flamesht")
			FLMM CB 1 A_FireCustomMissile("FlameNoDamage", Random(-4, 4), 1, 8, Random(-3, 3))
			Goto Ready
/* **********          Drop Ammo          ********** */
		DropAmmo_Start:
			TNT1 A 0 A_TakeInventory("DropAmmo", 1)
			TNT1 A 0 A_JumpIfInventory("Fuel", 75, 1) // is ammo in inventory?
			goto Ready
			TNT1 A 0 A_TakeInventory("Fuel", 75)
			TNT1 A 0 A_SpawnItemEx("Fuel", 64, 0, 32, 5, 0, 5, 0, 0, 0)
			goto Ready
/* **********          Drop Weapon          ********** */
		DropWeapon_Start:
			TNT1 A 0 A_TakeInventory("DropWeapon", 1)
			TNT1 A 0 A_JumpIfInventory("TheFlameThrower", 1, 1) // is weapon in inventory?
			goto Ready
			TNT1 A 0 A_SpawnItemEx("FlameThrowerPickupEmpty", 64, 0, 32, 5, 0, 5, 0, 0, 0)
			TNT1 A 1 A_TakeInventory("TheFlameThrower", 1)
			goto Deselect+1
	} 
} 
//  TheFlameThrower
ACTOR Flame : FlameBase//SFX_Flame replaces Flame
{
	Damage 3
	+FIREDAMAGE
}
ACTOR FlameNoDamage : Flame//SFX_NoLight_Flame replaces FlameNoDamage
{
}
