//  ********************************************************
//  ***  Weapon: Magic hands (fireball)                  ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
actor MagicHandsFireballPickup : CustomInventory
{
	Scale 0.2
	Inventory.PickupSound "misc/W_pkup"
	Inventory.PickUpMessage "You found a fireball scroll."
	+FLOATBOB
	states
	{
		Spawn:
			SPL1 A -1
			Loop
		Pickup:
			TNT1 A 0 A_JumpIfInventory("MagicHandsFireball", 1, 3)
			TNT1 A 0 A_GiveInventory("MagicHandsFireball", 1)
			TNT1 A 0 A_GiveInventory("Darkmana", 20)
			stop
			TNT1 A 0 A_GiveInventory("Darkmana", 20)
			TNT1 A 0 A_SpawnItemEx("MagicHandsFireballPickupEmpty", 0, 0, 0, 1, 0, 1, 0, 0, 0)
			stop
	}
}
actor MagicHandsFireballPickupEmpty : MagicHandsFireballPickup
{
	states
	{
		Pickup:
			TNT1 A 0 A_JumpIfInventory("MagicHandsFireball", 1, 1)
			TNT1 A 0 A_GiveInventory("MagicHandsFireball", 1)
			stop
			TNT1 A 0 A_SpawnItemEx("MagicHandsFireballPickupEmpty", 0, 0, 0, 1, 0, 1, 0, 0, 0)
			stop
	}
}
ACTOR MagicHandsFireball : Weapon 25000
{
	Tag "Magic FireBall"
	Scale 0.2
	weapon.selectionorder 2900
	Weapon.AmmoType "Darkmana"
//	Weapon.AmmoGive 20
	Weapon.AmmoUse 3
	Weapon.AmmoType2 "Darkmana"
	Weapon.AmmoUse2 2
	+FLOATBOB
//	+WEAPON.DONTBOB
	States
	{
		Spawn:
			SPL1 A 0
			SPL1 A 1 A_SpawnItem("MagicHandsFireballPickup")
			Stop
		Ready:
			TNT1 A 0 A_JumpIfInventory("DropAmmo",1,"DropAmmo_Start")
			TNT1 A 0 A_JumpIfInventory("DropWeapon",1,"DropWeapon_Start")
//			NULL A 1 A_WeaponReady
			SPLH H 2 A_WeaponReady
			TNT1 A 0 A_Jump(4, 1)
			Loop
			SPLH IJKLMNO 4 A_WeaponReady
			Loop
		Deselect:
			SPLH H 1 A_Lower
			NULL A 0 A_Lower
			goto Deselect// + 2
		Select:
			//goto Ready
			SPLH H 1 A_Raise
			Loop
		AltFire:
			SPLH A 0 A_Checkreload
//			SPLH ABCDEFG 3
			SPLH HI 3
			SPLH L 1 Bright A_FireCustomMissile("FireSpark",0,1,2,0)
			SPLH L 0 A_CheckReload
			SPLH L 1 Bright A_FireCustomMissile("FireSpark",356,0,2,0)
			SPLH L 0 A_CheckReload
			SPLH M 1 Bright A_FireCustomMissile("FireSpark",4,0,2,2)
			SPLH M 0 A_CheckReload
			SPLH M 1 Bright A_FireCustomMissile("FireSpark",348,0,2,2)
			SPLH M 0 A_CheckReload
			SPLH N 1 Bright A_FireCustomMissile("FireSpark",12,0,2,2)
			SPLH N 0 A_CheckReload
			SPLH N 1 Bright A_FireCustomMissile("FireSpark",352,0,2,2)
			SPLH N 0 A_CheckReload
			SPLH O 1 Bright A_FireCustomMissile("FireSpark",8,0,2,1)
			SPLH O 0 A_CheckReload
			SPLH O 1 Bright A_FireCustomMissile("FireSpark",1,0,2,1)
			SPLH O 0 A_CheckReload
			SPLH I 0 A_PlayWeaponSound("weapons/firespark1")
//			SPLH I 0 A_PlayWeaponSound("weapons/firewand")
//			SPLH I 0 A_FireCustomMissile("MagicHandsFireShot1",0,1,0,0)
//			SPLH JK 3
			SPLH I 0 A_ReFire
//			SPLH GFEDCBA 3
			Goto Ready
		AltHold:
			SPLH A 0 A_Checkreload
//			SPLH LM 3
			SPLH L 1 Bright A_FireCustomMissile("FireSpark",0,1,2,0)
			SPLH L 0 A_CheckReload
			SPLH L 1 Bright A_FireCustomMissile("FireSpark",356,0,2,0)
			SPLH L 0 A_CheckReload
			SPLH M 1 Bright A_FireCustomMissile("FireSpark",4,0,2,2)
			SPLH M 0 A_CheckReload
			SPLH M 1 Bright A_FireCustomMissile("FireSpark",348,0,2,2)
			SPLH M 0 A_CheckReload
			SPLH N 1 Bright A_FireCustomMissile("FireSpark",12,0,2,2)
			SPLH N 0 A_CheckReload
			SPLH N 1 Bright A_FireCustomMissile("FireSpark",352,0,2,2)
			SPLH N 0 A_CheckReload
			SPLH O 1 Bright A_FireCustomMissile("FireSpark",8,0,2,1)
			SPLH O 0 A_CheckReload
			SPLH O 1 Bright A_FireCustomMissile("FireSpark",1,0,2,1)
			SPLH O 0 A_CheckReload
			SPLH I 0 A_PlayWeaponSound("weapons/firespark1")
//			SPLH M 0 A_PlayWeaponSound("weapons/firewand")
//			SPLH M 0 A_FireCustomMissile("MagicHandsFireShot1",0,1,0,0)
//			SPLH NO 3
			SPLH O 0 A_ReFire
//			SPLH GFEDCBA 3
			Goto Ready
		Fire:
			SPLH A 0 A_Checkreload
//			SPLH ABCDEFG 3
			SPLH HI 3
			SPLH I 0 A_PlayWeaponSound("weapons/firewand")
			SPLH I 0 A_FireCustomMissile("MagicHandsFireShot2",0,1,0,0)
			SPLH JK 3
			SPLH LMNO 3
			SPLH I 0 A_ReFire
//			SPLH GFEDCBA 3
			Goto Ready
		Hold:
			SPLH A 0 A_Checkreload
			SPLH I 3
			SPLH I 0 A_PlayWeaponSound("weapons/firewand")
			SPLH I 0 A_FireCustomMissile("MagicHandsFireShot2",0,1,0,0)
			SPLH JK 3
			SPLH LMNO 3
			SPLH I 0 A_ReFire
//			SPLH GFEDCBA 3
			Goto Ready
/* **********          Drop Ammo          ********** */
		DropAmmo_Start:
			TNT1 A 0 A_TakeInventory("DropAmmo", 1)
			TNT1 A 0 A_JumpIfInventory("Darkmana", 6, 1) // is ammo in inventory?
			goto Ready
			TNT1 A 0 A_TakeInventory("Darkmana", 6)
			TNT1 A 0 A_SpawnItemEx("SmallDarkmana", 64, 0, 32, 5, 0, 5, 0, 0, 0)
			goto Ready
/* **********          Drop Weapon          ********** */
		DropWeapon_Start:
			TNT1 A 0 A_TakeInventory("DropWeapon", 1)
			TNT1 A 0 A_JumpIfInventory("MagicHandsFireball", 1, 1) // is weapon in inventory?
			goto Ready
			TNT1 A 0 A_SpawnItemEx("MagicHandsFireballPickupEmpty", 64, 0, 32, 5, 0, 5, 0, 0, 0)
			TNT1 A 1 A_TakeInventory("MagicHandsFireball", 1)
			goto Deselect+1
	}
}
//  ********************************************************
//  ***  Weapon: MagicHandsFireball                      ***
//  ********************************************************
//  ********** FireSpark **********
//  MagicHandsFireball
ACTOR FireSpark
{
   Radius 2
   Height 4
   Speed 28
   Damage 2
   Scale 0.28
   +FIREDAMAGE +NOBLOCKMAP +MISSILE +DROPOFF +NOTELEPORT +DONTSPLASH// +EXTREMEDEATH
   Renderstyle Add
   Alpha 0.5
   States
   {
   Spawn:
      RSTS AB 3 Bright
      Loop
   Death:
      RSTE A 6 Bright
      RSTE B 6 Bright A_SetTranslucent(0.6,1)
      RSTE C 6 Bright A_SetTranslucent(0.3,1)
      Stop
   }
}
//  ********************************************************
//  ***  Weapon: MagicHandsFireball                      ***
//  ********************************************************
//  ********** MagicHandsFireball small **********
//  MagicHandsFireball
/* 
ACTOR MagicHandsFireShot1 // "DRA1" used by: DragonShot
{
	Generator MagicHandsFireShot1		DoomImpScorch
	Scale 0.10
	+FIREDAMAGE
	Radius 4 Height 4
	Speed 30
	Damage 10//7
	PROJECTILE
	RENDERSTYLE NORMAL
	DeathSound "imp/shotx"
	States
	{
		Spawn:
			DRA1 ABCDEF 2
			Loop
		Death:
			SKUX ABCD 1
			SKUX E 1 A_PlaySound("monsters/firegargbolt")
			SKUX FGHIJ 1
			Stop
	}
}
*/ 
//  ********************************************************
//  ***  Weapon: MagicHandsFireball                      ***
//  ********************************************************
//  ********** Fireball big **********
//  MagicHandsFireball
ACTOR MagicHandsFireShot2
{
	Decal DoomImpScorch
	+FIREDAMAGE
	Speed 30
	PROJECTILE
	RENDERSTYLE NORMAL
	DeathSound "imp/shotx"

	Scale 0.30
	Radius 8 Height 8
	Damage 13//9
	States
	{
		Spawn:
			DRA1 ABCDEF 2 bright
			Loop
		Death:
			SKUX ABCD 1 bright
			SKUX E 0 A_Explode(45, 96)//A_Explode(30, 96)
			SKUX E 1 A_PlaySound("monsters/firegargbolt")
			SKUX FGHIJ 1
			Stop
	}
}
