//  ********************************************************
//  ***  Ammo: MiniGun Ammo                              ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
ACTOR MiniGunHeavyBullets : Ammo
{
	Inventory.Amount 0
	Inventory.MaxAmount 252
	Ammo.BackpackAmount 0
	Ammo.BackpackMaxAmount 252
//	Inventory.Icon REVII0
	States
	{
		Spawn:
			REVI I -1
			Stop
	}
}
ACTOR MiniGunHeavyRotate : Inventory
{
	Inventory.MaxAmount 1
}
//  ********************************************************
//  ***  Weapon: MiniGun                                 ***
//  ***  By: TheDarkArchon                               ***
//  ***  Modified By: Cobalt and Butcher                 ***
//  ********************************************************
actor MiniGunHeavyPickup : CustomInventory
{
	Scale 0.25
	Inventory.PickupSound "misc/W_pkup"
	Inventory.PickUpMessage "You got the Minigun!"
	states
	{
		Spawn:
			MINI Z -1
			Loop
		Pickup:
			TNT1 A 0 A_JumpIfInventory("MiniGunHeavy", 1, 3)
			TNT1 A 0 A_GiveInventory("MiniGunHeavy", 1)
			TNT1 A 0 A_GiveInventory("MiniGunHeavyBullets", 252)
			stop
			TNT1 A 0 A_GiveInventory("Clip", 252)
			TNT1 A 0 A_SpawnItemEx("MiniGunHeavyPickupEmpty", 0, 0, 0, 1, 0, 1, 0, 0, 0)
			stop
	}
}
actor MiniGunHeavyPickupEmpty : MiniGunHeavyPickup
{
	states
	{
		Pickup:
			TNT1 A 0 A_JumpIfInventory("MiniGunHeavy", 1, 1)
			TNT1 A 0 A_GiveInventory("MiniGunHeavy", 1)
			stop
			TNT1 A 0 A_SpawnItemEx("MiniGunHeavyPickupEmpty", 0, 0, 0, 1, 0, 1, 0, 0, 0)
			stop
	}
}
ACTOR MiniGunHeavyAlertMonsters
{
	Health 1000
	Radius 1 Height 1 Speed 0
	Damage 0
	Mass 1   
	PROJECTILE
	+NOCLIP
	States
	{
		Spawn:
			TNT1 A 0
			TNT1 A 1 A_AlertMonsters
			Stop
	}
}
ACTOR MiniGunHeavy : Weapon 25075
{
	Tag "Minigun"
	Scale 0.25
	weapon.selectionorder 1600
	Weapon.AmmoType "MiniGunHeavyBullets" 
	Weapon.AmmoType2 "Clip" 
	AttackSound "weapons/minigun"
	Weapon.Kickback 1
	States
	{
		Spawn:
			MINI Z 1
			MINI Z 0 A_SpawnItem("MiniGunHeavyPickup")
			Stop
		Ready:
			TNT1 A 0 A_JumpIfInventory("DropAmmo",1,"DropAmmo_Start")
			TNT1 A 0 A_JumpIfInventory("DropWeapon",1,"DropWeapon_Start")
			TNT1 A 0 A_JumpIfInventory("MiniGunHeavyRotate", 1, "Rotate")
			TNT1 A 0 A_JumpIfInventory("Reload",1,"Reload_Start")
			TNT1 A 0 A_JumpIfInventory("Unload",1,"Unload_Start")
			MINI A 1 A_WeaponReady
			Loop
		Rotate:
			TNT1 A 0 A_PlaySound("weapons/minigunhold")
			TNT1 A 0 A_FireCustomMissile("MiniGunHeavyAlertMonsters",0,0,0,0)
			MINI ABCDEFGHIJKL 1 A_WeaponReady
			goto Ready
		Deselect:
			TNT1 A 0 A_JumpIfInventory("MiniGunHeavyRotate", 1, 1)
			goto Deselect + 15
			TNT1 A 0 A_TakeInventory("MiniGunHeavyRotate", 1)
			TNT1 A 0 A_PlaySound("weapons/minigundown")
			MINI ABC 1
			MINI DEF 2
			MINI GHI 3
			MINI JKL 4
			MINI A 1 A_Lower
			Loop
		Select:
			MINI A 1 A_Raise
			Loop
		Fire:
//Ammocheck
			TNT1 A 0 A_JumpIfInventory("MiniGunHeavyRotate", 1, "Hold")
			TNT1 A 0 A_JumpIfInventory("MiniGunHeavyBullets", 6, 2)
			MINI A 0 //A_PlaySound("weapons/magnum/noammo")
			goto Ready
//SpinUp
			TNT1 A 0 A_PlaySound("weapons/minigunup")
			MINI ABC 4
			MINI DEF 3
			MINI GHI 2
			MINI JKL 1
//Fire
			TNT1 A 0 A_PlaySound("weapons/minigunhold")
			TNT1 A 0 A_TakeInventory("MiniGunHeavyBullets", 1)
			TNT1 A 0 bright A_FireCustomMissile("CasingBullet_x", 300+random(-16, 16), 0, 3, 6)
			TNT1 A 0 bright A_FireBullets(4, 4, 1, 8, "BulletPuff", 1, 10240)
			MINI A 1 A_GunFlash
			TNT1 A 0 A_TakeInventory("MiniGunHeavyBullets", 1)
			TNT1 A 0 bright A_FireCustomMissile("CasingBullet_x", 300+random(-16, 16), 0, 3, 6)
			TNT1 A 0 bright A_FireBullets(4, 4, 1, 8, "BulletPuff", 1, 10240)
			MINI C 1
			TNT1 A 0 A_TakeInventory("MiniGunHeavyBullets", 1)
			TNT1 A 0 bright A_FireCustomMissile("CasingBullet_x", 300+random(-16, 16), 0, 3, 6)
			TNT1 A 0 bright A_FireBullets(4, 4, 1, 8, "BulletPuff", 1, 10240)
			MINI E 1
			TNT1 A 0 A_TakeInventory("MiniGunHeavyBullets", 1)
			TNT1 A 0 bright A_FireCustomMissile("CasingBullet_x", 300+random(-16, 16), 0, 3, 6)
			TNT1 A 0 bright A_FireBullets(4, 4, 1, 8, "BulletPuff", 1, 10240)
			MINI G 1
			TNT1 A 0 A_TakeInventory("MiniGunHeavyBullets", 1)
			TNT1 A 0 bright A_FireCustomMissile("CasingBullet_x", 300+random(-16, 16), 0, 3, 6)
			TNT1 A 0 bright A_FireBullets(4, 4, 1, 8, "BulletPuff", 1, 10240)
			MINI I 1
			TNT1 A 0 A_TakeInventory("MiniGunHeavyBullets", 1)
			TNT1 A 0 bright A_FireCustomMissile("CasingBullet_x", 300+random(-16, 16), 0, 3, 6)
			TNT1 A 0 bright A_FireBullets(4, 4, 1, 8, "BulletPuff", 1, 10240)
			MINI K 1 A_ReFire
//Spindown
			goto SpinDown
		Hold:
			TNT1 A 0 A_JumpIfInventory("MiniGunHeavyBullets", 6, 2)
			MINI A 0 //A_PlaySound("weapons/magnum/noammo")
			goto Ready
//Fire
			TNT1 A 0 A_PlaySound("weapons/minigunhold")
			TNT1 A 0 A_TakeInventory("MiniGunHeavyBullets", 1)
			TNT1 A 0 bright A_FireCustomMissile("CasingBullet_x", 300+random(-16, 16), 0, 3, 6)
			TNT1 A 0 bright A_FireBullets(4, 4, 1, 8, "BulletPuff", 1, 10240)
			MINI A 1 A_GunFlash
			TNT1 A 0 A_TakeInventory("MiniGunHeavyBullets", 1)
			TNT1 A 0 bright A_FireCustomMissile("CasingBullet_x", 300+random(-16, 16), 0, 3, 6)
			TNT1 A 0 bright A_FireBullets(4, 4, 1, 8, "BulletPuff", 1, 10240)
			MINI C 1
			TNT1 A 0 A_TakeInventory("MiniGunHeavyBullets", 1)
			TNT1 A 0 bright A_FireCustomMissile("CasingBullet_x", 300+random(-16, 16), 0, 3, 6)
			TNT1 A 0 bright A_FireBullets(4, 4, 1, 8, "BulletPuff", 1, 10240)
			MINI E 1
			TNT1 A 0 A_TakeInventory("MiniGunHeavyBullets", 1)
			TNT1 A 0 bright A_FireCustomMissile("CasingBullet_x", 300+random(-16, 16), 0, 3, 6)
			TNT1 A 0 bright A_FireBullets(4, 4, 1, 8, "BulletPuff", 1, 10240)
			MINI G 1
			TNT1 A 0 A_TakeInventory("MiniGunHeavyBullets", 1)
			TNT1 A 0 bright A_FireCustomMissile("CasingBullet_x", 300+random(-16, 16), 0, 3, 6)
			TNT1 A 0 bright A_FireBullets(4, 4, 1, 8, "BulletPuff", 1, 10240)
			MINI I 1
			TNT1 A 0 A_TakeInventory("MiniGunHeavyBullets", 1)
			TNT1 A 0 bright A_FireCustomMissile("CasingBullet_x", 300+random(-16, 16), 0, 3, 6)
			TNT1 A 0 bright A_FireBullets(4, 4, 1, 8, "BulletPuff", 1, 10240)
			MINI K 1 A_ReFire
//
			TNT1 A 0 A_JumpIfInventory("MiniGunHeavyRotate", 1, "Ready")
			goto SpinDown
		AltFire:
			TNT1 A 0 A_JumpIfInventory("MiniGunHeavyRotate", 1, "SpinDown")
			goto SpinUp
		SpinUp:
			TNT1 A 0 A_GiveInventory("MiniGunHeavyRotate", 1)
			TNT1 A 0 A_PlaySound("weapons/minigunup")
			MINI ABC 4
			MINI DEF 3
			MINI GHI 2
			MINI JKL 1
			goto Ready
		SpinDown:
			TNT1 A 0 A_TakeInventory("MiniGunHeavyRotate", 1)
			TNT1 A 0 A_PlaySound("weapons/minigundown")
			MINI ABC 1
			MINI DEF 2
			MINI GHI 3
			MINI JKL 4
			goto Ready
/* **********          Reload          ********** */
		Reload_Start:
			TNT1 A 0 A_TakeInventory("Reload", 1)
			TNT1 A 0 A_JumpIfInventory("Clip", 1, 1) // is ammo in inventory?
			goto Ready
			TNT1 A 0 A_JumpIfInventory("MiniGunHeavyBullets", 252, "Ready") // magazine full
			MINI MN 4
			MINI O 4 A_PlaySound("weapons/AK47/reload1")
			MINI P 40
			MINI MN 4
			MINI P 4 A_PlaySound("weapons/AK47/reload2")
		Reload_Transfer:// Ammo Transfer [load weapon] (:zu diesem Zeitpunkt ist sichergestellt, dass mindestens 1 Ammo im Inventar vorhanden ist, und dass das Magazin nicht voll ist)
			TNT1 A 0 A_TakeInventory("Clip", 1)
			TNT1 A 0 A_GiveInventory("MiniGunHeavyBullets", 1)
			TNT1 A 0 A_JumpIfInventory("MiniGunHeavyBullets", 252, "Ready") //if magazine is full then ready
			TNT1 A 0 A_JumpIfInventory("Clip", 1, "Reload_Transfer") //loop to load the rest | Wenn noch was im Inventar da ist, weiterladen
//			goto Reload_End // Da keine Munition im Inventar mehr da ist, (Jump to Anim2 [ready])
		Reload_End: // end animation of reloading
			TNT1 A 0 // (JumpPoint ready Laden [Anim2])
			goto Ready
/* **********          Unload          ********** */
		Unload_Start:
			TNT1 A 0 A_TakeInventory("Unload", 1)
			TNT1 A 0 A_JumpIfInventory("MiniGunHeavyBullets", 1, 1) // is ammo in magazine?
			goto Ready
			MINI MN 4
			MINI O 4 A_PlaySound("weapons/AK47/reload1")
			MINI P 15
			MINI MN 4
			MINI P 3 A_PlaySound("weapons/AK47/reload2")
		Unload_Transfer: // Ammo Transfer [Entladen]
			TNT1 A 0 A_JumpIfInventory("MiniGunHeavyBullets", 1, 1) // is ammo in magazine? Wenn im Magazin noch mindestens ein Ammo drin ist, dann zum (Ammo Transfer (Entladen)) springen
			goto Unload_End // magazine is empty -> End Unload Sequence
			TNT1 A 0 A_TakeInventory("MiniGunHeavyBullets", 1)
			TNT1 A 0 A_GiveInventory("Clip", 1)
			goto Unload_Transfer //loop to unload all
		Unload_End:
			TNT1 A 0
			goto Ready
/* **********          DropAmmo          ********** */
		DropAmmo_Start:
			TNT1 A 0 A_TakeInventory("DropAmmo", 1)
			TNT1 A 0 A_JumpIfInventory("Clip", 12, 1) // is ammo in inventory?
			goto Ready
			TNT1 A 0 A_TakeInventory("Clip", 12)
			TNT1 A 0 A_SpawnItemEx("Clip_", 64, 0, 32, 5, 0, 5, 0, 0, 0)
			goto Ready
/* **********          DropWeapon          ********** */
		DropWeapon_Start:
			TNT1 A 0 A_TakeInventory("DropWeapon", 1)
			TNT1 A 0 A_JumpIfInventory("MiniGunHeavy", 1, 1) // is weapon in inventory?
			goto Ready
			//Unload magazine start
			TNT1 A 0 A_JumpIfInventory("MiniGunHeavyBullets", 1, 1) // is ammo in magazine?
			goto DropWeapon_Start+5 // magazine is empty -> Drop Weapon
			TNT1 A 0 A_TakeInventory("MiniGunHeavyBullets", 1)
			TNT1 A 0 A_GiveInventory("Clip", 1)
			goto DropWeapon_Start+2 //loop to unload all
			//Unload magazine end
			TNT1 A 0 A_JumpIfInventory("MiniGunHeavyRotate", 1, "DropWeapon_SpinDown")
			TNT1 A 0 A_SpawnItemEx("MiniGunHeavyPickupEmpty", 64, 0, 32, 5, 0, 5, 0, 0, 0)
			TNT1 A 1 A_TakeInventory("MiniGunHeavy", 1)
			goto Deselect+1
		DropWeapon_SpinDown:
			TNT1 A 0 A_TakeInventory("MiniGunHeavyRotate", 1)
			TNT1 A 0 A_PlaySound("weapons/minigundown")
			TNT1 A 0 A_SpawnItemEx("MiniGunHeavyPickupEmpty", 64, 0, 32, 5, 0, 5, 0, 0, 0)
			TNT1 A 1 A_TakeInventory("MiniGunHeavy", 1)
			goto Deselect+1
		Flash:
			MINI XYXYXY 1 bright
			Stop
	}
}
