//  ********************************************************
//  ***  Weapon: Molotov Cocktail                        ***
//  ***  By: Scientist                                   ***
//  ***  Modified By: Cobalt and Butcher                 ***
//  ********************************************************
ACTOR Molotovx : Weapon 25013
{ 
	Tag "Molotov Cocktail"
	weapon.selectionorder 2600
	Scale 0.25
	Weapon.AmmoType  "Fuel" 
	Weapon.AmmoGive 0
	Weapon.AmmoUse 10
	Inventory.PickupSound "misc/w_pkup" 
	Inventory.PickupMessage "You got a Molotov Cocktail!"
	Obituary "%o can't handle his cocktail."
	States 
	{ 
		Spawn: 
			MOGT A 2
			MOGT B 2
			MOGT C 2
			MOGT D 2
			MOGT E 2
			Loop 
		Ready: 
			MOGL A 0 A_CheckReload
			TNT1 A 0 A_JumpIfInventory("DropAmmo",1,"DropAmmo_Start")
			MOGL A 2 A_WeaponReady
			TNT1 A 0 A_JumpIfInventory("DropAmmo",1,"DropAmmo_Start")
			MOGL B 2 A_WeaponReady
			TNT1 A 0 A_JumpIfInventory("DropAmmo",1,"DropAmmo_Start")
			MOGL C 2 A_Light1
			TNT1 A 0 A_JumpIfInventory("DropAmmo",1,"DropAmmo_Start")
			MOGL D 2 A_WeaponReady
			TNT1 A 0 A_JumpIfInventory("DropAmmo",1,"DropAmmo_Start")
			MOGL E 2 A_Light0
			Loop 
		Deselect: 
			MOGL A 1 A_Lower
			MOGL B 1 A_Lower
			Loop 
		Select: 
			MOGL C 0 A_CheckReload
			MOGL C 1 A_Raise
			MOGL D 1 A_Raise 
			Loop 
		Fire: 
			MOGG B 10 
			MOGF A 2 A_GunFlash 
			MOGF B 10 A_FireCustomMissile("Bottlex", 0, 1, 0, 5) 
			MOGF B 8 A_ReFire 
			Goto Ready 
		Flash: 
			MOGG B 5 bright
			MOGG B 5 bright
			Stop 
/* **********          Drop Ammo          ********** */
		DropAmmo_Start:
			TNT1 A 0 A_TakeInventory("DropAmmo", 1)
			TNT1 A 0 A_JumpIfInventory("Fuel", 75, 1) // is ammo in inventory?
			goto Ready
			TNT1 A 0 A_TakeInventory("Fuel", 75)
			TNT1 A 0 A_SpawnItemEx("Fuel", 64, 0, 32, 5, 0, 5, 0, 0, 0)
			goto Ready
	}
} 
//  ********************************************************
//  ***  Weapon: Molotovx                                ***
//  ********************************************************
//  ********** Flying Bottle/Molotov Cocktail **********
//  Molotovx
ACTOR Bottlex
{
	DeathSound "weapons/bottle"
	Scale 0.3
	Radius 4
	Height 4
	Speed 30
	Damage 5
	+FIREDAMAGE
	+NOBLOCKMAP
	+ACTIVATEPCROSS
	+ACTIVATEIMPACT
	+NOTELEPORT
	+DROPOFF
	+DONTFALL
	+MISSILE
	States
	{
		Spawn:
			MOGT A 1
			MOGT B 1
			MOGT C 1 
			MOGT D 1
			MOGT E 1
			Loop
		Death:
			TNT1 G 1 
			TNT1 H 1 A_Explode(32, 96, 0)
			TNT1 A 0 A_CustomMissile("FireOnFloorShot", 0, Random(-4, 4), 0)
			TNT1 A 0 A_CustomMissile("FireOnFloorShot_NoLight", 0, Random(-4, 4), 32)
			TNT1 A 0 A_CustomMissile("FireOnFloorShot_NoLight", 0, Random(-4, 4), 64)
			TNT1 A 0 A_CustomMissile("FireOnFloorShot_NoLight", 0, Random(-4, 4), 96)
			TNT1 A 0 A_CustomMissile("FireOnFloorShot_NoLight", 0, Random(-4, 4), 128)
			TNT1 A 0 A_CustomMissile("FireOnFloorShot_NoLight", 0, Random(-4, 4), 160)
			TNT1 A 0 A_CustomMissile("FireOnFloorShot_NoLight", 0, Random(-4, 4), 192)
			TNT1 A 0 A_CustomMissile("FireOnFloorShot_NoLight", 0, Random(-4, 4), 224)
			TNT1 A 0 A_CustomMissile("FireOnFloorShot_NoLight", 0, Random(-4, 4), 256)
			TNT1 A 0 A_CustomMissile("FireOnFloorShot_NoLight", 0, Random(-4, 4), 288)
			TNT1 A 0 A_CustomMissile("FireOnFloorShot_NoLight", 0, Random(-4, 4), 320)
			TNT1 A 0 A_CustomMissile("FireOnFloorShot_NoLight", 0, Random(-4, 4), 352)
//			TNT1 I 0 A_CustomMissile("FireOnFloor_FireFieldSpawner", 0, 0, 0)
			TNT1 ABC 3
			TNT1 C 0 A_Jump(191,4)
			TNT1 C 0 A_Explode(32, 96, 0)
			TNT1 DEFGHIJ 3
			TNT1 KLMNO 3
			Stop
	}
}
//  ********** Fire on Floor **********
//Fire on Floor Start
/* 
ACTOR FireOnFloor_FireFieldSpawner
{
	Radius 3
	Height 3
	Speed 12
	Scale 0.5
	PROJECTILE
	+RIPPER +BLOODLESSIMPACT -NOGRAVITY// +FLOORHUGGER +FLOORCLIP
	States
	{
		Spawn:
			TNT1 A 0
//			TNT1 A 0 A_SpawnItemEx("FireOnFloor", 20, 20, -20, 0, 0, 0, -1, SXF_NOCHECKPOSITION)
//			TNT1 A 0 A_SpawnItemEx("FireOnFloor_NoLight", -20, -20, -20, 0, 0, 0, -1, SXF_NOCHECKPOSITION)
			TNT1 A 0 A_CustomMissile("FireOnFloorShot", 0, Random(-4, 4), 0)
			TNT1 A 0 A_CustomMissile("FireOnFloorShot_NoLight", 0, Random(-4, 4), 32)
			TNT1 A 0 A_CustomMissile("FireOnFloorShot_NoLight", 0, Random(-4, 4), 64)
			TNT1 A 0 A_CustomMissile("FireOnFloorShot_NoLight", 0, Random(-4, 4), 96)
			TNT1 A 0 A_CustomMissile("FireOnFloorShot_NoLight", 0, Random(-4, 4), 128)
			TNT1 A 0 A_CustomMissile("FireOnFloorShot_NoLight", 0, Random(-4, 4), 160)
			TNT1 A 0 A_CustomMissile("FireOnFloorShot_NoLight", 0, Random(-4, 4), 192)
			TNT1 A 0 A_CustomMissile("FireOnFloorShot_NoLight", 0, Random(-4, 4), 224)
			TNT1 A 0 A_CustomMissile("FireOnFloorShot_NoLight", 0, Random(-4, 4), 256)
			TNT1 A 0 A_CustomMissile("FireOnFloorShot_NoLight", 0, Random(-4, 4), 288)
			TNT1 A 0 A_CustomMissile("FireOnFloorShot_NoLight", 0, Random(-4, 4), 320)
			TNT1 A 0 A_CustomMissile("FireOnFloorShot_NoLight", 0, Random(-4, 4), 352)
			Goto Death
		Death:
			TNT1 A 0
			Stop
	}
}
*/ 
/* 
ACTOR FireOnFloor_FireFieldSpawner_s
{
	Radius 3
	Height 3
	Speed 12
	Scale 0.5
	PROJECTILE
	+RIPPER +BLOODLESSIMPACT -NOGRAVITY// +FLOORHUGGER +FLOORCLIP
	States
	{
		Spawn:
			TNT1 A 0
			TNT1 A 0 A_CustomMissile("FireOnFloorShot", 0, Random(-4, 4), 0)
			TNT1 A 0 A_CustomMissile("FireOnFloorShot_NoLight", 0, Random(-4, 4), 32)
			TNT1 A 0 A_CustomMissile("FireOnFloorShot_NoLight", 0, Random(-4, 4), 64)
			TNT1 A 0 A_CustomMissile("FireOnFloorShot_NoLight", 0, Random(-4, 4), 128)
			TNT1 A 0 A_CustomMissile("FireOnFloorShot_NoLight", 0, Random(-4, 4), 192)
			TNT1 A 0 A_CustomMissile("FireOnFloorShot_NoLight", 0, Random(-4, 4), 256)
			TNT1 A 0 A_CustomMissile("FireOnFloorShot_NoLight", 0, Random(-4, 4), 320)
			Goto Death
		Death:
			TNT1 A 0
			Stop
	}
}
*/ 
ACTOR FireOnFloorShot
{
	Radius 3 Height 3 Speed 12
	Scale 0.5
	PROJECTILE
	+RIPPER +BLOODLESSIMPACT -NOGRAVITY// +FLOORHUGGER +FLOORCLIP
	States
	{
		Spawn:
			TNT1 A 0
			TNT1 A 1 A_Jump(64, 4)
			TNT1 A 1 A_Jump(64, 3)
			TNT1 A 1 A_Jump(64, 2)
			TNT1 A 1
			TNT1 A 0
			Goto Death
		Death:
			TNT1 A 0 A_CustomMissile("FireOnFloor", Random(0, 12) + 24, Random(-4, 4), 48)
			Stop
	}
}
ACTOR FireOnFloorShot_NoLight : FireOnFloorShot
{
	States
	{
		Death:
			TNT1 A 0 A_CustomMissile("FireOnFloor_NoLight", Random(0, 12) + 24, Random(-4, 4), 48)
			Stop
	}
}
