//  ********************************************************
//  ***  Weapon: Skullripper                             ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
actor SkullripperPickup : CustomInventory
{
	Scale 0.67
	Inventory.PickupSound "misc/W_pkup"
	Inventory.PickUpMessage "You got the legendary Skullripper !"
	states
	{
		Spawn:
			SKRW A -1
			Loop
		Pickup:
			TNT1 A 0 A_JumpIfInventory("Skullripper", 1, 3)
			TNT1 A 0 A_GiveInventory("Skullripper", 1)
			TNT1 A 0 A_GiveInventory("Darkmana", 32)
			stop
			TNT1 A 0 A_GiveInventory("Darkmana", 32)
			TNT1 A 0 A_SpawnItemEx("SkullripperPickupEmpty", 0, 0, 0, 1, 0, 1, 0, 0, 0)
			stop
	}
}
actor SkullripperPickupEmpty : SkullripperPickup
{
	states
	{
		Pickup:
			TNT1 A 0 A_JumpIfInventory("Skullripper", 1, 1)
			TNT1 A 0 A_GiveInventory("Skullripper", 1)
			stop
			TNT1 A 0 A_SpawnItemEx("SkullripperPickupEmpty", 0, 0, 0, 1, 0, 1, 0, 0, 0)
			stop
	}
}
ACTOR Skullripper : Weapon 25050
{
	Tag "Skullripper"
	Scale 0.67
	weapon.selectionorder 2800
	Weapon.AmmoType "Darkmana"
//	Weapon.Ammogive 32
	Weapon.Ammouse 15
	Weapon.AmmoType2 "Darkmana"
	Weapon.Ammouse2 10
	States
	{
		Spawn:
			SKRW A 0
			SKRW A 1 A_SpawnItem("SkullripperPickup")
			Stop
		Ready:
			TNT1 A 0 A_JumpIfInventory("DropAmmo",1,"DropAmmo_Start")
			TNT1 A 0 A_JumpIfInventory("DropWeapon",1,"DropWeapon_Start")
			SKRP A 1 A_WeaponReady
			LOOP
		Deselect:
			SKRP A 1 A_Lower
			LOOP
		Select:
			SKRP A 1 A_Raise
			Loop
		Fire:
			SKRP B 0 A_PlaySound ("weapons/skullreaper0")
			SKRP B 0 A_Checkreload  //  A_JumpIfNoAmmo(18)
			SKRP B 8
			SKRP B 10 A_GunFlash
			SKRP C 4 A_FireCustomMissile("Skullballsmall",6,1,3,0)
			SKRP D 4 A_FireCustomMissile("Skullballsmall",12,0,3,0)
			SKRP C 4 A_FireCustomMissile("Skullballnormal",0,0,5,13)
			SKRP D 4 A_FireCustomMissile("Skullballsmall",0,0,3,0)
			SKRP C 4 A_FireCustomMissile("Skullballsmall",3,0,3,0)
			SKRP D 4 A_FireCustomMissile("Skullballsmall",9,0,3,0)
			SKRP C 4 A_FireCustomMissile("Skullballnormal",9,0,1,-13)
			SKRP D 4 A_FireCustomMissile("Skullballsmall",-6,0,3,0)
			SKRP D 0 A_PlaySound ("weapons/skullreaper1")
			SKRP C 4 A_FireCustomMissile("Skullballsmall",-12,0,3,0)
			SKRP D 4 A_FireCustomMissile("Skullballsmall",-9,0,3,0)
			SKRP C 4 A_FireCustomMissile("Skullballnormal",6,0,3,0)
			SKRP D 4 A_FireCustomMissile("Skullballsmall",12,0,3,0)
			SKRP C 4 A_FireCustomMissile("Skullballsmall",0,0,5,13)
			SKRP D 4 A_FireCustomMissile("Skullballnormal",0,0,3,0)
			SKRP E 4 A_FireCustomMissile("Skullballbig",0,0,0,0)
			SKRP D 4 A_FireCustomMissile("Skullballsmall",9,0,3,0)
			SKRP C 6 
			SKRP B 6 
			Goto Ready
		AltFire:
			SKRP B 0 A_PlaySound ("weapons/skullreaper0")
			SKRP B 0 A_Checkreload
			SKRP B 8
			SKRP B 10 A_GunFlash
			SKRP C 4
			SKRP D 4
			SKRP C 4
			SKRP D 4
			SKRP C 4
			SKRP D 4
			SKRP C 4
			SKRP D 4
			SKRP D 0
			SKRP C 4
			SKRP D 4
			SKRP D 0 A_PlaySound ("weapons/skullreaper4")
			SKRP E 4 A_FireCustomMissile("Skullballbig",0,1,0,0)
			SKRP C 4 A_Checkreload
			SKRP D 4
			SKRP D 0 A_PlaySound ("weapons/skullreaper4")
			SKRP E 4 A_FireCustomMissile("Skullballbig",0,1,0,0)
			SKRP C 4 A_Checkreload
			SKRP D 4
			SKRP D 0 A_PlaySound ("weapons/skullreaper4")
			SKRP E 4 A_FireCustomMissile("Skullballbig",0,1,0,0)
			SKRP D 4
			SKRP C 6 
			SKRP B 6 
			Goto Ready
/* **********          Drop Ammo          ********** */
		DropAmmo_Start:
			TNT1 A 0 A_TakeInventory("DropAmmo", 1)
			TNT1 A 0 A_JumpIfInventory("Darkmana", 6, 1) // is ammo in inventory?
			goto Ready
			TNT1 A 0 A_TakeInventory("Darkmana", 6)
			TNT1 A 0 A_SpawnItemEx("SmallDarkmana", 64, 0, 32, 5, 0, 5, 0, 0, 0)
			goto Ready
/* **********          Drop Weapon          ********** */
		DropWeapon_Start:
			TNT1 A 0 A_TakeInventory("DropWeapon", 1)
			TNT1 A 0 A_JumpIfInventory("Skullripper", 1, 1) // is weapon in inventory?
			goto Ready
			TNT1 A 0 A_SpawnItemEx("SkullripperPickupEmpty", 64, 0, 32, 5, 0, 5, 0, 0, 0)
			TNT1 A 1 A_TakeInventory("Skullripper", 1)
			goto Deselect+1
	}
}
//  ********************************************************
//  ***  Weapon: Skullripper                             ***
//  ********************************************************
//  ********** Skull burning m **********
//  Skullripper
ACTOR Skullballnormal
{
	+FIREDAMAGE +RIPPER +BLOODLESSIMPACT
	Radius 8
	Height 6
	Speed 13
	Damage 5//15
	Scale 0.3
	PROJECTILE
	DeathSound "weapons/skullreapernst"
	States
	{
		Spawn:
			SKUS A 3 bright
			Loop
		Death:
			SKUX ABCDEFGHIJ 1 Bright
			Stop
	}
}
//  ********************************************************
//  ***  Weapon: Skullripper                             ***
//  ********************************************************
//  ********** Skull burning s **********
//  Skullripper
ACTOR Skullballsmall : Skullballnormal
{
	Radius 8
	Height 6
	Speed 15
	Damage 1//7
	Scale 0.1
}
//  ********************************************************
//  ***  Weapon: Skullripper                             ***
//  ********************************************************
//  ********** Skull burning l **********
//  Skullripper
ACTOR Skullballbig : Skullballnormal
{
	Radius 8
	Height 6
	Speed 11
	Damage 11//56
	Scale 0.5
	DeathSound "weapons/skullreaperbst"
}
