//  ***********************************************************************************
//  ******  weapons spezial  ******
//  *******************************
/* **********          Reload          ********** */
ACTOR ReloadActive : CustomInventory
{
	Inventory.Amount 1
	Inventory.MaxAmount 1
	-INVBAR
	States
	{
		Use:
			TNT1 A 0 A_GiveInventory("Reload", 1)
			Fail
	}
}
ACTOR ReloadCancel : CustomInventory
{
	Inventory.Amount 1
	Inventory.MaxAmount 1
	-INVBAR
	States
	{
		Use:
			TNT1 A 0 A_JumpIfInventory("Reload",1,1)
			Fail
			TNT1 A 0 A_TakeInventory("Reload", 1)
			Fail
	}
}
ACTOR Reload : Inventory
{
	Inventory.MaxAmount 1
}
/* **********          Unload          ********** */
ACTOR UnloadActive : CustomInventory
{
	Inventory.Amount 1
	Inventory.MaxAmount 1
	-INVBAR
	States
	{
		Use:
			TNT1 A 0 A_GiveInventory("Unload", 1)
			Fail
	} 
}
ACTOR UnloadCancel : CustomInventory
{
	Inventory.Amount 1
	Inventory.MaxAmount 1
	-INVBAR
	States
	{
		Use:
			TNT1 A 0 A_JumpIfInventory("Unload",1,1)
			Fail
			TNT1 A 0 A_TakeInventory("Unload", 1)
			Fail
	}
}
ACTOR Unload : Inventory
{
	Inventory.MaxAmount 1
}
/* **********          DropAmmo          ********** */
ACTOR DropAmmoActive : CustomInventory
{
	Inventory.Amount 1
	Inventory.MaxAmount 1
	-INVBAR
	States
	{
		Use:
			TNT1 A 0 A_GiveInventory("DropAmmo", 1)
			Fail
	} 
}
ACTOR DropAmmoCancel : CustomInventory
{
	Inventory.Amount 1
	Inventory.MaxAmount 1
	-INVBAR
	States
	{
		Use:
			TNT1 A 0 A_JumpIfInventory("DropAmmo",1,1)
			Fail
			TNT1 A 0 A_TakeInventory("DropAmmo", 1)
			Fail
	}
}
ACTOR DropAmmo : Inventory
{
	Inventory.MaxAmount 1
}
/* **********          DropWeapon          ********** */
ACTOR DropWeaponActive : CustomInventory
{
	Inventory.Amount 1
	Inventory.MaxAmount 1
	-INVBAR
	States
	{
		Use:
			TNT1 A 0 A_GiveInventory("DropWeapon", 1)
			Fail
	} 
}
ACTOR DropWeaponCancel : CustomInventory
{
	Inventory.Amount 1
	Inventory.MaxAmount 1
	-INVBAR
	States
	{
		Use:
			TNT1 A 0 A_JumpIfInventory("DropWeapon",1,1)
			Fail
			TNT1 A 0 A_TakeInventory("DropWeapon", 1)
			Fail
	}
}
ACTOR DropWeapon : Inventory
{
	Inventory.MaxAmount 1
}
//  ***********************************************************************************
//  ******  Throwing  ******
//  ************************
/* **********          Throw Grenade          ********** */
ACTOR ThrowGrenadeActive : CustomInventory
{
	Inventory.Amount 1
	Inventory.MaxAmount 1
	-INVBAR
	States
	{
		Use:
			TNT1 A 0 A_JumpIfInventory("GrenadeSelected", 4, "ThrowTNT4")
			TNT1 A 0 A_JumpIfInventory("GrenadeSelected", 3, "ThrowTNT3")
			TNT1 A 0 A_JumpIfInventory("GrenadeSelected", 2, "ThrowTNT2")
			TNT1 A 0 A_JumpIfInventory("GrenadeSelected", 1, "ThrowTNT1")
			goto ThrowMolotovCocktail
		ThrowTNT1://sofort Explode
			TNT1 A 0 A_JumpIfInventory("TNT", 1, 1)
			goto NoAmmoFail
			TNT1 A 0 A_PlayWeaponSound("weapons/tntwurf")
			TNT1 A 0 A_TakeInventory("TNT", 1)
			TNT1 A 15 A_FireCustomMissile("TNT_BURN_FL",0,0,0,5)
			Fail
		ThrowTNT2://nach Zeit Explode
			TNT1 A 0 A_JumpIfInventory("TNT", 1, 1)
			goto NoAmmoFail
			TNT1 A 0 A_PlayWeaponSound("weapons/tntwurf")
			TNT1 A 0 A_TakeInventory("TNT", 1)
			TNT1 A 15 A_FireCustomMissile("TNT_BURN_FL_ALT",0,0,0,5)
			Fail
		ThrowTNT3://Fernzundung
			TNT1 A 0 A_JumpIfInventory("TNT", 1, 1)
			goto NoAmmoFail
			TNT1 A 0 A_PlayWeaponSound("weapons/tntwurf")
			TNT1 A 0 A_TakeInventory("TNT", 1)
			TNT1 A 15 A_FireCustomMissile("TNT_TV_FL",0,0,0,5)
			Fail
		ThrowTNT4://Annaherung
			TNT1 A 0 A_JumpIfInventory("TNT", 1, 1)
			goto NoAmmoFail
			TNT1 A 0 A_PlayWeaponSound("weapons/tntwurf")
			TNT1 A 0 A_TakeInventory("TNT", 1)
			TNT1 A 15 A_FireCustomMissile("TNT_DI_FL",0,0,0,5)
			Fail
		ThrowMolotovCocktail:
			TNT1 A 0 A_JumpIfInventory("Fuel", 10, 1)
			goto NoAmmoFail
			TNT1 A 0 A_PlayWeaponSound("weapons/tntwurf")
			TNT1 A 0 A_TakeInventory("Fuel", 10)
			TNT1 A 15 A_FireCustomMissile("Bottlex",0,0,0,5) 
			Fail
		NoAmmoFail:
			TNT1 A 1
			Fail
	}
}
ACTOR ThrowGrenadeCancel : CustomInventory
{
	Inventory.Amount 1
	Inventory.MaxAmount 1
	-INVBAR
	States
	{
		Use:
			TNT1 A 0 //A_JumpIfInventory("ThrowGrenade",1,1)
			Fail
			TNT1 A 0 //A_TakeInventory("ThrowGrenade", 1)
			Fail
	}
}
ACTOR ThrowGrenade : Inventory
{
	Inventory.MaxAmount 1
}
/* **********          Next Grenade          ********** */
ACTOR NextGrenadeActive : CustomInventory
{
	Inventory.Amount 1
	Inventory.MaxAmount 1
	-INVBAR
	States
	{
		Use:
			TNT1 A 0
			TNT1 A 0 A_JumpIfInventory("GrenadeSelected", 4, "SetToZero")
			TNT1 A 0 A_GiveInventory("GrenadeSelected", 1)
			Fail
		SetToZero:
			TNT1 A 0 A_TakeInventory("GrenadeSelected", 4)
			Fail
	} 
}
ACTOR NextGrenadeCancel : CustomInventory
{
	Inventory.Amount 1
	Inventory.MaxAmount 1
	-INVBAR
	States
	{
		Use:
			TNT1 A 0 A_JumpIfInventory("NextGrenade",1,1)
			Fail
			TNT1 A 0 A_TakeInventory("NextGrenade", 1)
			Fail
	}
}
ACTOR NextGrenade : Inventory
{
	Inventory.MaxAmount 1
}
/* **********          Detonator          ********** */
ACTOR GrenadeDetonatorActive : CustomInventory
{
	Inventory.Amount 1
	Inventory.MaxAmount 1
	-INVBAR
	States
	{
		Use:
			TNT1 A 0 Thing_Projectile(1999,203,0,0,0)
			TNT1 A 0 Thing_ReMove(1999)
			TNT1 A 0// A_GiveInventory("GrenadeDetonator", 1)
			Fail
	} 
}
ACTOR GrenadeDetonatorGrenadeCancel : CustomInventory
{
	Inventory.Amount 1
	Inventory.MaxAmount 1
	-INVBAR
	States
	{
		Use:
			TNT1 A 0// A_JumpIfInventory("GrenadeDetonator",1,1)
			Fail
			TNT1 A 0// A_TakeInventory("GrenadeDetonator", 1)
			Fail
	}
}
/* 
ACTOR GrenadeDetonator : Inventory
{
	Inventory.MaxAmount 1
}
*/ 
/* **********          Detonator          ********** */
ACTOR GrenadeSelected : Inventory
{
	Inventory.MaxAmount 4//==5 Grenades
}
//  ***********************************************************************************
//  ******  weapons  ******
//  ***********************
/* **********          Weapon Heat          ********** */
//  PhotonRifle, BFG10k, Railgun
ACTOR PhotonRifleHeat : Ammo
{
	Inventory.MaxAmount 100
	Ammo.BackpackAmount 0
	Ammo.BackpackMaxAmount 100
	Inventory.Icon STTPRCNT
}
