//  *****************
//  ***  Torches  ***
//  *****************
FlickerLight2 RedTorchA
{
	Size 100//60
	SecondarySize 105//75
	Interval 2.0
	Color 1.0 0.2 0.0
	Offset 0 52 0
}
FlickerLight2 RedTorchB
{
	Size 70//55
	SecondarySize 75//70
	Interval 2.0
	Color 1.0 0.2 0.0
	Offset 0 30 0
}
Object RedTorch_
{
	Frame TRCH { Light RedTorchA }
}
Object ShortRedTorch_
{
	Frame STCB { Light RedTorchB }
}
Object LightRed_
{
	Frame TNT1 { Light RedTorchB }
}
FlickerLight2 GreenTorchA
{
	Size 100//60
	SecondarySize 105//75
	Interval 2.0
	Color 0.0 0.6 0.0
	Offset 0 52 0
}
FlickerLight2 GreenTorchB
{
	Size 70//55
	SecondarySize 75//70
	Interval 2.0
	Color 0.0 0.6 0.0
	Offset 0 30 0
}
Object GreenTorch_
{
	Frame TRCH { Light GreenTorchA }
}
Object ShortGreenTorch_
{
	Frame STCB { Light GreenTorchB }
}
Object LightGreen_
{
	Frame TNT1 { Light GreenTorchB }
}
FlickerLight2 BlueTorchA
{
	Size 100//60
	SecondarySize 105//75
	Interval 2.0
	Color 0.0 0.0 0.7
	Offset 0 52 0
}
FlickerLight2 BlueTorchB
{
	Size 70//55
	SecondarySize 75//70
	Interval 2.0
	Color 0.0 0.0 0.7
	Offset 0 30 0
}
Object BlueTorch_
{
	Frame TRCH { Light BlueTorchA }
}
Object ShortBlueTorch_
{
	Frame STCB { Light BlueTorchB }
}
Object LightBlue_
{
	Frame TNT1 { Light BlueTorchB }
}
FlickerLight2 PurpleTorchA
{
	Size 100//60
	SecondarySize 105//75
	Interval 2.0
	Color 0.8 0.0 1.0
	Offset 0 52 0
}
FlickerLight2 PurpleTorchB
{
	Size 70//55
	SecondarySize 75//70
	Interval 2.0
	Color 0.8 0.0 1.0
	Offset 0 30 0
}
Object PurpleTorch_
{
	Frame TRCH { Light PurpleTorchA }
}
Object ShortPurpleTorch_
{
	Frame STCB { Light PurpleTorchB }
}
Object LightPurple_
{
	Frame TNT1 { Light PurpleTorchB }
}
FlickerLight2 YellowTorchA
{
	Size 100//60
	SecondarySize 105//75
	Interval 2.0
	Color 1.0 0.5 0.0
	Offset 0 52 0
}
FlickerLight2 YellowTorchB
{
	Size 70//55
	SecondarySize 75//70
	Interval 2.0
	Color 1.0 0.5 0.0
	Offset 0 30 0
}
Object YellowTorch_
{
	Frame TRCH { Light YellowTorchA }
}
Object ShortYellowTorch_
{
	Frame STCB { Light YellowTorchB }
}
Object LightYellow_
{
	Frame TNT1 { Light YellowTorchB }
}
//  ************************
//  ***  Burning Barrel  ***
//  ************************
FlickerLight2 BurningBarrelA
{
	Size 70
	SecondarySize 85
	Interval 2.0
	Color 1.0 0.3 0.0
	Offset 0 52 0
}
Object BurningBarrel_
{
	Frame FCAN { Light BurningBarrelA }
}
//  **************************
//  ***  Explosive Barrel  ***
//  **************************
flickerlight ExplosionBarrelFireGenerator_F1
{
    color 0.8 0.4 0.0
    size 72
    secondarySize 80
    chance 0.3
}
object ExplosionBarrelFireGenerator
{
	frame TNT1A { light ExplosionBarrelFireGenerator_F1 }
}
//  **************************
//  ***  Candle			   ***
//  **************************
pointlight CANDLE
{
    color 1.0 1.0 0.0
    size 16
    offset 0 16 0
}

object Candlestick_
{
    frame CAND { light CANDLE }
}
// Candelabra
pointlight CANDELABRA
{
    color 1.0 1.0 0.0
    size 48
    offset 0 52 0
}
object Candelabra_
{
    frame CBRA { light CANDELABRA }
}
// Floor lamp
pointlight LAMP
{
    color 1.0 1.0 0.8
    size 56
    offset 0 44 0
}
object Column_
{
    frame COLU { light LAMP }
}
// Short tech lamp
pulselight SMALLLAMP
{
    color 0.8 0.8 1.0
    size 56
    secondarySize 58
    interval 0.4
    offset 0 44 0
}
object TechLamp2_
{
    frame TLP2 { light SMALLLAMP }
}
// Tall tech lamp
pulselight BIGLAMP
{
    color 0.8 0.8 1.0
    size 64
    secondarySize 66
    interval 0.4
    offset 0 72 0
}
object TechLamp_
{
    frame TLMP { light BIGLAMP }
}
// Skulls w/candles
flickerlight2 SKULLCANDLES
{
    color 1.0 1.0 0.0
    size 32
    secondarySize 34
    interval 0.1
    offset 0 24 0
}
object HeadCandles_
{
    frame POL3 { light SKULLCANDLES }
}
