//  ****************************************************************************
//  ***  Decorate: Fire Pillar                           ***
//  ********************************************************
//  ********** Fire Pillar **********
// Params: 
// Param 1: Args[0] -> 0 = NOGRAVITY, 1 = FloorClip, 2 = CeilingClip | 2 don't work
// Param 2: Args[1] -> x-monumentum -> 128 = 0 xmon | 64 -> -64*0.1 = -6.4 xmon | 192 -> 64*01 6.4 Xmon
// Param 3: Args[2] -> y-monumentum -> 128 = 0 ymon | 64 -> -64*0.1 = -6.4 ymon | 192 -> 64*01 6.4 ymon
// Param 4: Args[3] -> z-monumentum -> 128 = 0 zmon | 64 -> -64*0.1 = -6.4 zmon | 192 -> 64*01 6.4 zmon
// Param 5: Args[4] -> Fire Spread 15 is a good value
//  ********** In use by: ******************************
//  <mapobject>
Actor FirePillarMap 3554
{
	radius 0 height 0 Speed 0
	Damage 0
	+NOCLIP +NOTARGET +BLOODLESSIMPACT +NOGRAVITY
	RenderStyle None
	mass 1000000
	States
	{
	Spawn:
		TNT1 A 0
		TNT1 A 0 A_Jump(Args[0] == 1, "SetFloor")
		TNT1 A 0
		TNT1 A 0
		TNT1 A 1 A_SpawnItemEx("FirePillarMapShot", 0, 0, 0, (random(-1*Args[4],Args[4])+Args[1]-128)*0.1, (random(-1*Args[4],Args[4])+Args[2]-128)*0.1, (random(-1*Args[4],Args[4])+Args[3]-128)*0.1, -1, SXF_NOCHECKPOSITION)
		TNT1 A 0 A_SpawnItemEx("FirePillarMapShot_NoLight", 0, 0, 0, (random(-1*Args[4],Args[4])+Args[1]-128)*0.1, (random(-1*Args[4],Args[4])+Args[2]-128)*0.1, (random(-1*Args[4],Args[4])+Args[3]-128)*0.1, -1, SXF_NOCHECKPOSITION)
		TNT1 A 1 A_SpawnItemEx("FirePillarMapShot_NoLight", 0, 0, 0, (random(-1*Args[4],Args[4])+Args[1]-128)*0.1, (random(-1*Args[4],Args[4])+Args[2]-128)*0.1, (random(-1*Args[4],Args[4])+Args[3]-128)*0.1, -1, SXF_NOCHECKPOSITION)
//		TNT1 A 1 A_SpawnItemEx("FirePillarMapShot", 0, 0, 0, (random(-1*Args[4],1*Args[4])+Args[1]-128)*0.1, (random(-1*Args[4],1*Args[4])+Args[2]-128)*0.1, (random(-1*Args[4],1*Args[4])+Args[3]-128)*0.1, -1, SXF_NOCHECKPOSITION)
//		TNT1 A 0 A_SpawnItemEx("FirePillarMapShot_NoLight", 0, 0, 0, (random(-1*Args[4],1*Args[4])+Args[1]-128)*0.1, (random(-1*Args[4],1*Args[4])+Args[2]-128)*0.1, (random(-1*Args[4],1*Args[4])+Args[3]-128)*0.1, -1, SXF_NOCHECKPOSITION)
//		TNT1 A 1 A_SpawnItemEx("FirePillarMapShot_NoLight", 0, 0, 0, (random(-1*Args[4],1*Args[4])+Args[1]-128)*0.1, (random(-1*Args[4],1*Args[4])+Args[2]-128)*0.1, (random(-1*Args[4],1*Args[4])+Args[3]-128)*0.1, -1, SXF_NOCHECKPOSITION)
//Flamerflame ######bobo
//		TNT1 A 1 A_SpawnItemEx("FirePillarMapShot", 0, 0, 0, random(17,18), random(-1,1)*0.5, random(-1,1)*0.5, -1, SXF_NOCHECKPOSITION)
//		TNT1 A 0 A_SpawnItemEx("FirePillarMapShot_NoLight", 0, 0, 0, random(17,18), random(-1,1)*0.5, random(-1,1)*0.5, -1, SXF_NOCHECKPOSITION)
//		TNT1 A 1 A_SpawnItemEx("FirePillarMapShot_NoLight", 0, 0, 0, random(17,18), random(-1,1)*0.5, random(-1,1)*0.5, -1, SXF_NOCHECKPOSITION)
		goto Spawn+3
	SetFloor:
		TNT1 A 0 A_Gravity
		TNT1 A 0 A_SetFloorClip
		goto Spawn+3
	}
}
//  ********** Fire Pillar l **********
//  ********** In use by: ******************************
//  <mapobject>
Actor FirePillarMap_l 3551
{
	radius 0 height 0 Speed 0
	Damage 0
	+NOCLIP +NOTARGET +BLOODLESSIMPACT
	RenderStyle None
	mass 1000000
	States
	{
	Spawn:
		TNT1 A 1 A_SpawnItemEx("FirePillarMapShot", 0, 0, 0, random(-1,1), random(-1,1), random(0,4)+9, -1, SXF_NOCHECKPOSITION)
		TNT1 A 0 A_SpawnItemEx("FirePillarMapShot_NoLight", 0, 0, 0, random(-1,1), random(-1,1), random(0,4)+9, -1, SXF_NOCHECKPOSITION)
		TNT1 A 1 A_SpawnItemEx("FirePillarMapShot_NoLight", 0, 0, 0, random(-1,1), random(-1,1), random(0,4)+9, -1, SXF_NOCHECKPOSITION)
		loop
	}
}
//  ********** Fire Pillar m **********
//  ********** In use by: ******************************
//  <mapobject>
Actor FirePillarMap_m : FirePillarMap_l 3552
{
	States
	{
	Spawn:
		TNT1 A 1 A_SpawnItemEx("FirePillarMapShot", 0, 0, 0, random(-1,1), random(-1,1), random(0,2)+6, -1, SXF_NOCHECKPOSITION)
		TNT1 A 1 A_SpawnItemEx("FirePillarMapShot_NoLight", 0, 0, 0, random(-1,1), random(-1,1), random(0,2)+6, -1, SXF_NOCHECKPOSITION)
		loop
	}
}
//  ********** Fire Pillar s **********
//  ********** In use by: ******************************
//  <mapobject>
Actor FirePillarMap_s : FirePillarMap_l 3553
{
	States
	{
	Spawn:
		TNT1 A 1 A_SpawnItemEx("FirePillarMapShot", 0, 0, 0, random(-1,1), random(-1,1), random(0,2)+3, -1, SXF_NOCHECKPOSITION)
		TNT1 A 1 A_SpawnItemEx("FirePillarMapShot_NoLight", 0, 0, 0, random(-1,1), random(-1,1), random(0,2)+3, -1, SXF_NOCHECKPOSITION)
		loop
	}
}
//  ****************************************************************************
//  ***  Decorate: Tec                                   ***
//  ********************************************************
//  ********************************************************
//  ***  Decorate: Monitor 1 - 4                         ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
ACTOR TecMonitor1 : RAWDecorateMetalMediumWhite1 6333
{
	+NOGRAVITY
	Health 160
	Radius 12 Height 26 Speed 0
//	painsound "imp/pain"
//	deathsound "world/barrelx"
	States
	{
	Spawn:
		NULL A 1
		Loop
	}
}
ACTOR TecMonitor2 : TecMonitor1 6334
{
}
ACTOR TecMonitor3 : TecMonitor1 6335
{
}
ACTOR TecMonitor4 : TecMonitor1 6336
{
}
//  ********************************************************
//  ***  Decorate: TV                                    ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
ACTOR TecTV : RAWDecorateMetalMediumWhite1 6337
{
	+NOGRAVITY
	Health 160
	Radius 12 Height 70 Speed 0
//	painsound "imp/pain"
//	deathsound "world/barrelx"
	States
	{
	Spawn:
		NULL A 1
		Loop
	}
}
//  ********************************************************
//  ***  Decorate: Watercan								 ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
ACTOR Watercan : RAWDecorateMetalMediumWhite1 6354//###Editor
{
	+PUSHABLE
	-NOGRAVITY
	Health 120
	Radius 10 Height 20 Speed 0
	States
	{
	Spawn:
		TNT1 A 0
		TNT1 A 0 A_JumpIfHealthLower(80, "SpawnDmg")
		PLAY A 5
		Loop
	SpawnDmg:
		PLAY B 5
		goto SpawnDmg
	}
}
//  ****************************************************************************
//  ***  Decorate: Gore                                  ***
//  ********************************************************
//  ********************************************************
//  ***  Decorate: Guy on wall                           ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
ACTOR GoreGuyOnWall : RAWDecorateMeatMediumRed1 6338
{
	+NOGRAVITY
	Health 160
	Radius 16 Height 64 Speed 0
	States
	{
	Spawn:
		NULL A 1
		Loop
	}
}
//  ********************************************************
//  ***  Decorate: Guy sitting                           ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
ACTOR GoreGuySitting : RAWDecorateMeatMediumRed1 6339
{
	+NOGRAVITY
	Health 160
	Radius 16 Height 30 Speed 0
	States
	{
	Spawn:
		NULL A 1
		Loop
	}
}
//  ********************************************************
//  ***  Decorate: Guy on Floor noHead                   ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
ACTOR GoreGuyOnFloorNoHead : RAWDecorateMeatMediumRed1 6353
{
	+NOGRAVITY
	Health 160
	Radius 24 Height 10 Speed 0
	States
	{
	Spawn:
		NULL A 1
		Loop
	}
}
//  ****************************************************************************
//  ***  Decorate: Furniture                             ***
//  ********************************************************
//  ********************************************************
//  ***  Decorate: Cabinet                               ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
ACTOR FurnitureCabinet : RAWDecorateWoodMediumBrown1 6340
{
	Health 260
	Radius 12 Height 26 Speed 0
	States
	{
	Spawn:
		NULL A 1
		Loop
	}
}
//  ********************************************************
//  ***  Decorate: Wardrobe                              ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
ACTOR FurnitureWardrobe : RAWDecorateWoodMediumBrown1 6341
{
	Health 360
	Radius 32 Height 58 Speed 0
	States
	{
	Spawn:
		NULL A 1
		Loop
	}
}
//  ********************************************************
//  ***  Decorate: DeskChair                             ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
ACTOR FurnitureDeskChair : RAWDecorateMetalMediumWhite1 6342
{
	+PUSHABLE
	Health 230 Mass 9999
	Radius 16 Height 25 Speed 0
	States
	{
	Spawn:
		NULL A 1
		Loop
	}
}
//  ********************************************************
//  ***  Decorate: Seat                                  ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
ACTOR FurnitureSeat : RAWDecorateMetalMediumWhite1 6343
{
	+PUSHABLE
	Health 260 Mass 999999999
	Radius 18 Height 25 Speed 0
	States
	{
	Spawn:
		NULL A 1
		Loop
	}
}
//  ********************************************************
//  ***  Decorate: Table                                 ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
ACTOR FurnitureTable : RAWDecorateWoodMediumBrown1 6344
{
	+PUSHABLE
	Health 160 Mass 99999
	Radius 22 Height 34 Speed 0
	States
	{
	Spawn:
		NULL A 1
		Loop
	}
}
//  ********************************************************
//  ***  Decorate: MiniTable                             ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
ACTOR FurnitureMiniTable : RAWDecorateWoodSmallBrown1 6345
{
	+PUSHABLE
	Health 160 Mass 999
	Radius 16 Height 25 Speed 0
	States
	{
	Spawn:
		NULL A 1
		Loop
	}
}
//  ********************************************************
//  ***  Decorate: GlasTable                             ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
ACTOR FurnitureGlasTable : RAWDecorateMetalMediumWhite1 6346
{
	+PUSHABLE
	Health 160 Mass 99999
	Radius 20 Height 25 Speed 0
	States
	{
	Spawn:
		NULL A 1
		Loop
	}
}
//  ****************************************************************************
//  ***  Decorate: World                                 ***
//  ********************************************************
//  ********************************************************
//  ***  Decorate: Torch                                 ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
ACTOR WorldTorch : RAWDecorateUndestroyable 6347
{
	-SHOOTABLE -PUSHABLE// -SOLID
	Radius 6 Height 12 Speed 0
}
//  ********************************************************
//  ***  Decorate: Lantern                               ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
ACTOR WorldLantern : RAWDecorateMetalMediumWhite1 6348
{
	Health 600
	Radius 6 Height 112 Speed 0
}
//  ********************************************************
//  ***  Decorate: Statue                                ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
ACTOR WorldStatue4 : RAWDecorateRockSmallWhite1 6349
{
	Health 600
	Radius 8 Height 88 Speed 0
}
//  ****************************************************************************
//  ***  Decorate: Sanitary                              ***
//  ********************************************************
//  ********************************************************
//  ***  Decorate: Sink                                  ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
ACTOR SanitarySink : RAWDecoratePorcelainMediumWhite1 6350
{
	Health 160
	Radius 12 Height 32 Speed 0
	deathsound "break/glas2"
}
//  ********************************************************
//  ***  Decorate: SinkTaps                              ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
ACTOR SanitarySinkTaps : RAWDecoratePorcelainMediumWhite1 6351
{
	-SHOOTABLE
	Radius 3 Height 3 Speed 0
}
//  ********************************************************
//  ***  Decorate: Toilet                                ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
ACTOR SanitaryToilet : RAWDecoratePorcelainMediumWhite1 6352
{
	Health 200
	Radius 12 Height 24 Speed 0
	deathsound "break/glas2"
}
//6353letzes