//  ****************************************************************************
//  ***  Decorate: Parent classes Decorate                                   ***
//  ****************************************************************************
//  ****************************************************************************
//  ***  Decorate: Undestroyable                         ***
//  ********************************************************
actor RAWDecorateUndestroyable
{
	Radius 6 Height 12 Speed 0
	-PUSHABLE -SHOOTABLE
	+SOLID +NOBLOOD +DONTGIB +NOICEDEATH +NOGRAVITY
	States
	{
		Spawn:
			NULL A 1 //A_PlaySound("NULL")
			Loop
	}
}
//  ********************************************************
//  ***  Decorate: SuperParentClass NoPushable           ***
//  ********************************************************
actor RAWRAWDecorateNoPushable
{
	Health 999 Mass 999999999999
	Radius 6 Height 6 Speed 0
	-PUSHABLE
	+SOLID +NOBLOOD +SHOOTABLE +DONTGIB +NOICEDEATH //+NOGRAVITY
	States
	{
	Spawn:
		NULL A 1 //A_PlaySound("NULL")
		Loop
	}
}
//  ****************************************************************************
//  ***  Decorate: Metal                                 ***
//  ********************************************************
//  ********************************************************
//  ***  Decorate: Metal Medium White (m)                ***
//  ********************************************************
actor RAWDecorateMetalMediumWhite1 : RAWRAWDecorateNoPushable
{
	States
	{
	Death:
		TNT1 A 0
		TNT1 A 0 A_SpawnItem("metalwChunkGenerator",0,0,0,0) //Metal (white)
		TNT1 A 0 A_SpawnItem("metalwChunkGenerator",0,0,0,0) //Metal (white)
		TNT1 A 0 A_SpawnItem("metalwChunkGenerator",0,0,0,0) //Metal (white)
		TNT1 A 0 A_SpawnItem("metalwChunkGenerator",0,0,0,0) //Metal (white)
		TNT1 A 0 A_SpawnItem("metalwChunkGenerator",0,0,0,0) //Metal (white)
		TNT1 A 0 A_SpawnItem("metalwChunkGenerator",0,0,0,0) //Metal (white)
		TNT1 A 0 A_SpawnItem("metalwChunkGenerator",0,0,0,0) //Metal (white)
		TNT1 A 0 A_SpawnItem("metalwChunkGenerator",0,0,0,0) //Metal (white)
		TNT1 A 0 A_Scream
		Stop
	}
}
//  ********************************************************
//  ***  Decorate: Metal Medium Black (m)                ***
//  ********************************************************
actor RAWDecorateMetalMediumBlack1 : RAWRAWDecorateNoPushable//*** not ready yet
{
	States
	{
	Death:
		TNT1 A 0
		TNT1 A 0 A_SpawnItem("metalwChunkGenerator",0,0,0,0) //Metal (white)
		TNT1 A 0 A_SpawnItem("metalwChunkGenerator",0,0,0,0) //Metal (white)
		TNT1 A 0 A_SpawnItem("metalwChunkGenerator",0,0,0,0) //Metal (white)
		TNT1 A 0 A_SpawnItem("metalwChunkGenerator",0,0,0,0) //Metal (white)
		TNT1 A 0 A_SpawnItem("metalwChunkGenerator",0,0,0,0) //Metal (white)
		TNT1 A 0 A_SpawnItem("metalwChunkGenerator",0,0,0,0) //Metal (white)
		TNT1 A 0 A_SpawnItem("metalwChunkGenerator",0,0,0,0) //Metal (white)
		TNT1 A 0 A_SpawnItem("metalwChunkGenerator",0,0,0,0) //Metal (white)
		TNT1 A 0 A_Scream
		Stop
	}
}
//  ********************************************************
//  ***  Decorate: Metal Large Black (l)                 ***
//  ********************************************************
actor RAWDecorateMetalLargeBlack1 : RAWRAWDecorateNoPushable//*** not ready yet
{
	States
	{
	Death:
		TNT1 A 0
		TNT1 A 0 A_SpawnItem("metalwChunkGenerator",0,0,0,0) //Metal (white)
		TNT1 A 0 A_SpawnItem("metalwChunkGenerator",0,0,0,0) //Metal (white)
		TNT1 A 0 A_SpawnItem("metalwChunkGenerator",0,0,0,0) //Metal (white)
		TNT1 A 0 A_SpawnItem("metalwChunkGenerator",0,0,0,0) //Metal (white)
		TNT1 A 0 A_SpawnItem("metalwChunkGenerator",0,0,0,0) //Metal (white)
		TNT1 A 0 A_SpawnItem("metalwChunkGenerator",0,0,0,0) //Metal (white)
		TNT1 A 0 A_SpawnItem("metalwChunkGenerator",0,0,0,0) //Metal (white)
		TNT1 A 0 A_SpawnItem("metalwChunkGenerator",0,0,0,0) //Metal (white)
		TNT1 A 0 A_SpawnItem("metalwChunkGenerator",0,0,0,0) //Metal (white)
		TNT1 A 0 A_SpawnItem("metalwChunkGenerator",0,0,0,0) //Metal (white)
		TNT1 A 0 A_SpawnItem("metalwChunkGenerator",0,0,0,0) //Metal (white)
		TNT1 A 0 A_SpawnItem("metalwChunkGenerator",0,0,0,0) //Metal (white)
		TNT1 A 0 A_Scream
		Stop
	}
}
//  ********************************************************
//  ***  Decorate: MetalTorch Medium Brown (m)           ***
//  ********************************************************
actor RAWDecorateMetalTorchMediumBrown1 : RAWRAWDecorateNoPushable
{
	States
	{
	Death:
		TNT1 A 0
		TNT1 A 0 A_SpawnItem("torchChunkGenerator",0,0,0,0) //Metal (white)
		TNT1 A 0 A_SpawnItem("torchChunkGenerator",0,0,0,0) //Metal (white)
		TNT1 A 0 A_SpawnItem("torchChunkGenerator",0,0,0,0) //Metal (white)
		TNT1 A 0 A_SpawnItem("torchChunkGenerator",0,0,0,0) //Metal (white)
		TNT1 A 0 A_SpawnItem("torchChunkGenerator",0,0,0,0) //Metal (white)
		TNT1 A 0 A_SpawnItem("torchChunkGenerator",0,0,0,0) //Metal (white)
		TNT1 A 0 A_SpawnItem("torchChunkGenerator",0,0,0,0) //Metal (white)
		TNT1 A 0 A_SpawnItem("torchChunkGenerator",0,0,0,0) //Metal (white)
		TNT1 A 0 A_Scream
		Stop
	}
}
//  ****************************************************************************
//  ***  Decorate: Gore / Meat                           ***
//  ********************************************************
//  ********************************************************
//  ***  Decorate: Meat Small Red (s)                    ***
//  ********************************************************
actor RAWDecorateMeatSmallRed1 : RAWRAWDecorateNoPushable
{
	-NOBLOOD
	states
	{
		Death:
			NULL A 0 // A_Scream
			NULL A 0 A_SpawnItem("rxGibGenerator_s",0,0,0,0)
			NULL A 0 A_SpawnItem("rxGibGenerator_s",0,0,0,0)
			Stop
	}
}
//  ********************************************************
//  ***  Decorate: Meat Medium Red (m)                   ***
//  ********************************************************
actor RAWDecorateMeatMediumRed1 : RAWRAWDecorateNoPushable
{
	-NOBLOOD
	states
	{
		Death:
			NULL A 0 // A_Scream
			NULL A 0 A_SpawnItem("rxGibGenerator_s",0,0,0,0)
			NULL A 0 A_SpawnItem("rxGibGenerator_s",0,0,0,0)
			NULL A 0 A_SpawnItem("rxGibGenerator_s",0,0,0,0)
			NULL A 0 A_SpawnItem("rxGibGenerator_s",0,0,0,0)
			NULL A 0 A_SpawnItem("rxGibGenerator_s",0,0,0,0)
			NULL A 0 A_SpawnItem("rxGibGenerator_s",0,0,0,0)
			Stop
	}
}
//  ****************************************************************************
//  ***  Decorate: Bones                                 ***
//  ********************************************************
//  ********************************************************
//  ***  Decorate: Bones Small Brown (s)                 ***
//  ********************************************************
actor RAWDecorateBonesSmallBrown1 : RAWRAWDecorateNoPushable//??? not ready yet
{
	states
	{
		Death:
			NULL A 0 // A_Scream
			NULL A 0 A_SpawnItem("bonesChunkGenerator",0,0,0,0)
			NULL A 0 A_SpawnItem("bonesChunkGenerator",0,0,0,0)
			NULL A 0 A_SpawnItem("bonesChunkGenerator",0,0,0,0)
			Stop
	}
}
//  ********************************************************
//  ***  Decorate: Bones Medium Brown (m)                ***
//  ********************************************************
actor RAWDecorateBonesMediumBrown1 : RAWRAWDecorateNoPushable//??? not ready yet
{
	states
	{
		Death:
			NULL A 0 // A_Scream
			NULL A 0 A_SpawnItem("bonesChunkGenerator",0,0,0,0)
			NULL A 0 A_SpawnItem("bonesChunkGenerator",0,0,0,0)
			NULL A 0 A_SpawnItem("bonesChunkGenerator",0,0,0,0)
			NULL A 0 A_SpawnItem("bonesChunkGenerator",0,0,0,0)
			NULL A 0 A_SpawnItem("bonesChunkGenerator",0,0,0,0)
			NULL A 0 A_SpawnItem("bonesChunkGenerator",0,0,0,0)
			Stop
	}
}
//  ****************************************************************************
//  ***  Decorate: Wood                                  ***
//  ********************************************************
//  ********************************************************
//  ***  Decorate: Wood Medium Brown (m)                 ***
//  ********************************************************
actor RAWDecorateWoodMediumBrown1 : RAWRAWDecorateNoPushable//furniture
{
	states
	{
		Death:
			NULL A 0 // A_Scream
			NULL A 0 A_SpawnItem("woodbarrelChunkGenerator",0,0,0,0)
			NULL A 0 A_SpawnItem("woodbarrelChunkGenerator",0,0,0,0)
			NULL A 0 A_SpawnItem("woodbarrelChunkGenerator",0,0,0,0)
			NULL A 0 A_SpawnItem("woodbarrelChunkGenerator",0,0,0,0)
			NULL A 0 A_SpawnItem("woodbarrelChunkGenerator",0,0,0,0)
			NULL A 0 A_SpawnItem("woodbarrelChunkGenerator",0,0,0,0)
			Stop
	}
}
//  ********************************************************
//  ***  Decorate: Wood Small Brown (s)                  ***
//  ********************************************************
actor RAWDecorateWoodSmallBrown1 : RAWRAWDecorateNoPushable//furniture
{
	states
	{
		Death:
			NULL A 0 // A_Scream
			NULL A 0 A_SpawnItem("woodbarrelChunkGenerator",0,0,0,0)
			NULL A 0 A_SpawnItem("woodbarrelChunkGenerator",0,0,0,0)
			NULL A 0 A_SpawnItem("woodbarrelChunkGenerator",0,0,0,0)
			NULL A 0 A_SpawnItem("woodbarrelChunkGenerator",0,0,0,0)
			NULL A 0 A_SpawnItem("woodbarrelChunkGenerator",0,0,0,0)
			NULL A 0 A_SpawnItem("woodbarrelChunkGenerator",0,0,0,0)
			Stop
	}
}
//  ********************************************************
//  ***  Decorate: Tree Large Green (l)                  ***
//  ********************************************************
actor RAWDecorateTreeLargeGreen1 : RAWRAWDecorateNoPushable//bobo ??? not ready, not in use
{
	states
	{
		Death:
			NULL A 0 // A_Scream
			Stop
	}
}
//  ********************************************************
//  ***  Decorate: Tree Large Brown (l)                  ***
//  ********************************************************
actor RAWDecorateTreeLargeBrown1 : RAWRAWDecorateNoPushable
{
	states
	{
		Death:
			NULL A 0 // A_Scream
			NULL A 0 A_SpawnItem("woodtreeChunkGenerator_m1",0,0,0,0)
			NULL A 0 A_SpawnItem("woodtreeChunkGenerator_m1",0,0,0,0)
			NULL A 0 A_SpawnItem("woodtreeChunkGenerator_m1",0,0,0,0)
			NULL A 0 A_SpawnItem("woodtreeChunkGenerator_m1",0,0,0,0)
			NULL A 0 A_SpawnItem("woodtreeChunkGenerator_m1",0,0,0,0)
			NULL A 0 A_SpawnItem("woodtreeChunkGenerator_m1",0,0,0,0)
			NULL A 0 A_SpawnItem("woodtreeChunkGenerator_m1",0,0,0,0)
			NULL A 0 A_SpawnItem("woodtreeChunkGenerator_m1",0,0,0,0)
			NULL A 0 A_SpawnItem("woodtreeChunkGenerator_m2",0,0,0,0)
			NULL A 0 A_SpawnItem("woodtreeChunkGenerator_m2",0,0,0,0)
			NULL A 0 A_SpawnItem("woodtreeChunkGenerator_m2",0,0,0,0)
			NULL A 0 A_SpawnItem("woodtreeChunkGenerator_m2",0,0,0,0)
			NULL A 0 A_SpawnItem("woodtreeChunkGenerator_m2",0,0,0,0)
			NULL A 0 A_SpawnItem("woodtreeChunkGenerator_m2",0,0,0,0)
			NULL A 0 A_SpawnItem("woodtreeChunkGenerator_m2",0,0,0,0)
			NULL A 0 A_SpawnItem("woodtreeChunkGenerator_m2",0,0,0,0)
			Stop
	}
}
//  ****************************************************************************
//  ***  Decorate: Rock / Stones                         ***
//  ********************************************************
//  ********************************************************
//  ***  Decorate: Rock Small Brown (s)                  ***
//  ********************************************************
actor RAWDecorateRockSmallBrown1 : RAWRAWDecorateNoPushable//brown small -> ??? not ready yet //bobo
{
	states
	{
		Death:
			NULL A 0 // A_Scream
			NULL A 0 A_SpawnItem("woodbarrelChunkGenerator",0,0,0,0)
			NULL A 0 A_SpawnItem("woodbarrelChunkGenerator",0,0,0,0)
			NULL A 0 A_SpawnItem("woodbarrelChunkGenerator",0,0,0,0)
			NULL A 0 A_SpawnItem("woodbarrelChunkGenerator",0,0,0,0)
			NULL A 0 A_SpawnItem("woodbarrelChunkGenerator",0,0,0,0)
			NULL A 0 A_SpawnItem("woodbarrelChunkGenerator",0,0,0,0)
			Stop
	}
}
//  ********************************************************
//  ***  Decorate: Rock Small White (s)                  ***
//  ********************************************************
actor RAWDecorateRockSmallWhite1 : RAWRAWDecorateNoPushable//white -> ??? not ready yet //bobo
{
	states
	{
		Death:
			NULL A 0 // A_Scream
			NULL A 0 A_SpawnItem("woodbarrelChunkGenerator",0,0,0,0)
			NULL A 0 A_SpawnItem("woodbarrelChunkGenerator",0,0,0,0)
			NULL A 0 A_SpawnItem("woodbarrelChunkGenerator",0,0,0,0)
			NULL A 0 A_SpawnItem("woodbarrelChunkGenerator",0,0,0,0)
			NULL A 0 A_SpawnItem("woodbarrelChunkGenerator",0,0,0,0)
			NULL A 0 A_SpawnItem("woodbarrelChunkGenerator",0,0,0,0)
			Stop
	}
}
//  ********************************************************
//  ***  Decorate: Rock Small Yellow (s)                 ***
//  ********************************************************
actor RAWDecorateRockSmallYellow1 : RAWRAWDecorateNoPushable//yellow small -> ??? not ready yet //bobo
{
	states
	{
		Death:
			NULL A 0 // A_Scream
			NULL A 0 A_SpawnItem("woodbarrelChunkGenerator",0,0,0,0)
			NULL A 0 A_SpawnItem("woodbarrelChunkGenerator",0,0,0,0)
			NULL A 0 A_SpawnItem("woodbarrelChunkGenerator",0,0,0,0)
			NULL A 0 A_SpawnItem("woodbarrelChunkGenerator",0,0,0,0)
			NULL A 0 A_SpawnItem("woodbarrelChunkGenerator",0,0,0,0)
			NULL A 0 A_SpawnItem("woodbarrelChunkGenerator",0,0,0,0)
			Stop
	}
}
//  ********************************************************
//  ***  Decorate: Stone Medium Red (m)                  ***
//  ********************************************************
actor RAWDecorateStoneMediumRed1 : RAWRAWDecorateNoPushable
{
	states
	{
		Death:
			NULL A 0 // A_Scream
			NULL A 0 A_SpawnItem("stonepileredChunkGenerator",0,0,0,0)
			NULL A 0 A_SpawnItem("stonepileredChunkGenerator",0,0,0,0)
			NULL A 0 A_SpawnItem("stonepileredChunkGenerator",0,0,0,0)
			NULL A 0 A_SpawnItem("stonepileredChunkGenerator",0,0,0,0)
			NULL A 0 A_SpawnItem("stonepileredChunkGenerator",0,0,0,0)
			NULL A 0 A_SpawnItem("stonepileredChunkGenerator",0,0,0,0)
			NULL A 0 A_SpawnItem("stonepileredChunkGenerator",0,0,0,0)
			NULL A 0 A_SpawnItem("stonepileredChunkGenerator",0,0,0,0)
			NULL A 0 A_SpawnItem("stonepileredChunkGenerator",0,0,0,0)
			NULL A 0 A_SpawnItem("stonepileredChunkGenerator",0,0,0,0)
			NULL A 0 A_SpawnItem("stonepileredChunkGenerator",0,0,0,0)
			NULL A 0 A_SpawnItem("stonepileredChunkGenerator",0,0,0,0)
			Stop
	}
}
//  ********************************************************
//  ***  Decorate: Stone Medium Green (m)                ***
//  ********************************************************
actor RAWDecorateStoneMediumGreen1 : RAWRAWDecorateNoPushable
{
	states
	{
		Death:
			NULL A 0 // A_Scream
			NULL A 0 A_SpawnItem("stonepilegreenChunkGenerator",0,0,0,0)
			NULL A 0 A_SpawnItem("stonepilegreenChunkGenerator",0,0,0,0)
			NULL A 0 A_SpawnItem("stonepilegreenChunkGenerator",0,0,0,0)
			NULL A 0 A_SpawnItem("stonepilegreenChunkGenerator",0,0,0,0)
			NULL A 0 A_SpawnItem("stonepilegreenChunkGenerator",0,0,0,0)
			NULL A 0 A_SpawnItem("stonepilegreenChunkGenerator",0,0,0,0)
			NULL A 0 A_SpawnItem("stonepilegreenChunkGenerator",0,0,0,0)
			NULL A 0 A_SpawnItem("stonepilegreenChunkGenerator",0,0,0,0)
			NULL A 0 A_SpawnItem("stonepilegreenChunkGenerator",0,0,0,0)
			NULL A 0 A_SpawnItem("stonepilegreenChunkGenerator",0,0,0,0)
			NULL A 0 A_SpawnItem("stonepilegreenChunkGenerator",0,0,0,0)
			NULL A 0 A_SpawnItem("stonepilegreenChunkGenerator",0,0,0,0)
			Stop
	}
}
//  ****************************************************************************
//  ***  Decorate: Porcelain                             ***
//  ********************************************************
//  ********************************************************
//  ***  Decorate: Porcelain Medium White (m)            ***
//  ********************************************************
actor RAWDecoratePorcelainMediumWhite1 : RAWRAWDecorateNoPushable//white -> ??? not ready yet //bobo
{
	states
	{
		Death:
			NULL A 0 A_Scream
			NULL A 0 A_SpawnItem("glassChunkGenerator",0,0,0,0)
			NULL A 0 A_SpawnItem("glassChunkGenerator",0,0,0,0)
			NULL A 0 A_SpawnItem("glassChunkGenerator",0,0,0,0)
			NULL A 0 A_SpawnItem("glassChunkGenerator",0,0,0,0)
			NULL A 0 A_SpawnItem("glassChunkGenerator",0,0,0,0)
			NULL A 0 A_SpawnItem("glassChunkGenerator",0,0,0,0)
			Stop
	}
}
