/* ********** ********** ********** ********** ********** **********
* Weapons
********** ********** ********** ********** ********** ********** */
//Chainsaw
Generator Chainsaw_ 			BulletChip

//TwoHandedSword
Generator TwoHandedSword		BulletChip

//Magnum
Generator Magnum				BulletChip

//Shotgun
Generator Shotgun2		        BulletChip

//SuperShotgun
Generator DoubleShotgun			BulletChip

//MachineGun
Generator MachineGun			BulletChip

//Minigun
Generator MiniGunHeavy			BulletChip

//Rocketlauncher
Generator Rocket_alpha			RevenantScorch
Generator Rocket_alpha_seeker	RevenantScorch

//Flame Thrower
Generator Flame                 DoomImpScorch 
Generator FlameNoDamage         DoomImpScorch

//PlasmaRifle
Generator PhotonBall			DoomImpScorch
Generator PhotonBall_big		DoomImpScorch

//RailGun
Decal plasma_wall4444
{
	pic PLASMA1
	shade "00 00 00"
	fullbright
	x-scale 0.2
	y-scale 0.2
}
Generator RailGunX		        plasma_wall4444

//Skullripper
Generator Skullballnormal		DoomImpScorch
Generator Skullballsmall	    DoomImpScorch
Generator Skullballbig		    DoomImpScorch

//BFG10k
Decal MultiBall3Lightning1
{
	pic BFGLITE1
	shade "00 FA 00"
	fullbright
	randomflipx
	animator GoAway2
	lowerdecal BFGScorch
}
Decal MultiBall3Lightning2
{
	pic BFGLITE2
	shade "00 FA 00"
	fullbright
	randomflipy
	animator GoAway2
	lowerdecal BFGScorch
}
DecalGroup MultiBall3Lightning
{
	MultiBall3Lightning1	1
	MultiBall3Lightning2	1
}
Generator BFG10k_B				MultiBall3Lightning
Generator BFG10k_A				MultiBall3Lightning

//BFG2704
Generator BFGMini		        DoomImpScorch
Generator BFGPlasma		        DoomImpScorch

/* ********** ********** ********** ********** ********** **********
* Monster
********** ********** ********** ********** ********** ********** */
decal CometScorch
{
	pic COMTSCRC
	fullbright
	add 0.5
	animator GoAway
	x-scale .4
	y-scale .4
	lowerdecal Scorch
	randomflipx
	randomflipy
}
decal SkullScorch1 
{ 
   pic PLASMA1 
   shade "00 00 00" 
   x-scale 0.6 
   y-scale 0.6 
   randomflipx 
   randomflipy 
} 
decal SkullScorch2 
{ 
   pic PLASMA2 
   shade "00 00 00" 
   x-scale 0.6 
   y-scale 0.6 
   randomflipx 
   randomflipy 
} 
decalgroup SkullScorch 
{ 
   SkullScorch1   1 
   SkullScorch2   1 
} 
generator Arachnophyte						BulletChip
generator Demolisher						BulletChip
generator CGunSpider						BulletChip
generator DoomImpBall_						DoomImpScorch
generator FatShot_							CometScorch
generator ArachnotronPlasma_				DoomImpScorch

generator YellowSkullSeeker					CacoScorch 
generator RedSkullBall						SkullScorch 
generator MiniFirePuff						BaronScorch 
generator MiniFirePuffNoLight				BaronScorch 
generator MiniFirePuff_PainElemental 		BaronScorch 
generator MiniFirePuffNoLight_PainElemental BaronScorch 
generator MiniFirePuffFatso 				BaronScorch 
generator MiniFirePuffNoLightFatso 			BaronScorch 
generator WatcherShot 						CacoScorch 
generator BruiserMissile					RevenantScorch 
generator SoulHarvesterBall					SkullScorch 
generator AfritBall							RevenantScorch
generator Comet								CometScorch
generator SentGmissile  					DoomImpScorch
generator CubeShot 							DoomImpScorch
generator SentRmissile  					DoomImpScorch
generator CrackodemonBall					CacoScorch
generator Blusoul 							CacoScorch
generator FireDemonFireShot					BaronScorch 
generator PyroBlast							BaronScorch 

Generator Cerberus_shot						RevenantScorch
//Tschernobo Shot
Generator Tschernobo_shot					RevenantScorch
//RevenantShot
Generator RevenantTracer_x 					RevenantScorch
Generator RevenantNoTracer_					RevenantScorch

//BFG10k
Generator BFG10k_ACyber						MultiBall3Lightning

//humans
generator ZombieMarine 				BulletChip
generator ZombieRapidFire 			BulletChip
generator ZombieBullet 				RailScorch
generator ShotgunSoldier 			BulletChip
generator ZombieSarge 				BulletChip
generator HeadHunterUzi 			BulletChip
generator MarineRailgunner 			RailScorch
generator MarineVeryHeavyArmored 	BulletChip
generator Marine_Chaingun 			BulletChip
generator Marine_Shotgun 			BulletChip
generator Marine_Pistol 			BulletChip
generator SpreadFireBall 			DoomImpScorch

generator Cultist_brown 			BulletChip
generator IceBusterShot	 			PlasmaScorch
generator Cultist_red	 			BulletChip
generator Cultist_green 			BulletChip
generator Cultist_black 			BulletChip
generator Cultist_yellow 			BulletChip

Generator AcolyteShot				DoomImpScorch
Generator BruiserBall				DoomImpScorch
Generator BruiserBall2				DoomImpScorch
Generator DKDart					DoomImpScorch
Generator FHeadShot					DoomImpScorch
Generator DKbolt					DoomImpScorch
Generator DFlare					DoomImpScorch
Generator DogFire					DoomImpScorch

//Flame Thrower
//FlameZombie
Generator MiniFirePuff              		DoomImpScorch 
Generator MiniFirePuffNoLight				DoomImpScorch

//Flame Thrower
//PainElemental_, Cultist_red
Generator MiniFirePuff_PainElemental        DoomImpScorch 
Generator MiniFirePuffNoLight_PainElemental	DoomImpScorch

//Flame Thrower
//Fatso_
Generator MiniFirePuffFatso		        	DoomImpScorch 
Generator MiniFirePuffNoLightFatso      	DoomImpScorch

/* ********** ********** ********** ********** ********** **********
* Misc
********** ********** ********** ********** ********** ********** */
//Decals Blood
/***** Animators ***********************************************************/
stretcher BloodStretcher
{
	StretchTime	10
	GoalY		2.0
}
slider BloodSlider
{
	SlideTime	10
	DistY		-132
}
combiner BloodSmearer
{
	BloodStretcher
	BloodSlider
}
/***** Blood decals *****/
decal BloodSplat01
{
	pic BSPLAT01
	shade "60 00 00"
	x-scale 0.5
	y-scale 0.5
	randomflipx
	randomflipy
}
decal BloodSplat02
{
	pic BSPLAT02
	shade "60 00 00"
	x-scale 0.5
	y-scale 0.5
	randomflipx
	randomflipy
}
decal BloodSplat03
{
	pic BSPLAT03
	shade "60 00 00"
	x-scale 0.5
	y-scale 0.5
	randomflipx
	randomflipy
}
decal BloodSplat04
{
	pic BSPLAT04
	shade "60 00 00"
	x-scale 0.5
	y-scale 0.5
	randomflipx
	randomflipy
}
decal BloodSplat05
{
	pic BSPLAT05
	shade "60 00 00"
	x-scale 0.5
	y-scale 0.5
	randomflipx
	randomflipy
}
decal BloodSplat06
{
	pic BSPLAT06
	shade "60 00 00"
	x-scale 0.5
	y-scale 0.5
	randomflipx
	randomflipy
}
decal BloodSplat07
{
	pic BSPLAT07
	shade "60 00 00"
	x-scale 0.5
	y-scale 0.5
	randomflipx
	randomflipy
}
decal BloodSplat08
{
	pic BSPLAT08
	shade "60 00 00"
	x-scale 0.5
	y-scale 0.5
	randomflipx
	randomflipy
}
decal BloodSplat09
{
	pic BSPLAT09
	shade "60 00 00"
	x-scale 0.5
	y-scale 0.5
	randomflipx
	randomflipy
}
decal BloodSplat10
{
	pic BSPLAT10
	shade "60 00 00"
	x-scale 0.5
	y-scale 0.5
	randomflipx
	randomflipy
}
decal BloodSplat11
{
	pic BSPLAT11
	shade "60 00 00"
	x-scale 0.5
	y-scale 0.5
	randomflipx
	randomflipy
}
decal BloodSplat12
{
	pic BSPLAT12
	shade "60 00 00"
	x-scale 0.5
	y-scale 0.5
	randomflipx
	randomflipy
}
decal BloodSplat13
{
	pic BSPLAT13
	shade "60 00 00"
	x-scale 0.5
	y-scale 0.5
	randomflipx
	randomflipy
}
decal BloodSplat14
{
	pic BSPLAT14
	shade "60 00 00"
	x-scale 0.5
	y-scale 0.5
	randomflipx
	randomflipy
}
decalgroup BloodSplat
{
	BloodSplat01 6
	BloodSplat02 6
	BloodSplat03 6
	BloodSplat04 6
	BloodSplat05 6
	BloodSplat06 6
	BloodSplat07 6
	BloodSplat08 6
	BloodSplat09 6 
	BloodSplat10 6
	BloodSplat11 6 
	BloodSplat12 6
	BloodSplat13 6
	BloodSplat14 6
}
decal BloodSmear1
{
	pic BSMEAR1
	x-scale 0.625
	y-scale 0.625
	shade "60 00 00"
	randomflipx
	randomflipy
	animator BloodSmearer
}
decal BloodSmear2
{
	pic BSMEAR1
	x-scale 0.625
	y-scale 0.625
	shade "60 00 00"
	randomflipx
	randomflipy
	animator BloodSmearer
}
decalgroup BloodSmear
{
	BloodSmear1		6
	BloodSmear2		6
}
