//effect
#include "Actors/Effect/Smoke.dec.c"
#include "Actors/Effect/[EffectBase].dec.c"
#include "Actors/Effect/Plasma.dec.c"
#include "Actors/Effect/FireBall.dec.c"
#include "Actors/Effect/FireOnFloor.dec.c"
#include "Actors/Effect/FirePillar.dec.c"
#include "Actors/Effect/FireFlame.dec.c"
#include "Actors/Effect/Explosions.dec.c"

//#include "Actors/Effect/_SFX_DEC.TXT"//##
//#include "Actors/Effect/_SFX_SHA.TXT"//##

//misc
#include "Actors/Misc/BulletCase.dec.c"
#include "Actors/Misc/DeathBurning.dec.c"
#include "Actors/Misc/Blood.dec.c"
#include "Actors/Misc/Gibs_Blue.dec.c"
#include "Actors/Misc/Gibs_Green.dec.c"
#include "Actors/Misc/Gibs_Red.dec.c"
#include "Actors/Misc/Puffs.dec.c"

//World -> decorate
#include "Actors/World/[DecorationChunk].dec.c"
#include "Actors/World/[DecorationClassesRAW].dec.c"
#include "Actors/World/MapNekromantObject.dec.c"
#include "Actors/World/Decoration1.dec.c"
#include "Actors/World/Decoration2.dec.c"
#include "Actors/World/Decoration3.dec.c"
#include "Actors/World/DecorateNaturePlants.dec.c"

//weapons
#include "Actors/Weapons/[WeaponBase].dec.c"
#include "Actors/Weapons/BFG10k.dec.c"
#include "Actors/Weapons/BFG2704.dec.c"
#include "Actors/Weapons/ChainSaw.dec.c"
#include "Actors/Weapons/DoubleShotgun.dec.c"
#include "Actors/Weapons/Fist.dec.c"
#include "Actors/Weapons/FlameThrower.dec.c"
#include "Actors/Weapons/MagicHandsFireBall.dec.c"
#include "Actors/Weapons/MagicHandsFireWall.dec.c"
#include "Actors/Weapons/MagicHandsLighting.dec.c"
#include "Actors/Weapons/MagicHandsPoison.dec.c"
#include "Actors/Weapons/Minigun.dec.c"
#include "Actors/Weapons/MolotovCocktail.dec.c"
#include "Actors/Weapons/mp5.dec.c"
#include "Actors/Weapons/Necronomicon.dec.c"
#include "Actors/Weapons/Pistol.dec.c"
#include "Actors/Weapons/PlasmaRifle.dec.c"
#include "Actors/Weapons/Railgun.dec.c"
#include "Actors/Weapons/RocketLauncher.dec.c"
#include "Actors/Weapons/Shotgun.dec.c"
#include "Actors/Weapons/Skullripper.dec.c"
#include "Actors/Weapons/Sword.dec.c"
#include "Actors/Weapons/TNT.dec.c"
#include "Actors/Weapons/[PlaceHolder].dec.c"

//player
#include "Actors/Player/[Player_Share].dec.c"
#include "Actors/Player/Caleb.dec.c"
#include "Actors/Player/Cultist.dec.c"
#include "Actors/Player/Marine.dec.c"

//monster
#include "Actors/monster/[experimental].dec.c"

#include "Actors/monster/Doom2Arachnotron.dec.c"
#include "Actors/monster/Doom2ArchVile.dec.c"
#include "Actors/monster/Doom2BaronOfHell.dec.c"
#include "Actors/monster/Doom2Cacodemon.dec.c"
#include "Actors/monster/Doom2ChainGunGuy.dec.c"
#include "Actors/monster/Doom2Cyberdemon.dec.c"
#include "Actors/monster/Doom2Demon.dec.c"
#include "Actors/monster/Doom2HellKnight.dec.c"
#include "Actors/monster/Doom2Imp.dec.c"
#include "Actors/monster/Doom2LostSoul.dec.c"
#include "Actors/monster/Doom2Mancubus.dec.c"
#include "Actors/monster/Doom2PainElemental.dec.c"
#include "Actors/monster/Doom2Revenant.dec.c"
#include "Actors/monster/Doom2Spectre.dec.c"
#include "Actors/monster/Doom2SpiderMastermind.dec.c"
#include "Actors/monster/Doom2WolfensteinSS.dec.c"
#include "Actors/monster/Doom2ZombieMan.dec.c"
#include "Actors/monster/Doom2ZombieShotgun.dec.c"

#include "Actors/monster/Afrit.dec.c"
#include "Actors/monster/Arachnophyte.dec.c"
//#include "Actors/monster/Avatar.dec.c"
#include "Actors/monster/Barbarian.dec.c"
#include "Actors/monster/BatFamilar.dec.c"
#include "Actors/monster/BloodDemonClone.dec.c"
#include "Actors/monster/BloodGhost.dec.c"
#include "Actors/monster/Bormereth.dec.c"
#include "Actors/monster/BruiserDemon.dec.c"
//#include "Actors/monster/CacoLich.dec.c"
//#include "Actors/monster/CacoLich1.dec.c"
#include "Actors/monster/Cerberus.dec.c"
#include "Actors/monster/ChaingunSpider.dec.c"
#include "Actors/monster/Crackodemon.dec.c"
#include "Actors/monster/CultistBlack.dec.c"
#include "Actors/monster/CultistBlue.dec.c"
#include "Actors/monster/CultistBrown.dec.c"
#include "Actors/monster/CultistGreen.dec.c"
#include "Actors/monster/CultistRed.dec.c"
#include "Actors/monster/CultistYellow.dec.c"
//#include "Actors/monster/CyberMastermind.dec.c"
#include "Actors/monster/CyBruiser.dec.c"
#include "Actors/monster/DeathKnight.dec.c"
#include "Actors/monster/Demolisher.dec.c"
//#include "Actors/monster/Demono.dec.c"
#include "Actors/monster/Devil.dec.c"
#include "Actors/monster/Diabloist.dec.c"
#include "Actors/monster/Eidolon.dec.c"
#include "Actors/monster/EtheralSoul.dec.c"
#include "Actors/monster/Fallen.dec.c"
//#include "Actors/monster/FireGarg.dec.c"
//#include "Actors/monster/FireWyvern.dec.c"
#include "Actors/monster/Gargantuan.dec.c"
#include "Actors/monster/HadesElemental.dec.c"
#include "Actors/monster/HeadHunterBlaster.dec.c"
#include "Actors/monster/HeadHunterUzi.dec.c"
//#include "Actors/monster/HellGuard.dec.c"
#include "Actors/monster/HellHound.dec.c"
//#include "Actors/monster/HellsFury.dec.c"
//#include "Actors/monster/IceGolem.dec.c"
#include "Actors/monster/ImpFlyingImp.dec.c"
#include "Actors/monster/ImpNamiDarkImp.dec.c"
#include "Actors/monster/SlimeWorm.dec.c"
#include "Actors/monster/ImpSoulHarvester.dec.c"
#include "Actors/monster/ImpSTDarkImp.dec.c"
#include "Actors/monster/ImpStoneImp.dec.c"
#include "Actors/monster/ImpVoidDarkImp.dec.c"
#include "Actors/monster/ImpWarlord.dec.c"
#include "Actors/monster/Incarnate.dec.c"
#include "Actors/monster/LordofHeresy.dec.c"
#include "Actors/monster/MaineFlamer.dec.c"
#include "Actors/monster/MarineBFG.dec.c"
#include "Actors/monster/MarineChaingun.dec.c"
#include "Actors/monster/MarineHandtoHand.dec.c"
#include "Actors/monster/MarinePistol.dec.c"
#include "Actors/monster/MarinePistols.dec.c"
#include "Actors/monster/MarineRailgunner.dec.c"
#include "Actors/monster/MarineShotgun.dec.c"
#include "Actors/monster/MarineVeryHeavyArmored.dec.c"
#include "Actors/monster/MaulerDemon.dec.c"
//#include "Actors/monster/Minotaurus.dec.c"
//#include "Actors/monster/MinotaurusLord.dec.c"
#include "Actors/monster/Paladin.dec.c"
#include "Actors/monster/Priest.dec.c"
#include "Actors/monster/PyroDemon.dec.c"
//#include "Actors/monster/RailArachnotron.dec.c"
#include "Actors/monster/Q2TankBoss.dec.c"
//#include "Actors/monster/ScorpionMastermind.dec.c"
#include "Actors/monster/Sentinel.dec.c"
#include "Actors/monster/Tchernobog.dec.c"
#include "Actors/monster/Teufel.dec.c"
#include "Actors/monster/TorturedSoul.dec.c"
#include "Actors/monster/TurretBFG.dec.c"
#include "Actors/monster/TurretPlasma.dec.c"
#include "Actors/monster/Watcher.dec.c"
#include "Actors/monster/Wicked.dec.c"
//#include "Actors/monster/Wizard_A.dec.c"
//#include "Actors/monster/Wizard_B.dec.c"
#include "Actors/monster/ZombieBlood.dec.c"
#include "Actors/monster/ZombieChainsawZombie.dec.c"
#include "Actors/monster/ZombieFlyingZombie.dec.c"
#include "Actors/monster/ZombieMarine.dec.c"
#include "Actors/monster/ZombiePlasmaZombie.dec.c"
#include "Actors/monster/ZombieRapidFire.dec.c"
#include "Actors/monster/ZombieRifleZombie.dec.c"
#include "Actors/monster/ZombieRocketGuy.dec.c"
#include "Actors/monster/ZombieSarge.dec.c"
#include "Actors/monster/ZombieShotgunSoldier.dec.c"

#include "Actors/monster/[PlaceHolder].dec.c"

//pickups
#include "Actors/Pickups/Powerups.dec.c"
#include "Actors/Pickups/Ammo.dec.c"

//random spawner
#include "Actors/RandomSpawnerMap.dec.c"

//ModX
//#include "Actors/ModX.c"
