// **********      Skills      ********** //
ClearSkills

Skill Easy
	Acsreturn 1
	//Name "Easy"
	//AmmoFactor 1
	DamageFactor 0.333
	EasyBossBrain
	SpawnFilter "Easy"
	PicName "M_JKILL"
	Key r

Skill Normal
	Acsreturn 2
	DamageFactor 0.5
	SpawnFilter "Normal"
	EasyBossBrain
	PicName "M_ROUGH"
	Key h

Skill Hard
	Acsreturn 3
	DamageFactor 0.8
	SpawnFilter "Hard"
	PicName "M_HURT"
	Key u

Skill SuperHard
//	textcolor "00 ff 00"
//	name "Knee Deep in the Dead"
	Acsreturn 4
	DamageFactor 1.0
	FastMonsters
	//Aggressiveness 0//0.8
	SpawnFilter "Hard"
	PicName "M_ULTRA"
	Key m

Skill Nightmare
	Acsreturn 5
	DamageFactor 1.0
	FastMonsters
	DisableCheats
	Respawnlimit 3 //incompatible with skulltag
	RespawnTime 20
	SpawnFilter "Hard"
	PicName "M_NMARE"
	MustConfirm
	Key n

// ******** Episode Definitions ******** //
episode MAP01
name "Act 1: Way of a psycho!"

episode MAP11
name "Act 2: The Dark Age"

episode MAP68
name "ZBloodpack"

episode MAP60
name "The Pit"

// **********      Maps      ********** //
// *********     Titlemap     ********* //
map TITLEMAP "The Beginning"
levelnum 0
next MAP60
sky1 SKY001 0.0
evenlighting
music _MUSTITL

// **********      Maps      ********** //
// *********     Episode 1    ********* //
map MAP01 "Prison Part one - The Escape!"
levelnum 1
next MAP02
sky1 SKY001 0.0
evenlighting
fallingdamage
monsterfallingdamage
allowjump
music _MUSP01

map MAP02 "Prison Part two - Rescue a friend!"
levelnum 2
next MAP03
sky1 SKY009 0.0
evenlighting
music _MUSP02
fallingdamage
monsterfallingdamage
allowjump

map MAP03 "Cargobase - Reinforcement"
levelnum 3
next MAP04
sky1 SKY009 0.0
evenlighting
fallingdamage
monsterfallingdamage
allowjump
music _MUSP03

map MAP04 "Refueling Base - Need some Gas"
levelnum 4
next MAP05
sky1 SKY002 0.0
evenlighting
fallingdamage
monsterfallingdamage
allowjump
music _MUSP04

map MAP05 "The Core - Overload!"
levelnum 5
next MAP06
sky1 SKY009 0.0
evenlighting
fallingdamage
monsterfallingdamage
allowjump
music _MUSP05

map MAP06 "City Hunt"
levelnum 6
next MAP07
sky1 SKY010 0.0
evenlighting
fallingdamage
monsterfallingdamage
allowjump
music _MUSP06

map MAP07 "Library?"
levelnum 7
next MAP08
sky1 SKY008 0.0
sky2 SKY008 0.0
evenlighting
fallingdamage
monsterfallingdamage
allowjump
music _MUSP07

map MAP08 "Starship - Blind passenger"
levelnum 8
next MAP09
sky1 SKY003 0.3
evenlighting
fallingdamage
monsterfallingdamage
allowjump
gravity 600
aircontrol 0.25
music _MUSP08

map MAP09 "End of Episode 1"
levelnum 9
nojump
nocrouch
music _MUSEND1

// **********      Maps      ********** //
// *********     Episode 2    ********* //
map MAP11 "Castle"
levelnum 11
next MAP12
sky1 SKY011 0.0
evenlighting
fallingdamage
monsterfallingdamage
allowjump
music _MUSP11

map MAP12 "Cliffroad"
levelnum 12
next MAP13
sky1 SKY011 0.0
evenlighting
fallingdamage
monsterfallingdamage
allowjump
music _MUSP12

map MAP13 "Haunted Mansion"
levelnum 13
next MAP14
sky1 SKY013 0.0
evenlighting
fallingdamage
monsterfallingdamage
allowjump
music _MUSP13

map MAP14 "Fortress of Chaos"
levelnum 14
next MAP15
sky1 SKY011 0.0
evenlighting
fallingdamage
monsterfallingdamage
allowjump
music _MUSP14

map MAP15 "Valley of Damnation"
levelnum 15
next MAP16
sky1 SKY009 0.0
evenlighting
fallingdamage
monsterfallingdamage
allowjump
music _MUSP15

map MAP16 "The Crypt - Level 1"
levelnum 16
next MAP17
sky1 SKY011 0.0
evenlighting
fallingdamage
monsterfallingdamage
allowjump
music _MUSP16

map MAP17 "The Crypt - Level 2"
levelnum 17
next MAP18
sky1 SKY011 0.0
evenlighting
fallingdamage
monsterfallingdamage
allowjump
music _MUSP17

map MAP18 "Hellgate"
levelnum 18
next MAP19
sky1 SKY011 0.0
evenlighting
fallingdamage
monsterfallingdamage
allowjump
music _MUSP18

map MAP19 "End of Episode 2"
levelnum 19
sky1 SKY014 0.0
nojump
nocrouch
music _MUSEND2

// **********      Maps      ********** //
// *********     Episode 3    ********* //
map MAP22 "Episode 3 - in work"
levelnum 22
//next MAP23
sky1 SKY014 0.0
evenlighting
fallingdamage
monsterfallingdamage
allowjump
music _MUSP22

// **********      Maps      ********** //
// *********     The Pit      ********* //
map MAP60 "The Pit"
levelnum 60
next MAP01
sky1 SKY006 0.0
sky2 SKY006 0.0
evenlighting
nointermission
aircontrol 0.25
fallingdamage
monsterfallingdamage
allowjump
music _MUSAREN

// **********      Maps      ********** //
// *********    ZBloodPack    ********* //
map MAP68 "The Prison"
levelnum 68
next MAP69
sky1 SKY001 0.0
evenlighting
nojump
music D_RUNNIN

map MAP69 "Hallway"
levelnum 69
next MAP70
sky1 SKY010 0.0
evenlighting
nojump
music D_STALKS

map MAP70 "House of Pain"
levelnum 70
next MAP71
sky1 SKY013 0.0
evenlighting
nojump
music D_COUNTD

map MAP71 "Jojo"
levelnum 71
next MAP72
sky1 SKY008 0.0
evenlighting
nojump
music D_BETWEE

map MAP72 "Mysterious Valley"
levelnum 72
next MAP73
sky1 SKY002 0.0
evenlighting
nojump
music D_DOOM

map MAP73 "Storage and Generator Station"
levelnum 73
next MAP74
sky1 SKY007 0.0
evenlighting
nojump
music D_THE_DA

map MAP74 "Lair"
levelnum 74
next MAP75
sky1 SKY007 0.0
evenlighting
map07special
nojump
music D_SHAWN

map MAP75 "City"
levelnum 75
next MAP76
sky1 SKY010 0.0
evenlighting
nojump
music D_DDTBLU

map MAP76 "The Library"
levelnum 76
next MAP77
sky1 SKY010 0.0
evenlighting
nojump
music D_IN_CIT

map MAP77 "Refuiling Base"
levelnum 77
next MAP78
sky1 SKY007 0.0
evenlighting
nojump
music D_DEAD
outsidefog green

map MAP78 "The Core"
levelnum 78
next MAP79
sky1 SKY006 0.0
evenlighting
nojump
music D_STLKS2

map MAP79 "Heretic"
levelnum 79
next MAP80
sky1 SKY001 0.0
evenlighting
nojump
music D_THEDA2

map MAP80 "Spaceship"
levelnum 80
next MAP81
sky1 SKY005 0.0
evenlighting
nojump
music D_DOOM2

map MAP81 "The Temple"
levelnum 81
next MAP82
sky1 SKY008 0.0
evenlighting
nojump
music D_DDTBL2

map MAP82 "Industrial Zone"
levelnum 82
next MAP83
secretnext MAP98
sky1 SKY008 0.0
evenlighting
nojump
music D_RUNNI2

map MAP83 "The Lava Lake"
levelnum 83
next MAP84
sky1 SKY002 0.0
evenlighting
nojump
music D_DEAD2

map MAP84 "Mine"
levelnum 84
next MAP85
sky1 SKY002 0.0
evenlighting
nojump
music D_STLKS3

map MAP85 "Dirty Work"
levelnum 85
next MAP86
sky1 SKY007 0.0
evenlighting
nojump
music D_ROMERO

map MAP86 "Base"
levelnum 86
next MAP87
sky1 SKY010 0.0
evenlighting
nojump
music D_SHAWN2

map MAP87 "Dark World"
levelnum 87
next MAP88
sky1 SKY013 0.0
evenlighting
nojump
music D_MESSAG

map MAP88 "Stronghold"
levelnum 88
next MAP89
sky1 SKY013 0.0
evenlighting
nojump
music D_COUNT2

map MAP89 "Desert Prison"
levelnum 89
next MAP90
sky1 SKY009 0.0
evenlighting
nojump
music D_DDTBL3

map MAP90 "Frozen Castle"
levelnum 90
next MAP91
sky1 SKY013 0.0
evenlighting
nojump
music D_AMPIE

map MAP91 "Fallout"
levelnum 91
next MAP92
sky1 SKY006 0.0
evenlighting
nojump
music D_THEDA3

map MAP92 "Elementar Zone"
levelnum 92
next MAP93
sky1 SKY012 0.0
evenlighting
nojump
music D_ADRIAN

map MAP93 "The Hole"
levelnum 93
next MAP94
sky1 SKY014 0.0
evenlighting
nojump
music D_MESSG2
fade red

map MAP94 "Monsters"
levelnum 94
next MAP95
sky1 SKY009 0.0
evenlighting
nojump
music D_ROMER2

map MAP95 "Hell Canyon"
levelnum 95
next MAP96
sky1 RSKY3 0.0
evenlighting
nojump
music D_TENSE

map MAP96 "Magus Gate"
levelnum 96
next MAP97
sky1 SKY011 0.0
evenlighting
nojump
music D_SHAWN3

map MAP97 "The End"
levelnum 97
next EndGameC
sky1 SKY001 0.0
evenlighting
nojump
music D_OPENIN

map MAP98 "Secret"
levelnum 98
next MAP99
sky1 SKY005 0.0
evenlighting
nojump
music D_EVIL

map MAP99 "Top Secret"
levelnum 99
next MAP83
sky1 SKY014 0.0
evenlighting
nojump
music D_ULTIMA
